# pylint: disable=too-many-lines
COMPILED_ACCOUNT_CONTRACT = r"""
{
    "abi": [
        {
            "members": [
                {
                    "name": "to",
                    "offset": 0,
                    "type": "felt"
                },
                {
                    "name": "selector",
                    "offset": 1,
                    "type": "felt"
                },
                {
                    "name": "data_offset",
                    "offset": 2,
                    "type": "felt"
                },
                {
                    "name": "data_len",
                    "offset": 3,
                    "type": "felt"
                }
            ],
            "name": "AccountCallArray",
            "size": 4,
            "type": "struct"
        },
        {
            "inputs": [
                {
                    "name": "hash",
                    "type": "felt"
                },
                {
                    "name": "signature_len",
                    "type": "felt"
                },
                {
                    "name": "signature",
                    "type": "felt*"
                }
            ],
            "name": "Account_is_valid_signature",
            "outputs": [],
            "stateMutability": "view",
            "type": "function"
        },
        {
            "inputs": [],
            "name": "get_public_key",
            "outputs": [
                {
                    "name": "res",
                    "type": "felt"
                }
            ],
            "stateMutability": "view",
            "type": "function"
        },
        {
            "inputs": [],
            "name": "get_nonce",
            "outputs": [
                {
                    "name": "res",
                    "type": "felt"
                }
            ],
            "stateMutability": "view",
            "type": "function"
        },
        {
            "inputs": [
                {
                    "name": "interfaceId",
                    "type": "felt"
                }
            ],
            "name": "supportsInterface",
            "outputs": [
                {
                    "name": "success",
                    "type": "felt"
                }
            ],
            "stateMutability": "view",
            "type": "function"
        },
        {
            "inputs": [
                {
                    "name": "new_public_key",
                    "type": "felt"
                }
            ],
            "name": "set_public_key",
            "outputs": [],
            "type": "function"
        },
        {
            "inputs": [
                {
                    "name": "public_key",
                    "type": "felt"
                }
            ],
            "name": "constructor",
            "outputs": [],
            "type": "constructor"
        },
        {
            "inputs": [
                {
                    "name": "hash",
                    "type": "felt"
                },
                {
                    "name": "signature_len",
                    "type": "felt"
                },
                {
                    "name": "signature",
                    "type": "felt*"
                }
            ],
            "name": "is_valid_signature",
            "outputs": [],
            "stateMutability": "view",
            "type": "function"
        },
        {
            "inputs": [
                {
                    "name": "call_array_len",
                    "type": "felt"
                },
                {
                    "name": "call_array",
                    "type": "AccountCallArray*"
                },
                {
                    "name": "calldata_len",
                    "type": "felt"
                },
                {
                    "name": "calldata",
                    "type": "felt*"
                },
                {
                    "name": "nonce",
                    "type": "felt"
                }
            ],
            "name": "__execute__",
            "outputs": [
                {
                    "name": "response_len",
                    "type": "felt"
                },
                {
                    "name": "response",
                    "type": "felt*"
                }
            ],
            "type": "function"
        }
    ],
    "entry_points_by_type": {
        "CONSTRUCTOR": [
            {
                "offset": "0x31d",
                "selector": "0x28ffe4ff0f226a9107253e17a904099aa4f63a02a5621de0576e5aa71bc5194"
            }
        ],
        "EXTERNAL": [
            {
                "offset": "0x377",
                "selector": "0x15d40a3d6ca2ac30f4031e42be28da9b056fef9bb7357ac5e85627ee876e5ad"
            },
            {
                "offset": "0x2aa",
                "selector": "0x1a35984e05126dbecb7c3bb9929e7dd9106d460c59b1633739a5c733a5fb13b"
            },
            {
                "offset": "0x2c9",
                "selector": "0x1ac47721ee58ba2813c2a816bca188512839a00d3970f67c05eab986b14006d"
            },
            {
                "offset": "0x33a",
                "selector": "0x28420862938116cb3bbdbedee07451ccc54d4e9412dbef71142ad1980a30941"
            },
            {
                "offset": "0x2e9",
                "selector": "0x29e211664c0b63c79638fbea474206ca74016b3e9a3dc4f9ac300ffd8bdf2cd"
            },
            {
                "offset": "0x191",
                "selector": "0x2b793e4b34b47a789f23ea3a1b8c8d91d6279ded93cad8bf25300bbb1cab095"
            },
            {
                "offset": "0x303",
                "selector": "0x2e3e21ff5952b2531241e37999d9c4c8b3034cccc89a202a6bf019bdf5294f9"
            }
        ],
        "L1_HANDLER": []
    },
    "program": {
        "attributes": [],
        "builtins": [
            "pedersen",
            "range_check",
            "ecdsa"
        ],
        "data": [
            "0x40780017fff7fff",
            "0x1",
            "0x208b7fff7fff7ffe",
            "0x400380007ffb7ffc",
            "0x400380017ffb7ffd",
            "0x482680017ffb8000",
            "0x3",
            "0x480280027ffb8000",
            "0x208b7fff7fff7ffe",
            "0x20780017fff7ffd",
            "0x3",
            "0x208b7fff7fff7ffe",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480080007fff8000",
            "0x400080007ffd7fff",
            "0x482480017ffd8001",
            "0x1",
            "0x482480017ffd8001",
            "0x1",
            "0xa0680017fff7ffe",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffffb",
            "0x402a7ffc7ffd7fff",
            "0x208b7fff7fff7ffe",
            "0x48297ffd80007ffc",
            "0x20680017fff7fff",
            "0x4",
            "0x402780017ffc7ffc",
            "0x1",
            "0x208b7fff7fff7ffe",
            "0x480680017fff8000",
            "0x3ffffffffffffffffffffffffffffff",
            "0x480280017ffc8000",
            "0x48307fff80007ffe",
            "0x400280027ffc7fff",
            "0x480280017ffc8000",
            "0x484480017fff8000",
            "0x100000000000000000000000000000000",
            "0x480280007ffc8000",
            "0x40317fff7ffe7ffd",
            "0x482680017ffc8000",
            "0x3",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x1",
            "0x20680017fff7fff",
            "0x10",
            "0x480a7ffc7fff8000",
            "0x482680017ffd8000",
            "0x11000000000000000000000000000000000000000000000101",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffed",
            "0x480680017fff8000",
            "0x800000000000011000000000000000000000000000000000000000000000000",
            "0x48127ffe7fff8000",
            "0x48287ffd80007ffe",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffe7",
            "0x482680017ffd8000",
            "0x11000000000000000000000000000000000000000000000101",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x1",
            "0x20680017fff7fff",
            "0xc",
            "0x40780017fff7fff",
            "0xa",
            "0x480680017fff8000",
            "0x7fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffeff",
            "0x480a7ffc7fff8000",
            "0x48287ffd80007ffe",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffd8",
            "0x10780017fff7fff",
            "0x8",
            "0x40780017fff7fff",
            "0xb",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffd0",
            "0x480a7ffd7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480680017fff8000",
            "0x43616c6c436f6e7472616374",
            "0x400280007ff97fff",
            "0x400380017ff97ffa",
            "0x400380027ff97ffb",
            "0x400380037ff97ffc",
            "0x400380047ff97ffd",
            "0x482680017ff98000",
            "0x7",
            "0x480280057ff98000",
            "0x480280067ff98000",
            "0x208b7fff7fff7ffe",
            "0x480680017fff8000",
            "0x47657443616c6c657241646472657373",
            "0x400280007ffd7fff",
            "0x482680017ffd8000",
            "0x2",
            "0x480280017ffd8000",
            "0x208b7fff7fff7ffe",
            "0x480680017fff8000",
            "0x476574436f6e747261637441646472657373",
            "0x400280007ffd7fff",
            "0x482680017ffd8000",
            "0x2",
            "0x480280017ffd8000",
            "0x208b7fff7fff7ffe",
            "0x480680017fff8000",
            "0x53746f7261676552656164",
            "0x400280007ffc7fff",
            "0x400380017ffc7ffd",
            "0x482680017ffc8000",
            "0x3",
            "0x480280027ffc8000",
            "0x208b7fff7fff7ffe",
            "0x480680017fff8000",
            "0x53746f726167655772697465",
            "0x400280007ffb7fff",
            "0x400380017ffb7ffc",
            "0x400380027ffb7ffd",
            "0x482680017ffb8000",
            "0x3",
            "0x208b7fff7fff7ffe",
            "0x480680017fff8000",
            "0x4765745478496e666f",
            "0x400280007ffd7fff",
            "0x482680017ffd8000",
            "0x2",
            "0x480280017ffd8000",
            "0x208b7fff7fff7ffe",
            "0x208b7fff7fff7ffe",
            "0x400380017ff97ffa",
            "0x400380007ff97ffb",
            "0x482680017ff98000",
            "0x2",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x2",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffff9",
            "0x400780017fff8000",
            "0x0",
            "0x400780017fff8001",
            "0x0",
            "0x48127ffe7fff8000",
            "0x208b7fff7fff7ffe",
            "0x20780017fff7ffc",
            "0x5",
            "0x480a7ffa7fff8000",
            "0x480a7ffd7fff8000",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x1",
            "0x482680017ffc8000",
            "0x800000000000011000000000000000000000000000000000000000000000000",
            "0x40337fff7ffb8000",
            "0x480a7ffb7fff8000",
            "0x480a7ffa7fff8000",
            "0x480a7ffd7fff8000",
            "0x48317ffd80008000",
            "0x400080007ffd7ffe",
            "0x480080007ffc8000",
            "0x400080017ffc7fff",
            "0x482480017ffb8000",
            "0x1",
            "0x482480017ffb8000",
            "0x3",
            "0x480080027ffa8000",
            "0x20680017fff7ffb",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffff8",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x2",
            "0x480a7ffa7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x480280007ffb8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffe2",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffd0",
            "0x40137ffd7fff8000",
            "0x480280017ffb8000",
            "0x40297ffd7fff8001",
            "0x48127ffb7fff8000",
            "0x48127ffc7fff8000",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x2",
            "0x480a7ffb7fff8000",
            "0x480280007ffc8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff42",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffc1",
            "0x40137ffd7fff8000",
            "0x480280017ffc8000",
            "0x402580017fff8001",
            "0x1",
            "0x48127ffb7fff8000",
            "0x48127ffc7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffc7fff8000",
            "0x480280007ffd8000",
            "0x480280017ffd8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff34",
            "0x208b7fff7fff7ffe",
            "0x480a7ffb7fff8000",
            "0x480680017fff8000",
            "0x10f6bdc8f69644775581b157f06334cb94ae302da4f6d09656c9a31f092cff6",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff2d",
            "0x480a7ffc7fff8000",
            "0x48127ffe7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff51",
            "0x48127fe17fff8000",
            "0x48127ffd7fff8000",
            "0x48127ffd7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffff0",
            "0x480a7ffa7fff8000",
            "0x48127ffe7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff86",
            "0x48127ffe7fff8000",
            "0x48127ff57fff8000",
            "0x48127ff57fff8000",
            "0x48127ffc7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffa7fff8000",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffe2",
            "0x480a7ff97fff8000",
            "0x48127ffe7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff7f",
            "0x48127ff67fff8000",
            "0x48127ff67fff8000",
            "0x208b7fff7fff7ffe",
            "0x482680017ffd8000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffe00365a",
            "0x20680017fff7fff",
            "0x8",
            "0x480a7ffa7fff8000",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480680017fff8000",
            "0x1",
            "0x208b7fff7fff7ffe",
            "0x480a7ffa7fff8000",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffd8",
            "0x208b7fff7fff7ffe",
            "0x480a7ffd7fff8000",
            "0x480680017fff8000",
            "0xffffffff",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff09",
            "0x480a7ffa7fff8000",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x480680017fff8000",
            "0x1",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffd8",
            "0x208b7fff7fff7ffe",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x480680017fff8000",
            "0x1813aac5f5e7799684c6dc33e51f44d3627fd748c800724a184ed5be09b713e",
            "0x208b7fff7fff7ffe",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffffa",
            "0x480a7ffb7fff8000",
            "0x48127ffe7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff48",
            "0x48127ffe7fff8000",
            "0x48127ff57fff8000",
            "0x48127ff57fff8000",
            "0x48127ffc7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffed",
            "0x480a7ffa7fff8000",
            "0x48127ffe7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff42",
            "0x48127ff67fff8000",
            "0x48127ff67fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x480680017fff8000",
            "0x1379ac0624b939ceb9dede92211d7db5ee174fe28be72245b0a1a2abd81c98f",
            "0x208b7fff7fff7ffe",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffffa",
            "0x480a7ffb7fff8000",
            "0x48127ffe7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff2a",
            "0x48127ffe7fff8000",
            "0x48127ff57fff8000",
            "0x48127ff57fff8000",
            "0x48127ffc7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffed",
            "0x480a7ffa7fff8000",
            "0x48127ffe7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff24",
            "0x48127ff67fff8000",
            "0x48127ff67fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff0f",
            "0x48127ffe7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff05",
            "0x40127fff7fff7ff9",
            "0x48127ffe7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffdc",
            "0x208b7fff7fff7ffe",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffb8",
            "0x208b7fff7fff7ffe",
            "0x480a7ffa7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffeb",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffda",
            "0x208b7fff7fff7ffe",
            "0x480a7ffa7fff8000",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffd3",
            "0x480680017fff8000",
            "0xf10dbd44",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff91",
            "0x208b7fff7fff7ffe",
            "0x480a7ff77fff8000",
            "0x480a7ff87fff8000",
            "0x480a7ff97fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffbc",
            "0x480a7ffa7fff8000",
            "0x480a7ffb7fff8000",
            "0x48127ffd7fff8000",
            "0x480280007ffd8000",
            "0x480280017ffd8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffefc",
            "0x48127ff47fff8000",
            "0x48127ff47fff8000",
            "0x48127ff47fff8000",
            "0x48127ffc7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480280027ffb8000",
            "0x480280017ffd8000",
            "0x400080007ffe7fff",
            "0x482680017ffd8000",
            "0x2",
            "0x480280017ffd8000",
            "0x48307fff7ffe8000",
            "0x402a7ffd7ffc7fff",
            "0x480280027ffb8000",
            "0x480280007ffb8000",
            "0x480280017ffb8000",
            "0x482480017ffd8000",
            "0x1",
            "0x480280037ffb8000",
            "0x480280007ffd8000",
            "0x480280017ffd8000",
            "0x482680017ffd8000",
            "0x2",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffde",
            "0x40780017fff7fff",
            "0x1",
            "0x48127ffb7fff8000",
            "0x48127ffb7fff8000",
            "0x48127ffb7fff8000",
            "0x48127ffb7fff8000",
            "0x480680017fff8000",
            "0x0",
            "0x48127ffa7fff8000",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x10",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffed4",
            "0x40137ffe7fff8000",
            "0x480a7ff57fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffec9",
            "0x40137fff7fff8001",
            "0x48127ffe7fff8000",
            "0x480a7ff67fff8000",
            "0x480a7ff77fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff66",
            "0x40137fff7fff8002",
            "0x40137ffd7fff8003",
            "0x40137ffe7fff8004",
            "0x400b7ffd7fff8002",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe40",
            "0x40137fff7fff8005",
            "0x48127ff97fff8000",
            "0x480a7ff97fff8000",
            "0x480a7ffa7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a80057fff8000",
            "0x1104800180018000",
            "0xba",
            "0x4003800180018006",
            "0x400b7ff97fff8007",
            "0x400b80057fff8008",
            "0x400b80027fff8009",
            "0x400380028001800a",
            "0x400380008001800b",
            "0x480a80037fff8000",
            "0x4826800180008000",
            "0x6",
            "0x1104800180018000",
            "0x47",
            "0x48127ffd7fff8000",
            "0x48127ffd7fff8000",
            "0x480a80047fff8000",
            "0x480a7ff87fff8000",
            "0x48127ffb7fff8000",
            "0x4802800380018000",
            "0x4802800480018000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffa4",
            "0x40137fff7fff800c",
            "0x48127ffc7fff8000",
            "0x48127ffc7fff8000",
            "0x48127ffc7fff8000",
            "0x4826800180028000",
            "0x1",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffff49",
            "0x40137ffe7fff800d",
            "0x40137fff7fff800e",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe18",
            "0x40137fff7fff800f",
            "0x48127ffa7fff8000",
            "0x480a80077fff8000",
            "0x480a80087fff8000",
            "0x480a800f7fff8000",
            "0x1104800180018000",
            "0x9",
            "0x48127ffe7fff8000",
            "0x480a800d7fff8000",
            "0x480a800e7fff8000",
            "0x480a800c7fff8000",
            "0x48127ffb7fff8000",
            "0x480a800f7fff8000",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x3",
            "0x20780017fff7ffb",
            "0x6",
            "0x480a7ffa7fff8000",
            "0x480680017fff8000",
            "0x0",
            "0x208b7fff7fff7ffe",
            "0x480a7ffa7fff8000",
            "0x480280007ffc8000",
            "0x480280017ffc8000",
            "0x480280027ffc8000",
            "0x480280037ffc8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe4e",
            "0x40137ffe7fff8000",
            "0x40137fff7fff8001",
            "0x40137ffd7fff8002",
            "0x480a7ffd7fff8000",
            "0x480a80017fff8000",
            "0x480a80007fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffdfc",
            "0x480a80027fff8000",
            "0x482680017ffb8000",
            "0x800000000000011000000000000000000000000000000000000000000000000",
            "0x482680017ffc8000",
            "0x4",
            "0x482a80007ffd8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffe4",
            "0x48127ffe7fff8000",
            "0x482880007ffe8000",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x0",
            "0x480a7ffc7fff8000",
            "0x480280017ffd8000",
            "0x480280027ffd8000",
            "0x1104800180018000",
            "0x1f",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe69",
            "0x48127ff77fff8000",
            "0x48127ffe7fff8000",
            "0x480680017fff8000",
            "0x537461726b4e6574205472616e73616374696f6e",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe96",
            "0x480280007ffd8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe93",
            "0x48127fd47fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe90",
            "0x480280037ffd8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe8d",
            "0x480280047ffd8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe8a",
            "0x480280057ffd8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe87",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe95",
            "0x480a7ffb7fff8000",
            "0x48127ffd7fff8000",
            "0x48127ffd7fff8000",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x1",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffdc0",
            "0x40137fff7fff8000",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x480a80007fff8000",
            "0x1104800180018000",
            "0xd",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe41",
            "0x48127ff87fff8000",
            "0x48127ffe7fff8000",
            "0x480a80007fff8000",
            "0x480a7ffc7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe5e",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe7c",
            "0x208b7fff7fff7ffe",
            "0x20780017fff7ffb",
            "0x4",
            "0x480a7ffa7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffa7fff8000",
            "0x480280027ffc8000",
            "0x480280037ffc8000",
            "0x1104800180018000",
            "0x1c",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe2d",
            "0x48127ff77fff8000",
            "0x48127ffe7fff8000",
            "0x480280007ffc8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe5b",
            "0x480280017ffc8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe58",
            "0x48127fd47fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe55",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe63",
            "0x400280007ffd7fff",
            "0x48127ffe7fff8000",
            "0x482680017ffb8000",
            "0x800000000000011000000000000000000000000000000000000000000000000",
            "0x482680017ffc8000",
            "0x4",
            "0x482680017ffd8000",
            "0x1",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffe1",
            "0x208b7fff7fff7ffe",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe13",
            "0x480a7ffb7fff8000",
            "0x48127ffe7fff8000",
            "0x480a7ffd7fff8000",
            "0x480a7ffc7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe30",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe4e",
            "0x208b7fff7fff7ffe",
            "0x20780017fff7ffa",
            "0x4",
            "0x480a7ff97fff8000",
            "0x208b7fff7fff7ffe",
            "0x480280007ffb8000",
            "0x400280007ffd7fff",
            "0x480280017ffb8000",
            "0x400280017ffd7fff",
            "0x480280037ffb8000",
            "0x400280027ffd7fff",
            "0x480280027ffb8000",
            "0x48327fff7ffc8000",
            "0x400280037ffd7fff",
            "0x480a7ff97fff8000",
            "0x482680017ffa8000",
            "0x800000000000011000000000000000000000000000000000000000000000000",
            "0x482680017ffb8000",
            "0x4",
            "0x480a7ffc7fff8000",
            "0x482680017ffd8000",
            "0x4",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffec",
            "0x208b7fff7fff7ffe",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffec3",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x1",
            "0x4003800080007ffc",
            "0x4826800180008000",
            "0x1",
            "0x480a7ffd7fff8000",
            "0x4828800080007ffe",
            "0x480a80007fff8000",
            "0x208b7fff7fff7ffe",
            "0x402b7ffd7ffc7ffd",
            "0x480280007ffb8000",
            "0x480280017ffb8000",
            "0x480280027ffb8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffee",
            "0x48127ffe7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffff1",
            "0x48127ff47fff8000",
            "0x48127ff47fff8000",
            "0x48127ffb7fff8000",
            "0x480280037ffb8000",
            "0x48127ffa7fff8000",
            "0x48127ffa7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffeaa",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x1",
            "0x4003800080007ffc",
            "0x4826800180008000",
            "0x1",
            "0x480a7ffd7fff8000",
            "0x4828800080007ffe",
            "0x480a80007fff8000",
            "0x208b7fff7fff7ffe",
            "0x402b7ffd7ffc7ffd",
            "0x480280007ffb8000",
            "0x480280017ffb8000",
            "0x480280027ffb8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffee",
            "0x48127ffe7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffff1",
            "0x48127ff47fff8000",
            "0x48127ff47fff8000",
            "0x48127ffb7fff8000",
            "0x480280037ffb8000",
            "0x48127ffa7fff8000",
            "0x48127ffa7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffa7fff8000",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe20",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x1",
            "0x4003800080007ffc",
            "0x4826800180008000",
            "0x1",
            "0x480a7ffd7fff8000",
            "0x4828800080007ffe",
            "0x480a80007fff8000",
            "0x208b7fff7fff7ffe",
            "0x482680017ffd8000",
            "0x1",
            "0x402a7ffd7ffc7fff",
            "0x480280007ffb8000",
            "0x480280017ffb8000",
            "0x480280027ffb8000",
            "0x480280007ffd8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffea",
            "0x48127ffe7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffee",
            "0x48127ff47fff8000",
            "0x48127ff47fff8000",
            "0x48127ffb7fff8000",
            "0x480280037ffb8000",
            "0x48127ffa7fff8000",
            "0x48127ffa7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffa7fff8000",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe6d",
            "0x208b7fff7fff7ffe",
            "0x482680017ffd8000",
            "0x1",
            "0x402a7ffd7ffc7fff",
            "0x480280007ffb8000",
            "0x480280017ffb8000",
            "0x480280027ffb8000",
            "0x480280007ffd8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffff3",
            "0x40780017fff7fff",
            "0x1",
            "0x48127ffc7fff8000",
            "0x48127ffc7fff8000",
            "0x48127ffc7fff8000",
            "0x480280037ffb8000",
            "0x480680017fff8000",
            "0x0",
            "0x48127ffa7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ffa7fff8000",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe5c",
            "0x208b7fff7fff7ffe",
            "0x482680017ffd8000",
            "0x1",
            "0x402a7ffd7ffc7fff",
            "0x480280007ffb8000",
            "0x480280017ffb8000",
            "0x480280027ffb8000",
            "0x480280007ffd8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffff3",
            "0x40780017fff7fff",
            "0x1",
            "0x48127ffc7fff8000",
            "0x48127ffc7fff8000",
            "0x48127ffc7fff8000",
            "0x480280037ffb8000",
            "0x480680017fff8000",
            "0x0",
            "0x48127ffa7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ff77fff8000",
            "0x480a7ff87fff8000",
            "0x480a7ff97fff8000",
            "0x480a7ffa7fff8000",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe4a",
            "0x208b7fff7fff7ffe",
            "0x480280027ffb8000",
            "0x480280017ffd8000",
            "0x400080007ffe7fff",
            "0x482680017ffd8000",
            "0x2",
            "0x480280017ffd8000",
            "0x48307fff7ffe8000",
            "0x402a7ffd7ffc7fff",
            "0x480280027ffb8000",
            "0x480280007ffb8000",
            "0x480280017ffb8000",
            "0x482480017ffd8000",
            "0x1",
            "0x480280037ffb8000",
            "0x480280007ffd8000",
            "0x480280017ffd8000",
            "0x482680017ffd8000",
            "0x2",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffe5",
            "0x40780017fff7fff",
            "0x1",
            "0x48127ffb7fff8000",
            "0x48127ffb7fff8000",
            "0x48127ffb7fff8000",
            "0x48127ffb7fff8000",
            "0x480680017fff8000",
            "0x0",
            "0x48127ffa7fff8000",
            "0x208b7fff7fff7ffe",
            "0x480a7ff57fff8000",
            "0x480a7ff67fff8000",
            "0x480a7ff77fff8000",
            "0x480a7ff87fff8000",
            "0x480a7ff97fff8000",
            "0x480a7ffa7fff8000",
            "0x480a7ffb7fff8000",
            "0x480a7ffc7fff8000",
            "0x480a7ffd7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffe4f",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x3",
            "0x4003800080007ffb",
            "0x400380007ffd7ffb",
            "0x402780017ffd8001",
            "0x1",
            "0x4826800180008000",
            "0x1",
            "0x40297ffb7fff8002",
            "0x4826800180008000",
            "0x1",
            "0x480a7ffc7fff8000",
            "0x480a7ffb7fff8000",
            "0x1104800180018000",
            "0x800000000000010fffffffffffffffffffffffffffffffffffffffffffffc99",
            "0x480a80017fff8000",
            "0x4829800080008002",
            "0x480a80007fff8000",
            "0x208b7fff7fff7ffe",
            "0x40780017fff7fff",
            "0x3",
            "0x480280027ffb8000",
            "0x480280007ffd8000",
            "0x400080007ffe7fff",
            "0x482680017ffd8000",
            "0x1",
            "0x480280007ffd8000",
            "0x484480017fff8000",
            "0x4",
            "0x48307fff7ffd8000",
            "0x480280027ffb8000",
            "0x480080007ffe8000",
            "0x400080017ffe7fff",
            "0x482480017ffd8000",
            "0x1",
            "0x480080007ffc8000",
            "0x48307fff7ffe8000",
            "0x482480017fff8000",
            "0x1",
            "0x402a7ffd7ffc7fff",
            "0x480280027ffb8000",
            "0x480280007ffb8000",
            "0x480280017ffb8000",
            "0x482480017ffd8000",
            "0x2",
            "0x480280037ffb8000",
            "0x480280007ffd8000",
            "0x482680017ffd8000",
            "0x1",
            "0x480080007ff28000",
            "0x482480017ff18000",
            "0x1",
            "0x480080007ff58000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffc0",
            "0x40137ffa7fff8000",
            "0x40137ffb7fff8001",
            "0x40137ffd7fff8002",
            "0x48127ffc7fff8000",
            "0x1104800180018000",
            "0x800000000000010ffffffffffffffffffffffffffffffffffffffffffffffc6",
            "0x480a80007fff8000",
            "0x480a80017fff8000",
            "0x48127ffb7fff8000",
            "0x480a80027fff8000",
            "0x48127ffa7fff8000",
            "0x48127ffa7fff8000",
            "0x208b7fff7fff7ffe"
        ],
        "debug_info": {
            "file_contents": {
                "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo": "assert [cast(fp + (-4), felt*)] = __calldata_actual_size\n",
                "autogen/starknet/arg_processor/1e2484a22faa61a56a85fee309cc4bac0c6f9bbbdc4428579cdc70d444fc4ff7.cairo": "# Check that the length is non-negative.\nassert [range_check_ptr] = ret_struct.response_len\n# Store the updated range_check_ptr as a local variable to keep it available after\n# the memcpy.\nlocal range_check_ptr = range_check_ptr + 1\n# Keep a reference to __return_value_ptr.\nlet __return_value_ptr_copy = __return_value_ptr\n# Store the updated __return_value_ptr as a local variable to keep it available after\n# the memcpy.\nlocal __return_value_ptr : felt* = __return_value_ptr + ret_struct.response_len * 1\nmemcpy(\n    dst=__return_value_ptr_copy,\n    src=ret_struct.response,\n    len=ret_struct.response_len * 1)\n",
                "autogen/starknet/arg_processor/2311e7438f422acd27be84fafe870b01e285827c63200dabae3efa5289008fee.cairo": "let __calldata_arg_call_array_len = [__calldata_ptr]\nlet __calldata_ptr = __calldata_ptr + 1\n",
                "autogen/starknet/arg_processor/2af83e2ace09380d3be2e1d366c8649a74753b790c9d2b5e425bfdf350d70145.cairo": "let __calldata_arg_nonce = [__calldata_ptr]\nlet __calldata_ptr = __calldata_ptr + 1\n",
                "autogen/starknet/arg_processor/4f07c4ae795d22b6bc4426e596637ee88f870711dc3768dd8178092f4b2c0b65.cairo": "# Check that the length is non-negative.\nassert [range_check_ptr] = __calldata_arg_calldata_len\nlet range_check_ptr = range_check_ptr + 1\n# Create the reference.\nlet __calldata_arg_calldata = cast(__calldata_ptr, felt*)\n# Use 'tempvar' instead of 'let' to avoid repeating this computation for the\n# following arguments.\ntempvar __calldata_ptr = __calldata_ptr + __calldata_arg_calldata_len * 1\n",
                "autogen/starknet/arg_processor/5d2294ce8e305b1bd560f56804793340439bb863103e1ba5c235e3d08cf6d272.cairo": "let __calldata_arg_interfaceId = [__calldata_ptr]\nlet __calldata_ptr = __calldata_ptr + 1\n",
                "autogen/starknet/arg_processor/5e1cc73f0b484f90bb02da164d88332b40c6f698801aa4d3c603dab22157e902.cairo": "let __calldata_actual_size =  __calldata_ptr - cast([cast(fp + (-3), felt**)], felt*)\n",
                "autogen/starknet/arg_processor/7af4bd4fbb5dd50674824547868ce179672433087ba629fa3b41cfc375f33be5.cairo": "assert [__return_value_ptr] = ret_struct.success\nlet __return_value_ptr = __return_value_ptr + 1\n",
                "autogen/starknet/arg_processor/7bb8ebaf1adbcc95ba53cf61877f9b0182ef69b7220a3f0b03c5d57c3b051667.cairo": "# Check that the length is non-negative.\nassert [range_check_ptr] = __calldata_arg_call_array_len\nlet range_check_ptr = range_check_ptr + 1\n# Create the reference.\nlet __calldata_arg_call_array = cast(__calldata_ptr, openzeppelin.account.library.AccountCallArray*)\n# Use 'tempvar' instead of 'let' to avoid repeating this computation for the\n# following arguments.\ntempvar __calldata_ptr = __calldata_ptr + __calldata_arg_call_array_len * 4\n",
                "autogen/starknet/arg_processor/8799496fe2567340f6719cfd30d7db5f6b8e7aa420ca97e3a3c3ccbdfbb2e674.cairo": "let __calldata_arg_calldata_len = [__calldata_ptr]\nlet __calldata_ptr = __calldata_ptr + 1\n",
                "autogen/starknet/arg_processor/8f57d6d152b155403dcead27a17163e42b24753da9c724f554705dcf260464c0.cairo": "assert [__return_value_ptr] = ret_struct.response_len\nlet __return_value_ptr = __return_value_ptr + 1\n",
                "autogen/starknet/arg_processor/960ed0835c5fa83e7fde73a3a03f5fd9272c9b63199927c6476a8754ae40c556.cairo": "let __calldata_arg_new_public_key = [__calldata_ptr]\nlet __calldata_ptr = __calldata_ptr + 1\n",
                "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo": "# Check that the length is non-negative.\nassert [range_check_ptr] = __calldata_arg_signature_len\nlet range_check_ptr = range_check_ptr + 1\n# Create the reference.\nlet __calldata_arg_signature = cast(__calldata_ptr, felt*)\n# Use 'tempvar' instead of 'let' to avoid repeating this computation for the\n# following arguments.\ntempvar __calldata_ptr = __calldata_ptr + __calldata_arg_signature_len * 1\n",
                "autogen/starknet/arg_processor/e1b7bcaf2f97aa307c8deca2578c63f05cf45d09bb1ecaaf9be0bb828fc5cb40.cairo": "let __calldata_arg_signature_len = [__calldata_ptr]\nlet __calldata_ptr = __calldata_ptr + 1\n",
                "autogen/starknet/arg_processor/f3c2d3942f0f75ba7fab7e0c13e6cee1d1be8a6d9e771412e1ff56c7484dd3f4.cairo": "let __calldata_arg_hash = [__calldata_ptr]\nlet __calldata_ptr = __calldata_ptr + 1\n",
                "autogen/starknet/arg_processor/f68ac5127c2e5f488e054b6e5406fbd4412fe40038204608d22aadbaf91f8427.cairo": "let __calldata_arg_public_key = [__calldata_ptr]\nlet __calldata_ptr = __calldata_ptr + 1\n",
                "autogen/starknet/arg_processor/fee896b6d05b2e98056b5628baa6fbee0adfb8960f3fee9d79fd2f066956cc42.cairo": "assert [__return_value_ptr] = ret_struct.res\nlet __return_value_ptr = __return_value_ptr + 1\n",
                "autogen/starknet/external/Account_is_valid_signature/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo": "let pedersen_ptr = [cast([cast(fp + (-5), felt**)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]\n",
                "autogen/starknet/external/Account_is_valid_signature/9aa866da402dc1b34ae86751a3cabb224b0d9ac08fe13c58bb079af4cd281bec.cairo": "let ecdsa_ptr = [cast([cast(fp + (-5), felt**)] + 3, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]\n",
                "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo": "let ret_struct = __wrapped_func{syscall_ptr=syscall_ptr, pedersen_ptr=pedersen_ptr, range_check_ptr=range_check_ptr, ecdsa_ptr=ecdsa_ptr}(hash=__calldata_arg_hash, signature_len=__calldata_arg_signature_len, signature=__calldata_arg_signature,)\n%{ memory[ap] = segments.add() %}        # Allocate memory for return value.\ntempvar retdata : felt*\nlet retdata_size = 0\n",
                "autogen/starknet/external/Account_is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo": "return (syscall_ptr,pedersen_ptr,range_check_ptr,ecdsa_ptr,retdata_size,retdata)\n",
                "autogen/starknet/external/Account_is_valid_signature/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo": "let syscall_ptr = [cast([cast(fp + (-5), felt**)] + 0, felt**)]\n",
                "autogen/starknet/external/Account_is_valid_signature/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo": "let range_check_ptr = [cast([cast(fp + (-5), felt**)] + 2, felt*)]\n",
                "autogen/starknet/external/__execute__/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo": "let pedersen_ptr = [cast([cast(fp + (-5), felt**)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]\n",
                "autogen/starknet/external/__execute__/9aa866da402dc1b34ae86751a3cabb224b0d9ac08fe13c58bb079af4cd281bec.cairo": "let ecdsa_ptr = [cast([cast(fp + (-5), felt**)] + 3, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]\n",
                "autogen/starknet/external/__execute__/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo": "return (syscall_ptr,pedersen_ptr,range_check_ptr,ecdsa_ptr,retdata_size,retdata)\n",
                "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo": "let ret_struct = __wrapped_func{syscall_ptr=syscall_ptr, pedersen_ptr=pedersen_ptr, range_check_ptr=range_check_ptr, ecdsa_ptr=ecdsa_ptr}(call_array_len=__calldata_arg_call_array_len, call_array=__calldata_arg_call_array, calldata_len=__calldata_arg_calldata_len, calldata=__calldata_arg_calldata, nonce=__calldata_arg_nonce,)\nlet (range_check_ptr, retdata_size, retdata) = __execute___encode_return(ret_struct, range_check_ptr)\n",
                "autogen/starknet/external/__execute__/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo": "let syscall_ptr = [cast([cast(fp + (-5), felt**)] + 0, felt**)]\n",
                "autogen/starknet/external/__execute__/e2645b5103a9d5af449b8fe7ba025f8f981a7d85f0d6bd668f32b9064d8689dd.cairo": "func __execute__() -> (syscall_ptr : felt*, pedersen_ptr : starkware.cairo.common.cairo_builtins.HashBuiltin*, range_check_ptr : felt, ecdsa_ptr : starkware.cairo.common.cairo_builtins.SignatureBuiltin*, size, retdata : felt*):\n    alloc_locals\nend\n",
                "autogen/starknet/external/__execute__/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo": "let range_check_ptr = [cast([cast(fp + (-5), felt**)] + 2, felt*)]\n",
                "autogen/starknet/external/constructor/0436d9c54f27d04f955450289b3e58687541637e8518c4e0b75af1f455ca5246.cairo": "let ret_struct = __wrapped_func{syscall_ptr=syscall_ptr, pedersen_ptr=pedersen_ptr, range_check_ptr=range_check_ptr}(public_key=__calldata_arg_public_key,)\n%{ memory[ap] = segments.add() %}        # Allocate memory for return value.\ntempvar retdata : felt*\nlet retdata_size = 0\n",
                "autogen/starknet/external/constructor/06e2dac6fec7b0245dd168190069dcb92ed8c79c7a1ccebce7b1343c3e526229.cairo": "let ecdsa_ptr = [cast([cast(fp + (-5), felt**)] + 3, felt*)]\n",
                "autogen/starknet/external/constructor/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo": "let pedersen_ptr = [cast([cast(fp + (-5), felt**)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]\n",
                "autogen/starknet/external/constructor/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo": "return (syscall_ptr,pedersen_ptr,range_check_ptr,ecdsa_ptr,retdata_size,retdata)\n",
                "autogen/starknet/external/constructor/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo": "let syscall_ptr = [cast([cast(fp + (-5), felt**)] + 0, felt**)]\n",
                "autogen/starknet/external/constructor/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo": "let range_check_ptr = [cast([cast(fp + (-5), felt**)] + 2, felt*)]\n",
                "autogen/starknet/external/get_nonce/06e2dac6fec7b0245dd168190069dcb92ed8c79c7a1ccebce7b1343c3e526229.cairo": "let ecdsa_ptr = [cast([cast(fp + (-5), felt**)] + 3, felt*)]\n",
                "autogen/starknet/external/get_nonce/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo": "let pedersen_ptr = [cast([cast(fp + (-5), felt**)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]\n",
                "autogen/starknet/external/get_nonce/a346d877d422c1aceb29d6c4893476b7e7d7c8e9bd59d8ccc775b8622116dd2a.cairo": "let ret_struct = __wrapped_func{syscall_ptr=syscall_ptr, pedersen_ptr=pedersen_ptr, range_check_ptr=range_check_ptr}()\nlet (range_check_ptr, retdata_size, retdata) = get_nonce_encode_return(ret_struct, range_check_ptr)\n",
                "autogen/starknet/external/get_nonce/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo": "return (syscall_ptr,pedersen_ptr,range_check_ptr,ecdsa_ptr,retdata_size,retdata)\n",
                "autogen/starknet/external/get_nonce/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo": "let syscall_ptr = [cast([cast(fp + (-5), felt**)] + 0, felt**)]\n",
                "autogen/starknet/external/get_nonce/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo": "let range_check_ptr = [cast([cast(fp + (-5), felt**)] + 2, felt*)]\n",
                "autogen/starknet/external/get_public_key/06e2dac6fec7b0245dd168190069dcb92ed8c79c7a1ccebce7b1343c3e526229.cairo": "let ecdsa_ptr = [cast([cast(fp + (-5), felt**)] + 3, felt*)]\n",
                "autogen/starknet/external/get_public_key/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo": "let pedersen_ptr = [cast([cast(fp + (-5), felt**)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]\n",
                "autogen/starknet/external/get_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo": "return (syscall_ptr,pedersen_ptr,range_check_ptr,ecdsa_ptr,retdata_size,retdata)\n",
                "autogen/starknet/external/get_public_key/b2849ba7bb077663e4b038ad05edb036eedd0d3d2d173b73abde9848684cee47.cairo": "let ret_struct = __wrapped_func{syscall_ptr=syscall_ptr, pedersen_ptr=pedersen_ptr, range_check_ptr=range_check_ptr}()\nlet (range_check_ptr, retdata_size, retdata) = get_public_key_encode_return(ret_struct, range_check_ptr)\n",
                "autogen/starknet/external/get_public_key/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo": "let syscall_ptr = [cast([cast(fp + (-5), felt**)] + 0, felt**)]\n",
                "autogen/starknet/external/get_public_key/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo": "let range_check_ptr = [cast([cast(fp + (-5), felt**)] + 2, felt*)]\n",
                "autogen/starknet/external/is_valid_signature/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo": "let pedersen_ptr = [cast([cast(fp + (-5), felt**)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]\n",
                "autogen/starknet/external/is_valid_signature/9aa866da402dc1b34ae86751a3cabb224b0d9ac08fe13c58bb079af4cd281bec.cairo": "let ecdsa_ptr = [cast([cast(fp + (-5), felt**)] + 3, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]\n",
                "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo": "let ret_struct = __wrapped_func{syscall_ptr=syscall_ptr, pedersen_ptr=pedersen_ptr, range_check_ptr=range_check_ptr, ecdsa_ptr=ecdsa_ptr}(hash=__calldata_arg_hash, signature_len=__calldata_arg_signature_len, signature=__calldata_arg_signature,)\n%{ memory[ap] = segments.add() %}        # Allocate memory for return value.\ntempvar retdata : felt*\nlet retdata_size = 0\n",
                "autogen/starknet/external/is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo": "return (syscall_ptr,pedersen_ptr,range_check_ptr,ecdsa_ptr,retdata_size,retdata)\n",
                "autogen/starknet/external/is_valid_signature/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo": "let syscall_ptr = [cast([cast(fp + (-5), felt**)] + 0, felt**)]\n",
                "autogen/starknet/external/is_valid_signature/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo": "let range_check_ptr = [cast([cast(fp + (-5), felt**)] + 2, felt*)]\n",
                "autogen/starknet/external/return/__execute__/f31bd541c80bf9ec5afbbad795fa002730b10621ee3f52b2e7956c06cd223d2e.cairo": "func __execute___encode_return(ret_struct : __main__.__execute__.Return, range_check_ptr) -> (\n        range_check_ptr, data_len : felt, data : felt*):\n    %{ memory[ap] = segments.add() %}\n    alloc_locals\n    local __return_value_ptr_start : felt*\n    let __return_value_ptr = __return_value_ptr_start\n    with range_check_ptr:\n    end\n    return (\n        range_check_ptr=range_check_ptr,\n        data_len=__return_value_ptr - __return_value_ptr_start,\n        data=__return_value_ptr_start)\nend\n",
                "autogen/starknet/external/return/get_nonce/b599da7e0616f5b52a9be2e1921aad249a1f0772086f536420e6a3635525f534.cairo": "func get_nonce_encode_return(ret_struct : __main__.get_nonce.Return, range_check_ptr) -> (\n        range_check_ptr, data_len : felt, data : felt*):\n    %{ memory[ap] = segments.add() %}\n    alloc_locals\n    local __return_value_ptr_start : felt*\n    let __return_value_ptr = __return_value_ptr_start\n    with range_check_ptr:\n    end\n    return (\n        range_check_ptr=range_check_ptr,\n        data_len=__return_value_ptr - __return_value_ptr_start,\n        data=__return_value_ptr_start)\nend\n",
                "autogen/starknet/external/return/get_public_key/9605add8cf53f954532130fb37e8434c6f1dc820b83f0220783d7316e2c52b0f.cairo": "func get_public_key_encode_return(ret_struct : __main__.get_public_key.Return, range_check_ptr) -> (\n        range_check_ptr, data_len : felt, data : felt*):\n    %{ memory[ap] = segments.add() %}\n    alloc_locals\n    local __return_value_ptr_start : felt*\n    let __return_value_ptr = __return_value_ptr_start\n    with range_check_ptr:\n    end\n    return (\n        range_check_ptr=range_check_ptr,\n        data_len=__return_value_ptr - __return_value_ptr_start,\n        data=__return_value_ptr_start)\nend\n",
                "autogen/starknet/external/return/supportsInterface/037a3fe20b5598fee7bfabbca23354a68e9dd74b234d25d6640003a291b56483.cairo": "func supportsInterface_encode_return(ret_struct : __main__.supportsInterface.Return, range_check_ptr) -> (\n        range_check_ptr, data_len : felt, data : felt*):\n    %{ memory[ap] = segments.add() %}\n    alloc_locals\n    local __return_value_ptr_start : felt*\n    let __return_value_ptr = __return_value_ptr_start\n    with range_check_ptr:\n    end\n    return (\n        range_check_ptr=range_check_ptr,\n        data_len=__return_value_ptr - __return_value_ptr_start,\n        data=__return_value_ptr_start)\nend\n",
                "autogen/starknet/external/set_public_key/06e2dac6fec7b0245dd168190069dcb92ed8c79c7a1ccebce7b1343c3e526229.cairo": "let ecdsa_ptr = [cast([cast(fp + (-5), felt**)] + 3, felt*)]\n",
                "autogen/starknet/external/set_public_key/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo": "let pedersen_ptr = [cast([cast(fp + (-5), felt**)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]\n",
                "autogen/starknet/external/set_public_key/9d99191ee37b2755f349e9328582aaabeba3fa369cacff177a5b80144e6ec2c7.cairo": "let ret_struct = __wrapped_func{syscall_ptr=syscall_ptr, pedersen_ptr=pedersen_ptr, range_check_ptr=range_check_ptr}(new_public_key=__calldata_arg_new_public_key,)\n%{ memory[ap] = segments.add() %}        # Allocate memory for return value.\ntempvar retdata : felt*\nlet retdata_size = 0\n",
                "autogen/starknet/external/set_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo": "return (syscall_ptr,pedersen_ptr,range_check_ptr,ecdsa_ptr,retdata_size,retdata)\n",
                "autogen/starknet/external/set_public_key/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo": "let syscall_ptr = [cast([cast(fp + (-5), felt**)] + 0, felt**)]\n",
                "autogen/starknet/external/set_public_key/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo": "let range_check_ptr = [cast([cast(fp + (-5), felt**)] + 2, felt*)]\n",
                "autogen/starknet/external/supportsInterface/06e2dac6fec7b0245dd168190069dcb92ed8c79c7a1ccebce7b1343c3e526229.cairo": "let ecdsa_ptr = [cast([cast(fp + (-5), felt**)] + 3, felt*)]\n",
                "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo": "let ret_struct = __wrapped_func{syscall_ptr=syscall_ptr, pedersen_ptr=pedersen_ptr, range_check_ptr=range_check_ptr}(interfaceId=__calldata_arg_interfaceId,)\nlet (range_check_ptr, retdata_size, retdata) = supportsInterface_encode_return(ret_struct, range_check_ptr)\n",
                "autogen/starknet/external/supportsInterface/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo": "let pedersen_ptr = [cast([cast(fp + (-5), felt**)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]\n",
                "autogen/starknet/external/supportsInterface/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo": "return (syscall_ptr,pedersen_ptr,range_check_ptr,ecdsa_ptr,retdata_size,retdata)\n",
                "autogen/starknet/external/supportsInterface/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo": "let syscall_ptr = [cast([cast(fp + (-5), felt**)] + 0, felt**)]\n",
                "autogen/starknet/external/supportsInterface/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo": "let range_check_ptr = [cast([cast(fp + (-5), felt**)] + 2, felt*)]\n",
                "autogen/starknet/storage_var/Account_current_nonce/decl.cairo": "namespace Account_current_nonce:\n    from starkware.starknet.common.storage import normalize_address\n    from starkware.starknet.common.syscalls import storage_read, storage_write\n    from starkware.cairo.common.cairo_builtins import HashBuiltin\n    from starkware.cairo.common.hash import hash2\n\n    func addr{pedersen_ptr : HashBuiltin*, range_check_ptr}() -> (res : felt):\n        let res = 0\n        call hash2\n        call normalize_address\n    end\n\n    func read{syscall_ptr : felt*, pedersen_ptr : HashBuiltin*, range_check_ptr}() -> (res : felt):\n        let storage_addr = 0\n        call addr\n        call storage_read\n    end\n\n    func write{syscall_ptr : felt*, pedersen_ptr : HashBuiltin*, range_check_ptr}(value : felt):\n        let storage_addr = 0\n        call addr\n        call storage_write\n    end\nend",
                "autogen/starknet/storage_var/Account_current_nonce/impl.cairo": "namespace Account_current_nonce:\n    from starkware.starknet.common.storage import normalize_address\n    from starkware.starknet.common.syscalls import storage_read, storage_write\n    from starkware.cairo.common.cairo_builtins import HashBuiltin\n    from starkware.cairo.common.hash import hash2\n\n    func addr{pedersen_ptr : HashBuiltin*, range_check_ptr}() -> (res : felt):\n        let res = 680641068382147823690491849560675892800103278811133310055689865859989991742\n        return (res=res)\n    end\n\n    func read{syscall_ptr : felt*, pedersen_ptr : HashBuiltin*, range_check_ptr}() -> (res : felt):\n        let (storage_addr) = addr()\n        let (__storage_var_temp0) = storage_read(address=storage_addr + 0)\n\n        tempvar syscall_ptr = syscall_ptr\n        tempvar pedersen_ptr = pedersen_ptr\n        tempvar range_check_ptr = range_check_ptr\n        tempvar __storage_var_temp0 : felt = __storage_var_temp0\n        return ([cast(&__storage_var_temp0, felt*)])\n    end\n\n    func write{syscall_ptr : felt*, pedersen_ptr : HashBuiltin*, range_check_ptr}(value : felt):\n        let (storage_addr) = addr()\n        storage_write(address=storage_addr + 0, value=[cast(&value, felt) + 0])\n        return ()\n    end\nend",
                "autogen/starknet/storage_var/Account_public_key/decl.cairo": "namespace Account_public_key:\n    from starkware.starknet.common.storage import normalize_address\n    from starkware.starknet.common.syscalls import storage_read, storage_write\n    from starkware.cairo.common.cairo_builtins import HashBuiltin\n    from starkware.cairo.common.hash import hash2\n\n    func addr{pedersen_ptr : HashBuiltin*, range_check_ptr}() -> (res : felt):\n        let res = 0\n        call hash2\n        call normalize_address\n    end\n\n    func read{syscall_ptr : felt*, pedersen_ptr : HashBuiltin*, range_check_ptr}() -> (res : felt):\n        let storage_addr = 0\n        call addr\n        call storage_read\n    end\n\n    func write{syscall_ptr : felt*, pedersen_ptr : HashBuiltin*, range_check_ptr}(value : felt):\n        let storage_addr = 0\n        call addr\n        call storage_write\n    end\nend",
                "autogen/starknet/storage_var/Account_public_key/impl.cairo": "namespace Account_public_key:\n    from starkware.starknet.common.storage import normalize_address\n    from starkware.starknet.common.syscalls import storage_read, storage_write\n    from starkware.cairo.common.cairo_builtins import HashBuiltin\n    from starkware.cairo.common.hash import hash2\n\n    func addr{pedersen_ptr : HashBuiltin*, range_check_ptr}() -> (res : felt):\n        let res = 550557492744938365112574611882025123252567779123164597803728068558738016655\n        return (res=res)\n    end\n\n    func read{syscall_ptr : felt*, pedersen_ptr : HashBuiltin*, range_check_ptr}() -> (res : felt):\n        let (storage_addr) = addr()\n        let (__storage_var_temp0) = storage_read(address=storage_addr + 0)\n\n        tempvar syscall_ptr = syscall_ptr\n        tempvar pedersen_ptr = pedersen_ptr\n        tempvar range_check_ptr = range_check_ptr\n        tempvar __storage_var_temp0 : felt = __storage_var_temp0\n        return ([cast(&__storage_var_temp0, felt*)])\n    end\n\n    func write{syscall_ptr : felt*, pedersen_ptr : HashBuiltin*, range_check_ptr}(value : felt):\n        let (storage_addr) = addr()\n        storage_write(address=storage_addr + 0, value=[cast(&value, felt) + 0])\n        return ()\n    end\nend",
                "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo": "namespace ERC165_supported_interfaces:\n    from starkware.starknet.common.storage import normalize_address\n    from starkware.starknet.common.syscalls import storage_read, storage_write\n    from starkware.cairo.common.cairo_builtins import HashBuiltin\n    from starkware.cairo.common.hash import hash2\n\n    func addr{pedersen_ptr : HashBuiltin*, range_check_ptr}(interface_id : felt) -> (res : felt):\n        let res = 0\n        call hash2\n        call normalize_address\n    end\n\n    func read{syscall_ptr : felt*, pedersen_ptr : HashBuiltin*, range_check_ptr}(\n            interface_id : felt) -> (is_supported : felt):\n        let storage_addr = 0\n        call addr\n        call storage_read\n    end\n\n    func write{syscall_ptr : felt*, pedersen_ptr : HashBuiltin*, range_check_ptr}(\n            interface_id : felt, value : felt):\n        let storage_addr = 0\n        call addr\n        call storage_write\n    end\nend",
                "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo": "namespace ERC165_supported_interfaces:\n    from starkware.starknet.common.storage import normalize_address\n    from starkware.starknet.common.syscalls import storage_read, storage_write\n    from starkware.cairo.common.cairo_builtins import HashBuiltin\n    from starkware.cairo.common.hash import hash2\n\n    func addr{pedersen_ptr : HashBuiltin*, range_check_ptr}(interface_id : felt) -> (res : felt):\n        let res = 479559987705328862372362947504386080106579713470203672197513890426980061174\n        let (res) = hash2{hash_ptr=pedersen_ptr}(res, cast(&interface_id, felt*)[0])\n        let (res) = normalize_address(addr=res)\n        return (res=res)\n    end\n\n    func read{syscall_ptr : felt*, pedersen_ptr : HashBuiltin*, range_check_ptr}(\n            interface_id : felt) -> (is_supported : felt):\n        let (storage_addr) = addr(interface_id)\n        let (__storage_var_temp0) = storage_read(address=storage_addr + 0)\n\n        tempvar syscall_ptr = syscall_ptr\n        tempvar pedersen_ptr = pedersen_ptr\n        tempvar range_check_ptr = range_check_ptr\n        tempvar __storage_var_temp0 : felt = __storage_var_temp0\n        return ([cast(&__storage_var_temp0, felt*)])\n    end\n\n    func write{syscall_ptr : felt*, pedersen_ptr : HashBuiltin*, range_check_ptr}(\n            interface_id : felt, value : felt):\n        let (storage_addr) = addr(interface_id)\n        storage_write(address=storage_addr + 0, value=[cast(&value, felt) + 0])\n        return ()\n    end\nend"
            },
            "instruction_locations": {
                "0": {
                    "accessible_scopes": [
                        "starkware.cairo.common.alloc",
                        "starkware.cairo.common.alloc.alloc"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 0,
                            "offset": 0
                        },
                        "reference_ids": {}
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 38,
                                "end_line": 3,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/alloc.cairo"
                                },
                                "start_col": 5,
                                "start_line": 3
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 12,
                        "end_line": 4,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/alloc.cairo"
                        },
                        "start_col": 5,
                        "start_line": 4
                    }
                },
                "2": {
                    "accessible_scopes": [
                        "starkware.cairo.common.alloc",
                        "starkware.cairo.common.alloc.alloc"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 0,
                            "offset": 1
                        },
                        "reference_ids": {}
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 5,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/alloc.cairo"
                        },
                        "start_col": 5,
                        "start_line": 5
                    }
                },
                "3": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash",
                        "starkware.cairo.common.hash.hash2"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 1,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash.hash2.hash_ptr": 2,
                            "starkware.cairo.common.hash.hash2.x": 0,
                            "starkware.cairo.common.hash.hash2.y": 1
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 19,
                        "end_line": 14,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash.cairo"
                        },
                        "start_col": 5,
                        "start_line": 14
                    }
                },
                "4": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash",
                        "starkware.cairo.common.hash.hash2"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 1,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash.hash2.hash_ptr": 2,
                            "starkware.cairo.common.hash.hash2.x": 0,
                            "starkware.cairo.common.hash.hash2.y": 1
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 19,
                        "end_line": 15,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash.cairo"
                        },
                        "start_col": 5,
                        "start_line": 15
                    }
                },
                "5": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash",
                        "starkware.cairo.common.hash.hash2"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 1,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash.hash2.hash_ptr": 4,
                            "starkware.cairo.common.hash.hash2.result": 3,
                            "starkware.cairo.common.hash.hash2.x": 0,
                            "starkware.cairo.common.hash.hash2.y": 1
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 47,
                        "end_line": 17,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 35,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 27,
                                        "end_line": 18,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 18
                                    },
                                    "While trying to retrieve the implicit argument 'hash_ptr' in:"
                                ],
                                "start_col": 12,
                                "start_line": 13
                            },
                            "While expanding the reference 'hash_ptr' in:"
                        ],
                        "start_col": 20,
                        "start_line": 17
                    }
                },
                "7": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash",
                        "starkware.cairo.common.hash.hash2"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 1,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash.hash2.hash_ptr": 4,
                            "starkware.cairo.common.hash.hash2.result": 3,
                            "starkware.cairo.common.hash.hash2.x": 0,
                            "starkware.cairo.common.hash.hash2.y": 1
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 33,
                        "end_line": 16,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 26,
                                "end_line": 18,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash.cairo"
                                },
                                "start_col": 20,
                                "start_line": 18
                            },
                            "While expanding the reference 'result' in:"
                        ],
                        "start_col": 18,
                        "start_line": 16
                    }
                },
                "8": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash",
                        "starkware.cairo.common.hash.hash2"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 1,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash.hash2.hash_ptr": 4,
                            "starkware.cairo.common.hash.hash2.result": 3,
                            "starkware.cairo.common.hash.hash2.x": 0,
                            "starkware.cairo.common.hash.hash2.y": 1
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 18,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash.cairo"
                        },
                        "start_col": 5,
                        "start_line": 18
                    }
                },
                "9": {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 7,
                        "end_line": 8,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                        },
                        "start_col": 5,
                        "start_line": 8
                    }
                },
                "11": {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 18,
                        "end_line": 9,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                        },
                        "start_col": 9,
                        "start_line": 9
                    }
                },
                "12": {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 41,
                                "end_line": 12,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                                },
                                "start_col": 5,
                                "start_line": 12
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 24,
                        "end_line": 2,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 38,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                                },
                                "start_col": 35,
                                "start_line": 13
                            },
                            "While expanding the reference 'dst' in:"
                        ],
                        "start_col": 13,
                        "start_line": 2
                    }
                },
                "13": {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 2,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 47,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                                },
                                "start_col": 44,
                                "start_line": 13
                            },
                            "While expanding the reference 'src' in:"
                        ],
                        "start_col": 26,
                        "start_line": 2
                    }
                },
                "14": {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.frame": 9,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 17,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                        },
                        "start_col": 26,
                        "start_line": 17
                    }
                },
                "15": {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.__temp0": 10,
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.frame": 9,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 17,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                        },
                        "start_col": 5,
                        "start_line": 17
                    }
                },
                "16": {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.__temp0": 10,
                            "starkware.cairo.common.memcpy.memcpy.continue_copying": 11,
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.frame": 9,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.next_frame": 12,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 41,
                        "end_line": 22,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                        },
                        "start_col": 5,
                        "start_line": 22
                    }
                },
                "18": {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 4
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.__temp0": 10,
                            "starkware.cairo.common.memcpy.memcpy.continue_copying": 11,
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.frame": 9,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.next_frame": 12,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 41,
                        "end_line": 23,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                        },
                        "start_col": 5,
                        "start_line": 23
                    }
                },
                "20": {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 5
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.__temp0": 10,
                            "starkware.cairo.common.memcpy.memcpy.continue_copying": 11,
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.frame": 9,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.next_frame": 12,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 7,
                                "end_line": 27,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                                },
                                "start_col": 5,
                                "start_line": 24
                            },
                            "n_prefix_newlines": 1
                        }
                    ],
                    "inst": {
                        "end_col": 44,
                        "end_line": 29,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                        },
                        "start_col": 5,
                        "start_line": 29
                    }
                },
                "22": {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 6
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.__temp0": 10,
                            "starkware.cairo.common.memcpy.memcpy.continue_copying": 11,
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.frame": 9,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.next_frame": 12,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 55,
                        "end_line": 31,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                        },
                        "start_col": 5,
                        "start_line": 31
                    }
                },
                "23": {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 6
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.__temp0": 10,
                            "starkware.cairo.common.memcpy.memcpy.continue_copying": 11,
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.frame": 9,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.next_frame": 12,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 26,
                                "end_line": 33,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                                },
                                "start_col": 5,
                                "start_line": 33
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 14,
                        "end_line": 34,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/memcpy.cairo"
                        },
                        "start_col": 5,
                        "start_line": 34
                    }
                },
                "24": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_not_equal"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 3,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_not_equal.a": 13,
                            "starkware.cairo.common.math.assert_not_equal.b": 14
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 7,
                                "end_line": 29,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                                },
                                "start_col": 5,
                                "start_line": 20
                            },
                            "n_prefix_newlines": 1
                        }
                    ],
                    "inst": {
                        "end_col": 14,
                        "end_line": 30,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "start_col": 8,
                        "start_line": 30
                    }
                },
                "25": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_not_equal"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 3,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_not_equal.__temp1": 15,
                            "starkware.cairo.common.math.assert_not_equal.a": 13,
                            "starkware.cairo.common.math.assert_not_equal.b": 14
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 7,
                        "end_line": 30,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "start_col": 5,
                        "start_line": 30
                    }
                },
                "27": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_not_equal"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 3,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_not_equal.__temp1": 15,
                            "starkware.cairo.common.math.assert_not_equal.a": 13,
                            "starkware.cairo.common.math.assert_not_equal.b": 14
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 18,
                        "end_line": 32,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "start_col": 9,
                        "start_line": 32
                    }
                },
                "29": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_not_equal"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 3,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_not_equal.__temp1": 15,
                            "starkware.cairo.common.math.assert_not_equal.a": 13,
                            "starkware.cairo.common.math.assert_not_equal.b": 14
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 35,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "start_col": 5,
                        "start_line": 35
                    }
                },
                "30": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_250_bit"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 4,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_250_bit.high": 19,
                            "starkware.cairo.common.math.assert_250_bit.low": 18,
                            "starkware.cairo.common.math.assert_250_bit.range_check_ptr": 17,
                            "starkware.cairo.common.math.assert_250_bit.value": 16
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 7,
                                "end_line": 98,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                                },
                                "start_col": 5,
                                "start_line": 89
                            },
                            "n_prefix_newlines": 1
                        }
                    ],
                    "inst": {
                        "end_col": 50,
                        "end_line": 100,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "start_col": 36,
                        "start_line": 100
                    }
                },
                "32": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_250_bit"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 4,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_250_bit.__temp2": 20,
                            "starkware.cairo.common.math.assert_250_bit.high": 19,
                            "starkware.cairo.common.math.assert_250_bit.low": 18,
                            "starkware.cairo.common.math.assert_250_bit.range_check_ptr": 17,
                            "starkware.cairo.common.math.assert_250_bit.value": 16
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 87,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 57,
                                "end_line": 100,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                                },
                                "start_col": 53,
                                "start_line": 100
                            },
                            "While expanding the reference 'high' in:"
                        ],
                        "start_col": 16,
                        "start_line": 87
                    }
                },
                "33": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_250_bit"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 4,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_250_bit.__temp2": 20,
                            "starkware.cairo.common.math.assert_250_bit.__temp3": 21,
                            "starkware.cairo.common.math.assert_250_bit.high": 19,
                            "starkware.cairo.common.math.assert_250_bit.low": 18,
                            "starkware.cairo.common.math.assert_250_bit.range_check_ptr": 17,
                            "starkware.cairo.common.math.assert_250_bit.value": 16
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 100,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "start_col": 36,
                        "start_line": 100
                    }
                },
                "34": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_250_bit"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 4,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_250_bit.__temp2": 20,
                            "starkware.cairo.common.math.assert_250_bit.__temp3": 21,
                            "starkware.cairo.common.math.assert_250_bit.__temp4": 22,
                            "starkware.cairo.common.math.assert_250_bit.high": 19,
                            "starkware.cairo.common.math.assert_250_bit.low": 18,
                            "starkware.cairo.common.math.assert_250_bit.range_check_ptr": 17,
                            "starkware.cairo.common.math.assert_250_bit.value": 16
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 100,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "start_col": 5,
                        "start_line": 100
                    }
                },
                "35": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_250_bit"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 4,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_250_bit.__temp2": 20,
                            "starkware.cairo.common.math.assert_250_bit.__temp3": 21,
                            "starkware.cairo.common.math.assert_250_bit.__temp4": 22,
                            "starkware.cairo.common.math.assert_250_bit.high": 19,
                            "starkware.cairo.common.math.assert_250_bit.low": 18,
                            "starkware.cairo.common.math.assert_250_bit.range_check_ptr": 17,
                            "starkware.cairo.common.math.assert_250_bit.value": 16
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 87,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 105,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                                },
                                "start_col": 20,
                                "start_line": 105
                            },
                            "While expanding the reference 'high' in:"
                        ],
                        "start_col": 16,
                        "start_line": 87
                    }
                },
                "36": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_250_bit"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 4,
                            "offset": 4
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_250_bit.__temp2": 20,
                            "starkware.cairo.common.math.assert_250_bit.__temp3": 21,
                            "starkware.cairo.common.math.assert_250_bit.__temp4": 22,
                            "starkware.cairo.common.math.assert_250_bit.__temp5": 23,
                            "starkware.cairo.common.math.assert_250_bit.high": 19,
                            "starkware.cairo.common.math.assert_250_bit.low": 18,
                            "starkware.cairo.common.math.assert_250_bit.range_check_ptr": 17,
                            "starkware.cairo.common.math.assert_250_bit.value": 16
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 32,
                        "end_line": 105,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "start_col": 20,
                        "start_line": 105
                    }
                },
                "38": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_250_bit"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 4,
                            "offset": 5
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_250_bit.__temp2": 20,
                            "starkware.cairo.common.math.assert_250_bit.__temp3": 21,
                            "starkware.cairo.common.math.assert_250_bit.__temp4": 22,
                            "starkware.cairo.common.math.assert_250_bit.__temp5": 23,
                            "starkware.cairo.common.math.assert_250_bit.__temp6": 24,
                            "starkware.cairo.common.math.assert_250_bit.high": 19,
                            "starkware.cairo.common.math.assert_250_bit.low": 18,
                            "starkware.cairo.common.math.assert_250_bit.range_check_ptr": 17,
                            "starkware.cairo.common.math.assert_250_bit.value": 16
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 32,
                        "end_line": 86,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 38,
                                "end_line": 105,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                                },
                                "start_col": 35,
                                "start_line": 105
                            },
                            "While expanding the reference 'low' in:"
                        ],
                        "start_col": 15,
                        "start_line": 86
                    }
                },
                "39": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_250_bit"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 4,
                            "offset": 6
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_250_bit.__temp2": 20,
                            "starkware.cairo.common.math.assert_250_bit.__temp3": 21,
                            "starkware.cairo.common.math.assert_250_bit.__temp4": 22,
                            "starkware.cairo.common.math.assert_250_bit.__temp5": 23,
                            "starkware.cairo.common.math.assert_250_bit.__temp6": 24,
                            "starkware.cairo.common.math.assert_250_bit.__temp7": 25,
                            "starkware.cairo.common.math.assert_250_bit.high": 19,
                            "starkware.cairo.common.math.assert_250_bit.low": 18,
                            "starkware.cairo.common.math.assert_250_bit.range_check_ptr": 17,
                            "starkware.cairo.common.math.assert_250_bit.value": 16
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 105,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "start_col": 5,
                        "start_line": 105
                    }
                },
                "40": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_250_bit"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 4,
                            "offset": 6
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_250_bit.__temp2": 20,
                            "starkware.cairo.common.math.assert_250_bit.__temp3": 21,
                            "starkware.cairo.common.math.assert_250_bit.__temp4": 22,
                            "starkware.cairo.common.math.assert_250_bit.__temp5": 23,
                            "starkware.cairo.common.math.assert_250_bit.__temp6": 24,
                            "starkware.cairo.common.math.assert_250_bit.__temp7": 25,
                            "starkware.cairo.common.math.assert_250_bit.high": 19,
                            "starkware.cairo.common.math.assert_250_bit.low": 18,
                            "starkware.cairo.common.math.assert_250_bit.range_check_ptr": 26,
                            "starkware.cairo.common.math.assert_250_bit.value": 16
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 46,
                        "end_line": 107,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 81,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 14,
                                        "end_line": 108,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 108
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 21,
                                "start_line": 81
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 27,
                        "start_line": 107
                    }
                },
                "42": {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_250_bit"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 4,
                            "offset": 7
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_250_bit.__temp2": 20,
                            "starkware.cairo.common.math.assert_250_bit.__temp3": 21,
                            "starkware.cairo.common.math.assert_250_bit.__temp4": 22,
                            "starkware.cairo.common.math.assert_250_bit.__temp5": 23,
                            "starkware.cairo.common.math.assert_250_bit.__temp6": 24,
                            "starkware.cairo.common.math.assert_250_bit.__temp7": 25,
                            "starkware.cairo.common.math.assert_250_bit.high": 19,
                            "starkware.cairo.common.math.assert_250_bit.low": 18,
                            "starkware.cairo.common.math.assert_250_bit.range_check_ptr": 26,
                            "starkware.cairo.common.math.assert_250_bit.value": 16
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 108,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "start_col": 5,
                        "start_line": 108
                    }
                },
                "43": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 13,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 5,
                        "start_line": 13
                    }
                },
                "45": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 7,
                                "end_line": 21,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                },
                                "start_col": 5,
                                "start_line": 14
                            },
                            "n_prefix_newlines": 1
                        }
                    ],
                    "inst": {
                        "end_col": 7,
                        "end_line": 22,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 5,
                        "start_line": 22
                    }
                },
                "47": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28,
                            "starkware.starknet.common.storage.normalize_address.x": 30,
                            "starkware.starknet.common.storage.normalize_address.y": 31
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 12,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 81,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 26,
                                        "end_line": 50,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 50
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 21,
                                "start_line": 81
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 24,
                        "start_line": 12
                    }
                },
                "48": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28,
                            "starkware.starknet.common.storage.normalize_address.x": 30,
                            "starkware.starknet.common.storage.normalize_address.y": 31
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 34,
                        "end_line": 48,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 50,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                },
                                "start_col": 24,
                                "start_line": 50
                            },
                            "While expanding the reference 'x' in:"
                        ],
                        "start_col": 17,
                        "start_line": 48
                    }
                },
                "50": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28,
                            "starkware.starknet.common.storage.normalize_address.x": 30,
                            "starkware.starknet.common.storage.normalize_address.y": 31
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 50,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 9,
                        "start_line": 50
                    }
                },
                "52": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 12
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 32,
                            "starkware.starknet.common.storage.normalize_address.x": 30,
                            "starkware.starknet.common.storage.normalize_address.y": 31
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 20,
                        "end_line": 49,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 51,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                },
                                "start_col": 24,
                                "start_line": 51
                            },
                            "While expanding the reference 'y' in:"
                        ],
                        "start_col": 18,
                        "start_line": 49
                    }
                },
                "54": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 13
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.__temp8": 33,
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 32,
                            "starkware.starknet.common.storage.normalize_address.x": 30,
                            "starkware.starknet.common.storage.normalize_address.y": 31
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 81,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 26,
                                "end_line": 50,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 81,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 26,
                                                "end_line": 51,
                                                "input_file": {
                                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 51
                                            },
                                            "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                        ],
                                        "start_col": 21,
                                        "start_line": 81
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 50
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 21,
                        "start_line": 81
                    }
                },
                "55": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 14
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.__temp8": 33,
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 32,
                            "starkware.starknet.common.storage.normalize_address.x": 30,
                            "starkware.starknet.common.storage.normalize_address.y": 31
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 49,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 51,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                },
                                "start_col": 24,
                                "start_line": 51
                            },
                            "While expanding the reference 'y' in:"
                        ],
                        "start_col": 17,
                        "start_line": 49
                    }
                },
                "56": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 15
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.__temp8": 33,
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 32,
                            "starkware.starknet.common.storage.normalize_address.x": 30,
                            "starkware.starknet.common.storage.normalize_address.y": 31
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 51,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 9,
                        "start_line": 51
                    }
                },
                "58": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 24
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.__temp8": 33,
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 34,
                            "starkware.starknet.common.storage.normalize_address.x": 30,
                            "starkware.starknet.common.storage.normalize_address.y": 31
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 52,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 21,
                        "start_line": 52
                    }
                },
                "60": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 25
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.__temp8": 33,
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 34,
                            "starkware.starknet.common.storage.normalize_address.x": 30,
                            "starkware.starknet.common.storage.normalize_address.y": 31
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 52,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 9,
                        "start_line": 52
                    }
                },
                "61": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 23,
                        "end_line": 23,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 9,
                        "start_line": 23
                    }
                },
                "63": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 57,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                },
                                "start_col": 9,
                                "start_line": 24
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 11,
                        "end_line": 25,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 9,
                        "start_line": 25
                    }
                },
                "65": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 30,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 13,
                        "start_line": 30
                    }
                },
                "67": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 12
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 32,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 28,
                        "start_line": 32
                    }
                },
                "69": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 13
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.__temp9": 36,
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 12,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 81,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 50,
                                        "end_line": 32,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                        },
                                        "start_col": 13,
                                        "start_line": 32
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 21,
                                "start_line": 81
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 24,
                        "start_line": 12
                    }
                },
                "70": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 14
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.__temp9": 36,
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 49,
                        "end_line": 32,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 28,
                        "start_line": 32
                    }
                },
                "71": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 15
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.__temp9": 36,
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 50,
                        "end_line": 32,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 13,
                        "start_line": 32
                    }
                },
                "73": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 24
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.__temp9": 36,
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 37
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 11,
                        "end_line": 25,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 9,
                        "start_line": 25
                    }
                },
                "75": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 26,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 13,
                        "start_line": 26
                    }
                },
                "77": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 13
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 12,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 81,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/math.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 33,
                                        "end_line": 28,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                        },
                                        "start_col": 13,
                                        "start_line": 28
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 21,
                                "start_line": 81
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 24,
                        "start_line": 12
                    }
                },
                "78": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 14
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 52,
                        "end_line": 12,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 32,
                                "end_line": 28,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                },
                                "start_col": 28,
                                "start_line": 28
                            },
                            "While expanding the reference 'addr' in:"
                        ],
                        "start_col": 41,
                        "start_line": 12
                    }
                },
                "79": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 15
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 33,
                        "end_line": 28,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 13,
                        "start_line": 28
                    }
                },
                "81": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 24
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 39
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 52,
                        "end_line": 12,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                },
                                "start_col": 21,
                                "start_line": 34
                            },
                            "While expanding the reference 'addr' in:"
                        ],
                        "start_col": 41,
                        "start_line": 12
                    }
                },
                "82": {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 25
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 39
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 34,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "start_col": 9,
                        "start_line": 34
                    }
                },
                "83": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.call_contract"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 6,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.call_contract.calldata": 43,
                            "starkware.starknet.common.syscalls.call_contract.calldata_size": 42,
                            "starkware.starknet.common.syscalls.call_contract.contract_address": 40,
                            "starkware.starknet.common.syscalls.call_contract.function_selector": 41,
                            "starkware.starknet.common.syscalls.call_contract.syscall": 45,
                            "starkware.starknet.common.syscalls.call_contract.syscall_ptr": 44
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 47,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 18,
                        "start_line": 47
                    }
                },
                "85": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.call_contract"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 6,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.call_contract.__temp10": 46,
                            "starkware.starknet.common.syscalls.call_contract.calldata": 43,
                            "starkware.starknet.common.syscalls.call_contract.calldata_size": 42,
                            "starkware.starknet.common.syscalls.call_contract.contract_address": 40,
                            "starkware.starknet.common.syscalls.call_contract.function_selector": 41,
                            "starkware.starknet.common.syscalls.call_contract.syscall": 45,
                            "starkware.starknet.common.syscalls.call_contract.syscall_ptr": 44
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 51,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 46
                    }
                },
                "86": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.call_contract"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 6,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.call_contract.__temp10": 46,
                            "starkware.starknet.common.syscalls.call_contract.calldata": 43,
                            "starkware.starknet.common.syscalls.call_contract.calldata_size": 42,
                            "starkware.starknet.common.syscalls.call_contract.contract_address": 40,
                            "starkware.starknet.common.syscalls.call_contract.function_selector": 41,
                            "starkware.starknet.common.syscalls.call_contract.syscall": 45,
                            "starkware.starknet.common.syscalls.call_contract.syscall_ptr": 44
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 51,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 46
                    }
                },
                "87": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.call_contract"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 6,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.call_contract.__temp10": 46,
                            "starkware.starknet.common.syscalls.call_contract.calldata": 43,
                            "starkware.starknet.common.syscalls.call_contract.calldata_size": 42,
                            "starkware.starknet.common.syscalls.call_contract.contract_address": 40,
                            "starkware.starknet.common.syscalls.call_contract.function_selector": 41,
                            "starkware.starknet.common.syscalls.call_contract.syscall": 45,
                            "starkware.starknet.common.syscalls.call_contract.syscall_ptr": 44
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 51,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 46
                    }
                },
                "88": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.call_contract"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 6,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.call_contract.__temp10": 46,
                            "starkware.starknet.common.syscalls.call_contract.calldata": 43,
                            "starkware.starknet.common.syscalls.call_contract.calldata_size": 42,
                            "starkware.starknet.common.syscalls.call_contract.contract_address": 40,
                            "starkware.starknet.common.syscalls.call_contract.function_selector": 41,
                            "starkware.starknet.common.syscalls.call_contract.syscall": 45,
                            "starkware.starknet.common.syscalls.call_contract.syscall_ptr": 44
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 51,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 46
                    }
                },
                "89": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.call_contract"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 6,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.call_contract.__temp10": 46,
                            "starkware.starknet.common.syscalls.call_contract.calldata": 43,
                            "starkware.starknet.common.syscalls.call_contract.calldata_size": 42,
                            "starkware.starknet.common.syscalls.call_contract.contract_address": 40,
                            "starkware.starknet.common.syscalls.call_contract.function_selector": 41,
                            "starkware.starknet.common.syscalls.call_contract.syscall": 45,
                            "starkware.starknet.common.syscalls.call_contract.syscall_ptr": 44
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 51,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 46
                    }
                },
                "90": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.call_contract"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 6,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.call_contract.__temp10": 46,
                            "starkware.starknet.common.syscalls.call_contract.calldata": 43,
                            "starkware.starknet.common.syscalls.call_contract.calldata_size": 42,
                            "starkware.starknet.common.syscalls.call_contract.contract_address": 40,
                            "starkware.starknet.common.syscalls.call_contract.function_selector": 41,
                            "starkware.starknet.common.syscalls.call_contract.response": 47,
                            "starkware.starknet.common.syscalls.call_contract.syscall": 45,
                            "starkware.starknet.common.syscalls.call_contract.syscall_ptr": 48
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 88,
                                "end_line": 52,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "start_col": 5,
                                "start_line": 52
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 54,
                        "end_line": 55,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 39,
                                "end_line": 42,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 74,
                                        "end_line": 56,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 56
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 20,
                                "start_line": 42
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 23,
                        "start_line": 55
                    }
                },
                "92": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.call_contract"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 6,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.call_contract.__temp10": 46,
                            "starkware.starknet.common.syscalls.call_contract.calldata": 43,
                            "starkware.starknet.common.syscalls.call_contract.calldata_size": 42,
                            "starkware.starknet.common.syscalls.call_contract.contract_address": 40,
                            "starkware.starknet.common.syscalls.call_contract.function_selector": 41,
                            "starkware.starknet.common.syscalls.call_contract.response": 47,
                            "starkware.starknet.common.syscalls.call_contract.syscall": 45,
                            "starkware.starknet.common.syscalls.call_contract.syscall_ptr": 48
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 47,
                        "end_line": 56,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 26,
                        "start_line": 56
                    }
                },
                "93": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.call_contract"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 6,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.call_contract.__temp10": 46,
                            "starkware.starknet.common.syscalls.call_contract.calldata": 43,
                            "starkware.starknet.common.syscalls.call_contract.calldata_size": 42,
                            "starkware.starknet.common.syscalls.call_contract.contract_address": 40,
                            "starkware.starknet.common.syscalls.call_contract.function_selector": 41,
                            "starkware.starknet.common.syscalls.call_contract.response": 47,
                            "starkware.starknet.common.syscalls.call_contract.syscall": 45,
                            "starkware.starknet.common.syscalls.call_contract.syscall_ptr": 48
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 73,
                        "end_line": 56,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 57,
                        "start_line": 56
                    }
                },
                "94": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.call_contract"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 6,
                            "offset": 4
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.call_contract.__temp10": 46,
                            "starkware.starknet.common.syscalls.call_contract.calldata": 43,
                            "starkware.starknet.common.syscalls.call_contract.calldata_size": 42,
                            "starkware.starknet.common.syscalls.call_contract.contract_address": 40,
                            "starkware.starknet.common.syscalls.call_contract.function_selector": 41,
                            "starkware.starknet.common.syscalls.call_contract.response": 47,
                            "starkware.starknet.common.syscalls.call_contract.syscall": 45,
                            "starkware.starknet.common.syscalls.call_contract.syscall_ptr": 48
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 74,
                        "end_line": 56,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 56
                    }
                },
                "95": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_caller_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 7,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_caller_address.syscall": 50,
                            "starkware.starknet.common.syscalls.get_caller_address.syscall_ptr": 49
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 90,
                        "end_line": 114,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 63,
                        "start_line": 114
                    }
                },
                "97": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_caller_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 7,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_caller_address.__temp11": 51,
                            "starkware.starknet.common.syscalls.get_caller_address.syscall": 50,
                            "starkware.starknet.common.syscalls.get_caller_address.syscall_ptr": 49
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 91,
                        "end_line": 114,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 114
                    }
                },
                "98": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_caller_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 7,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_caller_address.__temp11": 51,
                            "starkware.starknet.common.syscalls.get_caller_address.syscall": 50,
                            "starkware.starknet.common.syscalls.get_caller_address.syscall_ptr": 52
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 93,
                                "end_line": 115,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "start_col": 5,
                                "start_line": 115
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 58,
                        "end_line": 116,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 44,
                                "end_line": 112,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 60,
                                        "end_line": 117,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 117
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 25,
                                "start_line": 112
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 23,
                        "start_line": 116
                    }
                },
                "100": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_caller_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 7,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_caller_address.__temp11": 51,
                            "starkware.starknet.common.syscalls.get_caller_address.syscall": 50,
                            "starkware.starknet.common.syscalls.get_caller_address.syscall_ptr": 52
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 117,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 28,
                        "start_line": 117
                    }
                },
                "101": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_caller_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 7,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_caller_address.__temp11": 51,
                            "starkware.starknet.common.syscalls.get_caller_address.syscall": 50,
                            "starkware.starknet.common.syscalls.get_caller_address.syscall_ptr": 52
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 60,
                        "end_line": 117,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 117
                    }
                },
                "102": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_contract_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 8,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_contract_address.syscall": 54,
                            "starkware.starknet.common.syscalls.get_contract_address.syscall_ptr": 53
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 94,
                        "end_line": 188,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 65,
                        "start_line": 188
                    }
                },
                "104": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_contract_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 8,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_contract_address.__temp12": 55,
                            "starkware.starknet.common.syscalls.get_contract_address.syscall": 54,
                            "starkware.starknet.common.syscalls.get_contract_address.syscall_ptr": 53
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 95,
                        "end_line": 188,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 188
                    }
                },
                "105": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_contract_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 8,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_contract_address.__temp12": 55,
                            "starkware.starknet.common.syscalls.get_contract_address.syscall": 54,
                            "starkware.starknet.common.syscalls.get_contract_address.syscall_ptr": 56
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 95,
                                "end_line": 189,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "start_col": 5,
                                "start_line": 189
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 60,
                        "end_line": 190,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 46,
                                "end_line": 186,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 64,
                                        "end_line": 191,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 191
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 27,
                                "start_line": 186
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 23,
                        "start_line": 190
                    }
                },
                "107": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_contract_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 8,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_contract_address.__temp12": 55,
                            "starkware.starknet.common.syscalls.get_contract_address.syscall": 54,
                            "starkware.starknet.common.syscalls.get_contract_address.syscall_ptr": 56
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 191,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 30,
                        "start_line": 191
                    }
                },
                "108": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_contract_address"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 8,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_contract_address.__temp12": 55,
                            "starkware.starknet.common.syscalls.get_contract_address.syscall": 54,
                            "starkware.starknet.common.syscalls.get_contract_address.syscall_ptr": 56
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 191,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 191
                    }
                },
                "109": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 9,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_read.address": 57,
                            "starkware.starknet.common.syscalls.storage_read.syscall": 59,
                            "starkware.starknet.common.syscalls.storage_read.syscall_ptr": 58
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 79,
                        "end_line": 266,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 58,
                        "start_line": 266
                    }
                },
                "111": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 9,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_read.__temp13": 60,
                            "starkware.starknet.common.syscalls.storage_read.address": 57,
                            "starkware.starknet.common.syscalls.storage_read.syscall": 59,
                            "starkware.starknet.common.syscalls.storage_read.syscall_ptr": 58
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 97,
                        "end_line": 266,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 266
                    }
                },
                "112": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 9,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_read.__temp13": 60,
                            "starkware.starknet.common.syscalls.storage_read.address": 57,
                            "starkware.starknet.common.syscalls.storage_read.syscall": 59,
                            "starkware.starknet.common.syscalls.storage_read.syscall_ptr": 58
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 97,
                        "end_line": 266,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 266
                    }
                },
                "113": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 9,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_read.__temp13": 60,
                            "starkware.starknet.common.syscalls.storage_read.address": 57,
                            "starkware.starknet.common.syscalls.storage_read.response": 61,
                            "starkware.starknet.common.syscalls.storage_read.syscall": 59,
                            "starkware.starknet.common.syscalls.storage_read.syscall_ptr": 62
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 87,
                                "end_line": 267,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "start_col": 5,
                                "start_line": 267
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 53,
                        "end_line": 269,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 38,
                                "end_line": 264,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 34,
                                        "end_line": 270,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 270
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 19,
                                "start_line": 264
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 23,
                        "start_line": 269
                    }
                },
                "115": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 9,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_read.__temp13": 60,
                            "starkware.starknet.common.syscalls.storage_read.address": 57,
                            "starkware.starknet.common.syscalls.storage_read.response": 61,
                            "starkware.starknet.common.syscalls.storage_read.syscall": 59,
                            "starkware.starknet.common.syscalls.storage_read.syscall_ptr": 62
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 33,
                        "end_line": 270,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 19,
                        "start_line": 270
                    }
                },
                "116": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 9,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_read.__temp13": 60,
                            "starkware.starknet.common.syscalls.storage_read.address": 57,
                            "starkware.starknet.common.syscalls.storage_read.response": 61,
                            "starkware.starknet.common.syscalls.storage_read.syscall": 59,
                            "starkware.starknet.common.syscalls.storage_read.syscall_ptr": 62
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 34,
                        "end_line": 270,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 270
                    }
                },
                "117": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 10,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_write.address": 63,
                            "starkware.starknet.common.syscalls.storage_write.syscall_ptr": 65,
                            "starkware.starknet.common.syscalls.storage_write.value": 64
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 284,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 18,
                        "start_line": 284
                    }
                },
                "119": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 10,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_write.__temp14": 66,
                            "starkware.starknet.common.syscalls.storage_write.address": 63,
                            "starkware.starknet.common.syscalls.storage_write.syscall_ptr": 65,
                            "starkware.starknet.common.syscalls.storage_write.value": 64
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 71,
                        "end_line": 284,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 283
                    }
                },
                "120": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 10,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_write.__temp14": 66,
                            "starkware.starknet.common.syscalls.storage_write.address": 63,
                            "starkware.starknet.common.syscalls.storage_write.syscall_ptr": 65,
                            "starkware.starknet.common.syscalls.storage_write.value": 64
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 71,
                        "end_line": 284,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 283
                    }
                },
                "121": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 10,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_write.__temp14": 66,
                            "starkware.starknet.common.syscalls.storage_write.address": 63,
                            "starkware.starknet.common.syscalls.storage_write.syscall_ptr": 65,
                            "starkware.starknet.common.syscalls.storage_write.value": 64
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 71,
                        "end_line": 284,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 283
                    }
                },
                "122": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 10,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_write.__temp14": 66,
                            "starkware.starknet.common.syscalls.storage_write.address": 63,
                            "starkware.starknet.common.syscalls.storage_write.syscall_ptr": 67,
                            "starkware.starknet.common.syscalls.storage_write.value": 64
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 88,
                                "end_line": 285,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "start_col": 5,
                                "start_line": 285
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 54,
                        "end_line": 286,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 39,
                                "end_line": 282,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 14,
                                        "end_line": 287,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 287
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 20,
                                "start_line": 282
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 23,
                        "start_line": 286
                    }
                },
                "124": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 10,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_write.__temp14": 66,
                            "starkware.starknet.common.syscalls.storage_write.address": 63,
                            "starkware.starknet.common.syscalls.storage_write.syscall_ptr": 67,
                            "starkware.starknet.common.syscalls.storage_write.value": 64
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 287,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 287
                    }
                },
                "125": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_tx_info"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 11,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_tx_info.syscall": 69,
                            "starkware.starknet.common.syscalls.get_tx_info.syscall_ptr": 68
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 76,
                        "end_line": 346,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 56,
                        "start_line": 346
                    }
                },
                "127": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_tx_info"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 11,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_tx_info.__temp15": 70,
                            "starkware.starknet.common.syscalls.get_tx_info.syscall": 69,
                            "starkware.starknet.common.syscalls.get_tx_info.syscall_ptr": 68
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 77,
                        "end_line": 346,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 346
                    }
                },
                "128": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_tx_info"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 11,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_tx_info.__temp15": 70,
                            "starkware.starknet.common.syscalls.get_tx_info.response": 71,
                            "starkware.starknet.common.syscalls.get_tx_info.syscall": 69,
                            "starkware.starknet.common.syscalls.get_tx_info.syscall_ptr": 72
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 86,
                                "end_line": 347,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "start_col": 5,
                                "start_line": 347
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 51,
                        "end_line": 349,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 37,
                                "end_line": 344,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 38,
                                        "end_line": 350,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 350
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 18,
                                "start_line": 344
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 23,
                        "start_line": 349
                    }
                },
                "130": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_tx_info"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 11,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_tx_info.__temp15": 70,
                            "starkware.starknet.common.syscalls.get_tx_info.response": 71,
                            "starkware.starknet.common.syscalls.get_tx_info.syscall": 69,
                            "starkware.starknet.common.syscalls.get_tx_info.syscall_ptr": 72
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 350,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 21,
                        "start_line": 350
                    }
                },
                "131": {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_tx_info"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 11,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_tx_info.__temp15": 70,
                            "starkware.starknet.common.syscalls.get_tx_info.response": 71,
                            "starkware.starknet.common.syscalls.get_tx_info.syscall": 69,
                            "starkware.starknet.common.syscalls.get_tx_info.syscall_ptr": 72
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 350,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "start_col": 5,
                        "start_line": 350
                    }
                },
                "132": {
                    "accessible_scopes": [
                        "starkware.cairo.common.registers",
                        "starkware.cairo.common.registers.get_fp_and_pc"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 12,
                            "offset": 0
                        },
                        "reference_ids": {}
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 46,
                        "end_line": 6,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/registers.cairo"
                        },
                        "start_col": 5,
                        "start_line": 6
                    }
                },
                "133": {
                    "accessible_scopes": [
                        "starkware.cairo.common.signature",
                        "starkware.cairo.common.signature.verify_ecdsa_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 13,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.signature.verify_ecdsa_signature.ecdsa_ptr": 77,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.message": 73,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.public_key": 74,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.signature_r": 75,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.signature_s": 76
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 98,
                                "end_line": 9,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/signature.cairo"
                                },
                                "start_col": 5,
                                "start_line": 9
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 39,
                        "end_line": 10,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/signature.cairo"
                        },
                        "start_col": 5,
                        "start_line": 10
                    }
                },
                "134": {
                    "accessible_scopes": [
                        "starkware.cairo.common.signature",
                        "starkware.cairo.common.signature.verify_ecdsa_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 13,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.signature.verify_ecdsa_signature.ecdsa_ptr": 77,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.message": 73,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.public_key": 74,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.signature_r": 75,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.signature_s": 76
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 11,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/signature.cairo"
                        },
                        "start_col": 5,
                        "start_line": 11
                    }
                },
                "135": {
                    "accessible_scopes": [
                        "starkware.cairo.common.signature",
                        "starkware.cairo.common.signature.verify_ecdsa_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 13,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.signature.verify_ecdsa_signature.ecdsa_ptr": 78,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.message": 73,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.public_key": 74,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.signature_r": 75,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.signature_s": 76
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 54,
                        "end_line": 13,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/signature.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 58,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/signature.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 14,
                                        "end_line": 14,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/signature.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 14
                                    },
                                    "While trying to retrieve the implicit argument 'ecdsa_ptr' in:"
                                ],
                                "start_col": 29,
                                "start_line": 7
                            },
                            "While expanding the reference 'ecdsa_ptr' in:"
                        ],
                        "start_col": 21,
                        "start_line": 13
                    }
                },
                "137": {
                    "accessible_scopes": [
                        "starkware.cairo.common.signature",
                        "starkware.cairo.common.signature.verify_ecdsa_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 13,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.cairo.common.signature.verify_ecdsa_signature.ecdsa_ptr": 78,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.message": 73,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.public_key": 74,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.signature_r": 75,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.signature_s": 76
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 14,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/signature.cairo"
                        },
                        "start_col": 5,
                        "start_line": 14
                    }
                },
                "138": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_init"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 14,
                            "offset": 0
                        },
                        "reference_ids": {}
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 17,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 17
                    }
                },
                "140": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_init"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 14,
                            "offset": 2
                        },
                        "reference_ids": {}
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 18,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 23,
                        "start_line": 18
                    }
                },
                "142": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_init"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 14,
                            "offset": 4
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_init.__fp__": 79,
                            "starkware.cairo.common.hash_state.hash_init.hash_state": 80
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 32,
                        "end_line": 20,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 20
                    }
                },
                "144": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_init"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 14,
                            "offset": 4
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_init.__fp__": 79,
                            "starkware.cairo.common.hash_state.hash_init.hash_state": 80
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 21,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 21
                    }
                },
                "146": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_init"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 14,
                            "offset": 4
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_init.__fp__": 79,
                            "starkware.cairo.common.hash_state.hash_init.hash_state": 80
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 19,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 39,
                                "end_line": 22,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                },
                                "start_col": 29,
                                "start_line": 22
                            },
                            "While expanding the reference 'hash_state' in:"
                        ],
                        "start_col": 11,
                        "start_line": 19
                    }
                },
                "147": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_init"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 14,
                            "offset": 5
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_init.__fp__": 79,
                            "starkware.cairo.common.hash_state.hash_init.hash_state": 80
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 22,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 22
                    }
                },
                "148": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 7,
                        "end_line": 29,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 29
                    }
                },
                "150": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 47,
                        "end_line": 27,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 47,
                                "end_line": 27,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 27,
                                        "end_line": 30,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 30
                                    },
                                    "While trying to retrieve the implicit argument 'hash_ptr' in:"
                                ],
                                "start_col": 24,
                                "start_line": 27
                            },
                            "While expanding the reference 'hash_ptr' in:"
                        ],
                        "start_col": 24,
                        "start_line": 27
                    }
                },
                "151": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 58,
                        "end_line": 28,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 26,
                                "end_line": 30,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                },
                                "start_col": 22,
                                "start_line": 30
                            },
                            "While expanding the reference 'hash' in:"
                        ],
                        "start_col": 47,
                        "start_line": 28
                    }
                },
                "152": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 30,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 9,
                        "start_line": 30
                    }
                },
                "153": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 33,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 33
                    }
                },
                "155": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 61,
                        "end_line": 34,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 35,
                        "start_line": 34
                    }
                },
                "157": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 61,
                        "end_line": 34,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 34
                    }
                },
                "158": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": 86,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": 87,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 43,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 43
                    }
                },
                "159": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": 86,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": 87,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 44,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 44
                    }
                },
                "160": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 4
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": 86,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": 87,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 45,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 45
                    }
                },
                "161": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 5
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": 86,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": 87,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84,
                            "starkware.cairo.common.hash_state.hash_update_inner.prev_locals": 88
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 72,
                        "end_line": 50,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 36,
                        "start_line": 50
                    }
                },
                "162": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 6
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": 86,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": 87,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84,
                            "starkware.cairo.common.hash_state.hash_update_inner.n_remaining_elements": 89,
                            "starkware.cairo.common.hash_state.hash_update_inner.prev_locals": 88
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 50,
                        "end_line": 53,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 53
                    }
                },
                "163": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 6
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": 86,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": 87,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84,
                            "starkware.cairo.common.hash_state.hash_update_inner.n_remaining_elements": 89,
                            "starkware.cairo.common.hash_state.hash_update_inner.prev_locals": 88
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 54,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 37,
                        "start_line": 54
                    }
                },
                "164": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 7
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp17": 90,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": 86,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": 87,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84,
                            "starkware.cairo.common.hash_state.hash_update_inner.n_remaining_elements": 89,
                            "starkware.cairo.common.hash_state.hash_update_inner.prev_locals": 88
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 54,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 54
                    }
                },
                "165": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 7
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp17": 90,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": 86,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": 87,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84,
                            "starkware.cairo.common.hash_state.hash_update_inner.n_remaining_elements": 89,
                            "starkware.cairo.common.hash_state.hash_update_inner.next_locals": 91,
                            "starkware.cairo.common.hash_state.hash_update_inner.prev_locals": 88
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 58,
                        "end_line": 58,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 58
                    }
                },
                "167": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 8
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp17": 90,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": 86,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": 87,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84,
                            "starkware.cairo.common.hash_state.hash_update_inner.n_remaining_elements": 89,
                            "starkware.cairo.common.hash_state.hash_update_inner.next_locals": 91,
                            "starkware.cairo.common.hash_state.hash_update_inner.prev_locals": 88
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 73,
                        "end_line": 59,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 59
                    }
                },
                "169": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 9
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp17": 90,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": 86,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": 87,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84,
                            "starkware.cairo.common.hash_state.hash_update_inner.n_remaining_elements": 89,
                            "starkware.cairo.common.hash_state.hash_update_inner.next_locals": 91,
                            "starkware.cairo.common.hash_state.hash_update_inner.prev_locals": 88
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 61,
                        "end_line": 60,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 60
                    }
                },
                "170": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 10
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp17": 90,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": 86,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": 87,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 84,
                            "starkware.cairo.common.hash_state.hash_update_inner.n_remaining_elements": 89,
                            "starkware.cairo.common.hash_state.hash_update_inner.next_locals": 91,
                            "starkware.cairo.common.hash_state.hash_update_inner.prev_locals": 88
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 47,
                        "end_line": 63,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 63
                    }
                },
                "172": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_inner"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 15,
                            "offset": 10
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": 85,
                            "starkware.cairo.common.hash_state.hash_update_inner.__temp17": 90,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": 86,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_length": 82,
                            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": 81,
                            "starkware.cairo.common.hash_state.hash_update_inner.final_locals": 92,
                            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": 87,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash": 83,
                            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": 93,
                            "starkware.cairo.common.hash_state.hash_update_inner.n_remaining_elements": 89,
                            "starkware.cairo.common.hash_state.hash_update_inner.next_locals": 91,
                            "starkware.cairo.common.hash_state.hash_update_inner.prev_locals": 88
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 68,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 68
                    }
                },
                "173": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 16,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 97,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 76,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 76
                    }
                },
                "175": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 16,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 97,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 41,
                        "end_line": 73,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 47,
                                "end_line": 27,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 86,
                                        "end_line": 78,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                        },
                                        "start_col": 18,
                                        "start_line": 77
                                    },
                                    "While trying to retrieve the implicit argument 'hash_ptr' in:"
                                ],
                                "start_col": 24,
                                "start_line": 27
                            },
                            "While expanding the reference 'hash_ptr' in:"
                        ],
                        "start_col": 18,
                        "start_line": 73
                    }
                },
                "176": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 16,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 97,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 54,
                        "end_line": 74,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 26,
                                "end_line": 78,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                },
                                "start_col": 18,
                                "start_line": 78
                            },
                            "While expanding the reference 'data_ptr' in:"
                        ],
                        "start_col": 38,
                        "start_line": 74
                    }
                },
                "177": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 16,
                            "offset": 4
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 97,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 74,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 51,
                                "end_line": 78,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                },
                                "start_col": 40,
                                "start_line": 78
                            },
                            "While expanding the reference 'data_length' in:"
                        ],
                        "start_col": 56,
                        "start_line": 74
                    }
                },
                "178": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 16,
                            "offset": 5
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 97,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 85,
                        "end_line": 78,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 58,
                        "start_line": 78
                    }
                },
                "179": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 16,
                            "offset": 6
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 97,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 86,
                        "end_line": 78,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 18,
                        "start_line": 77
                    }
                },
                "181": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 17,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash": 99,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 98,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 79,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 23,
                        "start_line": 79
                    }
                },
                "183": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 17,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.__fp__": 100,
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash": 99,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 98,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94,
                            "starkware.cairo.common.hash_state.hash_update.new_hash_state": 101
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 81,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 81
                    }
                },
                "184": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 17,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.__fp__": 100,
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash": 99,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 98,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94,
                            "starkware.cairo.common.hash_state.hash_update.new_hash_state": 101
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 82,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 37,
                        "start_line": 82
                    }
                },
                "185": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 17,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.__fp__": 100,
                            "starkware.cairo.common.hash_state.hash_update.__temp18": 102,
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash": 99,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 98,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94,
                            "starkware.cairo.common.hash_state.hash_update.new_hash_state": 101
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 73,
                        "end_line": 82,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 82
                    }
                },
                "186": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 17,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.__fp__": 100,
                            "starkware.cairo.common.hash_state.hash_update.__temp18": 102,
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash": 99,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 98,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94,
                            "starkware.cairo.common.hash_state.hash_update.new_hash_state": 101
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 47,
                        "end_line": 27,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 86,
                                "end_line": 78,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 41,
                                        "end_line": 73,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 48,
                                                "end_line": 83,
                                                "input_file": {
                                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 83
                                            },
                                            "While trying to retrieve the implicit argument 'hash_ptr' in:"
                                        ],
                                        "start_col": 18,
                                        "start_line": 73
                                    },
                                    "While expanding the reference 'hash_ptr' in:"
                                ],
                                "start_col": 18,
                                "start_line": 77
                            },
                            "While trying to update the implicit return value 'hash_ptr' in:"
                        ],
                        "start_col": 24,
                        "start_line": 27
                    }
                },
                "187": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 17,
                            "offset": 4
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.__fp__": 100,
                            "starkware.cairo.common.hash_state.hash_update.__temp18": 102,
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash": 99,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 98,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94,
                            "starkware.cairo.common.hash_state.hash_update.new_hash_state": 101
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 25,
                        "end_line": 80,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 47,
                                "end_line": 83,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                },
                                "start_col": 33,
                                "start_line": 83
                            },
                            "While expanding the reference 'new_hash_state' in:"
                        ],
                        "start_col": 11,
                        "start_line": 80
                    }
                },
                "188": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 17,
                            "offset": 5
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update.__fp__": 100,
                            "starkware.cairo.common.hash_state.hash_update.__temp18": 102,
                            "starkware.cairo.common.hash_state.hash_update.data_length": 96,
                            "starkware.cairo.common.hash_state.hash_update.data_ptr": 95,
                            "starkware.cairo.common.hash_state.hash_update.hash": 99,
                            "starkware.cairo.common.hash_state.hash_update.hash_ptr": 98,
                            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": 94,
                            "starkware.cairo.common.hash_state.hash_update.new_hash_state": 101
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 83,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 83
                    }
                },
                "189": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_single"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 18,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": 105,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": 103,
                            "starkware.cairo.common.hash_state.hash_update_single.item": 104
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 89,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 89
                    }
                },
                "191": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_single"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 18,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": 105,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": 103,
                            "starkware.cairo.common.hash_state.hash_update_single.item": 104
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 87,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 35,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 62,
                                        "end_line": 90,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                        },
                                        "start_col": 18,
                                        "start_line": 90
                                    },
                                    "While trying to retrieve the implicit argument 'hash_ptr' in:"
                                ],
                                "start_col": 12,
                                "start_line": 13
                            },
                            "While expanding the reference 'hash_ptr' in:"
                        ],
                        "start_col": 25,
                        "start_line": 87
                    }
                },
                "192": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_single"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 18,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": 105,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": 103,
                            "starkware.cairo.common.hash_state.hash_update_single.item": 104
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 53,
                        "end_line": 90,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 26,
                        "start_line": 90
                    }
                },
                "193": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_single"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 18,
                            "offset": 4
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": 105,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": 103,
                            "starkware.cairo.common.hash_state.hash_update_single.item": 104
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 87,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 61,
                                "end_line": 90,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                },
                                "start_col": 57,
                                "start_line": 90
                            },
                            "While expanding the reference 'item' in:"
                        ],
                        "start_col": 79,
                        "start_line": 87
                    }
                },
                "194": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_single"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 18,
                            "offset": 5
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": 105,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": 103,
                            "starkware.cairo.common.hash_state.hash_update_single.item": 104
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 62,
                        "end_line": 90,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 18,
                        "start_line": 90
                    }
                },
                "196": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_single"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 18,
                            "offset": 9
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_single.hash": 107,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": 106,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": 103,
                            "starkware.cairo.common.hash_state.hash_update_single.item": 104
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 91,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 23,
                        "start_line": 91
                    }
                },
                "198": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_single"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 18,
                            "offset": 11
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_single.__fp__": 108,
                            "starkware.cairo.common.hash_state.hash_update_single.hash": 107,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": 106,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": 103,
                            "starkware.cairo.common.hash_state.hash_update_single.item": 104,
                            "starkware.cairo.common.hash_state.hash_update_single.new_hash_state": 109
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 93,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 93
                    }
                },
                "199": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_single"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 18,
                            "offset": 11
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_single.__fp__": 108,
                            "starkware.cairo.common.hash_state.hash_update_single.hash": 107,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": 106,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": 103,
                            "starkware.cairo.common.hash_state.hash_update_single.item": 104,
                            "starkware.cairo.common.hash_state.hash_update_single.new_hash_state": 109
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 94,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 37,
                        "start_line": 94
                    }
                },
                "200": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_single"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 18,
                            "offset": 12
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_single.__fp__": 108,
                            "starkware.cairo.common.hash_state.hash_update_single.__temp19": 110,
                            "starkware.cairo.common.hash_state.hash_update_single.hash": 107,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": 106,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": 103,
                            "starkware.cairo.common.hash_state.hash_update_single.item": 104,
                            "starkware.cairo.common.hash_state.hash_update_single.new_hash_state": 109
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 94,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 94
                    }
                },
                "202": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_single"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 18,
                            "offset": 12
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_single.__fp__": 108,
                            "starkware.cairo.common.hash_state.hash_update_single.__temp19": 110,
                            "starkware.cairo.common.hash_state.hash_update_single.hash": 107,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": 106,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": 103,
                            "starkware.cairo.common.hash_state.hash_update_single.item": 104,
                            "starkware.cairo.common.hash_state.hash_update_single.new_hash_state": 109
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 13,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 62,
                                "end_line": 90,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 48,
                                        "end_line": 87,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 48,
                                                "end_line": 95,
                                                "input_file": {
                                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 95
                                            },
                                            "While trying to retrieve the implicit argument 'hash_ptr' in:"
                                        ],
                                        "start_col": 25,
                                        "start_line": 87
                                    },
                                    "While expanding the reference 'hash_ptr' in:"
                                ],
                                "start_col": 18,
                                "start_line": 90
                            },
                            "While trying to update the implicit return value 'hash_ptr' in:"
                        ],
                        "start_col": 12,
                        "start_line": 13
                    }
                },
                "203": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_single"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 18,
                            "offset": 13
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_single.__fp__": 108,
                            "starkware.cairo.common.hash_state.hash_update_single.__temp19": 110,
                            "starkware.cairo.common.hash_state.hash_update_single.hash": 107,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": 106,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": 103,
                            "starkware.cairo.common.hash_state.hash_update_single.item": 104,
                            "starkware.cairo.common.hash_state.hash_update_single.new_hash_state": 109
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 25,
                        "end_line": 92,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 47,
                                "end_line": 95,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                },
                                "start_col": 33,
                                "start_line": 95
                            },
                            "While expanding the reference 'new_hash_state' in:"
                        ],
                        "start_col": 11,
                        "start_line": 92
                    }
                },
                "204": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_update_single"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 18,
                            "offset": 14
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_update_single.__fp__": 108,
                            "starkware.cairo.common.hash_state.hash_update_single.__temp19": 110,
                            "starkware.cairo.common.hash_state.hash_update_single.hash": 107,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": 106,
                            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": 103,
                            "starkware.cairo.common.hash_state.hash_update_single.item": 104,
                            "starkware.cairo.common.hash_state.hash_update_single.new_hash_state": 109
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 95,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 95
                    }
                },
                "205": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_finalize"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 19,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_finalize.hash_ptr": 112,
                            "starkware.cairo.common.hash_state.hash_finalize.hash_state_ptr": 111
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 99,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 35,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 74,
                                        "end_line": 100,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                        },
                                        "start_col": 12,
                                        "start_line": 100
                                    },
                                    "While trying to retrieve the implicit argument 'hash_ptr' in:"
                                ],
                                "start_col": 12,
                                "start_line": 13
                            },
                            "While expanding the reference 'hash_ptr' in:"
                        ],
                        "start_col": 20,
                        "start_line": 99
                    }
                },
                "206": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_finalize"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 19,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_finalize.hash_ptr": 112,
                            "starkware.cairo.common.hash_state.hash_finalize.hash_state_ptr": 111
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 47,
                        "end_line": 100,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 20,
                        "start_line": 100
                    }
                },
                "207": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_finalize"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 19,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_finalize.hash_ptr": 112,
                            "starkware.cairo.common.hash_state.hash_finalize.hash_state_ptr": 111
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 73,
                        "end_line": 100,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 51,
                        "start_line": 100
                    }
                },
                "208": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_finalize"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 19,
                            "offset": 3
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_finalize.hash_ptr": 112,
                            "starkware.cairo.common.hash_state.hash_finalize.hash_state_ptr": 111
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 74,
                        "end_line": 100,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 12,
                        "start_line": 100
                    }
                },
                "210": {
                    "accessible_scopes": [
                        "starkware.cairo.common.hash_state",
                        "starkware.cairo.common.hash_state.hash_finalize"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 19,
                            "offset": 7
                        },
                        "reference_ids": {
                            "starkware.cairo.common.hash_state.hash_finalize.hash_ptr": 113,
                            "starkware.cairo.common.hash_state.hash_finalize.hash_state_ptr": 111
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 74,
                        "end_line": 100,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "start_col": 5,
                        "start_line": 100
                    }
                },
                "211": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 20,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id": 114,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr": 115,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr": 116,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res": 117
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 48,
                                "end_line": 9,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "start_col": 36,
                                "start_line": 9
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 7
                    }
                },
                "212": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 20,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id": 114,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr": 115,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr": 116,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res": 117
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 94,
                        "end_line": 8,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 53,
                                "end_line": 9,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "start_col": 50,
                                "start_line": 9
                            },
                            "While expanding the reference 'res' in:"
                        ],
                        "start_col": 19,
                        "start_line": 8
                    }
                },
                "214": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 20,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id": 114,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr": 115,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr": 116,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res": 117
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 84,
                        "end_line": 9,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "start_col": 55,
                        "start_line": 9
                    }
                },
                "215": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 20,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id": 114,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr": 115,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr": 116,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res": 117
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 85,
                        "end_line": 9,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "start_col": 21,
                        "start_line": 9
                    }
                },
                "217": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 20,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id": 114,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr": 118,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr": 116,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res": 119
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 39,
                                "end_line": 12,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 48,
                                        "end_line": 10,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                        },
                                        "start_col": 21,
                                        "start_line": 10
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 24,
                                "start_line": 12
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 44,
                        "start_line": 7
                    }
                },
                "218": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 20,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id": 114,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr": 118,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr": 116,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res": 119
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 9,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 47,
                                "end_line": 10,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "start_col": 44,
                                "start_line": 10
                            },
                            "While expanding the reference 'res' in:"
                        ],
                        "start_col": 14,
                        "start_line": 9
                    }
                },
                "219": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 20,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id": 114,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr": 118,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr": 116,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res": 119
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 10,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "start_col": 21,
                        "start_line": 10
                    }
                },
                "221": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 20,
                            "offset": 36
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id": 114,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr": 118,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr": 120,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res": 121
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 9,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 42,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 25,
                                        "end_line": 11,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 11
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 7
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 36,
                        "start_line": 9
                    }
                },
                "222": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 20,
                            "offset": 37
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id": 114,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr": 118,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr": 120,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res": 121
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 12,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/storage.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 48,
                                "end_line": 10,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 59,
                                        "end_line": 7,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 25,
                                                "end_line": 11,
                                                "input_file": {
                                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 11
                                            },
                                            "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                        ],
                                        "start_col": 44,
                                        "start_line": 7
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 21,
                                "start_line": 10
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 24,
                        "start_line": 12
                    }
                },
                "223": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 20,
                            "offset": 38
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id": 114,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr": 118,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr": 120,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res": 121
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 10,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 11,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "start_col": 21,
                                "start_line": 11
                            },
                            "While expanding the reference 'res' in:"
                        ],
                        "start_col": 14,
                        "start_line": 10
                    }
                },
                "224": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 20,
                            "offset": 39
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id": 114,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr": 118,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr": 120,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res": 121
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 25,
                        "end_line": 11,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "start_col": 9,
                        "start_line": 11
                    }
                },
                "225": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 21,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": 122,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": 124,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": 125,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": 123
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 14,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 42,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 48,
                                        "end_line": 16,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                        },
                                        "start_col": 30,
                                        "start_line": 16
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 7
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 36,
                        "start_line": 14
                    }
                },
                "226": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 21,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": 122,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": 124,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": 125,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": 123
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 80,
                        "end_line": 14,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 59,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 48,
                                        "end_line": 16,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                        },
                                        "start_col": 30,
                                        "start_line": 16
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 44,
                                "start_line": 7
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 65,
                        "start_line": 14
                    }
                },
                "227": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 21,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": 122,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": 124,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": 125,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": 123
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 32,
                        "end_line": 15,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 47,
                                "end_line": 16,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "start_col": 35,
                                "start_line": 16
                            },
                            "While expanding the reference 'interface_id' in:"
                        ],
                        "start_col": 13,
                        "start_line": 15
                    }
                },
                "228": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 21,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": 122,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": 124,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": 125,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": 123
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 16,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "start_col": 30,
                        "start_line": 16
                    }
                },
                "230": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 21,
                            "offset": 44
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": 122,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": 126,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": 127,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.storage_addr": 128,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": 123
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 34,
                        "end_line": 14,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 38,
                                "end_line": 264,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 75,
                                        "end_line": 17,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                        },
                                        "start_col": 37,
                                        "start_line": 17
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 19,
                                "start_line": 264
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 14
                    }
                },
                "231": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 21,
                            "offset": 45
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": 122,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": 126,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": 127,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.storage_addr": 128,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": 123
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 16,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 70,
                                "end_line": 17,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "start_col": 58,
                                "start_line": 17
                            },
                            "While expanding the reference 'storage_addr' in:"
                        ],
                        "start_col": 14,
                        "start_line": 16
                    }
                },
                "232": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 21,
                            "offset": 46
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": 122,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": 126,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": 127,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.storage_addr": 128,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": 123
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 75,
                        "end_line": 17,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "start_col": 37,
                        "start_line": 17
                    }
                },
                "234": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 21,
                            "offset": 51
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.__storage_var_temp0": 130,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": 122,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": 126,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": 127,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.storage_addr": 128,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": 129
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 264,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 75,
                                "end_line": 17,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 42,
                                        "end_line": 19,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                        },
                                        "start_col": 31,
                                        "start_line": 19
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 37,
                                "start_line": 17
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 19,
                        "start_line": 264
                    }
                },
                "235": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 21,
                            "offset": 52
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.__storage_var_temp0": 130,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": 122,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": 126,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": 127,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.storage_addr": 128,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": 131
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 48,
                                "end_line": 16,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 44,
                                        "end_line": 20,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                        },
                                        "start_col": 32,
                                        "start_line": 20
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 16
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 7
                    }
                },
                "236": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 21,
                            "offset": 53
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.__storage_var_temp0": 130,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": 122,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": 132,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": 127,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.storage_addr": 128,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": 131
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 48,
                                "end_line": 16,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 50,
                                        "end_line": 21,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                        },
                                        "start_col": 35,
                                        "start_line": 21
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 16
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 44,
                        "start_line": 7
                    }
                },
                "237": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 21,
                            "offset": 54
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.__storage_var_temp0": 130,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": 122,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": 132,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": 133,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.storage_addr": 128,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": 131
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 33,
                        "end_line": 17,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 65,
                                "end_line": 22,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "start_col": 46,
                                "start_line": 22
                            },
                            "While expanding the reference '__storage_var_temp0' in:"
                        ],
                        "start_col": 14,
                        "start_line": 17
                    }
                },
                "238": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 21,
                            "offset": 55
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.__storage_var_temp0": 134,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": 122,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": 132,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": 133,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.storage_addr": 128,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": 131
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 53,
                        "end_line": 23,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "start_col": 9,
                        "start_line": 23
                    }
                },
                "239": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 22,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id": 135,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr": 138,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr": 139,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr": 137,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value": 136
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 26,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 42,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 48,
                                        "end_line": 28,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                        },
                                        "start_col": 30,
                                        "start_line": 28
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 7
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 37,
                        "start_line": 26
                    }
                },
                "240": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 22,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id": 135,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr": 138,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr": 139,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr": 137,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value": 136
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 26,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 59,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 48,
                                        "end_line": 28,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                        },
                                        "start_col": 30,
                                        "start_line": 28
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 44,
                                "start_line": 7
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 66,
                        "start_line": 26
                    }
                },
                "241": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 22,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id": 135,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr": 138,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr": 139,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr": 137,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value": 136
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 32,
                        "end_line": 27,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 47,
                                "end_line": 28,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "start_col": 35,
                                "start_line": 28
                            },
                            "While expanding the reference 'interface_id' in:"
                        ],
                        "start_col": 13,
                        "start_line": 27
                    }
                },
                "242": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 22,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id": 135,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr": 138,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr": 139,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr": 137,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value": 136
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 28,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "start_col": 30,
                        "start_line": 28
                    }
                },
                "244": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 22,
                            "offset": 44
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id": 135,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr": 140,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr": 141,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.storage_addr": 142,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr": 137,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value": 136
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 26,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 39,
                                "end_line": 282,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 29,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 29
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 20,
                                "start_line": 282
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 16,
                        "start_line": 26
                    }
                },
                "245": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 22,
                            "offset": 45
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id": 135,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr": 140,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr": 141,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.storage_addr": 142,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr": 137,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value": 136
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 28,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 43,
                                "end_line": 29,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "start_col": 31,
                                "start_line": 29
                            },
                            "While expanding the reference 'storage_addr' in:"
                        ],
                        "start_col": 14,
                        "start_line": 28
                    }
                },
                "246": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 22,
                            "offset": 46
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id": 135,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr": 140,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr": 141,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.storage_addr": 142,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr": 137,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value": 136
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 79,
                        "end_line": 29,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "start_col": 55,
                        "start_line": 29
                    }
                },
                "247": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 22,
                            "offset": 47
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id": 135,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr": 140,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr": 141,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.storage_addr": 142,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr": 137,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value": 136
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 80,
                        "end_line": 29,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "start_col": 9,
                        "start_line": 29
                    }
                },
                "249": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 22,
                            "offset": 51
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id": 135,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr": 140,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr": 141,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.storage_addr": 142,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr": 143,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value": 136
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 48,
                                "end_line": 28,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 64,
                                        "end_line": 20,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 18,
                                                "end_line": 30,
                                                "input_file": {
                                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 30
                                            },
                                            "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                        ],
                                        "start_col": 37,
                                        "start_line": 20
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 28
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 7
                    }
                },
                "250": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 22,
                            "offset": 52
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id": 135,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr": 140,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr": 141,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.storage_addr": 142,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr": 143,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value": 136
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 48,
                                "end_line": 28,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 81,
                                        "end_line": 20,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 18,
                                                "end_line": 30,
                                                "input_file": {
                                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 30
                                            },
                                            "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                        ],
                                        "start_col": 66,
                                        "start_line": 20
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 28
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 44,
                        "start_line": 7
                    }
                },
                "251": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces",
                        "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 22,
                            "offset": 53
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id": 135,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr": 140,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr": 141,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.storage_addr": 142,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr": 143,
                            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value": 136
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 18,
                        "end_line": 30,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/impl.cairo"
                        },
                        "start_col": 9,
                        "start_line": 30
                    }
                },
                "252": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 146,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 147,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 145
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 34,
                        "end_line": 21,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "start_col": 8,
                        "start_line": 21
                    }
                },
                "254": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": 148,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 146,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 147,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 145
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 7,
                        "end_line": 21,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "start_col": 5,
                        "start_line": 21
                    }
                },
                "256": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": 148,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 146,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 147,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 145
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 16,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 27,
                                "end_line": 16,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 22,
                                        "end_line": 22,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 22
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 16
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 16
                    }
                },
                "257": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": 148,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 146,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 147,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 145
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 17,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 35,
                                "end_line": 17,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 22,
                                        "end_line": 22,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 22
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 17
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 17
                    }
                },
                "258": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": 148,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 146,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 147,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 145
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 18,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 18,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 22,
                                        "end_line": 22,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 22
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 18
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 18
                    }
                },
                "259": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 4
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": 148,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 146,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 147,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 145
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 22,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "start_col": 17,
                        "start_line": 22
                    }
                },
                "261": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 5
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": 148,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 146,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 147,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 145
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 22,
                        "end_line": 22,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "start_col": 9,
                        "start_line": 22
                    }
                },
                "262": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": 148,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 146,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 147,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 145
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 16,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 34,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 26,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                        },
                                        "start_col": 26,
                                        "start_line": 26
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 13
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 16
                    }
                },
                "263": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": 148,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 146,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 147,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 145
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 17,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 63,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 26,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                        },
                                        "start_col": 26,
                                        "start_line": 26
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 36,
                                "start_line": 13
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 17
                    }
                },
                "264": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": 148,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 146,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 147,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 145
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 18,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 80,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 26,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                        },
                                        "start_col": 26,
                                        "start_line": 26
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 65,
                                "start_line": 13
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 18
                    }
                },
                "265": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 4
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": 148,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 146,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 147,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 145
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 19,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 71,
                                "end_line": 26,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                },
                                "start_col": 59,
                                "start_line": 26
                            },
                            "While expanding the reference 'interface_id' in:"
                        ],
                        "start_col": 8,
                        "start_line": 19
                    }
                },
                "266": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 5
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": 148,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 146,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 147,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 145
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 72,
                        "end_line": 26,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "start_col": 26,
                        "start_line": 26
                    }
                },
                "268": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_supports_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 23,
                            "offset": 62
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": 148,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": 144,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.is_supported": 152,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": 150,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": 151,
                            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": 149
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 27,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "start_col": 5,
                        "start_line": 27
                    }
                },
                "269": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_register_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 24,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.interface_id": 153,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.pedersen_ptr": 155,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.range_check_ptr": 156,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.syscall_ptr": 154
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 34,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 34,
                                "end_line": 36,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                },
                                "start_col": 22,
                                "start_line": 36
                            },
                            "While expanding the reference 'interface_id' in:"
                        ],
                        "start_col": 8,
                        "start_line": 34
                    }
                },
                "270": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_register_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 24,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.interface_id": 153,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.pedersen_ptr": 155,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.range_check_ptr": 156,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.syscall_ptr": 154
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 46,
                        "end_line": 36,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "start_col": 36,
                        "start_line": 36
                    }
                },
                "272": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_register_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 24,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.interface_id": 153,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.pedersen_ptr": 155,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.range_check_ptr": 156,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.syscall_ptr": 154
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 47,
                        "end_line": 36,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "start_col": 5,
                        "start_line": 36
                    }
                },
                "274": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_register_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 24,
                            "offset": 5
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.interface_id": 153,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.pedersen_ptr": 155,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.range_check_ptr": 156,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.syscall_ptr": 154
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 31,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 35,
                                "end_line": 20,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 58,
                                        "end_line": 37,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 37
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 16,
                                "start_line": 20
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 31
                    }
                },
                "275": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_register_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 24,
                            "offset": 6
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.interface_id": 153,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.pedersen_ptr": 155,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.range_check_ptr": 156,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.syscall_ptr": 154
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 32,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 64,
                                "end_line": 20,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 58,
                                        "end_line": 37,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 37
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 37,
                                "start_line": 20
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 32
                    }
                },
                "276": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_register_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 24,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.interface_id": 153,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.pedersen_ptr": 155,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.range_check_ptr": 156,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.syscall_ptr": 154
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 33,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 81,
                                "end_line": 20,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/ERC165_supported_interfaces/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 58,
                                        "end_line": 37,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 37
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 66,
                                "start_line": 20
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 33
                    }
                },
                "277": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_register_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 24,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.interface_id": 153,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.pedersen_ptr": 155,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.range_check_ptr": 156,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.syscall_ptr": 154
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 34,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 51,
                                "end_line": 37,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                },
                                "start_col": 39,
                                "start_line": 37
                            },
                            "While expanding the reference 'interface_id' in:"
                        ],
                        "start_col": 8,
                        "start_line": 34
                    }
                },
                "278": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_register_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 24,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.interface_id": 153,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.pedersen_ptr": 155,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.range_check_ptr": 156,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.syscall_ptr": 154
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 37,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "start_col": 53,
                        "start_line": 37
                    }
                },
                "280": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_register_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 24,
                            "offset": 10
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.interface_id": 153,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.pedersen_ptr": 155,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.range_check_ptr": 156,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.syscall_ptr": 154
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 58,
                        "end_line": 37,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "start_col": 5,
                        "start_line": 37
                    }
                },
                "282": {
                    "accessible_scopes": [
                        "openzeppelin.introspection.ERC165",
                        "openzeppelin.introspection.ERC165.ERC165_register_interface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 24,
                            "offset": 65
                        },
                        "reference_ids": {
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.interface_id": 153,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.pedersen_ptr": 158,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.range_check_ptr": 159,
                            "openzeppelin.introspection.ERC165.ERC165_register_interface.syscall_ptr": 157
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 38,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                        },
                        "start_col": 5,
                        "start_line": 38
                    }
                },
                "283": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 25,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.addr.pedersen_ptr": 160,
                            "openzeppelin.account.library.Account_current_nonce.addr.range_check_ptr": 161,
                            "openzeppelin.account.library.Account_current_nonce.addr.res": 162
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 42,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 25,
                                        "end_line": 9,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 9
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 7
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 7
                    }
                },
                "284": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 25,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.addr.pedersen_ptr": 160,
                            "openzeppelin.account.library.Account_current_nonce.addr.range_check_ptr": 161,
                            "openzeppelin.account.library.Account_current_nonce.addr.res": 162
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 59,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 25,
                                        "end_line": 9,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 9
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 44,
                                "start_line": 7
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 44,
                        "start_line": 7
                    }
                },
                "285": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 25,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.addr.pedersen_ptr": 160,
                            "openzeppelin.account.library.Account_current_nonce.addr.range_check_ptr": 161,
                            "openzeppelin.account.library.Account_current_nonce.addr.res": 162
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 94,
                        "end_line": 8,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 9,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                },
                                "start_col": 21,
                                "start_line": 9
                            },
                            "While expanding the reference 'res' in:"
                        ],
                        "start_col": 19,
                        "start_line": 8
                    }
                },
                "287": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 25,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.addr.pedersen_ptr": 160,
                            "openzeppelin.account.library.Account_current_nonce.addr.range_check_ptr": 161,
                            "openzeppelin.account.library.Account_current_nonce.addr.res": 162
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 25,
                        "end_line": 9,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "start_col": 9,
                        "start_line": 9
                    }
                },
                "288": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 26,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr": 164,
                            "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr": 165,
                            "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr": 163
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 12,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 42,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 13,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                        },
                                        "start_col": 30,
                                        "start_line": 13
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 7
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 36,
                        "start_line": 12
                    }
                },
                "289": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 26,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr": 164,
                            "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr": 165,
                            "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr": 163
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 80,
                        "end_line": 12,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 59,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 13,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                        },
                                        "start_col": 30,
                                        "start_line": 13
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 44,
                                "start_line": 7
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 65,
                        "start_line": 12
                    }
                },
                "290": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 26,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr": 164,
                            "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr": 165,
                            "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr": 163
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "start_col": 30,
                        "start_line": 13
                    }
                },
                "292": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 26,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr": 166,
                            "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr": 167,
                            "openzeppelin.account.library.Account_current_nonce.read.storage_addr": 168,
                            "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr": 163
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 34,
                        "end_line": 12,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 38,
                                "end_line": 264,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 75,
                                        "end_line": 14,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                        },
                                        "start_col": 37,
                                        "start_line": 14
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 19,
                                "start_line": 264
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 12
                    }
                },
                "293": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 26,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr": 166,
                            "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr": 167,
                            "openzeppelin.account.library.Account_current_nonce.read.storage_addr": 168,
                            "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr": 163
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 70,
                                "end_line": 14,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                },
                                "start_col": 58,
                                "start_line": 14
                            },
                            "While expanding the reference 'storage_addr' in:"
                        ],
                        "start_col": 14,
                        "start_line": 13
                    }
                },
                "294": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 26,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr": 166,
                            "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr": 167,
                            "openzeppelin.account.library.Account_current_nonce.read.storage_addr": 168,
                            "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr": 163
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 75,
                        "end_line": 14,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "start_col": 37,
                        "start_line": 14
                    }
                },
                "296": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 26,
                            "offset": 14
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.read.__storage_var_temp0": 170,
                            "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr": 166,
                            "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr": 167,
                            "openzeppelin.account.library.Account_current_nonce.read.storage_addr": 168,
                            "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr": 169
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 264,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 75,
                                "end_line": 14,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 42,
                                        "end_line": 16,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                        },
                                        "start_col": 31,
                                        "start_line": 16
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 37,
                                "start_line": 14
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 19,
                        "start_line": 264
                    }
                },
                "297": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 26,
                            "offset": 15
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.read.__storage_var_temp0": 170,
                            "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr": 166,
                            "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr": 167,
                            "openzeppelin.account.library.Account_current_nonce.read.storage_addr": 168,
                            "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr": 171
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 44,
                                        "end_line": 17,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                        },
                                        "start_col": 32,
                                        "start_line": 17
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 13
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 7
                    }
                },
                "298": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 26,
                            "offset": 16
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.read.__storage_var_temp0": 170,
                            "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr": 172,
                            "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr": 167,
                            "openzeppelin.account.library.Account_current_nonce.read.storage_addr": 168,
                            "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr": 171
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 50,
                                        "end_line": 18,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                        },
                                        "start_col": 35,
                                        "start_line": 18
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 13
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 44,
                        "start_line": 7
                    }
                },
                "299": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 26,
                            "offset": 17
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.read.__storage_var_temp0": 170,
                            "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr": 172,
                            "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr": 173,
                            "openzeppelin.account.library.Account_current_nonce.read.storage_addr": 168,
                            "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr": 171
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 33,
                        "end_line": 14,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 65,
                                "end_line": 19,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                },
                                "start_col": 46,
                                "start_line": 19
                            },
                            "While expanding the reference '__storage_var_temp0' in:"
                        ],
                        "start_col": 14,
                        "start_line": 14
                    }
                },
                "300": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 26,
                            "offset": 18
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.read.__storage_var_temp0": 174,
                            "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr": 172,
                            "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr": 173,
                            "openzeppelin.account.library.Account_current_nonce.read.storage_addr": 168,
                            "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr": 171
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 53,
                        "end_line": 20,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "start_col": 9,
                        "start_line": 20
                    }
                },
                "301": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 27,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.write.pedersen_ptr": 177,
                            "openzeppelin.account.library.Account_current_nonce.write.range_check_ptr": 178,
                            "openzeppelin.account.library.Account_current_nonce.write.syscall_ptr": 176,
                            "openzeppelin.account.library.Account_current_nonce.write.value": 175
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 23,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 42,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 24,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                        },
                                        "start_col": 30,
                                        "start_line": 24
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 7
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 37,
                        "start_line": 23
                    }
                },
                "302": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 27,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.write.pedersen_ptr": 177,
                            "openzeppelin.account.library.Account_current_nonce.write.range_check_ptr": 178,
                            "openzeppelin.account.library.Account_current_nonce.write.syscall_ptr": 176,
                            "openzeppelin.account.library.Account_current_nonce.write.value": 175
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 23,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 59,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 24,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                        },
                                        "start_col": 30,
                                        "start_line": 24
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 44,
                                "start_line": 7
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 66,
                        "start_line": 23
                    }
                },
                "303": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 27,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.write.pedersen_ptr": 177,
                            "openzeppelin.account.library.Account_current_nonce.write.range_check_ptr": 178,
                            "openzeppelin.account.library.Account_current_nonce.write.syscall_ptr": 176,
                            "openzeppelin.account.library.Account_current_nonce.write.value": 175
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 24,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "start_col": 30,
                        "start_line": 24
                    }
                },
                "305": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 27,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.write.pedersen_ptr": 179,
                            "openzeppelin.account.library.Account_current_nonce.write.range_check_ptr": 180,
                            "openzeppelin.account.library.Account_current_nonce.write.storage_addr": 181,
                            "openzeppelin.account.library.Account_current_nonce.write.syscall_ptr": 176,
                            "openzeppelin.account.library.Account_current_nonce.write.value": 175
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 23,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 39,
                                "end_line": 282,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 25,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 25
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 20,
                                "start_line": 282
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 16,
                        "start_line": 23
                    }
                },
                "306": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 27,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.write.pedersen_ptr": 179,
                            "openzeppelin.account.library.Account_current_nonce.write.range_check_ptr": 180,
                            "openzeppelin.account.library.Account_current_nonce.write.storage_addr": 181,
                            "openzeppelin.account.library.Account_current_nonce.write.syscall_ptr": 176,
                            "openzeppelin.account.library.Account_current_nonce.write.value": 175
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 24,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 43,
                                "end_line": 25,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                },
                                "start_col": 31,
                                "start_line": 25
                            },
                            "While expanding the reference 'storage_addr' in:"
                        ],
                        "start_col": 14,
                        "start_line": 24
                    }
                },
                "307": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 27,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.write.pedersen_ptr": 179,
                            "openzeppelin.account.library.Account_current_nonce.write.range_check_ptr": 180,
                            "openzeppelin.account.library.Account_current_nonce.write.storage_addr": 181,
                            "openzeppelin.account.library.Account_current_nonce.write.syscall_ptr": 176,
                            "openzeppelin.account.library.Account_current_nonce.write.value": 175
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 79,
                        "end_line": 25,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "start_col": 55,
                        "start_line": 25
                    }
                },
                "308": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 27,
                            "offset": 10
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.write.pedersen_ptr": 179,
                            "openzeppelin.account.library.Account_current_nonce.write.range_check_ptr": 180,
                            "openzeppelin.account.library.Account_current_nonce.write.storage_addr": 181,
                            "openzeppelin.account.library.Account_current_nonce.write.syscall_ptr": 176,
                            "openzeppelin.account.library.Account_current_nonce.write.value": 175
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 80,
                        "end_line": 25,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "start_col": 9,
                        "start_line": 25
                    }
                },
                "310": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 27,
                            "offset": 14
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.write.pedersen_ptr": 179,
                            "openzeppelin.account.library.Account_current_nonce.write.range_check_ptr": 180,
                            "openzeppelin.account.library.Account_current_nonce.write.storage_addr": 181,
                            "openzeppelin.account.library.Account_current_nonce.write.syscall_ptr": 182,
                            "openzeppelin.account.library.Account_current_nonce.write.value": 175
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 64,
                                        "end_line": 19,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 18,
                                                "end_line": 26,
                                                "input_file": {
                                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 26
                                            },
                                            "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                        ],
                                        "start_col": 37,
                                        "start_line": 19
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 24
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 7
                    }
                },
                "311": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 27,
                            "offset": 15
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.write.pedersen_ptr": 179,
                            "openzeppelin.account.library.Account_current_nonce.write.range_check_ptr": 180,
                            "openzeppelin.account.library.Account_current_nonce.write.storage_addr": 181,
                            "openzeppelin.account.library.Account_current_nonce.write.syscall_ptr": 182,
                            "openzeppelin.account.library.Account_current_nonce.write.value": 175
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 81,
                                        "end_line": 19,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 18,
                                                "end_line": 26,
                                                "input_file": {
                                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 26
                                            },
                                            "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                        ],
                                        "start_col": 66,
                                        "start_line": 19
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 24
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 44,
                        "start_line": 7
                    }
                },
                "312": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_current_nonce",
                        "openzeppelin.account.library.Account_current_nonce.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 27,
                            "offset": 16
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_current_nonce.write.pedersen_ptr": 179,
                            "openzeppelin.account.library.Account_current_nonce.write.range_check_ptr": 180,
                            "openzeppelin.account.library.Account_current_nonce.write.storage_addr": 181,
                            "openzeppelin.account.library.Account_current_nonce.write.syscall_ptr": 182,
                            "openzeppelin.account.library.Account_current_nonce.write.value": 175
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 18,
                        "end_line": 26,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/impl.cairo"
                        },
                        "start_col": 9,
                        "start_line": 26
                    }
                },
                "313": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 28,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.addr.pedersen_ptr": 183,
                            "openzeppelin.account.library.Account_public_key.addr.range_check_ptr": 184,
                            "openzeppelin.account.library.Account_public_key.addr.res": 185
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 42,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 25,
                                        "end_line": 9,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 9
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 7
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 7
                    }
                },
                "314": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 28,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.addr.pedersen_ptr": 183,
                            "openzeppelin.account.library.Account_public_key.addr.range_check_ptr": 184,
                            "openzeppelin.account.library.Account_public_key.addr.res": 185
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 59,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 25,
                                        "end_line": 9,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 9
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 44,
                                "start_line": 7
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 44,
                        "start_line": 7
                    }
                },
                "315": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 28,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.addr.pedersen_ptr": 183,
                            "openzeppelin.account.library.Account_public_key.addr.range_check_ptr": 184,
                            "openzeppelin.account.library.Account_public_key.addr.res": 185
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 94,
                        "end_line": 8,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 9,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                },
                                "start_col": 21,
                                "start_line": 9
                            },
                            "While expanding the reference 'res' in:"
                        ],
                        "start_col": 19,
                        "start_line": 8
                    }
                },
                "317": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.addr"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 28,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.addr.pedersen_ptr": 183,
                            "openzeppelin.account.library.Account_public_key.addr.range_check_ptr": 184,
                            "openzeppelin.account.library.Account_public_key.addr.res": 185
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 25,
                        "end_line": 9,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "start_col": 9,
                        "start_line": 9
                    }
                },
                "318": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 29,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.read.pedersen_ptr": 187,
                            "openzeppelin.account.library.Account_public_key.read.range_check_ptr": 188,
                            "openzeppelin.account.library.Account_public_key.read.syscall_ptr": 186
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 12,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 42,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 13,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                        },
                                        "start_col": 30,
                                        "start_line": 13
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 7
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 36,
                        "start_line": 12
                    }
                },
                "319": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 29,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.read.pedersen_ptr": 187,
                            "openzeppelin.account.library.Account_public_key.read.range_check_ptr": 188,
                            "openzeppelin.account.library.Account_public_key.read.syscall_ptr": 186
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 80,
                        "end_line": 12,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 59,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 13,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                        },
                                        "start_col": 30,
                                        "start_line": 13
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 44,
                                "start_line": 7
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 65,
                        "start_line": 12
                    }
                },
                "320": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 29,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.read.pedersen_ptr": 187,
                            "openzeppelin.account.library.Account_public_key.read.range_check_ptr": 188,
                            "openzeppelin.account.library.Account_public_key.read.syscall_ptr": 186
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "start_col": 30,
                        "start_line": 13
                    }
                },
                "322": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 29,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.read.pedersen_ptr": 189,
                            "openzeppelin.account.library.Account_public_key.read.range_check_ptr": 190,
                            "openzeppelin.account.library.Account_public_key.read.storage_addr": 191,
                            "openzeppelin.account.library.Account_public_key.read.syscall_ptr": 186
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 34,
                        "end_line": 12,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 38,
                                "end_line": 264,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 75,
                                        "end_line": 14,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                        },
                                        "start_col": 37,
                                        "start_line": 14
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 19,
                                "start_line": 264
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 12
                    }
                },
                "323": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 29,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.read.pedersen_ptr": 189,
                            "openzeppelin.account.library.Account_public_key.read.range_check_ptr": 190,
                            "openzeppelin.account.library.Account_public_key.read.storage_addr": 191,
                            "openzeppelin.account.library.Account_public_key.read.syscall_ptr": 186
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 70,
                                "end_line": 14,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                },
                                "start_col": 58,
                                "start_line": 14
                            },
                            "While expanding the reference 'storage_addr' in:"
                        ],
                        "start_col": 14,
                        "start_line": 13
                    }
                },
                "324": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 29,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.read.pedersen_ptr": 189,
                            "openzeppelin.account.library.Account_public_key.read.range_check_ptr": 190,
                            "openzeppelin.account.library.Account_public_key.read.storage_addr": 191,
                            "openzeppelin.account.library.Account_public_key.read.syscall_ptr": 186
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 75,
                        "end_line": 14,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "start_col": 37,
                        "start_line": 14
                    }
                },
                "326": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 29,
                            "offset": 14
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.read.__storage_var_temp0": 193,
                            "openzeppelin.account.library.Account_public_key.read.pedersen_ptr": 189,
                            "openzeppelin.account.library.Account_public_key.read.range_check_ptr": 190,
                            "openzeppelin.account.library.Account_public_key.read.storage_addr": 191,
                            "openzeppelin.account.library.Account_public_key.read.syscall_ptr": 192
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 264,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 75,
                                "end_line": 14,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 42,
                                        "end_line": 16,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                        },
                                        "start_col": 31,
                                        "start_line": 16
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 37,
                                "start_line": 14
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 19,
                        "start_line": 264
                    }
                },
                "327": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 29,
                            "offset": 15
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.read.__storage_var_temp0": 193,
                            "openzeppelin.account.library.Account_public_key.read.pedersen_ptr": 189,
                            "openzeppelin.account.library.Account_public_key.read.range_check_ptr": 190,
                            "openzeppelin.account.library.Account_public_key.read.storage_addr": 191,
                            "openzeppelin.account.library.Account_public_key.read.syscall_ptr": 194
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 44,
                                        "end_line": 17,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                        },
                                        "start_col": 32,
                                        "start_line": 17
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 13
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 7
                    }
                },
                "328": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 29,
                            "offset": 16
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.read.__storage_var_temp0": 193,
                            "openzeppelin.account.library.Account_public_key.read.pedersen_ptr": 195,
                            "openzeppelin.account.library.Account_public_key.read.range_check_ptr": 190,
                            "openzeppelin.account.library.Account_public_key.read.storage_addr": 191,
                            "openzeppelin.account.library.Account_public_key.read.syscall_ptr": 194
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 50,
                                        "end_line": 18,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                        },
                                        "start_col": 35,
                                        "start_line": 18
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 13
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 44,
                        "start_line": 7
                    }
                },
                "329": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 29,
                            "offset": 17
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.read.__storage_var_temp0": 193,
                            "openzeppelin.account.library.Account_public_key.read.pedersen_ptr": 195,
                            "openzeppelin.account.library.Account_public_key.read.range_check_ptr": 196,
                            "openzeppelin.account.library.Account_public_key.read.storage_addr": 191,
                            "openzeppelin.account.library.Account_public_key.read.syscall_ptr": 194
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 33,
                        "end_line": 14,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 65,
                                "end_line": 19,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                },
                                "start_col": 46,
                                "start_line": 19
                            },
                            "While expanding the reference '__storage_var_temp0' in:"
                        ],
                        "start_col": 14,
                        "start_line": 14
                    }
                },
                "330": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.read"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 29,
                            "offset": 18
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.read.__storage_var_temp0": 197,
                            "openzeppelin.account.library.Account_public_key.read.pedersen_ptr": 195,
                            "openzeppelin.account.library.Account_public_key.read.range_check_ptr": 196,
                            "openzeppelin.account.library.Account_public_key.read.storage_addr": 191,
                            "openzeppelin.account.library.Account_public_key.read.syscall_ptr": 194
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 53,
                        "end_line": 20,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "start_col": 9,
                        "start_line": 20
                    }
                },
                "331": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 30,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.write.pedersen_ptr": 200,
                            "openzeppelin.account.library.Account_public_key.write.range_check_ptr": 201,
                            "openzeppelin.account.library.Account_public_key.write.syscall_ptr": 199,
                            "openzeppelin.account.library.Account_public_key.write.value": 198
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 23,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 42,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 24,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                        },
                                        "start_col": 30,
                                        "start_line": 24
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 7
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 37,
                        "start_line": 23
                    }
                },
                "332": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 30,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.write.pedersen_ptr": 200,
                            "openzeppelin.account.library.Account_public_key.write.range_check_ptr": 201,
                            "openzeppelin.account.library.Account_public_key.write.syscall_ptr": 199,
                            "openzeppelin.account.library.Account_public_key.write.value": 198
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 23,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 59,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 24,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                        },
                                        "start_col": 30,
                                        "start_line": 24
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 44,
                                "start_line": 7
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 66,
                        "start_line": 23
                    }
                },
                "333": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 30,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.write.pedersen_ptr": 200,
                            "openzeppelin.account.library.Account_public_key.write.range_check_ptr": 201,
                            "openzeppelin.account.library.Account_public_key.write.syscall_ptr": 199,
                            "openzeppelin.account.library.Account_public_key.write.value": 198
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 24,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "start_col": 30,
                        "start_line": 24
                    }
                },
                "335": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 30,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.write.pedersen_ptr": 202,
                            "openzeppelin.account.library.Account_public_key.write.range_check_ptr": 203,
                            "openzeppelin.account.library.Account_public_key.write.storage_addr": 204,
                            "openzeppelin.account.library.Account_public_key.write.syscall_ptr": 199,
                            "openzeppelin.account.library.Account_public_key.write.value": 198
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 23,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 39,
                                "end_line": 282,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 25,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 25
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 20,
                                "start_line": 282
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 16,
                        "start_line": 23
                    }
                },
                "336": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 30,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.write.pedersen_ptr": 202,
                            "openzeppelin.account.library.Account_public_key.write.range_check_ptr": 203,
                            "openzeppelin.account.library.Account_public_key.write.storage_addr": 204,
                            "openzeppelin.account.library.Account_public_key.write.syscall_ptr": 199,
                            "openzeppelin.account.library.Account_public_key.write.value": 198
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 24,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 43,
                                "end_line": 25,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                },
                                "start_col": 31,
                                "start_line": 25
                            },
                            "While expanding the reference 'storage_addr' in:"
                        ],
                        "start_col": 14,
                        "start_line": 24
                    }
                },
                "337": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 30,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.write.pedersen_ptr": 202,
                            "openzeppelin.account.library.Account_public_key.write.range_check_ptr": 203,
                            "openzeppelin.account.library.Account_public_key.write.storage_addr": 204,
                            "openzeppelin.account.library.Account_public_key.write.syscall_ptr": 199,
                            "openzeppelin.account.library.Account_public_key.write.value": 198
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 79,
                        "end_line": 25,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "start_col": 55,
                        "start_line": 25
                    }
                },
                "338": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 30,
                            "offset": 10
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.write.pedersen_ptr": 202,
                            "openzeppelin.account.library.Account_public_key.write.range_check_ptr": 203,
                            "openzeppelin.account.library.Account_public_key.write.storage_addr": 204,
                            "openzeppelin.account.library.Account_public_key.write.syscall_ptr": 199,
                            "openzeppelin.account.library.Account_public_key.write.value": 198
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 80,
                        "end_line": 25,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "start_col": 9,
                        "start_line": 25
                    }
                },
                "340": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 30,
                            "offset": 14
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.write.pedersen_ptr": 202,
                            "openzeppelin.account.library.Account_public_key.write.range_check_ptr": 203,
                            "openzeppelin.account.library.Account_public_key.write.storage_addr": 204,
                            "openzeppelin.account.library.Account_public_key.write.syscall_ptr": 205,
                            "openzeppelin.account.library.Account_public_key.write.value": 198
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 64,
                                        "end_line": 19,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 18,
                                                "end_line": 26,
                                                "input_file": {
                                                    "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 26
                                            },
                                            "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                        ],
                                        "start_col": 37,
                                        "start_line": 19
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 24
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 7
                    }
                },
                "341": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 30,
                            "offset": 15
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.write.pedersen_ptr": 202,
                            "openzeppelin.account.library.Account_public_key.write.range_check_ptr": 203,
                            "openzeppelin.account.library.Account_public_key.write.storage_addr": 204,
                            "openzeppelin.account.library.Account_public_key.write.syscall_ptr": 205,
                            "openzeppelin.account.library.Account_public_key.write.value": 198
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 7,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 81,
                                        "end_line": 19,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 18,
                                                "end_line": 26,
                                                "input_file": {
                                                    "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 26
                                            },
                                            "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                        ],
                                        "start_col": 66,
                                        "start_line": 19
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 24
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 44,
                        "start_line": 7
                    }
                },
                "342": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_public_key",
                        "openzeppelin.account.library.Account_public_key.write"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 30,
                            "offset": 16
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_public_key.write.pedersen_ptr": 202,
                            "openzeppelin.account.library.Account_public_key.write.range_check_ptr": 203,
                            "openzeppelin.account.library.Account_public_key.write.storage_addr": 204,
                            "openzeppelin.account.library.Account_public_key.write.syscall_ptr": 205,
                            "openzeppelin.account.library.Account_public_key.write.value": 198
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 18,
                        "end_line": 26,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/impl.cairo"
                        },
                        "start_col": 9,
                        "start_line": 26
                    }
                },
                "343": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_assert_only_self"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 31,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_assert_only_self.syscall_ptr": 206
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 50,
                        "end_line": 66,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 46,
                                "end_line": 186,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 40,
                                        "end_line": 67,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 18,
                                        "start_line": 67
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 27,
                                "start_line": 186
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 31,
                        "start_line": 66
                    }
                },
                "344": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_assert_only_self"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 31,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_assert_only_self.syscall_ptr": 206
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 67,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 18,
                        "start_line": 67
                    }
                },
                "346": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_assert_only_self"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 31,
                            "offset": 6
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_assert_only_self.self": 208,
                            "openzeppelin.account.library.Account_assert_only_self.syscall_ptr": 207
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 46,
                        "end_line": 186,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 40,
                                "end_line": 67,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 44,
                                        "end_line": 112,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 40,
                                                "end_line": 68,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 20,
                                                "start_line": 68
                                            },
                                            "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                        ],
                                        "start_col": 25,
                                        "start_line": 112
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 18,
                                "start_line": 67
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 27,
                        "start_line": 186
                    }
                },
                "347": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_assert_only_self"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 31,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_assert_only_self.self": 208,
                            "openzeppelin.account.library.Account_assert_only_self.syscall_ptr": 207
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 68,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 20,
                        "start_line": 68
                    }
                },
                "349": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_assert_only_self"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 31,
                            "offset": 12
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_assert_only_self.caller": 210,
                            "openzeppelin.account.library.Account_assert_only_self.self": 208,
                            "openzeppelin.account.library.Account_assert_only_self.syscall_ptr": 209
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 25,
                        "end_line": 69,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 69
                    }
                },
                "350": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_assert_only_self"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 31,
                            "offset": 12
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_assert_only_self.caller": 210,
                            "openzeppelin.account.library.Account_assert_only_self.self": 208,
                            "openzeppelin.account.library.Account_assert_only_self.syscall_ptr": 209
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 44,
                        "end_line": 112,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 40,
                                "end_line": 68,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 50,
                                        "end_line": 66,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 14,
                                                "end_line": 70,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 70
                                            },
                                            "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                        ],
                                        "start_col": 31,
                                        "start_line": 66
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 20,
                                "start_line": 68
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 25,
                        "start_line": 112
                    }
                },
                "351": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_assert_only_self"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 31,
                            "offset": 13
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_assert_only_self.caller": 210,
                            "openzeppelin.account.library.Account_assert_only_self.self": 208,
                            "openzeppelin.account.library.Account_assert_only_self.syscall_ptr": 209
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 70,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 70
                    }
                },
                "352": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 32,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_get_public_key.pedersen_ptr": 212,
                            "openzeppelin.account.library.Account_get_public_key.range_check_ptr": 213,
                            "openzeppelin.account.library.Account_get_public_key.syscall_ptr": 211
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 78,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 34,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 42,
                                        "end_line": 82,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 17,
                                        "start_line": 82
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 13
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 78
                    }
                },
                "353": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 32,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_get_public_key.pedersen_ptr": 212,
                            "openzeppelin.account.library.Account_get_public_key.range_check_ptr": 213,
                            "openzeppelin.account.library.Account_get_public_key.syscall_ptr": 211
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 79,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 63,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 42,
                                        "end_line": 82,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 17,
                                        "start_line": 82
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 36,
                                "start_line": 13
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 79
                    }
                },
                "354": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 32,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_get_public_key.pedersen_ptr": 212,
                            "openzeppelin.account.library.Account_get_public_key.range_check_ptr": 213,
                            "openzeppelin.account.library.Account_get_public_key.syscall_ptr": 211
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 80,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 80,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 42,
                                        "end_line": 82,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 17,
                                        "start_line": 82
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 65,
                                "start_line": 13
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 80
                    }
                },
                "355": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 32,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_get_public_key.pedersen_ptr": 212,
                            "openzeppelin.account.library.Account_get_public_key.range_check_ptr": 213,
                            "openzeppelin.account.library.Account_get_public_key.syscall_ptr": 211
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 82,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 17,
                        "start_line": 82
                    }
                },
                "357": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 32,
                            "offset": 23
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_get_public_key.pedersen_ptr": 215,
                            "openzeppelin.account.library.Account_get_public_key.range_check_ptr": 216,
                            "openzeppelin.account.library.Account_get_public_key.res": 217,
                            "openzeppelin.account.library.Account_get_public_key.syscall_ptr": 214
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 83,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 83
                    }
                },
                "358": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 33,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_get_nonce.pedersen_ptr": 219,
                            "openzeppelin.account.library.Account_get_nonce.range_check_ptr": 220,
                            "openzeppelin.account.library.Account_get_nonce.syscall_ptr": 218
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 87,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 34,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 45,
                                        "end_line": 91,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 17,
                                        "start_line": 91
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 13
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 87
                    }
                },
                "359": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 33,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_get_nonce.pedersen_ptr": 219,
                            "openzeppelin.account.library.Account_get_nonce.range_check_ptr": 220,
                            "openzeppelin.account.library.Account_get_nonce.syscall_ptr": 218
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 88,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 63,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 45,
                                        "end_line": 91,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 17,
                                        "start_line": 91
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 36,
                                "start_line": 13
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 88
                    }
                },
                "360": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 33,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_get_nonce.pedersen_ptr": 219,
                            "openzeppelin.account.library.Account_get_nonce.range_check_ptr": 220,
                            "openzeppelin.account.library.Account_get_nonce.syscall_ptr": 218
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 89,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 80,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 45,
                                        "end_line": 91,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 17,
                                        "start_line": 91
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 65,
                                "start_line": 13
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 89
                    }
                },
                "361": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 33,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_get_nonce.pedersen_ptr": 219,
                            "openzeppelin.account.library.Account_get_nonce.range_check_ptr": 220,
                            "openzeppelin.account.library.Account_get_nonce.syscall_ptr": 218
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 45,
                        "end_line": 91,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 17,
                        "start_line": 91
                    }
                },
                "363": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 33,
                            "offset": 23
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_get_nonce.pedersen_ptr": 222,
                            "openzeppelin.account.library.Account_get_nonce.range_check_ptr": 223,
                            "openzeppelin.account.library.Account_get_nonce.res": 224,
                            "openzeppelin.account.library.Account_get_nonce.syscall_ptr": 221
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 92,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 92
                    }
                },
                "364": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 34,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_set_public_key.new_public_key": 225,
                            "openzeppelin.account.library.Account_set_public_key.pedersen_ptr": 227,
                            "openzeppelin.account.library.Account_set_public_key.range_check_ptr": 228,
                            "openzeppelin.account.library.Account_set_public_key.syscall_ptr": 226
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 100,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 50,
                                "end_line": 66,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 31,
                                        "end_line": 104,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 104
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 31,
                                "start_line": 66
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 100
                    }
                },
                "365": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 34,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_set_public_key.new_public_key": 225,
                            "openzeppelin.account.library.Account_set_public_key.pedersen_ptr": 227,
                            "openzeppelin.account.library.Account_set_public_key.range_check_ptr": 228,
                            "openzeppelin.account.library.Account_set_public_key.syscall_ptr": 226
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 31,
                        "end_line": 104,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 104
                    }
                },
                "367": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 34,
                            "offset": 16
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_set_public_key.new_public_key": 225,
                            "openzeppelin.account.library.Account_set_public_key.pedersen_ptr": 227,
                            "openzeppelin.account.library.Account_set_public_key.range_check_ptr": 228,
                            "openzeppelin.account.library.Account_set_public_key.syscall_ptr": 229
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 101,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 64,
                                "end_line": 19,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 45,
                                        "end_line": 105,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 105
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 37,
                                "start_line": 19
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 101
                    }
                },
                "368": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 34,
                            "offset": 17
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_set_public_key.new_public_key": 225,
                            "openzeppelin.account.library.Account_set_public_key.pedersen_ptr": 227,
                            "openzeppelin.account.library.Account_set_public_key.range_check_ptr": 228,
                            "openzeppelin.account.library.Account_set_public_key.syscall_ptr": 229
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 102,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 81,
                                "end_line": 19,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 45,
                                        "end_line": 105,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 105
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 66,
                                "start_line": 19
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 102
                    }
                },
                "369": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 34,
                            "offset": 18
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_set_public_key.new_public_key": 225,
                            "openzeppelin.account.library.Account_set_public_key.pedersen_ptr": 227,
                            "openzeppelin.account.library.Account_set_public_key.range_check_ptr": 228,
                            "openzeppelin.account.library.Account_set_public_key.syscall_ptr": 229
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 103,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 44,
                                "end_line": 105,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 30,
                                "start_line": 105
                            },
                            "While expanding the reference 'new_public_key' in:"
                        ],
                        "start_col": 7,
                        "start_line": 103
                    }
                },
                "370": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 34,
                            "offset": 19
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_set_public_key.new_public_key": 225,
                            "openzeppelin.account.library.Account_set_public_key.pedersen_ptr": 227,
                            "openzeppelin.account.library.Account_set_public_key.range_check_ptr": 228,
                            "openzeppelin.account.library.Account_set_public_key.syscall_ptr": 229
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 45,
                        "end_line": 105,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 105
                    }
                },
                "372": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 34,
                            "offset": 37
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_set_public_key.new_public_key": 225,
                            "openzeppelin.account.library.Account_set_public_key.pedersen_ptr": 231,
                            "openzeppelin.account.library.Account_set_public_key.range_check_ptr": 232,
                            "openzeppelin.account.library.Account_set_public_key.syscall_ptr": 230
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 106,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 106
                    }
                },
                "373": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_initializer"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 35,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_initializer._public_key": 233,
                            "openzeppelin.account.library.Account_initializer.pedersen_ptr": 235,
                            "openzeppelin.account.library.Account_initializer.range_check_ptr": 236,
                            "openzeppelin.account.library.Account_initializer.syscall_ptr": 234
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 114,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 35,
                                "end_line": 19,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 42,
                                        "end_line": 118,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 118
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 16,
                                "start_line": 19
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 114
                    }
                },
                "374": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_initializer"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 35,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_initializer._public_key": 233,
                            "openzeppelin.account.library.Account_initializer.pedersen_ptr": 235,
                            "openzeppelin.account.library.Account_initializer.range_check_ptr": 236,
                            "openzeppelin.account.library.Account_initializer.syscall_ptr": 234
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 115,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 64,
                                "end_line": 19,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 42,
                                        "end_line": 118,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 118
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 37,
                                "start_line": 19
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 115
                    }
                },
                "375": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_initializer"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 35,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_initializer._public_key": 233,
                            "openzeppelin.account.library.Account_initializer.pedersen_ptr": 235,
                            "openzeppelin.account.library.Account_initializer.range_check_ptr": 236,
                            "openzeppelin.account.library.Account_initializer.syscall_ptr": 234
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 116,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 81,
                                "end_line": 19,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 42,
                                        "end_line": 118,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 118
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 66,
                                "start_line": 19
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 116
                    }
                },
                "376": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_initializer"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 35,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_initializer._public_key": 233,
                            "openzeppelin.account.library.Account_initializer.pedersen_ptr": 235,
                            "openzeppelin.account.library.Account_initializer.range_check_ptr": 236,
                            "openzeppelin.account.library.Account_initializer.syscall_ptr": 234
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 117,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 41,
                                "end_line": 118,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 30,
                                "start_line": 118
                            },
                            "While expanding the reference '_public_key' in:"
                        ],
                        "start_col": 7,
                        "start_line": 117
                    }
                },
                "377": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_initializer"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 35,
                            "offset": 4
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_initializer._public_key": 233,
                            "openzeppelin.account.library.Account_initializer.pedersen_ptr": 235,
                            "openzeppelin.account.library.Account_initializer.range_check_ptr": 236,
                            "openzeppelin.account.library.Account_initializer.syscall_ptr": 234
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 118,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 118
                    }
                },
                "379": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_initializer"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 35,
                            "offset": 22
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_initializer._public_key": 233,
                            "openzeppelin.account.library.Account_initializer.pedersen_ptr": 238,
                            "openzeppelin.account.library.Account_initializer.range_check_ptr": 239,
                            "openzeppelin.account.library.Account_initializer.syscall_ptr": 237
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 41,
                        "end_line": 120,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 31,
                        "start_line": 120
                    }
                },
                "381": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_initializer"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 35,
                            "offset": 23
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_initializer._public_key": 233,
                            "openzeppelin.account.library.Account_initializer.pedersen_ptr": 238,
                            "openzeppelin.account.library.Account_initializer.range_check_ptr": 239,
                            "openzeppelin.account.library.Account_initializer.syscall_ptr": 237
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 120,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 120
                    }
                },
                "383": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_initializer"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 35,
                            "offset": 90
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_initializer._public_key": 233,
                            "openzeppelin.account.library.Account_initializer.pedersen_ptr": 241,
                            "openzeppelin.account.library.Account_initializer.range_check_ptr": 242,
                            "openzeppelin.account.library.Account_initializer.syscall_ptr": 240
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 13,
                        "end_line": 121,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 121
                    }
                },
                "384": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 249,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 247,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 248,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 246
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 130,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 34,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 50,
                                        "end_line": 139,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 25,
                                        "start_line": 139
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 15,
                                "start_line": 13
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 130
                    }
                },
                "385": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 249,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 247,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 248,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 246
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 131,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 63,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 50,
                                        "end_line": 139,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 25,
                                        "start_line": 139
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 36,
                                "start_line": 13
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 131
                    }
                },
                "386": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 249,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 247,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 248,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 246
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 132,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 80,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 50,
                                        "end_line": 139,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 25,
                                        "start_line": 139
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 65,
                                "start_line": 13
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 132
                    }
                },
                "387": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 249,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 247,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 248,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 246
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 50,
                        "end_line": 139,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 25,
                        "start_line": 139
                    }
                },
                "389": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 23
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature._public_key": 253,
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 249,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 251,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 252,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_r": 254,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_s": 255,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 250
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 133,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 58,
                                "end_line": 7,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/signature.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 27,
                                        "end_line": 151,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 147
                                    },
                                    "While trying to retrieve the implicit argument 'ecdsa_ptr' in:"
                                ],
                                "start_col": 29,
                                "start_line": 7
                            },
                            "While expanding the reference 'ecdsa_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 133
                    }
                },
                "390": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 24
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature._public_key": 253,
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 249,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 251,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 252,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_r": 254,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_s": 255,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 250
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 19,
                        "end_line": 135,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 21,
                                "end_line": 148,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 17,
                                "start_line": 148
                            },
                            "While expanding the reference 'hash' in:"
                        ],
                        "start_col": 9,
                        "start_line": 135
                    }
                },
                "391": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 25
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature._public_key": 253,
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 249,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 251,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 252,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_r": 254,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_s": 255,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 250
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 139,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 31,
                                "end_line": 149,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 20,
                                "start_line": 149
                            },
                            "While expanding the reference '_public_key' in:"
                        ],
                        "start_col": 10,
                        "start_line": 139
                    }
                },
                "392": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 26
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature._public_key": 253,
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 249,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 251,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 252,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_r": 254,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_s": 255,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 250
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 29,
                        "end_line": 144,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 26,
                                "end_line": 150,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 21,
                                "start_line": 150
                            },
                            "While expanding the reference 'sig_r' in:"
                        ],
                        "start_col": 17,
                        "start_line": 144
                    }
                },
                "393": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 27
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature._public_key": 253,
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 249,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 251,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 252,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_r": 254,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_s": 255,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 250
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 29,
                        "end_line": 145,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 26,
                                "end_line": 151,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 21,
                                "start_line": 151
                            },
                            "While expanding the reference 'sig_s' in:"
                        ],
                        "start_col": 17,
                        "start_line": 145
                    }
                },
                "394": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 28
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature._public_key": 253,
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 249,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 251,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 252,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_r": 254,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_s": 255,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 250
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 151,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 147
                    }
                },
                "396": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 31
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature._public_key": 253,
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 256,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 251,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 252,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_r": 254,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_s": 255,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 250
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 34,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 50,
                                "end_line": 139,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 28,
                                        "end_line": 130,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 14,
                                                "end_line": 153,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 153
                                            },
                                            "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 130
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 25,
                                "start_line": 139
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 13
                    }
                },
                "397": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 32
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature._public_key": 253,
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 256,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 251,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 252,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_r": 254,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_s": 255,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 250
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 50,
                                "end_line": 139,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 131,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 14,
                                                "end_line": 153,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 153
                                            },
                                            "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 131
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 25,
                                "start_line": 139
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 36,
                        "start_line": 13
                    }
                },
                "398": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 33
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature._public_key": 253,
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 256,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 251,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 252,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_r": 254,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_s": 255,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 250
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 80,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_public_key/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 50,
                                "end_line": 139,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 24,
                                        "end_line": 132,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 14,
                                                "end_line": 153,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 153
                                            },
                                            "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 132
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 25,
                                "start_line": 139
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 65,
                        "start_line": 13
                    }
                },
                "399": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 34
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature._public_key": 253,
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 256,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 251,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 252,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_r": 254,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_s": 255,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 250
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 58,
                        "end_line": 7,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/signature.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 27,
                                "end_line": 151,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 37,
                                        "end_line": 133,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 14,
                                                "end_line": 153,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 153
                                            },
                                            "While trying to retrieve the implicit argument 'ecdsa_ptr' in:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 133
                                    },
                                    "While expanding the reference 'ecdsa_ptr' in:"
                                ],
                                "start_col": 5,
                                "start_line": 147
                            },
                            "While trying to update the implicit return value 'ecdsa_ptr' in:"
                        ],
                        "start_col": 29,
                        "start_line": 7
                    }
                },
                "400": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 36,
                            "offset": 35
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_is_valid_signature._public_key": 253,
                            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": 256,
                            "openzeppelin.account.library.Account_is_valid_signature.hash": 243,
                            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": 251,
                            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": 252,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_r": 254,
                            "openzeppelin.account.library.Account_is_valid_signature.sig_s": 255,
                            "openzeppelin.account.library.Account_is_valid_signature.signature": 245,
                            "openzeppelin.account.library.Account_is_valid_signature.signature_len": 244,
                            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": 250
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 153,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 153
                    }
                },
                "401": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 265,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 259,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 132,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 24,
                                        "end_line": 2,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 25,
                                                "end_line": 137,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 137
                                            },
                                            "While handling calldata argument 'signature'"
                                        ],
                                        "start_col": 9,
                                        "start_line": 2
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 132
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 1
                    }
                },
                "402": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 265,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 259,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 52,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/e1b7bcaf2f97aa307c8deca2578c63f05cf45d09bb1ecaaf9be0bb828fc5cb40.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 136,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 2,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 25,
                                                "end_line": 137,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 137
                                            },
                                            "While handling calldata argument 'signature'"
                                        ],
                                        "start_col": 28,
                                        "start_line": 2
                                    },
                                    "While expanding the reference '__calldata_arg_signature_len' in:"
                                ],
                                "start_col": 9,
                                "start_line": 136
                            },
                            "While handling calldata argument 'signature_len'"
                        ],
                        "start_col": 36,
                        "start_line": 1
                    }
                },
                "403": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 265,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 259,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 56,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 137,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 9,
                                "start_line": 137
                            },
                            "While handling calldata argument 'signature'"
                        ],
                        "start_col": 1,
                        "start_line": 2
                    }
                },
                "404": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 265,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/e1b7bcaf2f97aa307c8deca2578c63f05cf45d09bb1ecaaf9be0bb828fc5cb40.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 136,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 40,
                                        "end_line": 8,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 25,
                                                "end_line": 137,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 137
                                            },
                                            "While handling calldata argument 'signature'"
                                        ],
                                        "start_col": 26,
                                        "start_line": 8
                                    },
                                    "While expanding the reference '__calldata_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 136
                            },
                            "While handling calldata argument 'signature_len'"
                        ],
                        "start_col": 22,
                        "start_line": 2
                    }
                },
                "406": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 265,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 52,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/e1b7bcaf2f97aa307c8deca2578c63f05cf45d09bb1ecaaf9be0bb828fc5cb40.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 136,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 71,
                                        "end_line": 8,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 25,
                                                "end_line": 137,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 137
                                            },
                                            "While handling calldata argument 'signature'"
                                        ],
                                        "start_col": 43,
                                        "start_line": 8
                                    },
                                    "While expanding the reference '__calldata_arg_signature_len' in:"
                                ],
                                "start_col": 9,
                                "start_line": 136
                            },
                            "While handling calldata argument 'signature_len'"
                        ],
                        "start_col": 36,
                        "start_line": 1
                    }
                },
                "407": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 265,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 75,
                        "end_line": 8,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 137,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 9,
                                "start_line": 137
                            },
                            "While handling calldata argument 'signature'"
                        ],
                        "start_col": 26,
                        "start_line": 8
                    }
                },
                "408": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 32,
                                "end_line": 129,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 6,
                                "start_line": 129
                            },
                            "While handling calldata of"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "409": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 132,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 38,
                                        "end_line": 3,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 25,
                                                "end_line": 137,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 116,
                                                        "end_line": 1,
                                                        "input_file": {
                                                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 32,
                                                                "end_line": 129,
                                                                "input_file": {
                                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                                },
                                                                "start_col": 6,
                                                                "start_line": 129
                                                            },
                                                            "While constructing the external wrapper for:"
                                                        ],
                                                        "start_col": 101,
                                                        "start_line": 1
                                                    },
                                                    "While expanding the reference 'range_check_ptr' in:"
                                                ],
                                                "start_col": 9,
                                                "start_line": 137
                                            },
                                            "While handling calldata argument 'signature'"
                                        ],
                                        "start_col": 23,
                                        "start_line": 3
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 132
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 1
                    }
                },
                "410": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 6
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 130,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 45,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 130
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 19,
                        "start_line": 1
                    }
                },
                "411": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 7
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 110,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 131,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 83,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 71,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 131
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 20,
                        "start_line": 1
                    }
                },
                "412": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 8
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 3,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 137,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 116,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 101,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 137
                            },
                            "While handling calldata argument 'signature'"
                        ],
                        "start_col": 23,
                        "start_line": 3
                    }
                },
                "414": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 9
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 112,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/9aa866da402dc1b34ae86751a3cabb224b0d9ac08fe13c58bb079af4cd281bec.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 37,
                                "end_line": 133,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 137,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 128,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'ecdsa_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 133
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 17,
                        "start_line": 1
                    }
                },
                "415": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 10
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/f3c2d3942f0f75ba7fab7e0c13e6cee1d1be8a6d9e771412e1ff56c7484dd3f4.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 19,
                                "end_line": 135,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 163,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 144,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_hash' in:"
                                ],
                                "start_col": 9,
                                "start_line": 135
                            },
                            "While handling calldata argument 'hash'"
                        ],
                        "start_col": 27,
                        "start_line": 1
                    }
                },
                "416": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 11
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 52,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/e1b7bcaf2f97aa307c8deca2578c63f05cf45d09bb1ecaaf9be0bb828fc5cb40.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 136,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 207,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 179,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_signature_len' in:"
                                ],
                                "start_col": 9,
                                "start_line": 136
                            },
                            "While handling calldata argument 'signature_len'"
                        ],
                        "start_col": 36,
                        "start_line": 1
                    }
                },
                "417": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 12
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 5,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 137,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 243,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 219,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_signature' in:"
                                ],
                                "start_col": 9,
                                "start_line": 137
                            },
                            "While handling calldata argument 'signature'"
                        ],
                        "start_col": 32,
                        "start_line": 5
                    }
                },
                "419": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 13
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 260,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 258,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 268,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 257
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 32,
                        "end_line": 129,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 6,
                        "start_line": 129
                    }
                },
                "421": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 50
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 278,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 276,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 277,
                            "__wrappers__.Account_is_valid_signature.ret_struct": 279,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 275
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 34,
                                "end_line": 2,
                                "input_file": {
                                    "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 32,
                                        "end_line": 129,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 6,
                                        "start_line": 129
                                    },
                                    "While constructing the external wrapper for:"
                                ],
                                "start_col": 1,
                                "start_line": 2
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 24,
                        "end_line": 3,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 32,
                                "end_line": 129,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 6,
                                "start_line": 129
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 1,
                        "start_line": 3
                    }
                },
                "423": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 51
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 278,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 276,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 277,
                            "__wrappers__.Account_is_valid_signature.ret_struct": 279,
                            "__wrappers__.Account_is_valid_signature.retdata": 280,
                            "__wrappers__.Account_is_valid_signature.retdata_size": 281,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 275
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 56,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 32,
                                "end_line": 129,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 20,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 129
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 45,
                        "start_line": 1
                    }
                },
                "424": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 52
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 278,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 276,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 277,
                            "__wrappers__.Account_is_valid_signature.ret_struct": 279,
                            "__wrappers__.Account_is_valid_signature.retdata": 280,
                            "__wrappers__.Account_is_valid_signature.retdata_size": 281,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 275
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 32,
                                "end_line": 129,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 33,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 21,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 129
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 71,
                        "start_line": 1
                    }
                },
                "425": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 53
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 278,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 276,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 277,
                            "__wrappers__.Account_is_valid_signature.ret_struct": 279,
                            "__wrappers__.Account_is_valid_signature.retdata": 280,
                            "__wrappers__.Account_is_valid_signature.retdata_size": 281,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 275
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 116,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 32,
                                "end_line": 129,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 49,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 34,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 129
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 101,
                        "start_line": 1
                    }
                },
                "426": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 54
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 278,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 276,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 277,
                            "__wrappers__.Account_is_valid_signature.ret_struct": 279,
                            "__wrappers__.Account_is_valid_signature.retdata": 280,
                            "__wrappers__.Account_is_valid_signature.retdata_size": 281,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 275
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 137,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 32,
                                "end_line": 129,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 59,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 50,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'ecdsa_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 129
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 128,
                        "start_line": 1
                    }
                },
                "427": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 55
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 278,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 276,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 277,
                            "__wrappers__.Account_is_valid_signature.ret_struct": 279,
                            "__wrappers__.Account_is_valid_signature.retdata": 280,
                            "__wrappers__.Account_is_valid_signature.retdata_size": 281,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 275
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 4,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 32,
                                "end_line": 129,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 60,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata_size' in:"
                                ],
                                "start_col": 6,
                                "start_line": 129
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 20,
                        "start_line": 4
                    }
                },
                "429": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 56
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 278,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 276,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 277,
                            "__wrappers__.Account_is_valid_signature.ret_struct": 279,
                            "__wrappers__.Account_is_valid_signature.retdata": 280,
                            "__wrappers__.Account_is_valid_signature.retdata_size": 281,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 275
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 16,
                        "end_line": 3,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 32,
                                "end_line": 129,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/Account_is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 32,
                                                "end_line": 129,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 129
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 73,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata' in:"
                                ],
                                "start_col": 6,
                                "start_line": 129
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 9,
                        "start_line": 3
                    }
                },
                "430": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 57
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 278,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 276,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 277,
                            "__wrappers__.Account_is_valid_signature.ret_struct": 279,
                            "__wrappers__.Account_is_valid_signature.retdata": 280,
                            "__wrappers__.Account_is_valid_signature.retdata_size": 281,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 275
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/Account_is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 32,
                                "end_line": 129,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 6,
                                "start_line": 129
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "431": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 288,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 289,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 287
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 169,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 169
                    }
                },
                "433": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 16
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 288,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 289,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 287
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 171,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 23,
                        "start_line": 171
                    }
                },
                "435": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 18
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 291,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 288,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 289,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 287
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 16,
                        "end_line": 171,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 16,
                                "end_line": 171,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 10,
                                "start_line": 171
                            },
                            "While auto generating local variable for '__fp__'."
                        ],
                        "start_col": 10,
                        "start_line": 171
                    }
                },
                "436": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 18
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 288,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 289,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 287
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 158,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 37,
                                "end_line": 344,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 34,
                                        "end_line": 172,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 21,
                                        "start_line": 172
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 18,
                                "start_line": 344
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 158
                    }
                },
                "437": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 19
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 288,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 289,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 287
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 34,
                        "end_line": 172,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 21,
                        "start_line": 172
                    }
                },
                "439": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 24
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 288,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 289,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 293,
                            "openzeppelin.account.library.Account_execute.tx_info": 294
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 172,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 172,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 10,
                                "start_line": 172
                            },
                            "While auto generating local variable for 'tx_info'."
                        ],
                        "start_col": 10,
                        "start_line": 172
                    }
                },
                "440": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 24
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 288,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 289,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 293,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 344,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 34,
                                "end_line": 172,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 34,
                                        "end_line": 13,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 56,
                                                "end_line": 173,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 28,
                                                "start_line": 173
                                            },
                                            "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                        ],
                                        "start_col": 15,
                                        "start_line": 13
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 21,
                                "start_line": 172
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 18,
                        "start_line": 344
                    }
                },
                "441": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 25
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 288,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 289,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 293,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 159,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 63,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 173,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 28,
                                        "start_line": 173
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 36,
                                "start_line": 13
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 159
                    }
                },
                "442": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 26
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 288,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 289,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 293,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 160,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 80,
                                "end_line": 13,
                                "input_file": {
                                    "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 173,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 28,
                                        "start_line": 173
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 65,
                                "start_line": 13
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 160
                    }
                },
                "443": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 27
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 288,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 289,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 293,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 56,
                        "end_line": 173,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 28,
                        "start_line": 173
                    }
                },
                "445": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 47
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 299,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 297,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 298,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 296,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 173,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 173,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 10,
                                "start_line": 173
                            },
                            "While auto generating local variable for '_current_nonce'."
                        ],
                        "start_col": 10,
                        "start_line": 173
                    }
                },
                "446": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 47
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 297,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 298,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 296,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 56,
                                "end_line": 173,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 63,
                                        "end_line": 13,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 56,
                                                "end_line": 173,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 28,
                                                "start_line": 173
                                            },
                                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                                        ],
                                        "start_col": 36,
                                        "start_line": 13
                                    },
                                    "While auto generating local variable for 'pedersen_ptr'."
                                ],
                                "start_col": 28,
                                "start_line": 173
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 36,
                        "start_line": 13
                    }
                },
                "447": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 47
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 298,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 296,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 80,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 56,
                                "end_line": 173,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 13,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 56,
                                                "end_line": 173,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 28,
                                                "start_line": 173
                                            },
                                            "While trying to update the implicit return value 'range_check_ptr' in:"
                                        ],
                                        "start_col": 65,
                                        "start_line": 13
                                    },
                                    "While auto generating local variable for 'range_check_ptr'."
                                ],
                                "start_col": 28,
                                "start_line": 173
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 65,
                        "start_line": 13
                    }
                },
                "448": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 47
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 296,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 34,
                        "end_line": 176,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 176
                    }
                },
                "449": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 47
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 296,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 34,
                        "end_line": 179,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 27,
                        "start_line": 179
                    }
                },
                "451": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 50
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 303,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 296,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 23,
                        "end_line": 179,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 179,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 10,
                                "start_line": 179
                            },
                            "While auto generating local variable for 'calls'."
                        ],
                        "start_col": 10,
                        "start_line": 179
                    }
                },
                "452": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 50
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 296,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 34,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 56,
                                "end_line": 173,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 48,
                                        "end_line": 319,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 73,
                                                "end_line": 180,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 180
                                            },
                                            "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                        ],
                                        "start_col": 30,
                                        "start_line": 319
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 28,
                                "start_line": 173
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 15,
                        "start_line": 13
                    }
                },
                "453": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 51
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 296,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 29,
                        "end_line": 163,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 43,
                                "end_line": 180,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 29,
                                "start_line": 180
                            },
                            "While expanding the reference 'call_array_len' in:"
                        ],
                        "start_col": 9,
                        "start_line": 163
                    }
                },
                "454": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 52
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 296,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 164,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 55,
                                "end_line": 180,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 45,
                                "start_line": 180
                            },
                            "While expanding the reference 'call_array' in:"
                        ],
                        "start_col": 9,
                        "start_line": 164
                    }
                },
                "455": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 53
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 296,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 166,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 65,
                                "end_line": 180,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 57,
                                "start_line": 180
                            },
                            "While expanding the reference 'calldata' in:"
                        ],
                        "start_col": 9,
                        "start_line": 166
                    }
                },
                "456": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 54
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 296,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 23,
                        "end_line": 179,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 179,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 180,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 67,
                                        "start_line": 180
                                    },
                                    "While expanding the reference 'calls' in:"
                                ],
                                "start_col": 10,
                                "start_line": 179
                            },
                            "While auto generating local variable for 'calls'."
                        ],
                        "start_col": 10,
                        "start_line": 179
                    }
                },
                "457": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 38,
                            "offset": 55
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 296,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 73,
                        "end_line": 180,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 180
                    }
                },
                "459": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 39,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 305,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 6,
                        "end_line": 190,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 183
                    }
                },
                "460": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 39,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 305,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 6,
                        "end_line": 190,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 183
                    }
                },
                "461": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 39,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 305,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 6,
                        "end_line": 190,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 183
                    }
                },
                "462": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 39,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 305,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 6,
                        "end_line": 190,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 183
                    }
                },
                "463": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 39,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 305,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 6,
                        "end_line": 190,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 183
                    }
                },
                "464": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 39,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 305,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 6,
                        "end_line": 190,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 183
                    }
                },
                "465": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 39,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 305,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 56,
                                "end_line": 173,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 63,
                                        "end_line": 13,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 56,
                                                "end_line": 173,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 35,
                                                        "end_line": 235,
                                                        "input_file": {
                                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 44,
                                                                "end_line": 193,
                                                                "input_file": {
                                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                                },
                                                                "start_col": 18,
                                                                "start_line": 193
                                                            },
                                                            "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                                        ],
                                                        "start_col": 9,
                                                        "start_line": 235
                                                    },
                                                    "While expanding the reference 'pedersen_ptr' in:"
                                                ],
                                                "start_col": 28,
                                                "start_line": 173
                                            },
                                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                                        ],
                                        "start_col": 36,
                                        "start_line": 13
                                    },
                                    "While auto generating local variable for 'pedersen_ptr'."
                                ],
                                "start_col": 28,
                                "start_line": 173
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 36,
                        "start_line": 13
                    }
                },
                "466": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 39,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 305,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 20,
                        "end_line": 183,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 43,
                                "end_line": 193,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 34,
                                "start_line": 193
                            },
                            "While expanding the reference 'multicall' in:"
                        ],
                        "start_col": 11,
                        "start_line": 183
                    }
                },
                "468": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 39,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 301,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 305,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 44,
                        "end_line": 193,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 18,
                        "start_line": 193
                    }
                },
                "470": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 309,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 308,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 234,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 44,
                                "end_line": 193,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 28,
                                        "end_line": 130,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 79,
                                                "end_line": 194,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 194
                                            },
                                            "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 130
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 18,
                                "start_line": 193
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 234
                    }
                },
                "471": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 309,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 308,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 235,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 44,
                                "end_line": 193,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 131,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 79,
                                                "end_line": 194,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 194
                                            },
                                            "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 131
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 18,
                                "start_line": 193
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 235
                    }
                },
                "472": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 309,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 308,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 80,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 56,
                                "end_line": 173,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 13,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 56,
                                                "end_line": 173,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 24,
                                                        "end_line": 132,
                                                        "input_file": {
                                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 79,
                                                                "end_line": 194,
                                                                "input_file": {
                                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                                },
                                                                "start_col": 5,
                                                                "start_line": 194
                                                            },
                                                            "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                                        ],
                                                        "start_col": 9,
                                                        "start_line": 132
                                                    },
                                                    "While expanding the reference 'range_check_ptr' in:"
                                                ],
                                                "start_col": 28,
                                                "start_line": 173
                                            },
                                            "While trying to update the implicit return value 'range_check_ptr' in:"
                                        ],
                                        "start_col": 65,
                                        "start_line": 13
                                    },
                                    "While auto generating local variable for 'range_check_ptr'."
                                ],
                                "start_col": 28,
                                "start_line": 173
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 65,
                        "start_line": 13
                    }
                },
                "473": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 309,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 308,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 161,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 37,
                                "end_line": 133,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 79,
                                        "end_line": 194,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 194
                                    },
                                    "While trying to retrieve the implicit argument 'ecdsa_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 133
                            },
                            "While expanding the reference 'ecdsa_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 161
                    }
                },
                "474": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 4
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 309,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 308,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 193,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 194,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 32,
                                "start_line": 194
                            },
                            "While expanding the reference 'hash' in:"
                        ],
                        "start_col": 10,
                        "start_line": 193
                    }
                },
                "475": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 5
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 309,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 308,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 194,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 38,
                        "start_line": 194
                    }
                },
                "476": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 6
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 309,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 308,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 78,
                        "end_line": 194,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 61,
                        "start_line": 194
                    }
                },
                "477": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 290,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 309,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 302,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 308,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 79,
                        "end_line": 194,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 194
                    }
                },
                "479": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 44
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 314,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 312,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 313,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 311,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 133,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 79,
                                "end_line": 194,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 37,
                                        "end_line": 133,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 79,
                                                "end_line": 194,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 194
                                            },
                                            "While trying to update the implicit return value 'ecdsa_ptr' in:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 133
                                    },
                                    "While auto generating local variable for 'ecdsa_ptr'."
                                ],
                                "start_col": 5,
                                "start_line": 194
                            },
                            "While trying to update the implicit return value 'ecdsa_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 133
                    }
                },
                "480": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 44
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 312,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 313,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 311,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 130,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 79,
                                "end_line": 194,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 35,
                                        "end_line": 19,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 52,
                                                "end_line": 197,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 197
                                            },
                                            "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                        ],
                                        "start_col": 16,
                                        "start_line": 19
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 5,
                                "start_line": 194
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 130
                    }
                },
                "481": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 45
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 312,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 313,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 311,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 131,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 79,
                                "end_line": 194,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 64,
                                        "end_line": 19,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 52,
                                                "end_line": 197,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 197
                                            },
                                            "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                        ],
                                        "start_col": 37,
                                        "start_line": 19
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 5,
                                "start_line": 194
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 131
                    }
                },
                "482": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 46
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 312,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 313,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 311,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 132,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 79,
                                "end_line": 194,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 81,
                                        "end_line": 19,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 52,
                                                "end_line": 197,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 197
                                            },
                                            "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                        ],
                                        "start_col": 66,
                                        "start_line": 19
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 5,
                                "start_line": 194
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 132
                    }
                },
                "483": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 47
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 312,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 313,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 311,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 51,
                        "end_line": 197,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 33,
                        "start_line": 197
                    }
                },
                "485": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 48
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 312,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 313,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 311,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 52,
                        "end_line": 197,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 197
                    }
                },
                "487": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 66
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 317,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 318,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 316,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 19,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 52,
                                "end_line": 197,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 64,
                                        "end_line": 19,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 52,
                                                "end_line": 197,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 197
                                            },
                                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                                        ],
                                        "start_col": 37,
                                        "start_line": 19
                                    },
                                    "While auto generating local variable for 'pedersen_ptr'."
                                ],
                                "start_col": 5,
                                "start_line": 197
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 37,
                        "start_line": 19
                    }
                },
                "488": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 66
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 318,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 316,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 19,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 52,
                                "end_line": 197,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 81,
                                        "end_line": 19,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 52,
                                                "end_line": 197,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 197
                                            },
                                            "While trying to update the implicit return value 'range_check_ptr' in:"
                                        ],
                                        "start_col": 66,
                                        "start_line": 19
                                    },
                                    "While auto generating local variable for 'range_check_ptr'."
                                ],
                                "start_col": 5,
                                "start_line": 197
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 66,
                        "start_line": 19
                    }
                },
                "489": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 66
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 316,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 200,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 30,
                        "start_line": 200
                    }
                },
                "491": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 69
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 321,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 316,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 200,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 26,
                                "end_line": 200,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 10,
                                "start_line": 200
                            },
                            "While auto generating local variable for 'response'."
                        ],
                        "start_col": 10,
                        "start_line": 200
                    }
                },
                "492": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 69
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 322,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 316,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 19,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 52,
                                "end_line": 197,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 37,
                                        "end_line": 206,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 86,
                                                "end_line": 201,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 26,
                                                "start_line": 201
                                            },
                                            "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                        ],
                                        "start_col": 19,
                                        "start_line": 206
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 5,
                                "start_line": 197
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 16,
                        "start_line": 19
                    }
                },
                "493": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 70
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 322,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 316,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 58,
                        "end_line": 201,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 39,
                        "start_line": 201
                    }
                },
                "494": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 71
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 322,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 316,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 75,
                        "end_line": 201,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 60,
                        "start_line": 201
                    }
                },
                "495": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 72
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 322,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 316,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 200,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 26,
                                "end_line": 200,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 85,
                                        "end_line": 201,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 77,
                                        "start_line": 201
                                    },
                                    "While expanding the reference 'response' in:"
                                ],
                                "start_col": 10,
                                "start_line": 200
                            },
                            "While auto generating local variable for 'response'."
                        ],
                        "start_col": 10,
                        "start_line": 200
                    }
                },
                "496": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 40,
                            "offset": 73
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 322,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 316,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 86,
                        "end_line": 201,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 26,
                        "start_line": 201
                    }
                },
                "498": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 41,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 322,
                            "openzeppelin.account.library.Account_execute.response_len": 324,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 323,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 206,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 86,
                                "end_line": 201,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 28,
                                        "end_line": 158,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 58,
                                                "end_line": 203,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 203
                                            },
                                            "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 158
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 26,
                                "start_line": 201
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 19,
                        "start_line": 206
                    }
                },
                "499": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 41,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 322,
                            "openzeppelin.account.library.Account_execute.response_len": 324,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 323,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 19,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 52,
                                "end_line": 197,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 64,
                                        "end_line": 19,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 52,
                                                "end_line": 197,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 36,
                                                        "end_line": 159,
                                                        "input_file": {
                                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 58,
                                                                "end_line": 203,
                                                                "input_file": {
                                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                                },
                                                                "start_col": 5,
                                                                "start_line": 203
                                                            },
                                                            "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                                        ],
                                                        "start_col": 9,
                                                        "start_line": 159
                                                    },
                                                    "While expanding the reference 'pedersen_ptr' in:"
                                                ],
                                                "start_col": 5,
                                                "start_line": 197
                                            },
                                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                                        ],
                                        "start_col": 37,
                                        "start_line": 19
                                    },
                                    "While auto generating local variable for 'pedersen_ptr'."
                                ],
                                "start_col": 5,
                                "start_line": 197
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 37,
                        "start_line": 19
                    }
                },
                "500": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 41,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 322,
                            "openzeppelin.account.library.Account_execute.response_len": 324,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 323,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 19,
                        "input_file": {
                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 52,
                                "end_line": 197,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 81,
                                        "end_line": 19,
                                        "input_file": {
                                            "filename": "autogen/starknet/storage_var/Account_current_nonce/decl.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 52,
                                                "end_line": 197,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 24,
                                                        "end_line": 160,
                                                        "input_file": {
                                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 58,
                                                                "end_line": 203,
                                                                "input_file": {
                                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                                },
                                                                "start_col": 5,
                                                                "start_line": 203
                                                            },
                                                            "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                                        ],
                                                        "start_col": 9,
                                                        "start_line": 160
                                                    },
                                                    "While expanding the reference 'range_check_ptr' in:"
                                                ],
                                                "start_col": 5,
                                                "start_line": 197
                                            },
                                            "While trying to update the implicit return value 'range_check_ptr' in:"
                                        ],
                                        "start_col": 66,
                                        "start_line": 19
                                    },
                                    "While auto generating local variable for 'range_check_ptr'."
                                ],
                                "start_col": 5,
                                "start_line": 197
                            },
                            "While trying to update the implicit return value 'range_check_ptr' in:"
                        ],
                        "start_col": 66,
                        "start_line": 19
                    }
                },
                "501": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 41,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 322,
                            "openzeppelin.account.library.Account_execute.response_len": 324,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 323,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 133,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 79,
                                "end_line": 194,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 37,
                                        "end_line": 133,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 79,
                                                "end_line": 194,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 37,
                                                        "end_line": 161,
                                                        "input_file": {
                                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 58,
                                                                "end_line": 203,
                                                                "input_file": {
                                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                                },
                                                                "start_col": 5,
                                                                "start_line": 203
                                                            },
                                                            "While trying to retrieve the implicit argument 'ecdsa_ptr' in:"
                                                        ],
                                                        "start_col": 9,
                                                        "start_line": 161
                                                    },
                                                    "While expanding the reference 'ecdsa_ptr' in:"
                                                ],
                                                "start_col": 5,
                                                "start_line": 194
                                            },
                                            "While trying to update the implicit return value 'ecdsa_ptr' in:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 133
                                    },
                                    "While auto generating local variable for 'ecdsa_ptr'."
                                ],
                                "start_col": 5,
                                "start_line": 194
                            },
                            "While trying to update the implicit return value 'ecdsa_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 133
                    }
                },
                "502": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 41,
                            "offset": 4
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 322,
                            "openzeppelin.account.library.Account_execute.response_len": 324,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 323,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 22,
                        "end_line": 201,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 38,
                                "end_line": 203,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 26,
                                "start_line": 203
                            },
                            "While expanding the reference 'response_len' in:"
                        ],
                        "start_col": 10,
                        "start_line": 201
                    }
                },
                "503": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 41,
                            "offset": 5
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 322,
                            "openzeppelin.account.library.Account_execute.response_len": 324,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 323,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 26,
                        "end_line": 200,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 26,
                                "end_line": 200,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 57,
                                        "end_line": 203,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 49,
                                        "start_line": 203
                                    },
                                    "While expanding the reference 'response' in:"
                                ],
                                "start_col": 10,
                                "start_line": 200
                            },
                            "While auto generating local variable for 'response'."
                        ],
                        "start_col": 10,
                        "start_line": 200
                    }
                },
                "504": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.Account_execute"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 41,
                            "offset": 6
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.Account_execute.__fp__": 292,
                            "openzeppelin.account.library.Account_execute._current_nonce": 300,
                            "openzeppelin.account.library.Account_execute.call_array": 283,
                            "openzeppelin.account.library.Account_execute.call_array_len": 282,
                            "openzeppelin.account.library.Account_execute.calldata": 285,
                            "openzeppelin.account.library.Account_execute.calldata_len": 284,
                            "openzeppelin.account.library.Account_execute.calls": 304,
                            "openzeppelin.account.library.Account_execute.calls_len": 306,
                            "openzeppelin.account.library.Account_execute.ecdsa_ptr": 315,
                            "openzeppelin.account.library.Account_execute.hash": 310,
                            "openzeppelin.account.library.Account_execute.multicall": 307,
                            "openzeppelin.account.library.Account_execute.nonce": 286,
                            "openzeppelin.account.library.Account_execute.pedersen_ptr": 319,
                            "openzeppelin.account.library.Account_execute.range_check_ptr": 320,
                            "openzeppelin.account.library.Account_execute.response": 322,
                            "openzeppelin.account.library.Account_execute.response_len": 324,
                            "openzeppelin.account.library.Account_execute.syscall_ptr": 323,
                            "openzeppelin.account.library.Account_execute.tx_info": 295
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 58,
                        "end_line": 203,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 203
                    }
                },
                "505": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 328
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 211,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 211
                    }
                },
                "507": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 328
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 7,
                        "end_line": 214,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 214
                    }
                },
                "509": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 328
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 206,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 37,
                                "end_line": 206,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 18,
                                        "end_line": 215,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 8,
                                        "start_line": 215
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 19,
                                "start_line": 206
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 19,
                        "start_line": 206
                    }
                },
                "510": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 4
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 328
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 215,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 16,
                        "start_line": 215
                    }
                },
                "512": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 5
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 328
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 18,
                        "end_line": 215,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 8,
                        "start_line": 215
                    }
                },
                "513": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 328,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 206,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 39,
                                "end_line": 42,
                                "input_file": {
                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 6,
                                        "end_line": 225,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 15,
                                        "start_line": 220
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 20,
                                "start_line": 42
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 19,
                        "start_line": 206
                    }
                },
                "514": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 4
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 328,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 221,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 26,
                        "start_line": 221
                    }
                },
                "515": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 5
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 328,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 45,
                        "end_line": 222,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 27,
                        "start_line": 222
                    }
                },
                "516": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 6
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 328,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 45,
                        "end_line": 223,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 23,
                        "start_line": 223
                    }
                },
                "517": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 328,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 224,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 18,
                        "start_line": 224
                    }
                },
                "518": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 328,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 6,
                        "end_line": 225,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 15,
                        "start_line": 220
                    }
                },
                "520": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 14
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 331,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 330,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 12,
                        "end_line": 220,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 12,
                                "end_line": 220,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 9,
                                "start_line": 220
                            },
                            "While auto generating local variable for 'res'."
                        ],
                        "start_col": 9,
                        "start_line": 220
                    }
                },
                "521": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 14
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 331,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 330,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 12,
                        "end_line": 220,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 12,
                                "end_line": 220,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 9,
                                "start_line": 220
                            },
                            "While auto generating local variable for 'res'."
                        ],
                        "start_col": 9,
                        "start_line": 220
                    }
                },
                "522": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 14
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 330,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 42,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 6,
                                "end_line": 225,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 39,
                                        "end_line": 42,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 6,
                                                "end_line": 225,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 15,
                                                "start_line": 220
                                            },
                                            "While trying to update the implicit return value 'syscall_ptr' in:"
                                        ],
                                        "start_col": 20,
                                        "start_line": 42
                                    },
                                    "While auto generating local variable for 'syscall_ptr'."
                                ],
                                "start_col": 15,
                                "start_line": 220
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 20,
                        "start_line": 42
                    }
                },
                "523": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 14
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 333,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 209,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 227,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 12,
                                "start_line": 227
                            },
                            "While expanding the reference 'response' in:"
                        ],
                        "start_col": 9,
                        "start_line": 209
                    }
                },
                "524": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 15
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 333,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 33,
                        "end_line": 227,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 22,
                        "start_line": 227
                    }
                },
                "525": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 16
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 333,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 51,
                        "end_line": 227,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 35,
                        "start_line": 227
                    }
                },
                "526": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 42,
                            "offset": 17
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 333,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 52,
                        "end_line": 227,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 227
                    }
                },
                "528": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 43,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 333,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 42,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 6,
                                "end_line": 225,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 39,
                                        "end_line": 42,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/starknet/common/syscalls.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 6,
                                                "end_line": 225,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 37,
                                                        "end_line": 206,
                                                        "input_file": {
                                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 101,
                                                                "end_line": 229,
                                                                "input_file": {
                                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                                },
                                                                "start_col": 26,
                                                                "start_line": 229
                                                            },
                                                            "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                                        ],
                                                        "start_col": 19,
                                                        "start_line": 206
                                                    },
                                                    "While expanding the reference 'syscall_ptr' in:"
                                                ],
                                                "start_col": 15,
                                                "start_line": 220
                                            },
                                            "While trying to update the implicit return value 'syscall_ptr' in:"
                                        ],
                                        "start_col": 20,
                                        "start_line": 42
                                    },
                                    "While auto generating local variable for 'syscall_ptr'."
                                ],
                                "start_col": 15,
                                "start_line": 220
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 20,
                        "start_line": 42
                    }
                },
                "529": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 43,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 333,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 52,
                        "end_line": 229,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 39,
                        "start_line": 229
                    }
                },
                "531": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 43,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 333,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 71,
                        "end_line": 229,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 54,
                        "start_line": 229
                    }
                },
                "533": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 43,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 333,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 100,
                        "end_line": 229,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 73,
                        "start_line": 229
                    }
                },
                "534": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 43,
                            "offset": 4
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 333,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 101,
                        "end_line": 229,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 26,
                        "start_line": 229
                    }
                },
                "536": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 44,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.response_len": 335,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 334,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 206,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 101,
                                "end_line": 229,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 37,
                                        "end_line": 206,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 45,
                                                "end_line": 230,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 5,
                                                "start_line": 230
                                            },
                                            "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                        ],
                                        "start_col": 19,
                                        "start_line": 206
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 26,
                                "start_line": 229
                            },
                            "While trying to update the implicit return value 'syscall_ptr' in:"
                        ],
                        "start_col": 19,
                        "start_line": 206
                    }
                },
                "537": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 44,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.response_len": 335,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 334,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 44,
                        "end_line": 230,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 13,
                        "start_line": 230
                    }
                },
                "538": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.execute_list"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 44,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.execute_list.calls": 326,
                            "openzeppelin.account.library.execute_list.calls_len": 325,
                            "openzeppelin.account.library.execute_list.res": 332,
                            "openzeppelin.account.library.execute_list.response": 327,
                            "openzeppelin.account.library.execute_list.response_len": 335,
                            "openzeppelin.account.library.execute_list.syscall_ptr": 334,
                            "openzeppelin.account.library.execute_list.this_call": 329
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 45,
                        "end_line": 230,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 230
                    }
                },
                "539": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 45,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 338,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 239,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 239
                    }
                },
                "541": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 45,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 338,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 235,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 48,
                                "end_line": 256,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 77,
                                        "end_line": 240,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 24,
                                        "start_line": 240
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 22,
                                "start_line": 256
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 235
                    }
                },
                "542": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 45,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 338,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 240,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 40,
                        "start_line": 240
                    }
                },
                "543": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 45,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 338,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 76,
                        "end_line": 240,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 61,
                        "start_line": 240
                    }
                },
                "544": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 45,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 338,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 77,
                        "end_line": 240,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 24,
                        "start_line": 240
                    }
                },
                "546": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 341,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 243,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 243
                    }
                },
                "548": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 341,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 342,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 256,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 77,
                                "end_line": 240,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 32,
                                        "end_line": 241,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 48,
                                                "end_line": 87,
                                                "input_file": {
                                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 86,
                                                        "end_line": 244,
                                                        "input_file": {
                                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                        },
                                                        "start_col": 32,
                                                        "start_line": 244
                                                    },
                                                    "While trying to retrieve the implicit argument 'hash_ptr' in:"
                                                ],
                                                "start_col": 25,
                                                "start_line": 87
                                            },
                                            "While expanding the reference 'hash_ptr' in:"
                                        ],
                                        "start_col": 20,
                                        "start_line": 241
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 24,
                                "start_line": 240
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 22,
                        "start_line": 256
                    }
                },
                "549": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 341,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 342,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 243,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 65,
                                "end_line": 244,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 51,
                                "start_line": 244
                            },
                            "While expanding the reference 'hash_state_ptr' in:"
                        ],
                        "start_col": 14,
                        "start_line": 243
                    }
                },
                "550": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 341,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 342,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 85,
                        "end_line": 244,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 67,
                        "start_line": 244
                    }
                },
                "552": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 10
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 341,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 342,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 86,
                        "end_line": 244,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 244
                    }
                },
                "554": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 26
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 343,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 344,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 84,
                        "end_line": 245,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 67,
                        "start_line": 245
                    }
                },
                "555": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 27
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 343,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 344,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 85,
                        "end_line": 245,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 245
                    }
                },
                "557": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 43
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 345,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 346,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 20,
                        "end_line": 240,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 77,
                                "end_line": 246,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 67,
                                "start_line": 246
                            },
                            "While expanding the reference 'calls_hash' in:"
                        ],
                        "start_col": 10,
                        "start_line": 240
                    }
                },
                "558": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 44
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 345,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 346,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 78,
                        "end_line": 246,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 246
                    }
                },
                "560": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 60
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 347,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 348,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 82,
                        "end_line": 247,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 67,
                        "start_line": 247
                    }
                },
                "561": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 61
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 347,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 348,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 247,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 247
                    }
                },
                "563": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 77
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 349,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 350,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 84,
                        "end_line": 248,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 67,
                        "start_line": 248
                    }
                },
                "564": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 78
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 349,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 350,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 85,
                        "end_line": 248,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 248
                    }
                },
                "566": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 94
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 351,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 352,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 84,
                        "end_line": 249,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 67,
                        "start_line": 249
                    }
                },
                "567": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 95
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 351,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 352,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 85,
                        "end_line": 249,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 249
                    }
                },
                "569": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 111
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 353,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 354,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 339,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 50,
                        "end_line": 250,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 21,
                        "start_line": 250
                    }
                },
                "571": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 120
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 355,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 354,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 357,
                            "openzeppelin.account.library.hash_multicall.res": 356,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 234,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 27,
                                "end_line": 234,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 25,
                                        "end_line": 252,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 252
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 234
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 234
                    }
                },
                "572": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 121
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 355,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 354,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 357,
                            "openzeppelin.account.library.hash_multicall.res": 356,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 99,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 50,
                                "end_line": 250,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 251,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 35,
                                                "end_line": 235,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 25,
                                                        "end_line": 252,
                                                        "input_file": {
                                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                        },
                                                        "start_col": 9,
                                                        "start_line": 252
                                                    },
                                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                                ],
                                                "start_col": 9,
                                                "start_line": 235
                                            },
                                            "While expanding the reference 'pedersen_ptr' in:"
                                        ],
                                        "start_col": 28,
                                        "start_line": 251
                                    },
                                    "While expanding the reference 'hash_ptr' in:"
                                ],
                                "start_col": 21,
                                "start_line": 250
                            },
                            "While trying to update the implicit return value 'hash_ptr' in:"
                        ],
                        "start_col": 20,
                        "start_line": 99
                    }
                },
                "573": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 122
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 355,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 354,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 357,
                            "openzeppelin.account.library.hash_multicall.res": 356,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 250,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 252,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 21,
                                "start_line": 252
                            },
                            "While expanding the reference 'res' in:"
                        ],
                        "start_col": 14,
                        "start_line": 250
                    }
                },
                "574": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_multicall"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 46,
                            "offset": 123
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_multicall.calls_hash": 340,
                            "openzeppelin.account.library.hash_multicall.hash_ptr": 355,
                            "openzeppelin.account.library.hash_multicall.hash_state_ptr": 354,
                            "openzeppelin.account.library.hash_multicall.multicall": 336,
                            "openzeppelin.account.library.hash_multicall.pedersen_ptr": 357,
                            "openzeppelin.account.library.hash_multicall.res": 356,
                            "openzeppelin.account.library.hash_multicall.syscall_ptr": 337
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 25,
                        "end_line": 252,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 9,
                        "start_line": 252
                    }
                },
                "575": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 47,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 360
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 260,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 260
                    }
                },
                "577": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 47,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 360
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 263,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 263
                    }
                },
                "579": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 47,
                            "offset": 4
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 361,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 360
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 263,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 263,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 10,
                                "start_line": 263
                            },
                            "While auto generating local variable for 'hash_array'."
                        ],
                        "start_col": 10,
                        "start_line": 263
                    }
                },
                "580": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 47,
                            "offset": 4
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 360
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 256,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 47,
                                "end_line": 277,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 49,
                                        "end_line": 264,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 264
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 21,
                                "start_line": 277
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 22,
                        "start_line": 256
                    }
                },
                "581": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 47,
                            "offset": 5
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 360
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 257,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 29,
                                "end_line": 264,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 20,
                                "start_line": 264
                            },
                            "While expanding the reference 'calls_len' in:"
                        ],
                        "start_col": 9,
                        "start_line": 257
                    }
                },
                "582": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 47,
                            "offset": 6
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 360
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 258,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 264,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 31,
                                "start_line": 264
                            },
                            "While expanding the reference 'calls' in:"
                        ],
                        "start_col": 9,
                        "start_line": 258
                    }
                },
                "583": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 47,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 360
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 263,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 263,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 48,
                                        "end_line": 264,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 38,
                                        "start_line": 264
                                    },
                                    "While expanding the reference 'hash_array' in:"
                                ],
                                "start_col": 10,
                                "start_line": 263
                            },
                            "While auto generating local variable for 'hash_array'."
                        ],
                        "start_col": 10,
                        "start_line": 263
                    }
                },
                "584": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 47,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 360
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 49,
                        "end_line": 264,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 264
                    }
                },
                "586": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 48,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.hash_ptr": 364,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 363
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 269,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 269
                    }
                },
                "588": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 48,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.hash_ptr": 364,
                            "openzeppelin.account.library.hash_call_array.hash_state_ptr": 365,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 363
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 47,
                        "end_line": 277,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 49,
                                "end_line": 264,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 32,
                                        "end_line": 267,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 41,
                                                "end_line": 73,
                                                "input_file": {
                                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 82,
                                                        "end_line": 270,
                                                        "input_file": {
                                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                        },
                                                        "start_col": 32,
                                                        "start_line": 270
                                                    },
                                                    "While trying to retrieve the implicit argument 'hash_ptr' in:"
                                                ],
                                                "start_col": 18,
                                                "start_line": 73
                                            },
                                            "While expanding the reference 'hash_ptr' in:"
                                        ],
                                        "start_col": 20,
                                        "start_line": 267
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 5,
                                "start_line": 264
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 21,
                        "start_line": 277
                    }
                },
                "589": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 48,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.hash_ptr": 364,
                            "openzeppelin.account.library.hash_call_array.hash_state_ptr": 365,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 363
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 269,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 58,
                                "end_line": 270,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 44,
                                "start_line": 270
                            },
                            "While expanding the reference 'hash_state_ptr' in:"
                        ],
                        "start_col": 14,
                        "start_line": 269
                    }
                },
                "590": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 48,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.hash_ptr": 364,
                            "openzeppelin.account.library.hash_call_array.hash_state_ptr": 365,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 363
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 263,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 263,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 70,
                                        "end_line": 270,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 60,
                                        "start_line": 270
                                    },
                                    "While expanding the reference 'hash_array' in:"
                                ],
                                "start_col": 10,
                                "start_line": 263
                            },
                            "While auto generating local variable for 'hash_array'."
                        ],
                        "start_col": 10,
                        "start_line": 263
                    }
                },
                "591": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 48,
                            "offset": 10
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.hash_ptr": 364,
                            "openzeppelin.account.library.hash_call_array.hash_state_ptr": 365,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 363
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 257,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 81,
                                "end_line": 270,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 72,
                                "start_line": 270
                            },
                            "While expanding the reference 'calls_len' in:"
                        ],
                        "start_col": 9,
                        "start_line": 257
                    }
                },
                "592": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 48,
                            "offset": 11
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.hash_ptr": 364,
                            "openzeppelin.account.library.hash_call_array.hash_state_ptr": 365,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 363
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 82,
                        "end_line": 270,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 270
                    }
                },
                "594": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 49,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.hash_ptr": 366,
                            "openzeppelin.account.library.hash_call_array.hash_state_ptr": 367,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 363
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 50,
                        "end_line": 271,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 21,
                        "start_line": 271
                    }
                },
                "596": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_array"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 49,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_array.calls": 359,
                            "openzeppelin.account.library.hash_call_array.calls_len": 358,
                            "openzeppelin.account.library.hash_call_array.hash_array": 362,
                            "openzeppelin.account.library.hash_call_array.hash_ptr": 368,
                            "openzeppelin.account.library.hash_call_array.hash_state_ptr": 367,
                            "openzeppelin.account.library.hash_call_array.pedersen_ptr": 370,
                            "openzeppelin.account.library.hash_call_array.res": 369
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 25,
                        "end_line": 273,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 9,
                        "start_line": 273
                    }
                },
                "597": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 50,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 374
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 7,
                        "end_line": 282,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 282
                    }
                },
                "599": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 50,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 374
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 47,
                        "end_line": 277,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 47,
                                "end_line": 277,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 18,
                                        "end_line": 283,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 9,
                                        "start_line": 283
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 21,
                                "start_line": 277
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 21,
                        "start_line": 277
                    }
                },
                "600": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 50,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 374
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 18,
                        "end_line": 283,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 9,
                        "start_line": 283
                    }
                },
                "601": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 50,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 374,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 47,
                        "end_line": 277,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 46,
                                "end_line": 301,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 84,
                                        "end_line": 286,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 27,
                                        "start_line": 286
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 20,
                                "start_line": 301
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 21,
                        "start_line": 277
                    }
                },
                "602": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 50,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 374,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 286,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 41,
                        "start_line": 286
                    }
                },
                "603": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 50,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 374,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 286,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 65,
                        "start_line": 286
                    }
                },
                "604": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 50,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 374,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 84,
                        "end_line": 286,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 27,
                        "start_line": 286
                    }
                },
                "606": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 378,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 376,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 289,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 289
                    }
                },
                "608": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 378,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 379,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 376,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 46,
                        "end_line": 301,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 84,
                                "end_line": 286,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 32,
                                        "end_line": 287,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 48,
                                                "end_line": 87,
                                                "input_file": {
                                                    "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 80,
                                                        "end_line": 290,
                                                        "input_file": {
                                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                        },
                                                        "start_col": 32,
                                                        "start_line": 290
                                                    },
                                                    "While trying to retrieve the implicit argument 'hash_ptr' in:"
                                                ],
                                                "start_col": 25,
                                                "start_line": 87
                                            },
                                            "While expanding the reference 'hash_ptr' in:"
                                        ],
                                        "start_col": 20,
                                        "start_line": 287
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 27,
                                "start_line": 286
                            },
                            "While trying to update the implicit return value 'pedersen_ptr' in:"
                        ],
                        "start_col": 20,
                        "start_line": 301
                    }
                },
                "609": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 378,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 379,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 376,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 289,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 65,
                                "end_line": 290,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 51,
                                "start_line": 290
                            },
                            "While expanding the reference 'hash_state_ptr' in:"
                        ],
                        "start_col": 14,
                        "start_line": 289
                    }
                },
                "610": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 378,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 379,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 376,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 79,
                        "end_line": 290,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 67,
                        "start_line": 290
                    }
                },
                "611": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 10
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 378,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 379,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 376,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 80,
                        "end_line": 290,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 290
                    }
                },
                "613": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 26
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 380,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 381,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 376,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 85,
                        "end_line": 291,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 67,
                        "start_line": 291
                    }
                },
                "614": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 27
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 380,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 381,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 376,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 86,
                        "end_line": 291,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 291
                    }
                },
                "616": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 43
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 382,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 383,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 376,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 23,
                        "end_line": 286,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 80,
                                "end_line": 292,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 67,
                                "start_line": 292
                            },
                            "While expanding the reference 'calldata_hash' in:"
                        ],
                        "start_col": 10,
                        "start_line": 286
                    }
                },
                "617": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 44
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 382,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 383,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 376,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 292,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 292
                    }
                },
                "619": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 60
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 384,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 385,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 376,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 50,
                        "end_line": 293,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 21,
                        "start_line": 293
                    }
                },
                "621": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 69
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 386,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 385,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 388,
                            "openzeppelin.account.library.hash_call_loop.res": 387,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 34,
                        "end_line": 295,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 9,
                        "start_line": 295
                    }
                },
                "622": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 69
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 386,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 385,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 388,
                            "openzeppelin.account.library.hash_call_loop.res": 387,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 99,
                        "input_file": {
                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 50,
                                "end_line": 293,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 294,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 47,
                                                "end_line": 277,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 69,
                                                        "end_line": 297,
                                                        "input_file": {
                                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                        },
                                                        "start_col": 5,
                                                        "start_line": 297
                                                    },
                                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                                ],
                                                "start_col": 21,
                                                "start_line": 277
                                            },
                                            "While expanding the reference 'pedersen_ptr' in:"
                                        ],
                                        "start_col": 28,
                                        "start_line": 294
                                    },
                                    "While expanding the reference 'hash_ptr' in:"
                                ],
                                "start_col": 21,
                                "start_line": 293
                            },
                            "While trying to update the implicit return value 'hash_ptr' in:"
                        ],
                        "start_col": 20,
                        "start_line": 99
                    }
                },
                "623": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 70
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 386,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 385,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 388,
                            "openzeppelin.account.library.hash_call_loop.res": 387,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 33,
                        "end_line": 297,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 20,
                        "start_line": 297
                    }
                },
                "625": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 71
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 386,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 385,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 388,
                            "openzeppelin.account.library.hash_call_loop.res": 387,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 52,
                        "end_line": 297,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 35,
                        "start_line": 297
                    }
                },
                "627": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 72
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 386,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 385,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 388,
                            "openzeppelin.account.library.hash_call_loop.res": 387,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 68,
                        "end_line": 297,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 54,
                        "start_line": 297
                    }
                },
                "629": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 51,
                            "offset": 73
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 386,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 385,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 388,
                            "openzeppelin.account.library.hash_call_loop.res": 387,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 69,
                        "end_line": 297,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 297
                    }
                },
                "631": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_call_loop"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 52,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_call_loop.calldata_hash": 377,
                            "openzeppelin.account.library.hash_call_loop.calls": 372,
                            "openzeppelin.account.library.hash_call_loop.calls_len": 371,
                            "openzeppelin.account.library.hash_call_loop.hash_array": 373,
                            "openzeppelin.account.library.hash_call_loop.hash_ptr": 386,
                            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": 385,
                            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": 389,
                            "openzeppelin.account.library.hash_call_loop.res": 387,
                            "openzeppelin.account.library.hash_call_loop.this_call": 375
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 13,
                        "end_line": 298,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 298
                    }
                },
                "632": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_calldata"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 53,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_calldata.calldata": 391,
                            "openzeppelin.account.library.hash_calldata.calldata_len": 390,
                            "openzeppelin.account.library.hash_calldata.hash_ptr": 393,
                            "openzeppelin.account.library.hash_calldata.pedersen_ptr": 392
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 307,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 307
                    }
                },
                "634": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_calldata"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 53,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_calldata.calldata": 391,
                            "openzeppelin.account.library.hash_calldata.calldata_len": 390,
                            "openzeppelin.account.library.hash_calldata.hash_ptr": 393,
                            "openzeppelin.account.library.hash_calldata.hash_state_ptr": 394,
                            "openzeppelin.account.library.hash_calldata.pedersen_ptr": 392
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 46,
                        "end_line": 301,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 32,
                                "end_line": 305,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 41,
                                        "end_line": 73,
                                        "input_file": {
                                            "filename": "/usr/local/lib/python3.9/site-packages/starkware/cairo/common/hash_state.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 10,
                                                "end_line": 312,
                                                "input_file": {
                                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                                },
                                                "start_col": 32,
                                                "start_line": 308
                                            },
                                            "While trying to retrieve the implicit argument 'hash_ptr' in:"
                                        ],
                                        "start_col": 18,
                                        "start_line": 73
                                    },
                                    "While expanding the reference 'hash_ptr' in:"
                                ],
                                "start_col": 20,
                                "start_line": 305
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 20,
                        "start_line": 301
                    }
                },
                "635": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_calldata"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 53,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_calldata.calldata": 391,
                            "openzeppelin.account.library.hash_calldata.calldata_len": 390,
                            "openzeppelin.account.library.hash_calldata.hash_ptr": 393,
                            "openzeppelin.account.library.hash_calldata.hash_state_ptr": 394,
                            "openzeppelin.account.library.hash_calldata.pedersen_ptr": 392
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 307,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 27,
                                "end_line": 309,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 13,
                                "start_line": 309
                            },
                            "While expanding the reference 'hash_state_ptr' in:"
                        ],
                        "start_col": 14,
                        "start_line": 307
                    }
                },
                "636": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_calldata"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 53,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_calldata.calldata": 391,
                            "openzeppelin.account.library.hash_calldata.calldata_len": 390,
                            "openzeppelin.account.library.hash_calldata.hash_ptr": 393,
                            "openzeppelin.account.library.hash_calldata.hash_state_ptr": 394,
                            "openzeppelin.account.library.hash_calldata.pedersen_ptr": 392
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 303,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 21,
                                "end_line": 310,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 13,
                                "start_line": 310
                            },
                            "While expanding the reference 'calldata' in:"
                        ],
                        "start_col": 9,
                        "start_line": 303
                    }
                },
                "637": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_calldata"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 53,
                            "offset": 10
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_calldata.calldata": 391,
                            "openzeppelin.account.library.hash_calldata.calldata_len": 390,
                            "openzeppelin.account.library.hash_calldata.hash_ptr": 393,
                            "openzeppelin.account.library.hash_calldata.hash_state_ptr": 394,
                            "openzeppelin.account.library.hash_calldata.pedersen_ptr": 392
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 302,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 311,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 13,
                                "start_line": 311
                            },
                            "While expanding the reference 'calldata_len' in:"
                        ],
                        "start_col": 9,
                        "start_line": 302
                    }
                },
                "638": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_calldata"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 53,
                            "offset": 11
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_calldata.calldata": 391,
                            "openzeppelin.account.library.hash_calldata.calldata_len": 390,
                            "openzeppelin.account.library.hash_calldata.hash_ptr": 393,
                            "openzeppelin.account.library.hash_calldata.hash_state_ptr": 394,
                            "openzeppelin.account.library.hash_calldata.pedersen_ptr": 392
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 10,
                        "end_line": 312,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 32,
                        "start_line": 308
                    }
                },
                "640": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_calldata"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 54,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_calldata.calldata": 391,
                            "openzeppelin.account.library.hash_calldata.calldata_len": 390,
                            "openzeppelin.account.library.hash_calldata.hash_ptr": 395,
                            "openzeppelin.account.library.hash_calldata.hash_state_ptr": 396,
                            "openzeppelin.account.library.hash_calldata.pedersen_ptr": 392
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 50,
                        "end_line": 313,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 21,
                        "start_line": 313
                    }
                },
                "642": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.hash_calldata"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 54,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.hash_calldata.calldata": 391,
                            "openzeppelin.account.library.hash_calldata.calldata_len": 390,
                            "openzeppelin.account.library.hash_calldata.hash_ptr": 397,
                            "openzeppelin.account.library.hash_calldata.hash_state_ptr": 396,
                            "openzeppelin.account.library.hash_calldata.pedersen_ptr": 399,
                            "openzeppelin.account.library.hash_calldata.res": 398
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 25,
                        "end_line": 315,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 9,
                        "start_line": 315
                    }
                },
                "643": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 7,
                        "end_line": 326,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 326
                    }
                },
                "645": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 319,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 48,
                                "end_line": 319,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 17,
                                        "end_line": 327,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 8,
                                        "start_line": 327
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 319
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 30,
                        "start_line": 319
                    }
                },
                "646": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 327,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 8,
                        "start_line": 327
                    }
                },
                "647": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 31,
                        "end_line": 332,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 16,
                        "start_line": 332
                    }
                },
                "648": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 10,
                        "end_line": 336,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 331
                    }
                },
                "649": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 1
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 333,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 22,
                        "start_line": 333
                    }
                },
                "650": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 10,
                        "end_line": 336,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 331
                    }
                },
                "651": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 2
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 47,
                        "end_line": 334,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 26,
                        "start_line": 334
                    }
                },
                "652": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.__temp28": 407,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 10,
                        "end_line": 336,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 331
                    }
                },
                "653": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 3
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.__temp28": 407,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 335,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 33,
                        "start_line": 335
                    }
                },
                "654": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 4
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.__temp28": 407,
                            "openzeppelin.account.library.from_call_array_to_call.__temp29": 408,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 335,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 22,
                        "start_line": 335
                    }
                },
                "655": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 5
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.__temp28": 407,
                            "openzeppelin.account.library.from_call_array_to_call.__temp29": 408,
                            "openzeppelin.account.library.from_call_array_to_call.__temp30": 409,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 10,
                        "end_line": 336,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 331
                    }
                },
                "656": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 5
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.__temp28": 407,
                            "openzeppelin.account.library.from_call_array_to_call.__temp29": 408,
                            "openzeppelin.account.library.from_call_array_to_call.__temp30": 409,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 319,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 48,
                                "end_line": 319,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 113,
                                        "end_line": 339,
                                        "input_file": {
                                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 339
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 30,
                                "start_line": 319
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 30,
                        "start_line": 319
                    }
                },
                "657": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 6
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.__temp28": 407,
                            "openzeppelin.account.library.from_call_array_to_call.__temp29": 408,
                            "openzeppelin.account.library.from_call_array_to_call.__temp30": 409,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 47,
                        "end_line": 339,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 29,
                        "start_line": 339
                    }
                },
                "659": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 7
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.__temp28": 407,
                            "openzeppelin.account.library.from_call_array_to_call.__temp29": 408,
                            "openzeppelin.account.library.from_call_array_to_call.__temp30": 409,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 339,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 49,
                        "start_line": 339
                    }
                },
                "661": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 8
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.__temp28": 407,
                            "openzeppelin.account.library.from_call_array_to_call.__temp29": 408,
                            "openzeppelin.account.library.from_call_array_to_call.__temp30": 409,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 322,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 93,
                                "end_line": 339,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "start_col": 85,
                                "start_line": 339
                            },
                            "While expanding the reference 'calldata' in:"
                        ],
                        "start_col": 9,
                        "start_line": 322
                    }
                },
                "662": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 9
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.__temp28": 407,
                            "openzeppelin.account.library.from_call_array_to_call.__temp29": 408,
                            "openzeppelin.account.library.from_call_array_to_call.__temp30": 409,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 112,
                        "end_line": 339,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 95,
                        "start_line": 339
                    }
                },
                "664": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 55,
                            "offset": 10
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.__temp28": 407,
                            "openzeppelin.account.library.from_call_array_to_call.__temp29": 408,
                            "openzeppelin.account.library.from_call_array_to_call.__temp30": 409,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 404
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 113,
                        "end_line": 339,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 339
                    }
                },
                "666": {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library.from_call_array_to_call"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 56,
                            "offset": 0
                        },
                        "reference_ids": {
                            "openzeppelin.account.library.from_call_array_to_call.__temp26": 405,
                            "openzeppelin.account.library.from_call_array_to_call.__temp27": 406,
                            "openzeppelin.account.library.from_call_array_to_call.__temp28": 407,
                            "openzeppelin.account.library.from_call_array_to_call.__temp29": 408,
                            "openzeppelin.account.library.from_call_array_to_call.__temp30": 409,
                            "openzeppelin.account.library.from_call_array_to_call.call_array": 401,
                            "openzeppelin.account.library.from_call_array_to_call.call_array_len": 400,
                            "openzeppelin.account.library.from_call_array_to_call.calldata": 402,
                            "openzeppelin.account.library.from_call_array_to_call.calls": 403,
                            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": 410
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 340,
                        "input_file": {
                            "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                        },
                        "start_col": 5,
                        "start_line": 340
                    }
                },
                "667": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 57,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__main__.get_public_key.pedersen_ptr": 412,
                            "__main__.get_public_key.range_check_ptr": 413,
                            "__main__.get_public_key.syscall_ptr": 411
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 25,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 78,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 41,
                                        "end_line": 29,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 17,
                                        "start_line": 29
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 78
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 25
                    }
                },
                "668": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 57,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__main__.get_public_key.pedersen_ptr": 412,
                            "__main__.get_public_key.range_check_ptr": 413,
                            "__main__.get_public_key.syscall_ptr": 411
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 26,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 79,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 41,
                                        "end_line": 29,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 17,
                                        "start_line": 29
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 79
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 26
                    }
                },
                "669": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 57,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__main__.get_public_key.pedersen_ptr": 412,
                            "__main__.get_public_key.range_check_ptr": 413,
                            "__main__.get_public_key.syscall_ptr": 411
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 27,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 80,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 41,
                                        "end_line": 29,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 17,
                                        "start_line": 29
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 80
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 27
                    }
                },
                "670": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 57,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__main__.get_public_key.pedersen_ptr": 412,
                            "__main__.get_public_key.range_check_ptr": 413,
                            "__main__.get_public_key.syscall_ptr": 411
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 41,
                        "end_line": 29,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 17,
                        "start_line": 29
                    }
                },
                "672": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 57,
                            "offset": 28
                        },
                        "reference_ids": {
                            "__main__.get_public_key.pedersen_ptr": 415,
                            "__main__.get_public_key.range_check_ptr": 416,
                            "__main__.get_public_key.res": 417,
                            "__main__.get_public_key.syscall_ptr": 414
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 30,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 5,
                        "start_line": 30
                    }
                },
                "673": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 58,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key_encode_return.range_check_ptr": 419,
                            "__wrappers__.get_public_key_encode_return.ret_struct": 418
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 38,
                                "end_line": 3,
                                "input_file": {
                                    "filename": "autogen/starknet/external/return/get_public_key/9605add8cf53f954532130fb37e8434c6f1dc820b83f0220783d7316e2c52b0f.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 20,
                                        "end_line": 24,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 6,
                                        "start_line": 24
                                    },
                                    "While handling return value of"
                                ],
                                "start_col": 5,
                                "start_line": 3
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 17,
                        "end_line": 4,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/get_public_key/9605add8cf53f954532130fb37e8434c6f1dc820b83f0220783d7316e2c52b0f.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While handling return value of"
                        ],
                        "start_col": 5,
                        "start_line": 4
                    }
                },
                "675": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 58,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key_encode_return.__return_value_ptr": 421,
                            "__wrappers__.get_public_key_encode_return.__return_value_ptr_start": 420,
                            "__wrappers__.get_public_key_encode_return.range_check_ptr": 419,
                            "__wrappers__.get_public_key_encode_return.ret_struct": 418
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 45,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/fee896b6d05b2e98056b5628baa6fbee0adfb8960f3fee9d79fd2f066956cc42.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 22,
                                "end_line": 28,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 13,
                                "start_line": 28
                            },
                            "While handling return value 'res'"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "676": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 58,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key_encode_return.__return_value_ptr": 422,
                            "__wrappers__.get_public_key_encode_return.__return_value_ptr_start": 420,
                            "__wrappers__.get_public_key_encode_return.range_check_ptr": 419,
                            "__wrappers__.get_public_key_encode_return.ret_struct": 418
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/fee896b6d05b2e98056b5628baa6fbee0adfb8960f3fee9d79fd2f066956cc42.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 22,
                                "end_line": 28,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 11,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/return/get_public_key/9605add8cf53f954532130fb37e8434c6f1dc820b83f0220783d7316e2c52b0f.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While handling return value of"
                                        ],
                                        "start_col": 18,
                                        "start_line": 11
                                    },
                                    "While expanding the reference '__return_value_ptr' in:"
                                ],
                                "start_col": 13,
                                "start_line": 28
                            },
                            "While handling return value 'res'"
                        ],
                        "start_col": 26,
                        "start_line": 2
                    }
                },
                "678": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 58,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key_encode_return.__return_value_ptr": 422,
                            "__wrappers__.get_public_key_encode_return.__return_value_ptr_start": 420,
                            "__wrappers__.get_public_key_encode_return.__temp31": 423,
                            "__wrappers__.get_public_key_encode_return.range_check_ptr": 419,
                            "__wrappers__.get_public_key_encode_return.ret_struct": 418
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 95,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/get_public_key/9605add8cf53f954532130fb37e8434c6f1dc820b83f0220783d7316e2c52b0f.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 40,
                                        "end_line": 10,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/return/get_public_key/9605add8cf53f954532130fb37e8434c6f1dc820b83f0220783d7316e2c52b0f.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While handling return value of"
                                        ],
                                        "start_col": 25,
                                        "start_line": 10
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While handling return value of"
                        ],
                        "start_col": 80,
                        "start_line": 1
                    }
                },
                "679": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 58,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key_encode_return.__return_value_ptr": 422,
                            "__wrappers__.get_public_key_encode_return.__return_value_ptr_start": 420,
                            "__wrappers__.get_public_key_encode_return.__temp31": 423,
                            "__wrappers__.get_public_key_encode_return.range_check_ptr": 419,
                            "__wrappers__.get_public_key_encode_return.ret_struct": 418
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 11,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/get_public_key/9605add8cf53f954532130fb37e8434c6f1dc820b83f0220783d7316e2c52b0f.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While handling return value of"
                        ],
                        "start_col": 18,
                        "start_line": 11
                    }
                },
                "680": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 58,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key_encode_return.__return_value_ptr": 422,
                            "__wrappers__.get_public_key_encode_return.__return_value_ptr_start": 420,
                            "__wrappers__.get_public_key_encode_return.__temp31": 423,
                            "__wrappers__.get_public_key_encode_return.range_check_ptr": 419,
                            "__wrappers__.get_public_key_encode_return.ret_struct": 418
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 5,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/get_public_key/9605add8cf53f954532130fb37e8434c6f1dc820b83f0220783d7316e2c52b0f.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 38,
                                        "end_line": 12,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/return/get_public_key/9605add8cf53f954532130fb37e8434c6f1dc820b83f0220783d7316e2c52b0f.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While handling return value of"
                                        ],
                                        "start_col": 14,
                                        "start_line": 12
                                    },
                                    "While expanding the reference '__return_value_ptr_start' in:"
                                ],
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While handling return value of"
                        ],
                        "start_col": 11,
                        "start_line": 5
                    }
                },
                "681": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 58,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key_encode_return.__return_value_ptr": 422,
                            "__wrappers__.get_public_key_encode_return.__return_value_ptr_start": 420,
                            "__wrappers__.get_public_key_encode_return.__temp31": 423,
                            "__wrappers__.get_public_key_encode_return.range_check_ptr": 419,
                            "__wrappers__.get_public_key_encode_return.ret_struct": 418
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 12,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/get_public_key/9605add8cf53f954532130fb37e8434c6f1dc820b83f0220783d7316e2c52b0f.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While handling return value of"
                        ],
                        "start_col": 5,
                        "start_line": 9
                    }
                },
                "682": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 425,
                            "__wrappers__.get_public_key.range_check_ptr": 426,
                            "__wrappers__.get_public_key.syscall_ptr": 424
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While handling calldata of"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "683": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 425,
                            "__wrappers__.get_public_key.range_check_ptr": 426,
                            "__wrappers__.get_public_key.syscall_ptr": 424
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_public_key/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 25,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_public_key/b2849ba7bb077663e4b038ad05edb036eedd0d3d2d173b73abde9848684cee47.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 45,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 25
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 19,
                        "start_line": 1
                    }
                },
                "684": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 425,
                            "__wrappers__.get_public_key.range_check_ptr": 426,
                            "__wrappers__.get_public_key.syscall_ptr": 424
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 110,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_public_key/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 26,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 83,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_public_key/b2849ba7bb077663e4b038ad05edb036eedd0d3d2d173b73abde9848684cee47.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 71,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 26
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 20,
                        "start_line": 1
                    }
                },
                "685": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 425,
                            "__wrappers__.get_public_key.range_check_ptr": 426,
                            "__wrappers__.get_public_key.syscall_ptr": 424
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_public_key/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 27,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 116,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_public_key/b2849ba7bb077663e4b038ad05edb036eedd0d3d2d173b73abde9848684cee47.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 101,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 27
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 1
                    }
                },
                "686": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 425,
                            "__wrappers__.get_public_key.range_check_ptr": 426,
                            "__wrappers__.get_public_key.syscall_ptr": 424
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 20,
                        "end_line": 24,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 6,
                        "start_line": 24
                    }
                },
                "688": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 33
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 431,
                            "__wrappers__.get_public_key.range_check_ptr": 432,
                            "__wrappers__.get_public_key.ret_struct": 433,
                            "__wrappers__.get_public_key.syscall_ptr": 430
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 116,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_public_key/b2849ba7bb077663e4b038ad05edb036eedd0d3d2d173b73abde9848684cee47.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 104,
                                        "end_line": 2,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_public_key/b2849ba7bb077663e4b038ad05edb036eedd0d3d2d173b73abde9848684cee47.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 89,
                                        "start_line": 2
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 101,
                        "start_line": 1
                    }
                },
                "689": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 34
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 431,
                            "__wrappers__.get_public_key.range_check_ptr": 432,
                            "__wrappers__.get_public_key.ret_struct": 433,
                            "__wrappers__.get_public_key.syscall_ptr": 430
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 105,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_public_key/b2849ba7bb077663e4b038ad05edb036eedd0d3d2d173b73abde9848684cee47.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 48,
                        "start_line": 2
                    }
                },
                "691": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 41
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 431,
                            "__wrappers__.get_public_key.range_check_ptr": 434,
                            "__wrappers__.get_public_key.ret_struct": 433,
                            "__wrappers__.get_public_key.retdata": 436,
                            "__wrappers__.get_public_key.retdata_size": 435,
                            "__wrappers__.get_public_key.syscall_ptr": 430
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 56,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_public_key/b2849ba7bb077663e4b038ad05edb036eedd0d3d2d173b73abde9848684cee47.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 20,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 45,
                        "start_line": 1
                    }
                },
                "692": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 42
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 431,
                            "__wrappers__.get_public_key.range_check_ptr": 434,
                            "__wrappers__.get_public_key.ret_struct": 433,
                            "__wrappers__.get_public_key.retdata": 436,
                            "__wrappers__.get_public_key.retdata_size": 435,
                            "__wrappers__.get_public_key.syscall_ptr": 430
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_public_key/b2849ba7bb077663e4b038ad05edb036eedd0d3d2d173b73abde9848684cee47.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 33,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 21,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 71,
                        "start_line": 1
                    }
                },
                "693": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 43
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 431,
                            "__wrappers__.get_public_key.range_check_ptr": 434,
                            "__wrappers__.get_public_key.ret_struct": 433,
                            "__wrappers__.get_public_key.retdata": 436,
                            "__wrappers__.get_public_key.retdata_size": 435,
                            "__wrappers__.get_public_key.syscall_ptr": 430
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_public_key/b2849ba7bb077663e4b038ad05edb036eedd0d3d2d173b73abde9848684cee47.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 49,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 34,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 6,
                        "start_line": 2
                    }
                },
                "694": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 44
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 431,
                            "__wrappers__.get_public_key.range_check_ptr": 434,
                            "__wrappers__.get_public_key.ret_struct": 433,
                            "__wrappers__.get_public_key.retdata": 436,
                            "__wrappers__.get_public_key.retdata_size": 435,
                            "__wrappers__.get_public_key.syscall_ptr": 430
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 61,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_public_key/06e2dac6fec7b0245dd168190069dcb92ed8c79c7a1ccebce7b1343c3e526229.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 59,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 50,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'ecdsa_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 17,
                        "start_line": 1
                    }
                },
                "695": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 45
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 431,
                            "__wrappers__.get_public_key.range_check_ptr": 434,
                            "__wrappers__.get_public_key.ret_struct": 433,
                            "__wrappers__.get_public_key.retdata": 436,
                            "__wrappers__.get_public_key.retdata_size": 435,
                            "__wrappers__.get_public_key.syscall_ptr": 430
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_public_key/b2849ba7bb077663e4b038ad05edb036eedd0d3d2d173b73abde9848684cee47.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 60,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata_size' in:"
                                ],
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 2
                    }
                },
                "696": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 46
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 431,
                            "__wrappers__.get_public_key.range_check_ptr": 434,
                            "__wrappers__.get_public_key.ret_struct": 433,
                            "__wrappers__.get_public_key.retdata": 436,
                            "__wrappers__.get_public_key.retdata_size": 435,
                            "__wrappers__.get_public_key.syscall_ptr": 430
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 44,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_public_key/b2849ba7bb077663e4b038ad05edb036eedd0d3d2d173b73abde9848684cee47.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 24,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 24
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 73,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata' in:"
                                ],
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 37,
                        "start_line": 2
                    }
                },
                "697": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 59,
                            "offset": 47
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key.__calldata_actual_size": 429,
                            "__wrappers__.get_public_key.__calldata_ptr": 428,
                            "__wrappers__.get_public_key.ecdsa_ptr": 427,
                            "__wrappers__.get_public_key.pedersen_ptr": 431,
                            "__wrappers__.get_public_key.range_check_ptr": 434,
                            "__wrappers__.get_public_key.ret_struct": 433,
                            "__wrappers__.get_public_key.retdata": 436,
                            "__wrappers__.get_public_key.retdata_size": 435,
                            "__wrappers__.get_public_key.syscall_ptr": 430
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 24,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 24
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "698": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 60,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__main__.get_nonce.pedersen_ptr": 438,
                            "__main__.get_nonce.range_check_ptr": 439,
                            "__main__.get_nonce.syscall_ptr": 437
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 35,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 87,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 39,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 17,
                                        "start_line": 39
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 87
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 35
                    }
                },
                "699": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 60,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__main__.get_nonce.pedersen_ptr": 438,
                            "__main__.get_nonce.range_check_ptr": 439,
                            "__main__.get_nonce.syscall_ptr": 437
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 36,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 88,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 39,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 17,
                                        "start_line": 39
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 88
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 36
                    }
                },
                "700": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 60,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__main__.get_nonce.pedersen_ptr": 438,
                            "__main__.get_nonce.range_check_ptr": 439,
                            "__main__.get_nonce.syscall_ptr": 437
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 37,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 89,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 39,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 17,
                                        "start_line": 39
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 89
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 37
                    }
                },
                "701": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 60,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__main__.get_nonce.pedersen_ptr": 438,
                            "__main__.get_nonce.range_check_ptr": 439,
                            "__main__.get_nonce.syscall_ptr": 437
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 39,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 17,
                        "start_line": 39
                    }
                },
                "703": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 60,
                            "offset": 28
                        },
                        "reference_ids": {
                            "__main__.get_nonce.pedersen_ptr": 441,
                            "__main__.get_nonce.range_check_ptr": 442,
                            "__main__.get_nonce.res": 443,
                            "__main__.get_nonce.syscall_ptr": 440
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 40,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 5,
                        "start_line": 40
                    }
                },
                "704": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 61,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce_encode_return.range_check_ptr": 445,
                            "__wrappers__.get_nonce_encode_return.ret_struct": 444
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 38,
                                "end_line": 3,
                                "input_file": {
                                    "filename": "autogen/starknet/external/return/get_nonce/b599da7e0616f5b52a9be2e1921aad249a1f0772086f536420e6a3635525f534.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 15,
                                        "end_line": 34,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 6,
                                        "start_line": 34
                                    },
                                    "While handling return value of"
                                ],
                                "start_col": 5,
                                "start_line": 3
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 17,
                        "end_line": 4,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/get_nonce/b599da7e0616f5b52a9be2e1921aad249a1f0772086f536420e6a3635525f534.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While handling return value of"
                        ],
                        "start_col": 5,
                        "start_line": 4
                    }
                },
                "706": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 61,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce_encode_return.__return_value_ptr": 447,
                            "__wrappers__.get_nonce_encode_return.__return_value_ptr_start": 446,
                            "__wrappers__.get_nonce_encode_return.range_check_ptr": 445,
                            "__wrappers__.get_nonce_encode_return.ret_struct": 444
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 45,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/fee896b6d05b2e98056b5628baa6fbee0adfb8960f3fee9d79fd2f066956cc42.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 22,
                                "end_line": 38,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 13,
                                "start_line": 38
                            },
                            "While handling return value 'res'"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "707": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 61,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce_encode_return.__return_value_ptr": 448,
                            "__wrappers__.get_nonce_encode_return.__return_value_ptr_start": 446,
                            "__wrappers__.get_nonce_encode_return.range_check_ptr": 445,
                            "__wrappers__.get_nonce_encode_return.ret_struct": 444
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/fee896b6d05b2e98056b5628baa6fbee0adfb8960f3fee9d79fd2f066956cc42.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 22,
                                "end_line": 38,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 11,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/return/get_nonce/b599da7e0616f5b52a9be2e1921aad249a1f0772086f536420e6a3635525f534.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While handling return value of"
                                        ],
                                        "start_col": 18,
                                        "start_line": 11
                                    },
                                    "While expanding the reference '__return_value_ptr' in:"
                                ],
                                "start_col": 13,
                                "start_line": 38
                            },
                            "While handling return value 'res'"
                        ],
                        "start_col": 26,
                        "start_line": 2
                    }
                },
                "709": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 61,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce_encode_return.__return_value_ptr": 448,
                            "__wrappers__.get_nonce_encode_return.__return_value_ptr_start": 446,
                            "__wrappers__.get_nonce_encode_return.__temp32": 449,
                            "__wrappers__.get_nonce_encode_return.range_check_ptr": 445,
                            "__wrappers__.get_nonce_encode_return.ret_struct": 444
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 85,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/get_nonce/b599da7e0616f5b52a9be2e1921aad249a1f0772086f536420e6a3635525f534.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 40,
                                        "end_line": 10,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/return/get_nonce/b599da7e0616f5b52a9be2e1921aad249a1f0772086f536420e6a3635525f534.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While handling return value of"
                                        ],
                                        "start_col": 25,
                                        "start_line": 10
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While handling return value of"
                        ],
                        "start_col": 70,
                        "start_line": 1
                    }
                },
                "710": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 61,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce_encode_return.__return_value_ptr": 448,
                            "__wrappers__.get_nonce_encode_return.__return_value_ptr_start": 446,
                            "__wrappers__.get_nonce_encode_return.__temp32": 449,
                            "__wrappers__.get_nonce_encode_return.range_check_ptr": 445,
                            "__wrappers__.get_nonce_encode_return.ret_struct": 444
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 11,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/get_nonce/b599da7e0616f5b52a9be2e1921aad249a1f0772086f536420e6a3635525f534.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While handling return value of"
                        ],
                        "start_col": 18,
                        "start_line": 11
                    }
                },
                "711": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 61,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce_encode_return.__return_value_ptr": 448,
                            "__wrappers__.get_nonce_encode_return.__return_value_ptr_start": 446,
                            "__wrappers__.get_nonce_encode_return.__temp32": 449,
                            "__wrappers__.get_nonce_encode_return.range_check_ptr": 445,
                            "__wrappers__.get_nonce_encode_return.ret_struct": 444
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 5,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/get_nonce/b599da7e0616f5b52a9be2e1921aad249a1f0772086f536420e6a3635525f534.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 38,
                                        "end_line": 12,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/return/get_nonce/b599da7e0616f5b52a9be2e1921aad249a1f0772086f536420e6a3635525f534.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While handling return value of"
                                        ],
                                        "start_col": 14,
                                        "start_line": 12
                                    },
                                    "While expanding the reference '__return_value_ptr_start' in:"
                                ],
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While handling return value of"
                        ],
                        "start_col": 11,
                        "start_line": 5
                    }
                },
                "712": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 61,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce_encode_return.__return_value_ptr": 448,
                            "__wrappers__.get_nonce_encode_return.__return_value_ptr_start": 446,
                            "__wrappers__.get_nonce_encode_return.__temp32": 449,
                            "__wrappers__.get_nonce_encode_return.range_check_ptr": 445,
                            "__wrappers__.get_nonce_encode_return.ret_struct": 444
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 12,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/get_nonce/b599da7e0616f5b52a9be2e1921aad249a1f0772086f536420e6a3635525f534.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While handling return value of"
                        ],
                        "start_col": 5,
                        "start_line": 9
                    }
                },
                "713": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 451,
                            "__wrappers__.get_nonce.range_check_ptr": 452,
                            "__wrappers__.get_nonce.syscall_ptr": 450
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While handling calldata of"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "714": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 451,
                            "__wrappers__.get_nonce.range_check_ptr": 452,
                            "__wrappers__.get_nonce.syscall_ptr": 450
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_nonce/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 35,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_nonce/a346d877d422c1aceb29d6c4893476b7e7d7c8e9bd59d8ccc775b8622116dd2a.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 45,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 35
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 19,
                        "start_line": 1
                    }
                },
                "715": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 451,
                            "__wrappers__.get_nonce.range_check_ptr": 452,
                            "__wrappers__.get_nonce.syscall_ptr": 450
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 110,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_nonce/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 36,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 83,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_nonce/a346d877d422c1aceb29d6c4893476b7e7d7c8e9bd59d8ccc775b8622116dd2a.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 71,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 36
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 20,
                        "start_line": 1
                    }
                },
                "716": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 451,
                            "__wrappers__.get_nonce.range_check_ptr": 452,
                            "__wrappers__.get_nonce.syscall_ptr": 450
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_nonce/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 37,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 116,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_nonce/a346d877d422c1aceb29d6c4893476b7e7d7c8e9bd59d8ccc775b8622116dd2a.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 101,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 37
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 1
                    }
                },
                "717": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 451,
                            "__wrappers__.get_nonce.range_check_ptr": 452,
                            "__wrappers__.get_nonce.syscall_ptr": 450
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 15,
                        "end_line": 34,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 6,
                        "start_line": 34
                    }
                },
                "719": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 33
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 457,
                            "__wrappers__.get_nonce.range_check_ptr": 458,
                            "__wrappers__.get_nonce.ret_struct": 459,
                            "__wrappers__.get_nonce.syscall_ptr": 456
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 116,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_nonce/a346d877d422c1aceb29d6c4893476b7e7d7c8e9bd59d8ccc775b8622116dd2a.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 99,
                                        "end_line": 2,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_nonce/a346d877d422c1aceb29d6c4893476b7e7d7c8e9bd59d8ccc775b8622116dd2a.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 84,
                                        "start_line": 2
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 101,
                        "start_line": 1
                    }
                },
                "720": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 34
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 457,
                            "__wrappers__.get_nonce.range_check_ptr": 458,
                            "__wrappers__.get_nonce.ret_struct": 459,
                            "__wrappers__.get_nonce.syscall_ptr": 456
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 100,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_nonce/a346d877d422c1aceb29d6c4893476b7e7d7c8e9bd59d8ccc775b8622116dd2a.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 48,
                        "start_line": 2
                    }
                },
                "722": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 41
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 457,
                            "__wrappers__.get_nonce.range_check_ptr": 460,
                            "__wrappers__.get_nonce.ret_struct": 459,
                            "__wrappers__.get_nonce.retdata": 462,
                            "__wrappers__.get_nonce.retdata_size": 461,
                            "__wrappers__.get_nonce.syscall_ptr": 456
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 56,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_nonce/a346d877d422c1aceb29d6c4893476b7e7d7c8e9bd59d8ccc775b8622116dd2a.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 20,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_nonce/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 45,
                        "start_line": 1
                    }
                },
                "723": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 42
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 457,
                            "__wrappers__.get_nonce.range_check_ptr": 460,
                            "__wrappers__.get_nonce.ret_struct": 459,
                            "__wrappers__.get_nonce.retdata": 462,
                            "__wrappers__.get_nonce.retdata_size": 461,
                            "__wrappers__.get_nonce.syscall_ptr": 456
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_nonce/a346d877d422c1aceb29d6c4893476b7e7d7c8e9bd59d8ccc775b8622116dd2a.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 33,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_nonce/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 21,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 71,
                        "start_line": 1
                    }
                },
                "724": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 43
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 457,
                            "__wrappers__.get_nonce.range_check_ptr": 460,
                            "__wrappers__.get_nonce.ret_struct": 459,
                            "__wrappers__.get_nonce.retdata": 462,
                            "__wrappers__.get_nonce.retdata_size": 461,
                            "__wrappers__.get_nonce.syscall_ptr": 456
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_nonce/a346d877d422c1aceb29d6c4893476b7e7d7c8e9bd59d8ccc775b8622116dd2a.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 49,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_nonce/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 34,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 6,
                        "start_line": 2
                    }
                },
                "725": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 44
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 457,
                            "__wrappers__.get_nonce.range_check_ptr": 460,
                            "__wrappers__.get_nonce.ret_struct": 459,
                            "__wrappers__.get_nonce.retdata": 462,
                            "__wrappers__.get_nonce.retdata_size": 461,
                            "__wrappers__.get_nonce.syscall_ptr": 456
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 61,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_nonce/06e2dac6fec7b0245dd168190069dcb92ed8c79c7a1ccebce7b1343c3e526229.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 59,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_nonce/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 50,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'ecdsa_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 17,
                        "start_line": 1
                    }
                },
                "726": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 45
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 457,
                            "__wrappers__.get_nonce.range_check_ptr": 460,
                            "__wrappers__.get_nonce.ret_struct": 459,
                            "__wrappers__.get_nonce.retdata": 462,
                            "__wrappers__.get_nonce.retdata_size": 461,
                            "__wrappers__.get_nonce.syscall_ptr": 456
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_nonce/a346d877d422c1aceb29d6c4893476b7e7d7c8e9bd59d8ccc775b8622116dd2a.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_nonce/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 60,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata_size' in:"
                                ],
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 2
                    }
                },
                "727": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 46
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 457,
                            "__wrappers__.get_nonce.range_check_ptr": 460,
                            "__wrappers__.get_nonce.ret_struct": 459,
                            "__wrappers__.get_nonce.retdata": 462,
                            "__wrappers__.get_nonce.retdata_size": 461,
                            "__wrappers__.get_nonce.syscall_ptr": 456
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 44,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_nonce/a346d877d422c1aceb29d6c4893476b7e7d7c8e9bd59d8ccc775b8622116dd2a.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/get_nonce/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 15,
                                                "end_line": 34,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 34
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 73,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata' in:"
                                ],
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 37,
                        "start_line": 2
                    }
                },
                "728": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 62,
                            "offset": 47
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce.__calldata_actual_size": 455,
                            "__wrappers__.get_nonce.__calldata_ptr": 454,
                            "__wrappers__.get_nonce.ecdsa_ptr": 453,
                            "__wrappers__.get_nonce.pedersen_ptr": 457,
                            "__wrappers__.get_nonce.range_check_ptr": 460,
                            "__wrappers__.get_nonce.ret_struct": 459,
                            "__wrappers__.get_nonce.retdata": 462,
                            "__wrappers__.get_nonce.retdata_size": 461,
                            "__wrappers__.get_nonce.syscall_ptr": 456
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/get_nonce/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 15,
                                "end_line": 34,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 34
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "729": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 63,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__main__.supportsInterface.interfaceId": 463,
                            "__main__.supportsInterface.pedersen_ptr": 465,
                            "__main__.supportsInterface.range_check_ptr": 466,
                            "__main__.supportsInterface.syscall_ptr": 464
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 45,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 27,
                                "end_line": 16,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 59,
                                        "end_line": 49,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 21,
                                        "start_line": 49
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 16
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 45
                    }
                },
                "730": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 63,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__main__.supportsInterface.interfaceId": 463,
                            "__main__.supportsInterface.pedersen_ptr": 465,
                            "__main__.supportsInterface.range_check_ptr": 466,
                            "__main__.supportsInterface.syscall_ptr": 464
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 46,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 35,
                                "end_line": 17,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 59,
                                        "end_line": 49,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 21,
                                        "start_line": 49
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 17
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 46
                    }
                },
                "731": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 63,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__main__.supportsInterface.interfaceId": 463,
                            "__main__.supportsInterface.pedersen_ptr": 465,
                            "__main__.supportsInterface.range_check_ptr": 466,
                            "__main__.supportsInterface.syscall_ptr": 464
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 47,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 18,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/introspection/ERC165.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 59,
                                        "end_line": 49,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 21,
                                        "start_line": 49
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 18
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 47
                    }
                },
                "732": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 63,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__main__.supportsInterface.interfaceId": 463,
                            "__main__.supportsInterface.pedersen_ptr": 465,
                            "__main__.supportsInterface.range_check_ptr": 466,
                            "__main__.supportsInterface.syscall_ptr": 464
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 25,
                        "end_line": 48,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 58,
                                "end_line": 49,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 47,
                                "start_line": 49
                            },
                            "While expanding the reference 'interfaceId' in:"
                        ],
                        "start_col": 8,
                        "start_line": 48
                    }
                },
                "733": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 63,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__main__.supportsInterface.interfaceId": 463,
                            "__main__.supportsInterface.pedersen_ptr": 465,
                            "__main__.supportsInterface.range_check_ptr": 466,
                            "__main__.supportsInterface.syscall_ptr": 464
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 49,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 21,
                        "start_line": 49
                    }
                },
                "735": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 64,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__main__.supportsInterface.interfaceId": 463,
                            "__main__.supportsInterface.pedersen_ptr": 468,
                            "__main__.supportsInterface.range_check_ptr": 469,
                            "__main__.supportsInterface.success": 470,
                            "__main__.supportsInterface.syscall_ptr": 467
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 50,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 5,
                        "start_line": 50
                    }
                },
                "736": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 65,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface_encode_return.range_check_ptr": 472,
                            "__wrappers__.supportsInterface_encode_return.ret_struct": 471
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 38,
                                "end_line": 3,
                                "input_file": {
                                    "filename": "autogen/starknet/external/return/supportsInterface/037a3fe20b5598fee7bfabbca23354a68e9dd74b234d25d6640003a291b56483.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 23,
                                        "end_line": 44,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 6,
                                        "start_line": 44
                                    },
                                    "While handling return value of"
                                ],
                                "start_col": 5,
                                "start_line": 3
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 17,
                        "end_line": 4,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/supportsInterface/037a3fe20b5598fee7bfabbca23354a68e9dd74b234d25d6640003a291b56483.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While handling return value of"
                        ],
                        "start_col": 5,
                        "start_line": 4
                    }
                },
                "738": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 65,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface_encode_return.__return_value_ptr": 474,
                            "__wrappers__.supportsInterface_encode_return.__return_value_ptr_start": 473,
                            "__wrappers__.supportsInterface_encode_return.range_check_ptr": 472,
                            "__wrappers__.supportsInterface_encode_return.ret_struct": 471
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 49,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/7af4bd4fbb5dd50674824547868ce179672433087ba629fa3b41cfc375f33be5.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 44,
                                "end_line": 48,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 31,
                                "start_line": 48
                            },
                            "While handling return value 'success'"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "739": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 65,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface_encode_return.__return_value_ptr": 475,
                            "__wrappers__.supportsInterface_encode_return.__return_value_ptr_start": 473,
                            "__wrappers__.supportsInterface_encode_return.range_check_ptr": 472,
                            "__wrappers__.supportsInterface_encode_return.ret_struct": 471
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/7af4bd4fbb5dd50674824547868ce179672433087ba629fa3b41cfc375f33be5.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 44,
                                "end_line": 48,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 11,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/return/supportsInterface/037a3fe20b5598fee7bfabbca23354a68e9dd74b234d25d6640003a291b56483.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While handling return value of"
                                        ],
                                        "start_col": 18,
                                        "start_line": 11
                                    },
                                    "While expanding the reference '__return_value_ptr' in:"
                                ],
                                "start_col": 31,
                                "start_line": 48
                            },
                            "While handling return value 'success'"
                        ],
                        "start_col": 26,
                        "start_line": 2
                    }
                },
                "741": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 65,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface_encode_return.__return_value_ptr": 475,
                            "__wrappers__.supportsInterface_encode_return.__return_value_ptr_start": 473,
                            "__wrappers__.supportsInterface_encode_return.__temp33": 476,
                            "__wrappers__.supportsInterface_encode_return.range_check_ptr": 472,
                            "__wrappers__.supportsInterface_encode_return.ret_struct": 471
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 101,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/supportsInterface/037a3fe20b5598fee7bfabbca23354a68e9dd74b234d25d6640003a291b56483.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 40,
                                        "end_line": 10,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/return/supportsInterface/037a3fe20b5598fee7bfabbca23354a68e9dd74b234d25d6640003a291b56483.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While handling return value of"
                                        ],
                                        "start_col": 25,
                                        "start_line": 10
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While handling return value of"
                        ],
                        "start_col": 86,
                        "start_line": 1
                    }
                },
                "742": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 65,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface_encode_return.__return_value_ptr": 475,
                            "__wrappers__.supportsInterface_encode_return.__return_value_ptr_start": 473,
                            "__wrappers__.supportsInterface_encode_return.__temp33": 476,
                            "__wrappers__.supportsInterface_encode_return.range_check_ptr": 472,
                            "__wrappers__.supportsInterface_encode_return.ret_struct": 471
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 11,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/supportsInterface/037a3fe20b5598fee7bfabbca23354a68e9dd74b234d25d6640003a291b56483.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While handling return value of"
                        ],
                        "start_col": 18,
                        "start_line": 11
                    }
                },
                "743": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 65,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface_encode_return.__return_value_ptr": 475,
                            "__wrappers__.supportsInterface_encode_return.__return_value_ptr_start": 473,
                            "__wrappers__.supportsInterface_encode_return.__temp33": 476,
                            "__wrappers__.supportsInterface_encode_return.range_check_ptr": 472,
                            "__wrappers__.supportsInterface_encode_return.ret_struct": 471
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 5,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/supportsInterface/037a3fe20b5598fee7bfabbca23354a68e9dd74b234d25d6640003a291b56483.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 38,
                                        "end_line": 12,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/return/supportsInterface/037a3fe20b5598fee7bfabbca23354a68e9dd74b234d25d6640003a291b56483.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While handling return value of"
                                        ],
                                        "start_col": 14,
                                        "start_line": 12
                                    },
                                    "While expanding the reference '__return_value_ptr_start' in:"
                                ],
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While handling return value of"
                        ],
                        "start_col": 11,
                        "start_line": 5
                    }
                },
                "744": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface_encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 65,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface_encode_return.__return_value_ptr": 475,
                            "__wrappers__.supportsInterface_encode_return.__return_value_ptr_start": 473,
                            "__wrappers__.supportsInterface_encode_return.__temp33": 476,
                            "__wrappers__.supportsInterface_encode_return.range_check_ptr": 472,
                            "__wrappers__.supportsInterface_encode_return.ret_struct": 471
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 12,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/supportsInterface/037a3fe20b5598fee7bfabbca23354a68e9dd74b234d25d6640003a291b56483.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While handling return value of"
                        ],
                        "start_col": 5,
                        "start_line": 9
                    }
                },
                "745": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 66,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 478,
                            "__wrappers__.supportsInterface.range_check_ptr": 479,
                            "__wrappers__.supportsInterface.syscall_ptr": 477
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/5d2294ce8e305b1bd560f56804793340439bb863103e1ba5c235e3d08cf6d272.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 48,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 45,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/5e1cc73f0b484f90bb02da164d88332b40c6f698801aa4d3c603dab22157e902.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 57,
                                                        "end_line": 1,
                                                        "input_file": {
                                                            "filename": "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 23,
                                                                "end_line": 44,
                                                                "input_file": {
                                                                    "filename": "openzeppelin/account/Account.cairo"
                                                                },
                                                                "start_col": 6,
                                                                "start_line": 44
                                                            },
                                                            "While handling calldata of"
                                                        ],
                                                        "start_col": 35,
                                                        "start_line": 1
                                                    },
                                                    "While expanding the reference '__calldata_actual_size' in:"
                                                ],
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While handling calldata of"
                                        ],
                                        "start_col": 31,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_ptr' in:"
                                ],
                                "start_col": 8,
                                "start_line": 48
                            },
                            "While handling calldata argument 'interfaceId'"
                        ],
                        "start_col": 22,
                        "start_line": 2
                    }
                },
                "747": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 66,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 478,
                            "__wrappers__.supportsInterface.range_check_ptr": 479,
                            "__wrappers__.supportsInterface.syscall_ptr": 477
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While handling calldata of"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "748": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 66,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 478,
                            "__wrappers__.supportsInterface.range_check_ptr": 479,
                            "__wrappers__.supportsInterface.syscall_ptr": 477
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/supportsInterface/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 27,
                                "end_line": 45,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 45,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 45
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 19,
                        "start_line": 1
                    }
                },
                "749": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 66,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 478,
                            "__wrappers__.supportsInterface.range_check_ptr": 479,
                            "__wrappers__.supportsInterface.syscall_ptr": 477
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 110,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/supportsInterface/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 35,
                                "end_line": 46,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 83,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 71,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 46
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 20,
                        "start_line": 1
                    }
                },
                "750": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 66,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 478,
                            "__wrappers__.supportsInterface.range_check_ptr": 479,
                            "__wrappers__.supportsInterface.syscall_ptr": 477
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/supportsInterface/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 47,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 116,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 101,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 47
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 1
                    }
                },
                "751": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 66,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 478,
                            "__wrappers__.supportsInterface.range_check_ptr": 479,
                            "__wrappers__.supportsInterface.syscall_ptr": 477
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 50,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/5d2294ce8e305b1bd560f56804793340439bb863103e1ba5c235e3d08cf6d272.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 48,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 156,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 130,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_interfaceId' in:"
                                ],
                                "start_col": 8,
                                "start_line": 48
                            },
                            "While handling calldata argument 'interfaceId'"
                        ],
                        "start_col": 34,
                        "start_line": 1
                    }
                },
                "752": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 66,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 478,
                            "__wrappers__.supportsInterface.range_check_ptr": 479,
                            "__wrappers__.supportsInterface.syscall_ptr": 477
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 23,
                        "end_line": 44,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 6,
                        "start_line": 44
                    }
                },
                "754": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 67,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 487,
                            "__wrappers__.supportsInterface.range_check_ptr": 488,
                            "__wrappers__.supportsInterface.ret_struct": 489,
                            "__wrappers__.supportsInterface.syscall_ptr": 486
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 116,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 107,
                                        "end_line": 2,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 92,
                                        "start_line": 2
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 101,
                        "start_line": 1
                    }
                },
                "755": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 67,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 487,
                            "__wrappers__.supportsInterface.range_check_ptr": 488,
                            "__wrappers__.supportsInterface.ret_struct": 489,
                            "__wrappers__.supportsInterface.syscall_ptr": 486
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 108,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 48,
                        "start_line": 2
                    }
                },
                "757": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 67,
                            "offset": 8
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 487,
                            "__wrappers__.supportsInterface.range_check_ptr": 490,
                            "__wrappers__.supportsInterface.ret_struct": 489,
                            "__wrappers__.supportsInterface.retdata": 492,
                            "__wrappers__.supportsInterface.retdata_size": 491,
                            "__wrappers__.supportsInterface.syscall_ptr": 486
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 56,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 20,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/supportsInterface/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 45,
                        "start_line": 1
                    }
                },
                "758": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 67,
                            "offset": 9
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 487,
                            "__wrappers__.supportsInterface.range_check_ptr": 490,
                            "__wrappers__.supportsInterface.ret_struct": 489,
                            "__wrappers__.supportsInterface.retdata": 492,
                            "__wrappers__.supportsInterface.retdata_size": 491,
                            "__wrappers__.supportsInterface.syscall_ptr": 486
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 33,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/supportsInterface/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 21,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 71,
                        "start_line": 1
                    }
                },
                "759": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 67,
                            "offset": 10
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 487,
                            "__wrappers__.supportsInterface.range_check_ptr": 490,
                            "__wrappers__.supportsInterface.ret_struct": 489,
                            "__wrappers__.supportsInterface.retdata": 492,
                            "__wrappers__.supportsInterface.retdata_size": 491,
                            "__wrappers__.supportsInterface.syscall_ptr": 486
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 49,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/supportsInterface/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 34,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 6,
                        "start_line": 2
                    }
                },
                "760": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 67,
                            "offset": 11
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 487,
                            "__wrappers__.supportsInterface.range_check_ptr": 490,
                            "__wrappers__.supportsInterface.ret_struct": 489,
                            "__wrappers__.supportsInterface.retdata": 492,
                            "__wrappers__.supportsInterface.retdata_size": 491,
                            "__wrappers__.supportsInterface.syscall_ptr": 486
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 61,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/supportsInterface/06e2dac6fec7b0245dd168190069dcb92ed8c79c7a1ccebce7b1343c3e526229.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 59,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/supportsInterface/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 50,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'ecdsa_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 17,
                        "start_line": 1
                    }
                },
                "761": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 67,
                            "offset": 12
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 487,
                            "__wrappers__.supportsInterface.range_check_ptr": 490,
                            "__wrappers__.supportsInterface.ret_struct": 489,
                            "__wrappers__.supportsInterface.retdata": 492,
                            "__wrappers__.supportsInterface.retdata_size": 491,
                            "__wrappers__.supportsInterface.syscall_ptr": 486
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/supportsInterface/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 60,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata_size' in:"
                                ],
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 2
                    }
                },
                "762": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 67,
                            "offset": 13
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 487,
                            "__wrappers__.supportsInterface.range_check_ptr": 490,
                            "__wrappers__.supportsInterface.ret_struct": 489,
                            "__wrappers__.supportsInterface.retdata": 492,
                            "__wrappers__.supportsInterface.retdata_size": 491,
                            "__wrappers__.supportsInterface.syscall_ptr": 486
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 44,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/supportsInterface/3bbfa76e3ba08d2de75ecebf03a71a4c601c1fed5524a7a8db9ff7c36edb527d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/supportsInterface/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 23,
                                                "end_line": 44,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 44
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 73,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata' in:"
                                ],
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 37,
                        "start_line": 2
                    }
                },
                "763": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 67,
                            "offset": 14
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface.__calldata_actual_size": 484,
                            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": 482,
                            "__wrappers__.supportsInterface.__calldata_ptr": 483,
                            "__wrappers__.supportsInterface.__temp34": 485,
                            "__wrappers__.supportsInterface.ecdsa_ptr": 480,
                            "__wrappers__.supportsInterface.pedersen_ptr": 487,
                            "__wrappers__.supportsInterface.range_check_ptr": 490,
                            "__wrappers__.supportsInterface.ret_struct": 489,
                            "__wrappers__.supportsInterface.retdata": 492,
                            "__wrappers__.supportsInterface.retdata_size": 491,
                            "__wrappers__.supportsInterface.syscall_ptr": 486
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/supportsInterface/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 44,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 44
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "764": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 68,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__main__.set_public_key.new_public_key": 493,
                            "__main__.set_public_key.pedersen_ptr": 495,
                            "__main__.set_public_key.range_check_ptr": 496,
                            "__main__.set_public_key.syscall_ptr": 494
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 59,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 100,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 43,
                                        "end_line": 63,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 63
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 100
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 59
                    }
                },
                "765": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 68,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__main__.set_public_key.new_public_key": 493,
                            "__main__.set_public_key.pedersen_ptr": 495,
                            "__main__.set_public_key.range_check_ptr": 496,
                            "__main__.set_public_key.syscall_ptr": 494
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 60,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 43,
                                        "end_line": 63,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 63
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 101
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 60
                    }
                },
                "766": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 68,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__main__.set_public_key.new_public_key": 493,
                            "__main__.set_public_key.pedersen_ptr": 495,
                            "__main__.set_public_key.range_check_ptr": 496,
                            "__main__.set_public_key.syscall_ptr": 494
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 61,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 102,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 43,
                                        "end_line": 63,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 63
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 102
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 61
                    }
                },
                "767": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 68,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__main__.set_public_key.new_public_key": 493,
                            "__main__.set_public_key.pedersen_ptr": 495,
                            "__main__.set_public_key.range_check_ptr": 496,
                            "__main__.set_public_key.syscall_ptr": 494
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 62,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 42,
                                "end_line": 63,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 28,
                                "start_line": 63
                            },
                            "While expanding the reference 'new_public_key' in:"
                        ],
                        "start_col": 7,
                        "start_line": 62
                    }
                },
                "768": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 68,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__main__.set_public_key.new_public_key": 493,
                            "__main__.set_public_key.pedersen_ptr": 495,
                            "__main__.set_public_key.range_check_ptr": 496,
                            "__main__.set_public_key.syscall_ptr": 494
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 63,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 5,
                        "start_line": 63
                    }
                },
                "770": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 68,
                            "offset": 43
                        },
                        "reference_ids": {
                            "__main__.set_public_key.new_public_key": 493,
                            "__main__.set_public_key.pedersen_ptr": 498,
                            "__main__.set_public_key.range_check_ptr": 499,
                            "__main__.set_public_key.syscall_ptr": 497
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 64,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 5,
                        "start_line": 64
                    }
                },
                "771": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 501,
                            "__wrappers__.set_public_key.range_check_ptr": 502,
                            "__wrappers__.set_public_key.syscall_ptr": 500
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/960ed0835c5fa83e7fde73a3a03f5fd9272c9b63199927c6476a8754ae40c556.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 27,
                                "end_line": 62,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 45,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/5e1cc73f0b484f90bb02da164d88332b40c6f698801aa4d3c603dab22157e902.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 58,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 57,
                                                        "end_line": 1,
                                                        "input_file": {
                                                            "filename": "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 20,
                                                                "end_line": 58,
                                                                "input_file": {
                                                                    "filename": "openzeppelin/account/Account.cairo"
                                                                },
                                                                "start_col": 6,
                                                                "start_line": 58
                                                            },
                                                            "While handling calldata of"
                                                        ],
                                                        "start_col": 35,
                                                        "start_line": 1
                                                    },
                                                    "While expanding the reference '__calldata_actual_size' in:"
                                                ],
                                                "start_col": 6,
                                                "start_line": 58
                                            },
                                            "While handling calldata of"
                                        ],
                                        "start_col": 31,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_ptr' in:"
                                ],
                                "start_col": 7,
                                "start_line": 62
                            },
                            "While handling calldata argument 'new_public_key'"
                        ],
                        "start_col": 22,
                        "start_line": 2
                    }
                },
                "773": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 501,
                            "__wrappers__.set_public_key.range_check_ptr": 502,
                            "__wrappers__.set_public_key.syscall_ptr": 500
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 58,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 58
                            },
                            "While handling calldata of"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "774": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 501,
                            "__wrappers__.set_public_key.range_check_ptr": 502,
                            "__wrappers__.set_public_key.syscall_ptr": 500
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/set_public_key/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 59,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/set_public_key/9d99191ee37b2755f349e9328582aaabeba3fa369cacff177a5b80144e6ec2c7.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 58,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 58
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 45,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 59
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 19,
                        "start_line": 1
                    }
                },
                "775": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 501,
                            "__wrappers__.set_public_key.range_check_ptr": 502,
                            "__wrappers__.set_public_key.syscall_ptr": 500
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 110,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/set_public_key/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 60,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 83,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/set_public_key/9d99191ee37b2755f349e9328582aaabeba3fa369cacff177a5b80144e6ec2c7.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 58,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 58
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 71,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 60
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 20,
                        "start_line": 1
                    }
                },
                "776": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 501,
                            "__wrappers__.set_public_key.range_check_ptr": 502,
                            "__wrappers__.set_public_key.syscall_ptr": 500
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/set_public_key/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 61,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 116,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/set_public_key/9d99191ee37b2755f349e9328582aaabeba3fa369cacff177a5b80144e6ec2c7.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 58,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 58
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 101,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 61
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 1
                    }
                },
                "777": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 501,
                            "__wrappers__.set_public_key.range_check_ptr": 502,
                            "__wrappers__.set_public_key.syscall_ptr": 500
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 53,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/960ed0835c5fa83e7fde73a3a03f5fd9272c9b63199927c6476a8754ae40c556.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 27,
                                "end_line": 62,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 162,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/set_public_key/9d99191ee37b2755f349e9328582aaabeba3fa369cacff177a5b80144e6ec2c7.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 58,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 58
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 133,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_new_public_key' in:"
                                ],
                                "start_col": 7,
                                "start_line": 62
                            },
                            "While handling calldata argument 'new_public_key'"
                        ],
                        "start_col": 37,
                        "start_line": 1
                    }
                },
                "778": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 501,
                            "__wrappers__.set_public_key.range_check_ptr": 502,
                            "__wrappers__.set_public_key.syscall_ptr": 500
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 20,
                        "end_line": 58,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 6,
                        "start_line": 58
                    }
                },
                "780": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 50
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 510,
                            "__wrappers__.set_public_key.range_check_ptr": 511,
                            "__wrappers__.set_public_key.ret_struct": 512,
                            "__wrappers__.set_public_key.syscall_ptr": 509
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 34,
                                "end_line": 2,
                                "input_file": {
                                    "filename": "autogen/starknet/external/set_public_key/9d99191ee37b2755f349e9328582aaabeba3fa369cacff177a5b80144e6ec2c7.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 20,
                                        "end_line": 58,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 6,
                                        "start_line": 58
                                    },
                                    "While constructing the external wrapper for:"
                                ],
                                "start_col": 1,
                                "start_line": 2
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 24,
                        "end_line": 3,
                        "input_file": {
                            "filename": "autogen/starknet/external/set_public_key/9d99191ee37b2755f349e9328582aaabeba3fa369cacff177a5b80144e6ec2c7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 58,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 58
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 1,
                        "start_line": 3
                    }
                },
                "782": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 51
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 510,
                            "__wrappers__.set_public_key.range_check_ptr": 511,
                            "__wrappers__.set_public_key.ret_struct": 512,
                            "__wrappers__.set_public_key.retdata": 513,
                            "__wrappers__.set_public_key.retdata_size": 514,
                            "__wrappers__.set_public_key.syscall_ptr": 509
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 56,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/set_public_key/9d99191ee37b2755f349e9328582aaabeba3fa369cacff177a5b80144e6ec2c7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 58,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 20,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/set_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 58,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 58
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 58
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 45,
                        "start_line": 1
                    }
                },
                "783": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 52
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 510,
                            "__wrappers__.set_public_key.range_check_ptr": 511,
                            "__wrappers__.set_public_key.ret_struct": 512,
                            "__wrappers__.set_public_key.retdata": 513,
                            "__wrappers__.set_public_key.retdata_size": 514,
                            "__wrappers__.set_public_key.syscall_ptr": 509
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/set_public_key/9d99191ee37b2755f349e9328582aaabeba3fa369cacff177a5b80144e6ec2c7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 58,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 33,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/set_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 58,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 58
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 21,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 58
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 71,
                        "start_line": 1
                    }
                },
                "784": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 53
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 510,
                            "__wrappers__.set_public_key.range_check_ptr": 511,
                            "__wrappers__.set_public_key.ret_struct": 512,
                            "__wrappers__.set_public_key.retdata": 513,
                            "__wrappers__.set_public_key.retdata_size": 514,
                            "__wrappers__.set_public_key.syscall_ptr": 509
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 116,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/set_public_key/9d99191ee37b2755f349e9328582aaabeba3fa369cacff177a5b80144e6ec2c7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 58,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 49,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/set_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 58,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 58
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 34,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 58
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 101,
                        "start_line": 1
                    }
                },
                "785": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 54
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 510,
                            "__wrappers__.set_public_key.range_check_ptr": 511,
                            "__wrappers__.set_public_key.ret_struct": 512,
                            "__wrappers__.set_public_key.retdata": 513,
                            "__wrappers__.set_public_key.retdata_size": 514,
                            "__wrappers__.set_public_key.syscall_ptr": 509
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 61,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/set_public_key/06e2dac6fec7b0245dd168190069dcb92ed8c79c7a1ccebce7b1343c3e526229.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 58,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 59,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/set_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 58,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 58
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 50,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'ecdsa_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 58
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 17,
                        "start_line": 1
                    }
                },
                "786": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 55
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 510,
                            "__wrappers__.set_public_key.range_check_ptr": 511,
                            "__wrappers__.set_public_key.ret_struct": 512,
                            "__wrappers__.set_public_key.retdata": 513,
                            "__wrappers__.set_public_key.retdata_size": 514,
                            "__wrappers__.set_public_key.syscall_ptr": 509
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 4,
                        "input_file": {
                            "filename": "autogen/starknet/external/set_public_key/9d99191ee37b2755f349e9328582aaabeba3fa369cacff177a5b80144e6ec2c7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 58,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/set_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 58,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 58
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 60,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata_size' in:"
                                ],
                                "start_col": 6,
                                "start_line": 58
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 20,
                        "start_line": 4
                    }
                },
                "788": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 56
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 510,
                            "__wrappers__.set_public_key.range_check_ptr": 511,
                            "__wrappers__.set_public_key.ret_struct": 512,
                            "__wrappers__.set_public_key.retdata": 513,
                            "__wrappers__.set_public_key.retdata_size": 514,
                            "__wrappers__.set_public_key.syscall_ptr": 509
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 16,
                        "end_line": 3,
                        "input_file": {
                            "filename": "autogen/starknet/external/set_public_key/9d99191ee37b2755f349e9328582aaabeba3fa369cacff177a5b80144e6ec2c7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 58,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/set_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 20,
                                                "end_line": 58,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 58
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 73,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata' in:"
                                ],
                                "start_col": 6,
                                "start_line": 58
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 9,
                        "start_line": 3
                    }
                },
                "789": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 57
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 510,
                            "__wrappers__.set_public_key.range_check_ptr": 511,
                            "__wrappers__.set_public_key.ret_struct": 512,
                            "__wrappers__.set_public_key.retdata": 513,
                            "__wrappers__.set_public_key.retdata_size": 514,
                            "__wrappers__.set_public_key.syscall_ptr": 509
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/set_public_key/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 58,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 58
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "790": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 70,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__main__.constructor.pedersen_ptr": 517,
                            "__main__.constructor.public_key": 515,
                            "__main__.constructor.range_check_ptr": 518,
                            "__main__.constructor.syscall_ptr": 516
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 73,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 114,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 77,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 77
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 114
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 73
                    }
                },
                "791": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 70,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__main__.constructor.pedersen_ptr": 517,
                            "__main__.constructor.public_key": 515,
                            "__main__.constructor.range_check_ptr": 518,
                            "__main__.constructor.syscall_ptr": 516
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 74,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 115,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 77,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 77
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 115
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 74
                    }
                },
                "792": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 70,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__main__.constructor.pedersen_ptr": 517,
                            "__main__.constructor.public_key": 515,
                            "__main__.constructor.range_check_ptr": 518,
                            "__main__.constructor.syscall_ptr": 516
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 75,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 116,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 36,
                                        "end_line": 77,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 77
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 116
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 75
                    }
                },
                "793": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 70,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__main__.constructor.pedersen_ptr": 517,
                            "__main__.constructor.public_key": 515,
                            "__main__.constructor.range_check_ptr": 518,
                            "__main__.constructor.syscall_ptr": 516
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 23,
                        "end_line": 76,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 35,
                                "end_line": 77,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 25,
                                "start_line": 77
                            },
                            "While expanding the reference 'public_key' in:"
                        ],
                        "start_col": 7,
                        "start_line": 76
                    }
                },
                "794": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 70,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__main__.constructor.pedersen_ptr": 517,
                            "__main__.constructor.public_key": 515,
                            "__main__.constructor.range_check_ptr": 518,
                            "__main__.constructor.syscall_ptr": 516
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 77,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 5,
                        "start_line": 77
                    }
                },
                "796": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 70,
                            "offset": 96
                        },
                        "reference_ids": {
                            "__main__.constructor.pedersen_ptr": 520,
                            "__main__.constructor.public_key": 515,
                            "__main__.constructor.range_check_ptr": 521,
                            "__main__.constructor.syscall_ptr": 519
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 78,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 5,
                        "start_line": 78
                    }
                },
                "797": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 523,
                            "__wrappers__.constructor.range_check_ptr": 524,
                            "__wrappers__.constructor.syscall_ptr": 522
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/f68ac5127c2e5f488e054b6e5406fbd4412fe40038204608d22aadbaf91f8427.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 76,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 45,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/5e1cc73f0b484f90bb02da164d88332b40c6f698801aa4d3c603dab22157e902.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 72,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 57,
                                                        "end_line": 1,
                                                        "input_file": {
                                                            "filename": "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 17,
                                                                "end_line": 72,
                                                                "input_file": {
                                                                    "filename": "openzeppelin/account/Account.cairo"
                                                                },
                                                                "start_col": 6,
                                                                "start_line": 72
                                                            },
                                                            "While handling calldata of"
                                                        ],
                                                        "start_col": 35,
                                                        "start_line": 1
                                                    },
                                                    "While expanding the reference '__calldata_actual_size' in:"
                                                ],
                                                "start_col": 6,
                                                "start_line": 72
                                            },
                                            "While handling calldata of"
                                        ],
                                        "start_col": 31,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_ptr' in:"
                                ],
                                "start_col": 7,
                                "start_line": 76
                            },
                            "While handling calldata argument 'public_key'"
                        ],
                        "start_col": 22,
                        "start_line": 2
                    }
                },
                "799": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 523,
                            "__wrappers__.constructor.range_check_ptr": 524,
                            "__wrappers__.constructor.syscall_ptr": 522
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 72,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 72
                            },
                            "While handling calldata of"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "800": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 523,
                            "__wrappers__.constructor.range_check_ptr": 524,
                            "__wrappers__.constructor.syscall_ptr": 522
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/constructor/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 73,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/constructor/0436d9c54f27d04f955450289b3e58687541637e8518c4e0b75af1f455ca5246.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 72,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 72
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 45,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 73
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 19,
                        "start_line": 1
                    }
                },
                "801": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 523,
                            "__wrappers__.constructor.range_check_ptr": 524,
                            "__wrappers__.constructor.syscall_ptr": 522
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 110,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/constructor/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 74,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 83,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/constructor/0436d9c54f27d04f955450289b3e58687541637e8518c4e0b75af1f455ca5246.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 72,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 72
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 71,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 74
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 20,
                        "start_line": 1
                    }
                },
                "802": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 523,
                            "__wrappers__.constructor.range_check_ptr": 524,
                            "__wrappers__.constructor.syscall_ptr": 522
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/constructor/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 75,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 116,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/constructor/0436d9c54f27d04f955450289b3e58687541637e8518c4e0b75af1f455ca5246.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 72,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 72
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 101,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 75
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 1
                    }
                },
                "803": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 523,
                            "__wrappers__.constructor.range_check_ptr": 524,
                            "__wrappers__.constructor.syscall_ptr": 522
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 49,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/f68ac5127c2e5f488e054b6e5406fbd4412fe40038204608d22aadbaf91f8427.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 76,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 154,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/constructor/0436d9c54f27d04f955450289b3e58687541637e8518c4e0b75af1f455ca5246.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 72,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 72
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 129,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_public_key' in:"
                                ],
                                "start_col": 7,
                                "start_line": 76
                            },
                            "While handling calldata argument 'public_key'"
                        ],
                        "start_col": 33,
                        "start_line": 1
                    }
                },
                "804": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 523,
                            "__wrappers__.constructor.range_check_ptr": 524,
                            "__wrappers__.constructor.syscall_ptr": 522
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 72,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 6,
                        "start_line": 72
                    }
                },
                "806": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 103
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 532,
                            "__wrappers__.constructor.range_check_ptr": 533,
                            "__wrappers__.constructor.ret_struct": 534,
                            "__wrappers__.constructor.syscall_ptr": 531
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 34,
                                "end_line": 2,
                                "input_file": {
                                    "filename": "autogen/starknet/external/constructor/0436d9c54f27d04f955450289b3e58687541637e8518c4e0b75af1f455ca5246.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 17,
                                        "end_line": 72,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 6,
                                        "start_line": 72
                                    },
                                    "While constructing the external wrapper for:"
                                ],
                                "start_col": 1,
                                "start_line": 2
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 24,
                        "end_line": 3,
                        "input_file": {
                            "filename": "autogen/starknet/external/constructor/0436d9c54f27d04f955450289b3e58687541637e8518c4e0b75af1f455ca5246.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 72,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 72
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 1,
                        "start_line": 3
                    }
                },
                "808": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 104
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 532,
                            "__wrappers__.constructor.range_check_ptr": 533,
                            "__wrappers__.constructor.ret_struct": 534,
                            "__wrappers__.constructor.retdata": 535,
                            "__wrappers__.constructor.retdata_size": 536,
                            "__wrappers__.constructor.syscall_ptr": 531
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 56,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/constructor/0436d9c54f27d04f955450289b3e58687541637e8518c4e0b75af1f455ca5246.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 72,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 20,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/constructor/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 72,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 72
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 72
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 45,
                        "start_line": 1
                    }
                },
                "809": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 105
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 532,
                            "__wrappers__.constructor.range_check_ptr": 533,
                            "__wrappers__.constructor.ret_struct": 534,
                            "__wrappers__.constructor.retdata": 535,
                            "__wrappers__.constructor.retdata_size": 536,
                            "__wrappers__.constructor.syscall_ptr": 531
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/constructor/0436d9c54f27d04f955450289b3e58687541637e8518c4e0b75af1f455ca5246.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 72,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 33,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/constructor/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 72,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 72
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 21,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 72
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 71,
                        "start_line": 1
                    }
                },
                "810": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 106
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 532,
                            "__wrappers__.constructor.range_check_ptr": 533,
                            "__wrappers__.constructor.ret_struct": 534,
                            "__wrappers__.constructor.retdata": 535,
                            "__wrappers__.constructor.retdata_size": 536,
                            "__wrappers__.constructor.syscall_ptr": 531
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 116,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/constructor/0436d9c54f27d04f955450289b3e58687541637e8518c4e0b75af1f455ca5246.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 72,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 49,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/constructor/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 72,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 72
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 34,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 72
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 101,
                        "start_line": 1
                    }
                },
                "811": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 107
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 532,
                            "__wrappers__.constructor.range_check_ptr": 533,
                            "__wrappers__.constructor.ret_struct": 534,
                            "__wrappers__.constructor.retdata": 535,
                            "__wrappers__.constructor.retdata_size": 536,
                            "__wrappers__.constructor.syscall_ptr": 531
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 61,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/constructor/06e2dac6fec7b0245dd168190069dcb92ed8c79c7a1ccebce7b1343c3e526229.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 72,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 59,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/constructor/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 72,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 72
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 50,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'ecdsa_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 72
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 17,
                        "start_line": 1
                    }
                },
                "812": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 108
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 532,
                            "__wrappers__.constructor.range_check_ptr": 533,
                            "__wrappers__.constructor.ret_struct": 534,
                            "__wrappers__.constructor.retdata": 535,
                            "__wrappers__.constructor.retdata_size": 536,
                            "__wrappers__.constructor.syscall_ptr": 531
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 4,
                        "input_file": {
                            "filename": "autogen/starknet/external/constructor/0436d9c54f27d04f955450289b3e58687541637e8518c4e0b75af1f455ca5246.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 72,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/constructor/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 72,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 72
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 60,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata_size' in:"
                                ],
                                "start_col": 6,
                                "start_line": 72
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 20,
                        "start_line": 4
                    }
                },
                "814": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 109
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 532,
                            "__wrappers__.constructor.range_check_ptr": 533,
                            "__wrappers__.constructor.ret_struct": 534,
                            "__wrappers__.constructor.retdata": 535,
                            "__wrappers__.constructor.retdata_size": 536,
                            "__wrappers__.constructor.syscall_ptr": 531
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 16,
                        "end_line": 3,
                        "input_file": {
                            "filename": "autogen/starknet/external/constructor/0436d9c54f27d04f955450289b3e58687541637e8518c4e0b75af1f455ca5246.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 72,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/constructor/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 72,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 72
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 73,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata' in:"
                                ],
                                "start_col": 6,
                                "start_line": 72
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 9,
                        "start_line": 3
                    }
                },
                "815": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 110
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 532,
                            "__wrappers__.constructor.range_check_ptr": 533,
                            "__wrappers__.constructor.ret_struct": 534,
                            "__wrappers__.constructor.retdata": 535,
                            "__wrappers__.constructor.retdata_size": 536,
                            "__wrappers__.constructor.syscall_ptr": 531
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/constructor/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 72,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 72
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "816": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 72,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__main__.is_valid_signature.ecdsa_ptr": 543,
                            "__main__.is_valid_signature.hash": 537,
                            "__main__.is_valid_signature.pedersen_ptr": 541,
                            "__main__.is_valid_signature.range_check_ptr": 542,
                            "__main__.is_valid_signature.signature": 539,
                            "__main__.is_valid_signature.signature_len": 538,
                            "__main__.is_valid_signature.syscall_ptr": 540
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 87,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 130,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 63,
                                        "end_line": 96,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 96
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 130
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 87
                    }
                },
                "817": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 72,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__main__.is_valid_signature.ecdsa_ptr": 543,
                            "__main__.is_valid_signature.hash": 537,
                            "__main__.is_valid_signature.pedersen_ptr": 541,
                            "__main__.is_valid_signature.range_check_ptr": 542,
                            "__main__.is_valid_signature.signature": 539,
                            "__main__.is_valid_signature.signature_len": 538,
                            "__main__.is_valid_signature.syscall_ptr": 540
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 88,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 131,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 63,
                                        "end_line": 96,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 96
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 131
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 88
                    }
                },
                "818": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 72,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__main__.is_valid_signature.ecdsa_ptr": 543,
                            "__main__.is_valid_signature.hash": 537,
                            "__main__.is_valid_signature.pedersen_ptr": 541,
                            "__main__.is_valid_signature.range_check_ptr": 542,
                            "__main__.is_valid_signature.signature": 539,
                            "__main__.is_valid_signature.signature_len": 538,
                            "__main__.is_valid_signature.syscall_ptr": 540
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 89,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 132,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 63,
                                        "end_line": 96,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 96
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 132
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 89
                    }
                },
                "819": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 72,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__main__.is_valid_signature.ecdsa_ptr": 543,
                            "__main__.is_valid_signature.hash": 537,
                            "__main__.is_valid_signature.pedersen_ptr": 541,
                            "__main__.is_valid_signature.range_check_ptr": 542,
                            "__main__.is_valid_signature.signature": 539,
                            "__main__.is_valid_signature.signature_len": 538,
                            "__main__.is_valid_signature.syscall_ptr": 540
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 90,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 37,
                                "end_line": 133,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 63,
                                        "end_line": 96,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 5,
                                        "start_line": 96
                                    },
                                    "While trying to retrieve the implicit argument 'ecdsa_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 133
                            },
                            "While expanding the reference 'ecdsa_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 90
                    }
                },
                "820": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 72,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__main__.is_valid_signature.ecdsa_ptr": 543,
                            "__main__.is_valid_signature.hash": 537,
                            "__main__.is_valid_signature.pedersen_ptr": 541,
                            "__main__.is_valid_signature.range_check_ptr": 542,
                            "__main__.is_valid_signature.signature": 539,
                            "__main__.is_valid_signature.signature_len": 538,
                            "__main__.is_valid_signature.syscall_ptr": 540
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 19,
                        "end_line": 92,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 96,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 32,
                                "start_line": 96
                            },
                            "While expanding the reference 'hash' in:"
                        ],
                        "start_col": 9,
                        "start_line": 92
                    }
                },
                "821": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 72,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__main__.is_valid_signature.ecdsa_ptr": 543,
                            "__main__.is_valid_signature.hash": 537,
                            "__main__.is_valid_signature.pedersen_ptr": 541,
                            "__main__.is_valid_signature.range_check_ptr": 542,
                            "__main__.is_valid_signature.signature": 539,
                            "__main__.is_valid_signature.signature_len": 538,
                            "__main__.is_valid_signature.syscall_ptr": 540
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 93,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 51,
                                "end_line": 96,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 38,
                                "start_line": 96
                            },
                            "While expanding the reference 'signature_len' in:"
                        ],
                        "start_col": 9,
                        "start_line": 93
                    }
                },
                "822": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 72,
                            "offset": 6
                        },
                        "reference_ids": {
                            "__main__.is_valid_signature.ecdsa_ptr": 543,
                            "__main__.is_valid_signature.hash": 537,
                            "__main__.is_valid_signature.pedersen_ptr": 541,
                            "__main__.is_valid_signature.range_check_ptr": 542,
                            "__main__.is_valid_signature.signature": 539,
                            "__main__.is_valid_signature.signature_len": 538,
                            "__main__.is_valid_signature.syscall_ptr": 540
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 25,
                        "end_line": 94,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 62,
                                "end_line": 96,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 53,
                                "start_line": 96
                            },
                            "While expanding the reference 'signature' in:"
                        ],
                        "start_col": 9,
                        "start_line": 94
                    }
                },
                "823": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 72,
                            "offset": 7
                        },
                        "reference_ids": {
                            "__main__.is_valid_signature.ecdsa_ptr": 543,
                            "__main__.is_valid_signature.hash": 537,
                            "__main__.is_valid_signature.pedersen_ptr": 541,
                            "__main__.is_valid_signature.range_check_ptr": 542,
                            "__main__.is_valid_signature.signature": 539,
                            "__main__.is_valid_signature.signature_len": 538,
                            "__main__.is_valid_signature.syscall_ptr": 540
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 96,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 5,
                        "start_line": 96
                    }
                },
                "825": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 72,
                            "offset": 44
                        },
                        "reference_ids": {
                            "__main__.is_valid_signature.ecdsa_ptr": 547,
                            "__main__.is_valid_signature.hash": 537,
                            "__main__.is_valid_signature.pedersen_ptr": 545,
                            "__main__.is_valid_signature.range_check_ptr": 546,
                            "__main__.is_valid_signature.signature": 539,
                            "__main__.is_valid_signature.signature_len": 538,
                            "__main__.is_valid_signature.syscall_ptr": 544
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 14,
                        "end_line": 97,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 5,
                        "start_line": 97
                    }
                },
                "826": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 556,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 550,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 89,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 24,
                                        "end_line": 2,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 25,
                                                "end_line": 94,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 94
                                            },
                                            "While handling calldata argument 'signature'"
                                        ],
                                        "start_col": 9,
                                        "start_line": 2
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 89
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 1
                    }
                },
                "827": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 556,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 550,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 52,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/e1b7bcaf2f97aa307c8deca2578c63f05cf45d09bb1ecaaf9be0bb828fc5cb40.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 93,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 2,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 25,
                                                "end_line": 94,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 94
                                            },
                                            "While handling calldata argument 'signature'"
                                        ],
                                        "start_col": 28,
                                        "start_line": 2
                                    },
                                    "While expanding the reference '__calldata_arg_signature_len' in:"
                                ],
                                "start_col": 9,
                                "start_line": 93
                            },
                            "While handling calldata argument 'signature_len'"
                        ],
                        "start_col": 36,
                        "start_line": 1
                    }
                },
                "828": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 556,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 550,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 56,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 94,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 9,
                                "start_line": 94
                            },
                            "While handling calldata argument 'signature'"
                        ],
                        "start_col": 1,
                        "start_line": 2
                    }
                },
                "829": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 556,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/e1b7bcaf2f97aa307c8deca2578c63f05cf45d09bb1ecaaf9be0bb828fc5cb40.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 93,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 40,
                                        "end_line": 8,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 25,
                                                "end_line": 94,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 94
                                            },
                                            "While handling calldata argument 'signature'"
                                        ],
                                        "start_col": 26,
                                        "start_line": 8
                                    },
                                    "While expanding the reference '__calldata_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 93
                            },
                            "While handling calldata argument 'signature_len'"
                        ],
                        "start_col": 22,
                        "start_line": 2
                    }
                },
                "831": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 556,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 52,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/e1b7bcaf2f97aa307c8deca2578c63f05cf45d09bb1ecaaf9be0bb828fc5cb40.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 93,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 71,
                                        "end_line": 8,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 25,
                                                "end_line": 94,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 94
                                            },
                                            "While handling calldata argument 'signature'"
                                        ],
                                        "start_col": 43,
                                        "start_line": 8
                                    },
                                    "While expanding the reference '__calldata_arg_signature_len' in:"
                                ],
                                "start_col": 9,
                                "start_line": 93
                            },
                            "While handling calldata argument 'signature_len'"
                        ],
                        "start_col": 36,
                        "start_line": 1
                    }
                },
                "832": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 556,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 75,
                        "end_line": 8,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 94,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 9,
                                "start_line": 94
                            },
                            "While handling calldata argument 'signature'"
                        ],
                        "start_col": 26,
                        "start_line": 8
                    }
                },
                "833": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 86,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 86
                            },
                            "While handling calldata of"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "834": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 89,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 38,
                                        "end_line": 3,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 25,
                                                "end_line": 94,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 116,
                                                        "end_line": 1,
                                                        "input_file": {
                                                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 24,
                                                                "end_line": 86,
                                                                "input_file": {
                                                                    "filename": "openzeppelin/account/Account.cairo"
                                                                },
                                                                "start_col": 6,
                                                                "start_line": 86
                                                            },
                                                            "While constructing the external wrapper for:"
                                                        ],
                                                        "start_col": 101,
                                                        "start_line": 1
                                                    },
                                                    "While expanding the reference 'range_check_ptr' in:"
                                                ],
                                                "start_col": 9,
                                                "start_line": 94
                                            },
                                            "While handling calldata argument 'signature'"
                                        ],
                                        "start_col": 23,
                                        "start_line": 3
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 89
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 1
                    }
                },
                "835": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 6
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 87,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 45,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 87
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 19,
                        "start_line": 1
                    }
                },
                "836": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 7
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 110,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 88,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 83,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 71,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 88
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 20,
                        "start_line": 1
                    }
                },
                "837": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 8
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 3,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 94,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 116,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 101,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 94
                            },
                            "While handling calldata argument 'signature'"
                        ],
                        "start_col": 23,
                        "start_line": 3
                    }
                },
                "839": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 9
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 112,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/9aa866da402dc1b34ae86751a3cabb224b0d9ac08fe13c58bb079af4cd281bec.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 37,
                                "end_line": 90,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 137,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 128,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'ecdsa_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 90
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 17,
                        "start_line": 1
                    }
                },
                "840": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 10
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 43,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/f3c2d3942f0f75ba7fab7e0c13e6cee1d1be8a6d9e771412e1ff56c7484dd3f4.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 19,
                                "end_line": 92,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 163,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 144,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_hash' in:"
                                ],
                                "start_col": 9,
                                "start_line": 92
                            },
                            "While handling calldata argument 'hash'"
                        ],
                        "start_col": 27,
                        "start_line": 1
                    }
                },
                "841": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 11
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 52,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/e1b7bcaf2f97aa307c8deca2578c63f05cf45d09bb1ecaaf9be0bb828fc5cb40.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 93,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 207,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 179,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_signature_len' in:"
                                ],
                                "start_col": 9,
                                "start_line": 93
                            },
                            "While handling calldata argument 'signature_len'"
                        ],
                        "start_col": 36,
                        "start_line": 1
                    }
                },
                "842": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 12
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 59,
                        "end_line": 5,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/af0e0ad1dbc5708a90b4c31e69f13c85f8b13b0ea898d09f3ae14676037400be.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 25,
                                "end_line": 94,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 243,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 219,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_signature' in:"
                                ],
                                "start_col": 9,
                                "start_line": 94
                            },
                            "While handling calldata argument 'signature'"
                        ],
                        "start_col": 32,
                        "start_line": 5
                    }
                },
                "844": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 13
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 551,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 549,
                            "__wrappers__.is_valid_signature.range_check_ptr": 559,
                            "__wrappers__.is_valid_signature.syscall_ptr": 548
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 86,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 6,
                        "start_line": 86
                    }
                },
                "846": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 59
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 569,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 567,
                            "__wrappers__.is_valid_signature.range_check_ptr": 568,
                            "__wrappers__.is_valid_signature.ret_struct": 570,
                            "__wrappers__.is_valid_signature.syscall_ptr": 566
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 34,
                                "end_line": 2,
                                "input_file": {
                                    "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 24,
                                        "end_line": 86,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 6,
                                        "start_line": 86
                                    },
                                    "While constructing the external wrapper for:"
                                ],
                                "start_col": 1,
                                "start_line": 2
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 24,
                        "end_line": 3,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 86,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 86
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 1,
                        "start_line": 3
                    }
                },
                "848": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 60
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 569,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 567,
                            "__wrappers__.is_valid_signature.range_check_ptr": 568,
                            "__wrappers__.is_valid_signature.ret_struct": 570,
                            "__wrappers__.is_valid_signature.retdata": 571,
                            "__wrappers__.is_valid_signature.retdata_size": 572,
                            "__wrappers__.is_valid_signature.syscall_ptr": 566
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 56,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 86,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 20,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 9,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 86
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 45,
                        "start_line": 1
                    }
                },
                "849": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 61
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 569,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 567,
                            "__wrappers__.is_valid_signature.range_check_ptr": 568,
                            "__wrappers__.is_valid_signature.ret_struct": 570,
                            "__wrappers__.is_valid_signature.retdata": 571,
                            "__wrappers__.is_valid_signature.retdata_size": 572,
                            "__wrappers__.is_valid_signature.syscall_ptr": 566
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 86,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 33,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 21,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 86
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 71,
                        "start_line": 1
                    }
                },
                "850": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 62
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 569,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 567,
                            "__wrappers__.is_valid_signature.range_check_ptr": 568,
                            "__wrappers__.is_valid_signature.ret_struct": 570,
                            "__wrappers__.is_valid_signature.retdata": 571,
                            "__wrappers__.is_valid_signature.retdata_size": 572,
                            "__wrappers__.is_valid_signature.syscall_ptr": 566
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 116,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 86,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 49,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 34,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 86
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 101,
                        "start_line": 1
                    }
                },
                "851": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 63
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 569,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 567,
                            "__wrappers__.is_valid_signature.range_check_ptr": 568,
                            "__wrappers__.is_valid_signature.ret_struct": 570,
                            "__wrappers__.is_valid_signature.retdata": 571,
                            "__wrappers__.is_valid_signature.retdata_size": 572,
                            "__wrappers__.is_valid_signature.syscall_ptr": 566
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 137,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 86,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 59,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 50,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'ecdsa_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 86
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 128,
                        "start_line": 1
                    }
                },
                "852": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 64
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 569,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 567,
                            "__wrappers__.is_valid_signature.range_check_ptr": 568,
                            "__wrappers__.is_valid_signature.ret_struct": 570,
                            "__wrappers__.is_valid_signature.retdata": 571,
                            "__wrappers__.is_valid_signature.retdata_size": 572,
                            "__wrappers__.is_valid_signature.syscall_ptr": 566
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 4,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 86,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 60,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata_size' in:"
                                ],
                                "start_col": 6,
                                "start_line": 86
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 20,
                        "start_line": 4
                    }
                },
                "854": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 65
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 569,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 567,
                            "__wrappers__.is_valid_signature.range_check_ptr": 568,
                            "__wrappers__.is_valid_signature.ret_struct": 570,
                            "__wrappers__.is_valid_signature.retdata": 571,
                            "__wrappers__.is_valid_signature.retdata_size": 572,
                            "__wrappers__.is_valid_signature.syscall_ptr": 566
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 16,
                        "end_line": 3,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/a4577150f3039c0db885ccde32bb0d5a5b36850e59d8cf7d9c3472ad9a641767.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 86,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 86,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 86
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 73,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata' in:"
                                ],
                                "start_col": 6,
                                "start_line": 86
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 9,
                        "start_line": 3
                    }
                },
                "855": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 66
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 569,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 567,
                            "__wrappers__.is_valid_signature.range_check_ptr": 568,
                            "__wrappers__.is_valid_signature.ret_struct": 570,
                            "__wrappers__.is_valid_signature.retdata": 571,
                            "__wrappers__.is_valid_signature.retdata_size": 572,
                            "__wrappers__.is_valid_signature.syscall_ptr": 566
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/is_valid_signature/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 86,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 86
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "856": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 74,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__main__.__execute__.call_array": 574,
                            "__main__.__execute__.call_array_len": 573,
                            "__main__.__execute__.calldata": 576,
                            "__main__.__execute__.calldata_len": 575,
                            "__main__.__execute__.ecdsa_ptr": 581,
                            "__main__.__execute__.nonce": 577,
                            "__main__.__execute__.pedersen_ptr": 579,
                            "__main__.__execute__.range_check_ptr": 580,
                            "__main__.__execute__.syscall_ptr": 578
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 102,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 158,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 6,
                                        "end_line": 119,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 36,
                                        "start_line": 113
                                    },
                                    "While trying to retrieve the implicit argument 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 158
                            },
                            "While expanding the reference 'syscall_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 102
                    }
                },
                "857": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 74,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__main__.__execute__.call_array": 574,
                            "__main__.__execute__.call_array_len": 573,
                            "__main__.__execute__.calldata": 576,
                            "__main__.__execute__.calldata_len": 575,
                            "__main__.__execute__.ecdsa_ptr": 581,
                            "__main__.__execute__.nonce": 577,
                            "__main__.__execute__.pedersen_ptr": 579,
                            "__main__.__execute__.range_check_ptr": 580,
                            "__main__.__execute__.syscall_ptr": 578
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 36,
                        "end_line": 103,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 159,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 6,
                                        "end_line": 119,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 36,
                                        "start_line": 113
                                    },
                                    "While trying to retrieve the implicit argument 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 159
                            },
                            "While expanding the reference 'pedersen_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 103
                    }
                },
                "858": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 74,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__main__.__execute__.call_array": 574,
                            "__main__.__execute__.call_array_len": 573,
                            "__main__.__execute__.calldata": 576,
                            "__main__.__execute__.calldata_len": 575,
                            "__main__.__execute__.ecdsa_ptr": 581,
                            "__main__.__execute__.nonce": 577,
                            "__main__.__execute__.pedersen_ptr": 579,
                            "__main__.__execute__.range_check_ptr": 580,
                            "__main__.__execute__.syscall_ptr": 578
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 104,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 160,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 6,
                                        "end_line": 119,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 36,
                                        "start_line": 113
                                    },
                                    "While trying to retrieve the implicit argument 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 160
                            },
                            "While expanding the reference 'range_check_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 104
                    }
                },
                "859": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 74,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__main__.__execute__.call_array": 574,
                            "__main__.__execute__.call_array_len": 573,
                            "__main__.__execute__.calldata": 576,
                            "__main__.__execute__.calldata_len": 575,
                            "__main__.__execute__.ecdsa_ptr": 581,
                            "__main__.__execute__.nonce": 577,
                            "__main__.__execute__.pedersen_ptr": 579,
                            "__main__.__execute__.range_check_ptr": 580,
                            "__main__.__execute__.syscall_ptr": 578
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 105,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 37,
                                "end_line": 161,
                                "input_file": {
                                    "filename": "/Users/maksymiliandemitraszek/Projects/StarkWare/cairo-contracts/openzeppelin/account/library.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 6,
                                        "end_line": 119,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 36,
                                        "start_line": 113
                                    },
                                    "While trying to retrieve the implicit argument 'ecdsa_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 161
                            },
                            "While expanding the reference 'ecdsa_ptr' in:"
                        ],
                        "start_col": 9,
                        "start_line": 105
                    }
                },
                "860": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 74,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__main__.__execute__.call_array": 574,
                            "__main__.__execute__.call_array_len": 573,
                            "__main__.__execute__.calldata": 576,
                            "__main__.__execute__.calldata_len": 575,
                            "__main__.__execute__.ecdsa_ptr": 581,
                            "__main__.__execute__.nonce": 577,
                            "__main__.__execute__.pedersen_ptr": 579,
                            "__main__.__execute__.range_check_ptr": 580,
                            "__main__.__execute__.syscall_ptr": 578
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 29,
                        "end_line": 107,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 23,
                                "end_line": 114,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 9,
                                "start_line": 114
                            },
                            "While expanding the reference 'call_array_len' in:"
                        ],
                        "start_col": 9,
                        "start_line": 107
                    }
                },
                "861": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 74,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__main__.__execute__.call_array": 574,
                            "__main__.__execute__.call_array_len": 573,
                            "__main__.__execute__.calldata": 576,
                            "__main__.__execute__.calldata_len": 575,
                            "__main__.__execute__.ecdsa_ptr": 581,
                            "__main__.__execute__.nonce": 577,
                            "__main__.__execute__.pedersen_ptr": 579,
                            "__main__.__execute__.range_check_ptr": 580,
                            "__main__.__execute__.syscall_ptr": 578
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 38,
                        "end_line": 108,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 19,
                                "end_line": 115,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 9,
                                "start_line": 115
                            },
                            "While expanding the reference 'call_array' in:"
                        ],
                        "start_col": 9,
                        "start_line": 108
                    }
                },
                "862": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 74,
                            "offset": 6
                        },
                        "reference_ids": {
                            "__main__.__execute__.call_array": 574,
                            "__main__.__execute__.call_array_len": 573,
                            "__main__.__execute__.calldata": 576,
                            "__main__.__execute__.calldata_len": 575,
                            "__main__.__execute__.ecdsa_ptr": 581,
                            "__main__.__execute__.nonce": 577,
                            "__main__.__execute__.pedersen_ptr": 579,
                            "__main__.__execute__.range_check_ptr": 580,
                            "__main__.__execute__.syscall_ptr": 578
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 27,
                        "end_line": 109,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 21,
                                "end_line": 116,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 9,
                                "start_line": 116
                            },
                            "While expanding the reference 'calldata_len' in:"
                        ],
                        "start_col": 9,
                        "start_line": 109
                    }
                },
                "863": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 74,
                            "offset": 7
                        },
                        "reference_ids": {
                            "__main__.__execute__.call_array": 574,
                            "__main__.__execute__.call_array_len": 573,
                            "__main__.__execute__.calldata": 576,
                            "__main__.__execute__.calldata_len": 575,
                            "__main__.__execute__.ecdsa_ptr": 581,
                            "__main__.__execute__.nonce": 577,
                            "__main__.__execute__.pedersen_ptr": 579,
                            "__main__.__execute__.range_check_ptr": 580,
                            "__main__.__execute__.syscall_ptr": 578
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 24,
                        "end_line": 110,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 117,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 9,
                                "start_line": 117
                            },
                            "While expanding the reference 'calldata' in:"
                        ],
                        "start_col": 9,
                        "start_line": 110
                    }
                },
                "864": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 74,
                            "offset": 8
                        },
                        "reference_ids": {
                            "__main__.__execute__.call_array": 574,
                            "__main__.__execute__.call_array_len": 573,
                            "__main__.__execute__.calldata": 576,
                            "__main__.__execute__.calldata_len": 575,
                            "__main__.__execute__.ecdsa_ptr": 581,
                            "__main__.__execute__.nonce": 577,
                            "__main__.__execute__.pedersen_ptr": 579,
                            "__main__.__execute__.range_check_ptr": 580,
                            "__main__.__execute__.syscall_ptr": 578
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 20,
                        "end_line": 111,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 14,
                                "end_line": 118,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 9,
                                "start_line": 118
                            },
                            "While expanding the reference 'nonce' in:"
                        ],
                        "start_col": 9,
                        "start_line": 111
                    }
                },
                "865": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 74,
                            "offset": 9
                        },
                        "reference_ids": {
                            "__main__.__execute__.call_array": 574,
                            "__main__.__execute__.call_array_len": 573,
                            "__main__.__execute__.calldata": 576,
                            "__main__.__execute__.calldata_len": 575,
                            "__main__.__execute__.ecdsa_ptr": 581,
                            "__main__.__execute__.nonce": 577,
                            "__main__.__execute__.pedersen_ptr": 579,
                            "__main__.__execute__.range_check_ptr": 580,
                            "__main__.__execute__.syscall_ptr": 578
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 6,
                        "end_line": 119,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 36,
                        "start_line": 113
                    }
                },
                "867": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__main__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 75,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__main__.__execute__.call_array": 574,
                            "__main__.__execute__.call_array_len": 573,
                            "__main__.__execute__.calldata": 576,
                            "__main__.__execute__.calldata_len": 575,
                            "__main__.__execute__.ecdsa_ptr": 585,
                            "__main__.__execute__.nonce": 577,
                            "__main__.__execute__.pedersen_ptr": 583,
                            "__main__.__execute__.range_check_ptr": 584,
                            "__main__.__execute__.response": 587,
                            "__main__.__execute__.response_len": 586,
                            "__main__.__execute__.syscall_ptr": 582
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 58,
                        "end_line": 120,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 5,
                        "start_line": 120
                    }
                },
                "868": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 76,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.range_check_ptr": 589,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [
                        {
                            "location": {
                                "end_col": 38,
                                "end_line": 3,
                                "input_file": {
                                    "filename": "autogen/starknet/external/return/__execute__/f31bd541c80bf9ec5afbbad795fa002730b10621ee3f52b2e7956c06cd223d2e.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 17,
                                        "end_line": 101,
                                        "input_file": {
                                            "filename": "openzeppelin/account/Account.cairo"
                                        },
                                        "start_col": 6,
                                        "start_line": 101
                                    },
                                    "While handling return value of"
                                ],
                                "start_col": 5,
                                "start_line": 3
                            },
                            "n_prefix_newlines": 0
                        }
                    ],
                    "inst": {
                        "end_col": 17,
                        "end_line": 4,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/__execute__/f31bd541c80bf9ec5afbbad795fa002730b10621ee3f52b2e7956c06cd223d2e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While handling return value of"
                        ],
                        "start_col": 5,
                        "start_line": 4
                    }
                },
                "870": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 76,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 591,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 589,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 54,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/8f57d6d152b155403dcead27a17163e42b24753da9c724f554705dcf260464c0.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 29,
                                "end_line": 112,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 11,
                                "start_line": 112
                            },
                            "While handling return value 'response_len'"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "871": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 76,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 592,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 589,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 51,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1e2484a22faa61a56a85fee309cc4bac0c6f9bbbdc4428579cdc70d444fc4ff7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 46,
                                "end_line": 112,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 31,
                                "start_line": 112
                            },
                            "While handling return value 'response'"
                        ],
                        "start_col": 1,
                        "start_line": 2
                    }
                },
                "872": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 76,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 592,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 589,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 44,
                        "end_line": 5,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1e2484a22faa61a56a85fee309cc4bac0c6f9bbbdc4428579cdc70d444fc4ff7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 46,
                                "end_line": 112,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 31,
                                "start_line": 112
                            },
                            "While handling return value 'response'"
                        ],
                        "start_col": 1,
                        "start_line": 5
                    }
                },
                "874": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 76,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 592,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_copy": 594,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 593,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/8f57d6d152b155403dcead27a17163e42b24753da9c724f554705dcf260464c0.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 29,
                                "end_line": 112,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 54,
                                        "end_line": 10,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/1e2484a22faa61a56a85fee309cc4bac0c6f9bbbdc4428579cdc70d444fc4ff7.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 46,
                                                "end_line": 112,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 31,
                                                "start_line": 112
                                            },
                                            "While handling return value 'response'"
                                        ],
                                        "start_col": 36,
                                        "start_line": 10
                                    },
                                    "While expanding the reference '__return_value_ptr' in:"
                                ],
                                "start_col": 11,
                                "start_line": 112
                            },
                            "While handling return value 'response_len'"
                        ],
                        "start_col": 26,
                        "start_line": 2
                    }
                },
                "876": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 76,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 592,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_copy": 594,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.__temp42": 595,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 593,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 84,
                        "end_line": 10,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1e2484a22faa61a56a85fee309cc4bac0c6f9bbbdc4428579cdc70d444fc4ff7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 46,
                                "end_line": 112,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 31,
                                "start_line": 112
                            },
                            "While handling return value 'response'"
                        ],
                        "start_col": 1,
                        "start_line": 10
                    }
                },
                "877": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 76,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 596,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_copy": 594,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.__temp42": 595,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 593,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 48,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/8f57d6d152b155403dcead27a17163e42b24753da9c724f554705dcf260464c0.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 29,
                                "end_line": 112,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 49,
                                        "end_line": 7,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/1e2484a22faa61a56a85fee309cc4bac0c6f9bbbdc4428579cdc70d444fc4ff7.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 46,
                                                "end_line": 112,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 32,
                                                        "end_line": 12,
                                                        "input_file": {
                                                            "filename": "autogen/starknet/arg_processor/1e2484a22faa61a56a85fee309cc4bac0c6f9bbbdc4428579cdc70d444fc4ff7.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 46,
                                                                "end_line": 112,
                                                                "input_file": {
                                                                    "filename": "openzeppelin/account/Account.cairo"
                                                                },
                                                                "start_col": 31,
                                                                "start_line": 112
                                                            },
                                                            "While handling return value 'response'"
                                                        ],
                                                        "start_col": 9,
                                                        "start_line": 12
                                                    },
                                                    "While expanding the reference '__return_value_ptr_copy' in:"
                                                ],
                                                "start_col": 31,
                                                "start_line": 112
                                            },
                                            "While handling return value 'response'"
                                        ],
                                        "start_col": 31,
                                        "start_line": 7
                                    },
                                    "While expanding the reference '__return_value_ptr' in:"
                                ],
                                "start_col": 11,
                                "start_line": 112
                            },
                            "While handling return value 'response_len'"
                        ],
                        "start_col": 26,
                        "start_line": 2
                    }
                },
                "879": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 76,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 596,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_copy": 594,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.__temp42": 595,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 593,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 28,
                        "end_line": 13,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1e2484a22faa61a56a85fee309cc4bac0c6f9bbbdc4428579cdc70d444fc4ff7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 46,
                                "end_line": 112,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 31,
                                "start_line": 112
                            },
                            "While handling return value 'response'"
                        ],
                        "start_col": 9,
                        "start_line": 13
                    }
                },
                "880": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 76,
                            "offset": 6
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 596,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_copy": 594,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.__temp42": 595,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 593,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 32,
                        "end_line": 14,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1e2484a22faa61a56a85fee309cc4bac0c6f9bbbdc4428579cdc70d444fc4ff7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 46,
                                "end_line": 112,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 31,
                                "start_line": 112
                            },
                            "While handling return value 'response'"
                        ],
                        "start_col": 9,
                        "start_line": 14
                    }
                },
                "881": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 76,
                            "offset": 7
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 596,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_copy": 594,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.__temp42": 595,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 593,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 37,
                        "end_line": 14,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1e2484a22faa61a56a85fee309cc4bac0c6f9bbbdc4428579cdc70d444fc4ff7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 46,
                                "end_line": 112,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 31,
                                "start_line": 112
                            },
                            "While handling return value 'response'"
                        ],
                        "start_col": 1,
                        "start_line": 11
                    }
                },
                "883": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 77,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 596,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_copy": 594,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.__temp42": 595,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 593,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 22,
                        "end_line": 5,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1e2484a22faa61a56a85fee309cc4bac0c6f9bbbdc4428579cdc70d444fc4ff7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 46,
                                "end_line": 112,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 40,
                                        "end_line": 10,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/return/__execute__/f31bd541c80bf9ec5afbbad795fa002730b10621ee3f52b2e7956c06cd223d2e.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While handling return value of"
                                        ],
                                        "start_col": 25,
                                        "start_line": 10
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 31,
                                "start_line": 112
                            },
                            "While handling return value 'response'"
                        ],
                        "start_col": 7,
                        "start_line": 5
                    }
                },
                "884": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 77,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 596,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_copy": 594,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.__temp42": 595,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 593,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 63,
                        "end_line": 11,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/__execute__/f31bd541c80bf9ec5afbbad795fa002730b10621ee3f52b2e7956c06cd223d2e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While handling return value of"
                        ],
                        "start_col": 18,
                        "start_line": 11
                    }
                },
                "885": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 77,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 596,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_copy": 594,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.__temp42": 595,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 593,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 5,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/__execute__/f31bd541c80bf9ec5afbbad795fa002730b10621ee3f52b2e7956c06cd223d2e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 38,
                                        "end_line": 12,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/return/__execute__/f31bd541c80bf9ec5afbbad795fa002730b10621ee3f52b2e7956c06cd223d2e.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While handling return value of"
                                        ],
                                        "start_col": 14,
                                        "start_line": 12
                                    },
                                    "While expanding the reference '__return_value_ptr_start' in:"
                                ],
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While handling return value of"
                        ],
                        "start_col": 11,
                        "start_line": 5
                    }
                },
                "886": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 77,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.__return_value_ptr": 596,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_copy": 594,
                            "__wrappers__.__execute___encode_return.__return_value_ptr_start": 590,
                            "__wrappers__.__execute___encode_return.__temp42": 595,
                            "__wrappers__.__execute___encode_return.range_check_ptr": 593,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 39,
                        "end_line": 12,
                        "input_file": {
                            "filename": "autogen/starknet/external/return/__execute__/f31bd541c80bf9ec5afbbad795fa002730b10621ee3f52b2e7956c06cd223d2e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While handling return value of"
                        ],
                        "start_col": 5,
                        "start_line": 9
                    }
                },
                "887": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 0
                        },
                        "reference_ids": {}
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/e2645b5103a9d5af449b8fe7ba025f8f981a7d85f0d6bd668f32b9064d8689dd.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 5,
                        "start_line": 2
                    }
                },
                "889": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_ptr": 603,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 599,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 104,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 24,
                                        "end_line": 2,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/7bb8ebaf1adbcc95ba53cf61877f9b0182ef69b7220a3f0b03c5d57c3b051667.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 38,
                                                "end_line": 108,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 108
                                            },
                                            "While handling calldata argument 'call_array'"
                                        ],
                                        "start_col": 9,
                                        "start_line": 2
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 104
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 1
                    }
                },
                "890": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_ptr": 603,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 599,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 53,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/2311e7438f422acd27be84fafe870b01e285827c63200dabae3efa5289008fee.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 29,
                                "end_line": 107,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 57,
                                        "end_line": 2,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/7bb8ebaf1adbcc95ba53cf61877f9b0182ef69b7220a3f0b03c5d57c3b051667.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 38,
                                                "end_line": 108,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 108
                                            },
                                            "While handling calldata argument 'call_array'"
                                        ],
                                        "start_col": 28,
                                        "start_line": 2
                                    },
                                    "While expanding the reference '__calldata_arg_call_array_len' in:"
                                ],
                                "start_col": 9,
                                "start_line": 107
                            },
                            "While handling calldata argument 'call_array_len'"
                        ],
                        "start_col": 37,
                        "start_line": 1
                    }
                },
                "891": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_ptr": 603,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 599,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/7bb8ebaf1adbcc95ba53cf61877f9b0182ef69b7220a3f0b03c5d57c3b051667.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 38,
                                "end_line": 108,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 9,
                                "start_line": 108
                            },
                            "While handling calldata argument 'call_array'"
                        ],
                        "start_col": 1,
                        "start_line": 2
                    }
                },
                "892": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_ptr": 603,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 606,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/2311e7438f422acd27be84fafe870b01e285827c63200dabae3efa5289008fee.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 29,
                                "end_line": 107,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 40,
                                        "end_line": 8,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/7bb8ebaf1adbcc95ba53cf61877f9b0182ef69b7220a3f0b03c5d57c3b051667.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 38,
                                                "end_line": 108,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 108
                                            },
                                            "While handling calldata argument 'call_array'"
                                        ],
                                        "start_col": 26,
                                        "start_line": 8
                                    },
                                    "While expanding the reference '__calldata_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 107
                            },
                            "While handling calldata argument 'call_array_len'"
                        ],
                        "start_col": 22,
                        "start_line": 2
                    }
                },
                "894": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 6
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_ptr": 603,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 606,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 53,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/2311e7438f422acd27be84fafe870b01e285827c63200dabae3efa5289008fee.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 29,
                                "end_line": 107,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 8,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/7bb8ebaf1adbcc95ba53cf61877f9b0182ef69b7220a3f0b03c5d57c3b051667.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 38,
                                                "end_line": 108,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 108
                                            },
                                            "While handling calldata argument 'call_array'"
                                        ],
                                        "start_col": 43,
                                        "start_line": 8
                                    },
                                    "While expanding the reference '__calldata_arg_call_array_len' in:"
                                ],
                                "start_col": 9,
                                "start_line": 107
                            },
                            "While handling calldata argument 'call_array_len'"
                        ],
                        "start_col": 37,
                        "start_line": 1
                    }
                },
                "895": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 7
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_ptr": 603,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 606,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 76,
                        "end_line": 8,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/7bb8ebaf1adbcc95ba53cf61877f9b0182ef69b7220a3f0b03c5d57c3b051667.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 38,
                                "end_line": 108,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 9,
                                "start_line": 108
                            },
                            "While handling calldata argument 'call_array'"
                        ],
                        "start_col": 43,
                        "start_line": 8
                    }
                },
                "897": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 8
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_ptr": 603,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 606,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 76,
                        "end_line": 8,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/7bb8ebaf1adbcc95ba53cf61877f9b0182ef69b7220a3f0b03c5d57c3b051667.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 38,
                                "end_line": 108,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 9,
                                "start_line": 108
                            },
                            "While handling calldata argument 'call_array'"
                        ],
                        "start_col": 26,
                        "start_line": 8
                    }
                },
                "898": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 9
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_ptr": 613,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 606,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 104,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 38,
                                        "end_line": 3,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/7bb8ebaf1adbcc95ba53cf61877f9b0182ef69b7220a3f0b03c5d57c3b051667.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 38,
                                                "end_line": 108,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 24,
                                                        "end_line": 2,
                                                        "input_file": {
                                                            "filename": "autogen/starknet/arg_processor/4f07c4ae795d22b6bc4426e596637ee88f870711dc3768dd8178092f4b2c0b65.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 24,
                                                                "end_line": 110,
                                                                "input_file": {
                                                                    "filename": "openzeppelin/account/Account.cairo"
                                                                },
                                                                "start_col": 9,
                                                                "start_line": 110
                                                            },
                                                            "While handling calldata argument 'calldata'"
                                                        ],
                                                        "start_col": 9,
                                                        "start_line": 2
                                                    },
                                                    "While expanding the reference 'range_check_ptr' in:"
                                                ],
                                                "start_col": 9,
                                                "start_line": 108
                                            },
                                            "While handling calldata argument 'call_array'"
                                        ],
                                        "start_col": 23,
                                        "start_line": 3
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 104
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 1
                    }
                },
                "899": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 10
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_ptr": 613,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 606,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 51,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/8799496fe2567340f6719cfd30d7db5f6b8e7aa420ca97e3a3c3ccbdfbb2e674.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 27,
                                "end_line": 109,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 55,
                                        "end_line": 2,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/4f07c4ae795d22b6bc4426e596637ee88f870711dc3768dd8178092f4b2c0b65.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 110,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 110
                                            },
                                            "While handling calldata argument 'calldata'"
                                        ],
                                        "start_col": 28,
                                        "start_line": 2
                                    },
                                    "While expanding the reference '__calldata_arg_calldata_len' in:"
                                ],
                                "start_col": 9,
                                "start_line": 109
                            },
                            "While handling calldata argument 'calldata_len'"
                        ],
                        "start_col": 35,
                        "start_line": 1
                    }
                },
                "900": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 11
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_ptr": 613,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 606,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 55,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/4f07c4ae795d22b6bc4426e596637ee88f870711dc3768dd8178092f4b2c0b65.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 110,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 9,
                                "start_line": 110
                            },
                            "While handling calldata argument 'calldata'"
                        ],
                        "start_col": 1,
                        "start_line": 2
                    }
                },
                "901": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 11
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_ptr": 613,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/8799496fe2567340f6719cfd30d7db5f6b8e7aa420ca97e3a3c3ccbdfbb2e674.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 27,
                                "end_line": 109,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 40,
                                        "end_line": 8,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/4f07c4ae795d22b6bc4426e596637ee88f870711dc3768dd8178092f4b2c0b65.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 110,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 110
                                            },
                                            "While handling calldata argument 'calldata'"
                                        ],
                                        "start_col": 26,
                                        "start_line": 8
                                    },
                                    "While expanding the reference '__calldata_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 109
                            },
                            "While handling calldata argument 'calldata_len'"
                        ],
                        "start_col": 22,
                        "start_line": 2
                    }
                },
                "903": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 12
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_ptr": 613,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 51,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/8799496fe2567340f6719cfd30d7db5f6b8e7aa420ca97e3a3c3ccbdfbb2e674.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 27,
                                "end_line": 109,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 70,
                                        "end_line": 8,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/4f07c4ae795d22b6bc4426e596637ee88f870711dc3768dd8178092f4b2c0b65.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 24,
                                                "end_line": 110,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 9,
                                                "start_line": 110
                                            },
                                            "While handling calldata argument 'calldata'"
                                        ],
                                        "start_col": 43,
                                        "start_line": 8
                                    },
                                    "While expanding the reference '__calldata_arg_calldata_len' in:"
                                ],
                                "start_col": 9,
                                "start_line": 109
                            },
                            "While handling calldata argument 'calldata_len'"
                        ],
                        "start_col": 35,
                        "start_line": 1
                    }
                },
                "904": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 13
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_ptr": 613,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 74,
                        "end_line": 8,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/4f07c4ae795d22b6bc4426e596637ee88f870711dc3768dd8178092f4b2c0b65.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 110,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 9,
                                "start_line": 110
                            },
                            "While handling calldata argument 'calldata'"
                        ],
                        "start_col": 26,
                        "start_line": 8
                    }
                },
                "905": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 14
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 40,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/2af83e2ace09380d3be2e1d366c8649a74753b790c9d2b5e425bfdf350d70145.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 111,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 45,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/5e1cc73f0b484f90bb02da164d88332b40c6f698801aa4d3c603dab22157e902.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 57,
                                                        "end_line": 1,
                                                        "input_file": {
                                                            "filename": "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 17,
                                                                "end_line": 101,
                                                                "input_file": {
                                                                    "filename": "openzeppelin/account/Account.cairo"
                                                                },
                                                                "start_col": 6,
                                                                "start_line": 101
                                                            },
                                                            "While handling calldata of"
                                                        ],
                                                        "start_col": 35,
                                                        "start_line": 1
                                                    },
                                                    "While expanding the reference '__calldata_actual_size' in:"
                                                ],
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While handling calldata of"
                                        ],
                                        "start_col": 31,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 111
                            },
                            "While handling calldata argument 'nonce'"
                        ],
                        "start_col": 22,
                        "start_line": 2
                    }
                },
                "907": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 15
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 57,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/1b562308a65653425ce06491fa4b4539466f3251a07e73e099d0afe86a48900e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While handling calldata of"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                },
                "908": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 15
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 67,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/e651458745e7cd218121c342e0915890767e2f59ddc2e315b8844ad0f47d582e.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 104,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 38,
                                        "end_line": 3,
                                        "input_file": {
                                            "filename": "autogen/starknet/arg_processor/7bb8ebaf1adbcc95ba53cf61877f9b0182ef69b7220a3f0b03c5d57c3b051667.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 38,
                                                "end_line": 108,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 38,
                                                        "end_line": 3,
                                                        "input_file": {
                                                            "filename": "autogen/starknet/arg_processor/4f07c4ae795d22b6bc4426e596637ee88f870711dc3768dd8178092f4b2c0b65.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 24,
                                                                "end_line": 110,
                                                                "input_file": {
                                                                    "filename": "openzeppelin/account/Account.cairo"
                                                                },
                                                                "parent_location": [
                                                                    {
                                                                        "end_col": 116,
                                                                        "end_line": 1,
                                                                        "input_file": {
                                                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                                                        },
                                                                        "parent_location": [
                                                                            {
                                                                                "end_col": 17,
                                                                                "end_line": 101,
                                                                                "input_file": {
                                                                                    "filename": "openzeppelin/account/Account.cairo"
                                                                                },
                                                                                "start_col": 6,
                                                                                "start_line": 101
                                                                            },
                                                                            "While constructing the external wrapper for:"
                                                                        ],
                                                                        "start_col": 101,
                                                                        "start_line": 1
                                                                    },
                                                                    "While expanding the reference 'range_check_ptr' in:"
                                                                ],
                                                                "start_col": 9,
                                                                "start_line": 110
                                                            },
                                                            "While handling calldata argument 'calldata'"
                                                        ],
                                                        "start_col": 23,
                                                        "start_line": 3
                                                    },
                                                    "While expanding the reference 'range_check_ptr' in:"
                                                ],
                                                "start_col": 9,
                                                "start_line": 108
                                            },
                                            "While handling calldata argument 'call_array'"
                                        ],
                                        "start_col": 23,
                                        "start_line": 3
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 104
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 1
                    }
                },
                "909": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 16
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 64,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/c7060df96cb0acca1380ae43bf758cab727bfdf73cb5d34a93e24a9742817fda.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 28,
                                "end_line": 102,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 45,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'syscall_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 102
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 19,
                        "start_line": 1
                    }
                },
                "910": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 17
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 110,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/424b26e79f70343cc02557f1fbd25745138efb26a3dc5c8b593ca765b73138b7.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 36,
                                "end_line": 103,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 83,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 71,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'pedersen_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 103
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 20,
                        "start_line": 1
                    }
                },
                "911": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 18
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 42,
                        "end_line": 3,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/4f07c4ae795d22b6bc4426e596637ee88f870711dc3768dd8178092f4b2c0b65.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 110,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 116,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 101,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 110
                            },
                            "While handling calldata argument 'calldata'"
                        ],
                        "start_col": 23,
                        "start_line": 3
                    }
                },
                "913": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 19
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 112,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/9aa866da402dc1b34ae86751a3cabb224b0d9ac08fe13c58bb079af4cd281bec.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 37,
                                "end_line": 105,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 137,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 128,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'ecdsa_ptr' in:"
                                ],
                                "start_col": 9,
                                "start_line": 105
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 17,
                        "start_line": 1
                    }
                },
                "914": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 20
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 53,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/2311e7438f422acd27be84fafe870b01e285827c63200dabae3efa5289008fee.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 29,
                                "end_line": 107,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 183,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 154,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_call_array_len' in:"
                                ],
                                "start_col": 9,
                                "start_line": 107
                            },
                            "While handling calldata argument 'call_array_len'"
                        ],
                        "start_col": 37,
                        "start_line": 1
                    }
                },
                "915": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 21
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 101,
                        "end_line": 5,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/7bb8ebaf1adbcc95ba53cf61877f9b0182ef69b7220a3f0b03c5d57c3b051667.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 38,
                                "end_line": 108,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 221,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 196,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_call_array' in:"
                                ],
                                "start_col": 9,
                                "start_line": 108
                            },
                            "While handling calldata argument 'call_array'"
                        ],
                        "start_col": 33,
                        "start_line": 5
                    }
                },
                "917": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 22
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 51,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/8799496fe2567340f6719cfd30d7db5f6b8e7aa420ca97e3a3c3ccbdfbb2e674.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 27,
                                "end_line": 109,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 263,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 236,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_calldata_len' in:"
                                ],
                                "start_col": 9,
                                "start_line": 109
                            },
                            "While handling calldata argument 'calldata_len'"
                        ],
                        "start_col": 35,
                        "start_line": 1
                    }
                },
                "918": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 23
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 58,
                        "end_line": 5,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/4f07c4ae795d22b6bc4426e596637ee88f870711dc3768dd8178092f4b2c0b65.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 24,
                                "end_line": 110,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 297,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 274,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_calldata' in:"
                                ],
                                "start_col": 9,
                                "start_line": 110
                            },
                            "While handling calldata argument 'calldata'"
                        ],
                        "start_col": 31,
                        "start_line": 5
                    }
                },
                "920": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 24
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 44,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/arg_processor/2af83e2ace09380d3be2e1d366c8649a74753b790c9d2b5e425bfdf350d70145.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 20,
                                "end_line": 111,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 325,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 305,
                                        "start_line": 1
                                    },
                                    "While expanding the reference '__calldata_arg_nonce' in:"
                                ],
                                "start_col": 9,
                                "start_line": 111
                            },
                            "While handling calldata argument 'nonce'"
                        ],
                        "start_col": 28,
                        "start_line": 1
                    }
                },
                "921": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 78,
                            "offset": 25
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 600,
                            "__wrappers__.__execute__.pedersen_ptr": 598,
                            "__wrappers__.__execute__.range_check_ptr": 616,
                            "__wrappers__.__execute__.syscall_ptr": 597
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 17,
                        "end_line": 101,
                        "input_file": {
                            "filename": "openzeppelin/account/Account.cairo"
                        },
                        "start_col": 6,
                        "start_line": 101
                    }
                },
                "923": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 79,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 629,
                            "__wrappers__.__execute__.pedersen_ptr": 627,
                            "__wrappers__.__execute__.range_check_ptr": 628,
                            "__wrappers__.__execute__.ret_struct": 630,
                            "__wrappers__.__execute__.syscall_ptr": 626
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 56,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 45,
                                        "start_line": 1
                                    },
                                    "While auto generating local variable for 'syscall_ptr'."
                                ],
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 45,
                        "start_line": 1
                    }
                },
                "924": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 79,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 629,
                            "__wrappers__.__execute__.pedersen_ptr": 627,
                            "__wrappers__.__execute__.range_check_ptr": 628,
                            "__wrappers__.__execute__.ret_struct": 630,
                            "__wrappers__.__execute__.syscall_ptr": 631
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 83,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 71,
                                        "start_line": 1
                                    },
                                    "While auto generating local variable for 'pedersen_ptr'."
                                ],
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 71,
                        "start_line": 1
                    }
                },
                "925": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 79,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 629,
                            "__wrappers__.__execute__.pedersen_ptr": 632,
                            "__wrappers__.__execute__.range_check_ptr": 628,
                            "__wrappers__.__execute__.ret_struct": 630,
                            "__wrappers__.__execute__.syscall_ptr": 631
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 137,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 137,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 128,
                                        "start_line": 1
                                    },
                                    "While auto generating local variable for 'ecdsa_ptr'."
                                ],
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 128,
                        "start_line": 1
                    }
                },
                "926": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 79,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 633,
                            "__wrappers__.__execute__.pedersen_ptr": 632,
                            "__wrappers__.__execute__.range_check_ptr": 628,
                            "__wrappers__.__execute__.ret_struct": 630,
                            "__wrappers__.__execute__.syscall_ptr": 631
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 116,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 101,
                                        "end_line": 2,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 86,
                                        "start_line": 2
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 101,
                        "start_line": 1
                    }
                },
                "927": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 79,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 633,
                            "__wrappers__.__execute__.pedersen_ptr": 632,
                            "__wrappers__.__execute__.range_check_ptr": 628,
                            "__wrappers__.__execute__.ret_struct": 630,
                            "__wrappers__.__execute__.syscall_ptr": 631
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 102,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 48,
                        "start_line": 2
                    }
                },
                "929": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 80,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 633,
                            "__wrappers__.__execute__.pedersen_ptr": 632,
                            "__wrappers__.__execute__.range_check_ptr": 634,
                            "__wrappers__.__execute__.ret_struct": 630,
                            "__wrappers__.__execute__.retdata": 636,
                            "__wrappers__.__execute__.retdata_size": 635,
                            "__wrappers__.__execute__.syscall_ptr": 631
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 56,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 56,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 20,
                                                        "end_line": 1,
                                                        "input_file": {
                                                            "filename": "autogen/starknet/external/__execute__/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 17,
                                                                "end_line": 101,
                                                                "input_file": {
                                                                    "filename": "openzeppelin/account/Account.cairo"
                                                                },
                                                                "start_col": 6,
                                                                "start_line": 101
                                                            },
                                                            "While constructing the external wrapper for:"
                                                        ],
                                                        "start_col": 9,
                                                        "start_line": 1
                                                    },
                                                    "While expanding the reference 'syscall_ptr' in:"
                                                ],
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 45,
                                        "start_line": 1
                                    },
                                    "While auto generating local variable for 'syscall_ptr'."
                                ],
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 45,
                        "start_line": 1
                    }
                },
                "930": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 80,
                            "offset": 1
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 633,
                            "__wrappers__.__execute__.pedersen_ptr": 632,
                            "__wrappers__.__execute__.range_check_ptr": 634,
                            "__wrappers__.__execute__.ret_struct": 630,
                            "__wrappers__.__execute__.retdata": 636,
                            "__wrappers__.__execute__.retdata_size": 635,
                            "__wrappers__.__execute__.syscall_ptr": 631
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 83,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 83,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 33,
                                                        "end_line": 1,
                                                        "input_file": {
                                                            "filename": "autogen/starknet/external/__execute__/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 17,
                                                                "end_line": 101,
                                                                "input_file": {
                                                                    "filename": "openzeppelin/account/Account.cairo"
                                                                },
                                                                "start_col": 6,
                                                                "start_line": 101
                                                            },
                                                            "While constructing the external wrapper for:"
                                                        ],
                                                        "start_col": 21,
                                                        "start_line": 1
                                                    },
                                                    "While expanding the reference 'pedersen_ptr' in:"
                                                ],
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 71,
                                        "start_line": 1
                                    },
                                    "While auto generating local variable for 'pedersen_ptr'."
                                ],
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 71,
                        "start_line": 1
                    }
                },
                "931": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 80,
                            "offset": 2
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 633,
                            "__wrappers__.__execute__.pedersen_ptr": 632,
                            "__wrappers__.__execute__.range_check_ptr": 634,
                            "__wrappers__.__execute__.ret_struct": 630,
                            "__wrappers__.__execute__.retdata": 636,
                            "__wrappers__.__execute__.retdata_size": 635,
                            "__wrappers__.__execute__.syscall_ptr": 631
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 21,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 49,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 34,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'range_check_ptr' in:"
                                ],
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 6,
                        "start_line": 2
                    }
                },
                "932": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 80,
                            "offset": 3
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 633,
                            "__wrappers__.__execute__.pedersen_ptr": 632,
                            "__wrappers__.__execute__.range_check_ptr": 634,
                            "__wrappers__.__execute__.ret_struct": 630,
                            "__wrappers__.__execute__.retdata": 636,
                            "__wrappers__.__execute__.retdata_size": 635,
                            "__wrappers__.__execute__.syscall_ptr": 631
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 137,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 137,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "parent_location": [
                                                    {
                                                        "end_col": 59,
                                                        "end_line": 1,
                                                        "input_file": {
                                                            "filename": "autogen/starknet/external/__execute__/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                                        },
                                                        "parent_location": [
                                                            {
                                                                "end_col": 17,
                                                                "end_line": 101,
                                                                "input_file": {
                                                                    "filename": "openzeppelin/account/Account.cairo"
                                                                },
                                                                "start_col": 6,
                                                                "start_line": 101
                                                            },
                                                            "While constructing the external wrapper for:"
                                                        ],
                                                        "start_col": 50,
                                                        "start_line": 1
                                                    },
                                                    "While expanding the reference 'ecdsa_ptr' in:"
                                                ],
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 128,
                                        "start_line": 1
                                    },
                                    "While auto generating local variable for 'ecdsa_ptr'."
                                ],
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 128,
                        "start_line": 1
                    }
                },
                "933": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 80,
                            "offset": 4
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 633,
                            "__wrappers__.__execute__.pedersen_ptr": 632,
                            "__wrappers__.__execute__.range_check_ptr": 634,
                            "__wrappers__.__execute__.ret_struct": 630,
                            "__wrappers__.__execute__.retdata": 636,
                            "__wrappers__.__execute__.retdata_size": 635,
                            "__wrappers__.__execute__.syscall_ptr": 631
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 35,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 72,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 60,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata_size' in:"
                                ],
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 23,
                        "start_line": 2
                    }
                },
                "934": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 80,
                            "offset": 5
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 633,
                            "__wrappers__.__execute__.pedersen_ptr": 632,
                            "__wrappers__.__execute__.range_check_ptr": 634,
                            "__wrappers__.__execute__.ret_struct": 630,
                            "__wrappers__.__execute__.retdata": 636,
                            "__wrappers__.__execute__.retdata_size": 635,
                            "__wrappers__.__execute__.syscall_ptr": 631
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 44,
                        "end_line": 2,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/c5ef3c66f2d3401b698389ddc9299fbbd37ff02241413d87bef344301e990c4d.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "parent_location": [
                                    {
                                        "end_col": 80,
                                        "end_line": 1,
                                        "input_file": {
                                            "filename": "autogen/starknet/external/__execute__/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                                        },
                                        "parent_location": [
                                            {
                                                "end_col": 17,
                                                "end_line": 101,
                                                "input_file": {
                                                    "filename": "openzeppelin/account/Account.cairo"
                                                },
                                                "start_col": 6,
                                                "start_line": 101
                                            },
                                            "While constructing the external wrapper for:"
                                        ],
                                        "start_col": 73,
                                        "start_line": 1
                                    },
                                    "While expanding the reference 'retdata' in:"
                                ],
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 37,
                        "start_line": 2
                    }
                },
                "935": {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute__"
                    ],
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 80,
                            "offset": 6
                        },
                        "reference_ids": {
                            "__wrappers__.__execute__.__calldata_actual_size": 623,
                            "__wrappers__.__execute__.__calldata_arg_call_array": 607,
                            "__wrappers__.__execute__.__calldata_arg_call_array_len": 602,
                            "__wrappers__.__execute__.__calldata_arg_calldata": 617,
                            "__wrappers__.__execute__.__calldata_arg_calldata_len": 612,
                            "__wrappers__.__execute__.__calldata_arg_nonce": 621,
                            "__wrappers__.__execute__.__calldata_ptr": 622,
                            "__wrappers__.__execute__.__temp43": 604,
                            "__wrappers__.__execute__.__temp44": 605,
                            "__wrappers__.__execute__.__temp45": 608,
                            "__wrappers__.__execute__.__temp46": 609,
                            "__wrappers__.__execute__.__temp47": 610,
                            "__wrappers__.__execute__.__temp48": 614,
                            "__wrappers__.__execute__.__temp49": 615,
                            "__wrappers__.__execute__.__temp50": 618,
                            "__wrappers__.__execute__.__temp51": 619,
                            "__wrappers__.__execute__.__temp52": 624,
                            "__wrappers__.__execute__.__temp53": 625,
                            "__wrappers__.__execute__.ecdsa_ptr": 633,
                            "__wrappers__.__execute__.pedersen_ptr": 632,
                            "__wrappers__.__execute__.range_check_ptr": 634,
                            "__wrappers__.__execute__.ret_struct": 630,
                            "__wrappers__.__execute__.retdata": 636,
                            "__wrappers__.__execute__.retdata_size": 635,
                            "__wrappers__.__execute__.syscall_ptr": 631
                        }
                    },
                    "hints": [],
                    "inst": {
                        "end_col": 81,
                        "end_line": 1,
                        "input_file": {
                            "filename": "autogen/starknet/external/__execute__/aa526043a8db9187624857305b1409f029aec9f9c85f47438b55e65b3afc0639.cairo"
                        },
                        "parent_location": [
                            {
                                "end_col": 17,
                                "end_line": 101,
                                "input_file": {
                                    "filename": "openzeppelin/account/Account.cairo"
                                },
                                "start_col": 6,
                                "start_line": 101
                            },
                            "While constructing the external wrapper for:"
                        ],
                        "start_col": 1,
                        "start_line": 1
                    }
                }
            }
        },
        "hints": {
            "0": [
                {
                    "accessible_scopes": [
                        "starkware.cairo.common.alloc",
                        "starkware.cairo.common.alloc.alloc"
                    ],
                    "code": "memory[ap] = segments.add()",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 0,
                            "offset": 0
                        },
                        "reference_ids": {}
                    }
                }
            ],
            "12": [
                {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "code": "vm_enter_scope({'n': ids.len})",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    }
                }
            ],
            "20": [
                {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "code": "n -= 1\nids.continue_copying = 1 if n > 0 else 0",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 5
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.__temp0": 10,
                            "starkware.cairo.common.memcpy.memcpy.continue_copying": 11,
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.frame": 9,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.next_frame": 12,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    }
                }
            ],
            "23": [
                {
                    "accessible_scopes": [
                        "starkware.cairo.common.memcpy",
                        "starkware.cairo.common.memcpy.memcpy"
                    ],
                    "code": "vm_exit_scope()",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 2,
                            "offset": 6
                        },
                        "reference_ids": {
                            "starkware.cairo.common.memcpy.memcpy.__temp0": 10,
                            "starkware.cairo.common.memcpy.memcpy.continue_copying": 11,
                            "starkware.cairo.common.memcpy.memcpy.dst": 5,
                            "starkware.cairo.common.memcpy.memcpy.frame": 9,
                            "starkware.cairo.common.memcpy.memcpy.len": 7,
                            "starkware.cairo.common.memcpy.memcpy.next_frame": 12,
                            "starkware.cairo.common.memcpy.memcpy.src": 6
                        }
                    }
                }
            ],
            "24": [
                {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_not_equal"
                    ],
                    "code": "from starkware.cairo.lang.vm.relocatable import RelocatableValue\nboth_ints = isinstance(ids.a, int) and isinstance(ids.b, int)\nboth_relocatable = (\n    isinstance(ids.a, RelocatableValue) and isinstance(ids.b, RelocatableValue) and\n    ids.a.segment_index == ids.b.segment_index)\nassert both_ints or both_relocatable, \\\n    f'assert_not_equal failed: non-comparable values: {ids.a}, {ids.b}.'\nassert (ids.a - ids.b) % PRIME != 0, f'assert_not_equal failed: {ids.a} = {ids.b}.'",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 3,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_not_equal.a": 13,
                            "starkware.cairo.common.math.assert_not_equal.b": 14
                        }
                    }
                }
            ],
            "30": [
                {
                    "accessible_scopes": [
                        "starkware.cairo.common.math",
                        "starkware.cairo.common.math.assert_250_bit"
                    ],
                    "code": "from starkware.cairo.common.math_utils import as_int\n\n# Correctness check.\nvalue = as_int(ids.value, PRIME) % PRIME\nassert value < ids.UPPER_BOUND, f'{value} is outside of the range [0, 2**250).'\n\n# Calculation for the assertion.\nids.high, ids.low = divmod(ids.value, ids.SHIFT)",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 4,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.math.assert_250_bit.high": 19,
                            "starkware.cairo.common.math.assert_250_bit.low": 18,
                            "starkware.cairo.common.math.assert_250_bit.range_check_ptr": 17,
                            "starkware.cairo.common.math.assert_250_bit.value": 16
                        }
                    }
                }
            ],
            "45": [
                {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "code": "# Verify the assumptions on the relationship between 2**250, ADDR_BOUND and PRIME.\nADDR_BOUND = ids.ADDR_BOUND % PRIME\nassert (2**250 < ADDR_BOUND <= 2**251) and (2 * 2**250 < PRIME) and (\n        ADDR_BOUND * 2 > PRIME), \\\n    'normalize_address() cannot be used with the current constants.'\nids.is_small = 1 if ids.addr < ADDR_BOUND else 0",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    }
                }
            ],
            "63": [
                {
                    "accessible_scopes": [
                        "starkware.starknet.common.storage",
                        "starkware.starknet.common.storage.normalize_address"
                    ],
                    "code": "ids.is_250 = 1 if ids.addr < 2**250 else 0",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 5,
                            "offset": 2
                        },
                        "reference_ids": {
                            "starkware.starknet.common.storage.normalize_address.addr": 27,
                            "starkware.starknet.common.storage.normalize_address.is_250": 35,
                            "starkware.starknet.common.storage.normalize_address.is_small": 29,
                            "starkware.starknet.common.storage.normalize_address.range_check_ptr": 28
                        }
                    }
                }
            ],
            "90": [
                {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.call_contract"
                    ],
                    "code": "syscall_handler.call_contract(segments=segments, syscall_ptr=ids.syscall_ptr)",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 6,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.call_contract.__temp10": 46,
                            "starkware.starknet.common.syscalls.call_contract.calldata": 43,
                            "starkware.starknet.common.syscalls.call_contract.calldata_size": 42,
                            "starkware.starknet.common.syscalls.call_contract.contract_address": 40,
                            "starkware.starknet.common.syscalls.call_contract.function_selector": 41,
                            "starkware.starknet.common.syscalls.call_contract.syscall": 45,
                            "starkware.starknet.common.syscalls.call_contract.syscall_ptr": 44
                        }
                    }
                }
            ],
            "98": [
                {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_caller_address"
                    ],
                    "code": "syscall_handler.get_caller_address(segments=segments, syscall_ptr=ids.syscall_ptr)",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 7,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_caller_address.__temp11": 51,
                            "starkware.starknet.common.syscalls.get_caller_address.syscall": 50,
                            "starkware.starknet.common.syscalls.get_caller_address.syscall_ptr": 49
                        }
                    }
                }
            ],
            "105": [
                {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_contract_address"
                    ],
                    "code": "syscall_handler.get_contract_address(segments=segments, syscall_ptr=ids.syscall_ptr)",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 8,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_contract_address.__temp12": 55,
                            "starkware.starknet.common.syscalls.get_contract_address.syscall": 54,
                            "starkware.starknet.common.syscalls.get_contract_address.syscall_ptr": 53
                        }
                    }
                }
            ],
            "113": [
                {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_read"
                    ],
                    "code": "syscall_handler.storage_read(segments=segments, syscall_ptr=ids.syscall_ptr)",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 9,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_read.__temp13": 60,
                            "starkware.starknet.common.syscalls.storage_read.address": 57,
                            "starkware.starknet.common.syscalls.storage_read.syscall": 59,
                            "starkware.starknet.common.syscalls.storage_read.syscall_ptr": 58
                        }
                    }
                }
            ],
            "122": [
                {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.storage_write"
                    ],
                    "code": "syscall_handler.storage_write(segments=segments, syscall_ptr=ids.syscall_ptr)",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 10,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.storage_write.__temp14": 66,
                            "starkware.starknet.common.syscalls.storage_write.address": 63,
                            "starkware.starknet.common.syscalls.storage_write.syscall_ptr": 65,
                            "starkware.starknet.common.syscalls.storage_write.value": 64
                        }
                    }
                }
            ],
            "128": [
                {
                    "accessible_scopes": [
                        "starkware.starknet.common.syscalls",
                        "starkware.starknet.common.syscalls.get_tx_info"
                    ],
                    "code": "syscall_handler.get_tx_info(segments=segments, syscall_ptr=ids.syscall_ptr)",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 11,
                            "offset": 1
                        },
                        "reference_ids": {
                            "starkware.starknet.common.syscalls.get_tx_info.__temp15": 70,
                            "starkware.starknet.common.syscalls.get_tx_info.syscall": 69,
                            "starkware.starknet.common.syscalls.get_tx_info.syscall_ptr": 68
                        }
                    }
                }
            ],
            "133": [
                {
                    "accessible_scopes": [
                        "starkware.cairo.common.signature",
                        "starkware.cairo.common.signature.verify_ecdsa_signature"
                    ],
                    "code": "ecdsa_builtin.add_signature(ids.ecdsa_ptr.address_, (ids.signature_r, ids.signature_s))",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 13,
                            "offset": 0
                        },
                        "reference_ids": {
                            "starkware.cairo.common.signature.verify_ecdsa_signature.ecdsa_ptr": 77,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.message": 73,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.public_key": 74,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.signature_r": 75,
                            "starkware.cairo.common.signature.verify_ecdsa_signature.signature_s": 76
                        }
                    }
                }
            ],
            "421": [
                {
                    "accessible_scopes": [
                        "openzeppelin.account.library",
                        "openzeppelin.account.library",
                        "__wrappers__",
                        "__wrappers__.Account_is_valid_signature"
                    ],
                    "code": "memory[ap] = segments.add()",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 37,
                            "offset": 50
                        },
                        "reference_ids": {
                            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": 273,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": 262,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": 269,
                            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": 264,
                            "__wrappers__.Account_is_valid_signature.__calldata_ptr": 272,
                            "__wrappers__.Account_is_valid_signature.__temp21": 266,
                            "__wrappers__.Account_is_valid_signature.__temp22": 267,
                            "__wrappers__.Account_is_valid_signature.__temp23": 270,
                            "__wrappers__.Account_is_valid_signature.__temp24": 271,
                            "__wrappers__.Account_is_valid_signature.__temp25": 274,
                            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": 278,
                            "__wrappers__.Account_is_valid_signature.pedersen_ptr": 276,
                            "__wrappers__.Account_is_valid_signature.range_check_ptr": 277,
                            "__wrappers__.Account_is_valid_signature.ret_struct": 279,
                            "__wrappers__.Account_is_valid_signature.syscall_ptr": 275
                        }
                    }
                }
            ],
            "673": [
                {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_public_key_encode_return"
                    ],
                    "code": "memory[ap] = segments.add()",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 58,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.get_public_key_encode_return.range_check_ptr": 419,
                            "__wrappers__.get_public_key_encode_return.ret_struct": 418
                        }
                    }
                }
            ],
            "704": [
                {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.get_nonce_encode_return"
                    ],
                    "code": "memory[ap] = segments.add()",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 61,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.get_nonce_encode_return.range_check_ptr": 445,
                            "__wrappers__.get_nonce_encode_return.ret_struct": 444
                        }
                    }
                }
            ],
            "736": [
                {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.supportsInterface_encode_return"
                    ],
                    "code": "memory[ap] = segments.add()",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 65,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.supportsInterface_encode_return.range_check_ptr": 472,
                            "__wrappers__.supportsInterface_encode_return.ret_struct": 471
                        }
                    }
                }
            ],
            "780": [
                {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.set_public_key"
                    ],
                    "code": "memory[ap] = segments.add()",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 69,
                            "offset": 50
                        },
                        "reference_ids": {
                            "__wrappers__.set_public_key.__calldata_actual_size": 507,
                            "__wrappers__.set_public_key.__calldata_arg_new_public_key": 505,
                            "__wrappers__.set_public_key.__calldata_ptr": 506,
                            "__wrappers__.set_public_key.__temp35": 508,
                            "__wrappers__.set_public_key.ecdsa_ptr": 503,
                            "__wrappers__.set_public_key.pedersen_ptr": 510,
                            "__wrappers__.set_public_key.range_check_ptr": 511,
                            "__wrappers__.set_public_key.ret_struct": 512,
                            "__wrappers__.set_public_key.syscall_ptr": 509
                        }
                    }
                }
            ],
            "806": [
                {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.constructor"
                    ],
                    "code": "memory[ap] = segments.add()",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 71,
                            "offset": 103
                        },
                        "reference_ids": {
                            "__wrappers__.constructor.__calldata_actual_size": 529,
                            "__wrappers__.constructor.__calldata_arg_public_key": 527,
                            "__wrappers__.constructor.__calldata_ptr": 528,
                            "__wrappers__.constructor.__temp36": 530,
                            "__wrappers__.constructor.ecdsa_ptr": 525,
                            "__wrappers__.constructor.pedersen_ptr": 532,
                            "__wrappers__.constructor.range_check_ptr": 533,
                            "__wrappers__.constructor.ret_struct": 534,
                            "__wrappers__.constructor.syscall_ptr": 531
                        }
                    }
                }
            ],
            "846": [
                {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.is_valid_signature"
                    ],
                    "code": "memory[ap] = segments.add()",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 73,
                            "offset": 59
                        },
                        "reference_ids": {
                            "__wrappers__.is_valid_signature.__calldata_actual_size": 564,
                            "__wrappers__.is_valid_signature.__calldata_arg_hash": 553,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature": 560,
                            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": 555,
                            "__wrappers__.is_valid_signature.__calldata_ptr": 563,
                            "__wrappers__.is_valid_signature.__temp37": 557,
                            "__wrappers__.is_valid_signature.__temp38": 558,
                            "__wrappers__.is_valid_signature.__temp39": 561,
                            "__wrappers__.is_valid_signature.__temp40": 562,
                            "__wrappers__.is_valid_signature.__temp41": 565,
                            "__wrappers__.is_valid_signature.ecdsa_ptr": 569,
                            "__wrappers__.is_valid_signature.pedersen_ptr": 567,
                            "__wrappers__.is_valid_signature.range_check_ptr": 568,
                            "__wrappers__.is_valid_signature.ret_struct": 570,
                            "__wrappers__.is_valid_signature.syscall_ptr": 566
                        }
                    }
                }
            ],
            "868": [
                {
                    "accessible_scopes": [
                        "__main__",
                        "__main__",
                        "__wrappers__",
                        "__wrappers__.__execute___encode_return"
                    ],
                    "code": "memory[ap] = segments.add()",
                    "flow_tracking_data": {
                        "ap_tracking": {
                            "group": 76,
                            "offset": 0
                        },
                        "reference_ids": {
                            "__wrappers__.__execute___encode_return.range_check_ptr": 589,
                            "__wrappers__.__execute___encode_return.ret_struct": 588
                        }
                    }
                }
            ]
        },
        "identifiers": {
            "__main__.AccountCallArray": {
                "destination": "openzeppelin.account.library.AccountCallArray",
                "type": "alias"
            },
            "__main__.Account_execute": {
                "destination": "openzeppelin.account.library.Account_execute",
                "type": "alias"
            },
            "__main__.Account_get_nonce": {
                "destination": "openzeppelin.account.library.Account_get_nonce",
                "type": "alias"
            },
            "__main__.Account_get_public_key": {
                "destination": "openzeppelin.account.library.Account_get_public_key",
                "type": "alias"
            },
            "__main__.Account_initializer": {
                "destination": "openzeppelin.account.library.Account_initializer",
                "type": "alias"
            },
            "__main__.Account_is_valid_signature": {
                "destination": "openzeppelin.account.library.Account_is_valid_signature",
                "type": "alias"
            },
            "__main__.Account_set_public_key": {
                "destination": "openzeppelin.account.library.Account_set_public_key",
                "type": "alias"
            },
            "__main__.ERC165_supports_interface": {
                "destination": "openzeppelin.introspection.ERC165.ERC165_supports_interface",
                "type": "alias"
            },
            "__main__.HashBuiltin": {
                "destination": "starkware.cairo.common.cairo_builtins.HashBuiltin",
                "type": "alias"
            },
            "__main__.SignatureBuiltin": {
                "destination": "starkware.cairo.common.cairo_builtins.SignatureBuiltin",
                "type": "alias"
            },
            "__main__.__execute__": {
                "decorators": [
                    "external"
                ],
                "pc": 856,
                "type": "function"
            },
            "__main__.__execute__.Args": {
                "full_name": "__main__.__execute__.Args",
                "members": {
                    "call_array": {
                        "cairo_type": "openzeppelin.account.library.AccountCallArray*",
                        "offset": 1
                    },
                    "call_array_len": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "calldata": {
                        "cairo_type": "felt*",
                        "offset": 3
                    },
                    "calldata_len": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "nonce": {
                        "cairo_type": "felt",
                        "offset": 4
                    }
                },
                "size": 5,
                "type": "struct"
            },
            "__main__.__execute__.ImplicitArgs": {
                "full_name": "__main__.__execute__.ImplicitArgs",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                        "offset": 3
                    },
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 4,
                "type": "struct"
            },
            "__main__.__execute__.Return": {
                "full_name": "__main__.__execute__.Return",
                "members": {
                    "response": {
                        "cairo_type": "felt*",
                        "offset": 1
                    },
                    "response_len": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "__main__.__execute__.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__main__.__execute__.call_array": {
                "cairo_type": "openzeppelin.account.library.AccountCallArray*",
                "full_name": "__main__.__execute__.call_array",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 74,
                            "offset": 0
                        },
                        "pc": 856,
                        "value": "[cast(fp + (-6), openzeppelin.account.library.AccountCallArray**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.__execute__.call_array_len": {
                "cairo_type": "felt",
                "full_name": "__main__.__execute__.call_array_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 74,
                            "offset": 0
                        },
                        "pc": 856,
                        "value": "[cast(fp + (-7), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.__execute__.calldata": {
                "cairo_type": "felt*",
                "full_name": "__main__.__execute__.calldata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 74,
                            "offset": 0
                        },
                        "pc": 856,
                        "value": "[cast(fp + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.__execute__.calldata_len": {
                "cairo_type": "felt",
                "full_name": "__main__.__execute__.calldata_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 74,
                            "offset": 0
                        },
                        "pc": 856,
                        "value": "[cast(fp + (-5), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.__execute__.ecdsa_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                "full_name": "__main__.__execute__.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 74,
                            "offset": 0
                        },
                        "pc": 856,
                        "value": "[cast(fp + (-8), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 75,
                            "offset": 0
                        },
                        "pc": 867,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.__execute__.nonce": {
                "cairo_type": "felt",
                "full_name": "__main__.__execute__.nonce",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 74,
                            "offset": 0
                        },
                        "pc": 856,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.__execute__.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__main__.__execute__.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 74,
                            "offset": 0
                        },
                        "pc": 856,
                        "value": "[cast(fp + (-10), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 75,
                            "offset": 0
                        },
                        "pc": 867,
                        "value": "[cast(ap + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.__execute__.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__main__.__execute__.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 74,
                            "offset": 0
                        },
                        "pc": 856,
                        "value": "[cast(fp + (-9), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 75,
                            "offset": 0
                        },
                        "pc": 867,
                        "value": "[cast(ap + (-4), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.__execute__.response": {
                "cairo_type": "felt*",
                "full_name": "__main__.__execute__.response",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 75,
                            "offset": 0
                        },
                        "pc": 867,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.__execute__.response_len": {
                "cairo_type": "felt",
                "full_name": "__main__.__execute__.response_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 75,
                            "offset": 0
                        },
                        "pc": 867,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.__execute__.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__main__.__execute__.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 74,
                            "offset": 0
                        },
                        "pc": 856,
                        "value": "[cast(fp + (-11), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 75,
                            "offset": 0
                        },
                        "pc": 867,
                        "value": "[cast(ap + (-6), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.constructor": {
                "decorators": [
                    "constructor"
                ],
                "pc": 790,
                "type": "function"
            },
            "__main__.constructor.Args": {
                "full_name": "__main__.constructor.Args",
                "members": {
                    "public_key": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "__main__.constructor.ImplicitArgs": {
                "full_name": "__main__.constructor.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "__main__.constructor.Return": {
                "full_name": "__main__.constructor.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__main__.constructor.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__main__.constructor.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__main__.constructor.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 70,
                            "offset": 0
                        },
                        "pc": 790,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 70,
                            "offset": 96
                        },
                        "pc": 796,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.constructor.public_key": {
                "cairo_type": "felt",
                "full_name": "__main__.constructor.public_key",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 70,
                            "offset": 0
                        },
                        "pc": 790,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.constructor.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__main__.constructor.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 70,
                            "offset": 0
                        },
                        "pc": 790,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 70,
                            "offset": 96
                        },
                        "pc": 796,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.constructor.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__main__.constructor.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 70,
                            "offset": 0
                        },
                        "pc": 790,
                        "value": "[cast(fp + (-6), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 70,
                            "offset": 96
                        },
                        "pc": 796,
                        "value": "[cast(ap + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.get_nonce": {
                "decorators": [
                    "view"
                ],
                "pc": 698,
                "type": "function"
            },
            "__main__.get_nonce.Args": {
                "full_name": "__main__.get_nonce.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__main__.get_nonce.ImplicitArgs": {
                "full_name": "__main__.get_nonce.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "__main__.get_nonce.Return": {
                "full_name": "__main__.get_nonce.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "__main__.get_nonce.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__main__.get_nonce.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__main__.get_nonce.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 60,
                            "offset": 0
                        },
                        "pc": 698,
                        "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 60,
                            "offset": 28
                        },
                        "pc": 703,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.get_nonce.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__main__.get_nonce.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 60,
                            "offset": 0
                        },
                        "pc": 698,
                        "value": "[cast(fp + (-3), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 60,
                            "offset": 28
                        },
                        "pc": 703,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.get_nonce.res": {
                "cairo_type": "felt",
                "full_name": "__main__.get_nonce.res",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 60,
                            "offset": 28
                        },
                        "pc": 703,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.get_nonce.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__main__.get_nonce.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 60,
                            "offset": 0
                        },
                        "pc": 698,
                        "value": "[cast(fp + (-5), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 60,
                            "offset": 28
                        },
                        "pc": 703,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.get_public_key": {
                "decorators": [
                    "view"
                ],
                "pc": 667,
                "type": "function"
            },
            "__main__.get_public_key.Args": {
                "full_name": "__main__.get_public_key.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__main__.get_public_key.ImplicitArgs": {
                "full_name": "__main__.get_public_key.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "__main__.get_public_key.Return": {
                "full_name": "__main__.get_public_key.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "__main__.get_public_key.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__main__.get_public_key.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__main__.get_public_key.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 57,
                            "offset": 0
                        },
                        "pc": 667,
                        "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 57,
                            "offset": 28
                        },
                        "pc": 672,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.get_public_key.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__main__.get_public_key.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 57,
                            "offset": 0
                        },
                        "pc": 667,
                        "value": "[cast(fp + (-3), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 57,
                            "offset": 28
                        },
                        "pc": 672,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.get_public_key.res": {
                "cairo_type": "felt",
                "full_name": "__main__.get_public_key.res",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 57,
                            "offset": 28
                        },
                        "pc": 672,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.get_public_key.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__main__.get_public_key.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 57,
                            "offset": 0
                        },
                        "pc": 667,
                        "value": "[cast(fp + (-5), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 57,
                            "offset": 28
                        },
                        "pc": 672,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.is_valid_signature": {
                "decorators": [
                    "view"
                ],
                "pc": 816,
                "type": "function"
            },
            "__main__.is_valid_signature.Args": {
                "full_name": "__main__.is_valid_signature.Args",
                "members": {
                    "hash": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "signature": {
                        "cairo_type": "felt*",
                        "offset": 2
                    },
                    "signature_len": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "__main__.is_valid_signature.ImplicitArgs": {
                "full_name": "__main__.is_valid_signature.ImplicitArgs",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                        "offset": 3
                    },
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 4,
                "type": "struct"
            },
            "__main__.is_valid_signature.Return": {
                "full_name": "__main__.is_valid_signature.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__main__.is_valid_signature.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__main__.is_valid_signature.ecdsa_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                "full_name": "__main__.is_valid_signature.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 72,
                            "offset": 0
                        },
                        "pc": 816,
                        "value": "[cast(fp + (-6), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 72,
                            "offset": 44
                        },
                        "pc": 825,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.is_valid_signature.hash": {
                "cairo_type": "felt",
                "full_name": "__main__.is_valid_signature.hash",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 72,
                            "offset": 0
                        },
                        "pc": 816,
                        "value": "[cast(fp + (-5), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.is_valid_signature.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__main__.is_valid_signature.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 72,
                            "offset": 0
                        },
                        "pc": 816,
                        "value": "[cast(fp + (-8), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 72,
                            "offset": 44
                        },
                        "pc": 825,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.is_valid_signature.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__main__.is_valid_signature.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 72,
                            "offset": 0
                        },
                        "pc": 816,
                        "value": "[cast(fp + (-7), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 72,
                            "offset": 44
                        },
                        "pc": 825,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.is_valid_signature.signature": {
                "cairo_type": "felt*",
                "full_name": "__main__.is_valid_signature.signature",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 72,
                            "offset": 0
                        },
                        "pc": 816,
                        "value": "[cast(fp + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.is_valid_signature.signature_len": {
                "cairo_type": "felt",
                "full_name": "__main__.is_valid_signature.signature_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 72,
                            "offset": 0
                        },
                        "pc": 816,
                        "value": "[cast(fp + (-4), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.is_valid_signature.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__main__.is_valid_signature.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 72,
                            "offset": 0
                        },
                        "pc": 816,
                        "value": "[cast(fp + (-9), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 72,
                            "offset": 44
                        },
                        "pc": 825,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.set_public_key": {
                "decorators": [
                    "external"
                ],
                "pc": 764,
                "type": "function"
            },
            "__main__.set_public_key.Args": {
                "full_name": "__main__.set_public_key.Args",
                "members": {
                    "new_public_key": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "__main__.set_public_key.ImplicitArgs": {
                "full_name": "__main__.set_public_key.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "__main__.set_public_key.Return": {
                "full_name": "__main__.set_public_key.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__main__.set_public_key.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__main__.set_public_key.new_public_key": {
                "cairo_type": "felt",
                "full_name": "__main__.set_public_key.new_public_key",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 68,
                            "offset": 0
                        },
                        "pc": 764,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.set_public_key.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__main__.set_public_key.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 68,
                            "offset": 0
                        },
                        "pc": 764,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 68,
                            "offset": 43
                        },
                        "pc": 770,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.set_public_key.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__main__.set_public_key.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 68,
                            "offset": 0
                        },
                        "pc": 764,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 68,
                            "offset": 43
                        },
                        "pc": 770,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.set_public_key.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__main__.set_public_key.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 68,
                            "offset": 0
                        },
                        "pc": 764,
                        "value": "[cast(fp + (-6), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 68,
                            "offset": 43
                        },
                        "pc": 770,
                        "value": "[cast(ap + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.supportsInterface": {
                "decorators": [
                    "view"
                ],
                "pc": 729,
                "type": "function"
            },
            "__main__.supportsInterface.Args": {
                "full_name": "__main__.supportsInterface.Args",
                "members": {
                    "interfaceId": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "__main__.supportsInterface.ImplicitArgs": {
                "full_name": "__main__.supportsInterface.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "__main__.supportsInterface.Return": {
                "full_name": "__main__.supportsInterface.Return",
                "members": {
                    "success": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "__main__.supportsInterface.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__main__.supportsInterface.interfaceId": {
                "cairo_type": "felt",
                "full_name": "__main__.supportsInterface.interfaceId",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 63,
                            "offset": 0
                        },
                        "pc": 729,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.supportsInterface.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__main__.supportsInterface.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 63,
                            "offset": 0
                        },
                        "pc": 729,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 64,
                            "offset": 0
                        },
                        "pc": 735,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.supportsInterface.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__main__.supportsInterface.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 63,
                            "offset": 0
                        },
                        "pc": 729,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 64,
                            "offset": 0
                        },
                        "pc": 735,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.supportsInterface.success": {
                "cairo_type": "felt",
                "full_name": "__main__.supportsInterface.success",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 64,
                            "offset": 0
                        },
                        "pc": 735,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__main__.supportsInterface.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__main__.supportsInterface.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 63,
                            "offset": 0
                        },
                        "pc": 729,
                        "value": "[cast(fp + (-6), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 64,
                            "offset": 0
                        },
                        "pc": 735,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature": {
                "decorators": [
                    "view"
                ],
                "pc": 401,
                "type": "function"
            },
            "__wrappers__.Account_is_valid_signature.Args": {
                "full_name": "__wrappers__.Account_is_valid_signature.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.Account_is_valid_signature.ImplicitArgs": {
                "full_name": "__wrappers__.Account_is_valid_signature.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.Account_is_valid_signature.Return": {
                "full_name": "__wrappers__.Account_is_valid_signature.Return",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                        "offset": 3
                    },
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "retdata": {
                        "cairo_type": "felt*",
                        "offset": 5
                    },
                    "size": {
                        "cairo_type": "felt",
                        "offset": 4
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 6,
                "type": "struct"
            },
            "__wrappers__.Account_is_valid_signature.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__wrappers__.Account_is_valid_signature.__calldata_actual_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.Account_is_valid_signature.__calldata_actual_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 5
                        },
                        "pc": 408,
                        "value": "cast([ap + (-1)] - [fp + (-3)], felt)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.__calldata_arg_hash": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.Account_is_valid_signature.__calldata_arg_hash",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 0
                        },
                        "pc": 401,
                        "value": "[cast([fp + (-3)], felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.Account_is_valid_signature.__calldata_arg_signature",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 2
                        },
                        "pc": 404,
                        "value": "cast([fp + (-3)] + 2, felt*)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.Account_is_valid_signature.__calldata_arg_signature_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 0
                        },
                        "pc": 401,
                        "value": "[cast([fp + (-3)] + 1, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.__calldata_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.Account_is_valid_signature.__calldata_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 0
                        },
                        "pc": 401,
                        "value": "[cast(fp + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 0
                        },
                        "pc": 401,
                        "value": "cast([fp + (-3)] + 1, felt*)"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 0
                        },
                        "pc": 401,
                        "value": "cast([fp + (-3)] + 2, felt*)"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 5
                        },
                        "pc": 408,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.__temp21": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.Account_is_valid_signature.__temp21",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 1
                        },
                        "pc": 402,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.__temp22": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.Account_is_valid_signature.__temp22",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 2
                        },
                        "pc": 403,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.__temp23": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.Account_is_valid_signature.__temp23",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 3
                        },
                        "pc": 406,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.__temp24": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.Account_is_valid_signature.__temp24",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 4
                        },
                        "pc": 407,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.__temp25": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.Account_is_valid_signature.__temp25",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 6
                        },
                        "pc": 410,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.__wrapped_func": {
                "destination": "openzeppelin.account.library.Account_is_valid_signature",
                "type": "alias"
            },
            "__wrappers__.Account_is_valid_signature.ecdsa_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                "full_name": "__wrappers__.Account_is_valid_signature.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 0
                        },
                        "pc": 401,
                        "value": "[cast([fp + (-5)] + 3, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 50
                        },
                        "pc": 421,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__wrappers__.Account_is_valid_signature.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 0
                        },
                        "pc": 401,
                        "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 50
                        },
                        "pc": 421,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.Account_is_valid_signature.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 0
                        },
                        "pc": 401,
                        "value": "[cast([fp + (-5)] + 2, felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 2
                        },
                        "pc": 404,
                        "value": "cast([[fp + (-5)] + 2] + 1, felt)"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 50
                        },
                        "pc": 421,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.ret_struct": {
                "cairo_type": "openzeppelin.account.library.Account_is_valid_signature.Return",
                "full_name": "__wrappers__.Account_is_valid_signature.ret_struct",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 50
                        },
                        "pc": 421,
                        "value": "[cast(ap + 0, openzeppelin.account.library.Account_is_valid_signature.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.retdata": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.Account_is_valid_signature.retdata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 51
                        },
                        "pc": 423,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.retdata_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.Account_is_valid_signature.retdata_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 51
                        },
                        "pc": 423,
                        "value": "cast(0, felt)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.Account_is_valid_signature.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 0
                        },
                        "pc": 401,
                        "value": "[cast([fp + (-5)], felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 37,
                            "offset": 50
                        },
                        "pc": 421,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.Account_is_valid_signature_encode_return.memcpy": {
                "destination": "starkware.cairo.common.memcpy.memcpy",
                "type": "alias"
            },
            "__wrappers__.__execute__": {
                "decorators": [
                    "external"
                ],
                "pc": 887,
                "type": "function"
            },
            "__wrappers__.__execute__.Args": {
                "full_name": "__wrappers__.__execute__.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.__execute__.ImplicitArgs": {
                "full_name": "__wrappers__.__execute__.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.__execute__.Return": {
                "full_name": "__wrappers__.__execute__.Return",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                        "offset": 3
                    },
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "retdata": {
                        "cairo_type": "felt*",
                        "offset": 5
                    },
                    "size": {
                        "cairo_type": "felt",
                        "offset": 4
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 6,
                "type": "struct"
            },
            "__wrappers__.__execute__.SIZEOF_LOCALS": {
                "type": "const",
                "value": 3
            },
            "__wrappers__.__execute__.__calldata_actual_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__calldata_actual_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 14
                        },
                        "pc": 905,
                        "value": "cast([ap + (-1)] + 1 - [fp + (-3)], felt)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__calldata_arg_call_array": {
                "cairo_type": "openzeppelin.account.library.AccountCallArray*",
                "full_name": "__wrappers__.__execute__.__calldata_arg_call_array",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 5
                        },
                        "pc": 892,
                        "value": "cast([fp + (-3)] + 1, openzeppelin.account.library.AccountCallArray*)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__calldata_arg_call_array_len": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__calldata_arg_call_array_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 3
                        },
                        "pc": 889,
                        "value": "[cast([fp + (-3)], felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__calldata_arg_calldata": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.__execute__.__calldata_arg_calldata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 11
                        },
                        "pc": 901,
                        "value": "cast([ap + (-3)] + 1, felt*)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__calldata_arg_calldata_len": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__calldata_arg_calldata_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 9
                        },
                        "pc": 898,
                        "value": "[cast([ap + (-1)], felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__calldata_arg_nonce": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__calldata_arg_nonce",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 14
                        },
                        "pc": 905,
                        "value": "[cast([ap + (-1)], felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__calldata_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.__execute__.__calldata_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 3
                        },
                        "pc": 889,
                        "value": "[cast(fp + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 3
                        },
                        "pc": 889,
                        "value": "cast([fp + (-3)] + 1, felt*)"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 9
                        },
                        "pc": 898,
                        "value": "[cast(ap + (-1), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 9
                        },
                        "pc": 898,
                        "value": "cast([ap + (-1)] + 1, felt*)"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 14
                        },
                        "pc": 905,
                        "value": "[cast(ap + (-1), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 14
                        },
                        "pc": 905,
                        "value": "cast([ap + (-1)] + 1, felt*)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__temp43": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__temp43",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 4
                        },
                        "pc": 890,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__temp44": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__temp44",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 5
                        },
                        "pc": 891,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__temp45": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__temp45",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 6
                        },
                        "pc": 894,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__temp46": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__temp46",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 7
                        },
                        "pc": 895,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__temp47": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__temp47",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 8
                        },
                        "pc": 897,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__temp48": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__temp48",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 10
                        },
                        "pc": 899,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__temp49": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__temp49",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 11
                        },
                        "pc": 900,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__temp50": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__temp50",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 12
                        },
                        "pc": 903,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__temp51": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__temp51",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 13
                        },
                        "pc": 904,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__temp52": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__temp52",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 15
                        },
                        "pc": 907,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__temp53": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.__temp53",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 16
                        },
                        "pc": 909,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.__wrapped_func": {
                "destination": "__main__.__execute__",
                "type": "alias"
            },
            "__wrappers__.__execute__.ecdsa_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                "full_name": "__wrappers__.__execute__.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 3
                        },
                        "pc": 889,
                        "value": "[cast([fp + (-5)] + 3, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 79,
                            "offset": 0
                        },
                        "pc": 923,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 79,
                            "offset": 0
                        },
                        "pc": 926,
                        "value": "[cast(fp + 2, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__wrappers__.__execute__.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 3
                        },
                        "pc": 889,
                        "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 79,
                            "offset": 0
                        },
                        "pc": 923,
                        "value": "[cast(ap + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 79,
                            "offset": 0
                        },
                        "pc": 925,
                        "value": "[cast(fp + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 3
                        },
                        "pc": 889,
                        "value": "[cast([fp + (-5)] + 2, felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 5
                        },
                        "pc": 892,
                        "value": "cast([[fp + (-5)] + 2] + 1, felt)"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 11
                        },
                        "pc": 901,
                        "value": "cast([[fp + (-5)] + 2] + 2, felt)"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 79,
                            "offset": 0
                        },
                        "pc": 923,
                        "value": "[cast(ap + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 80,
                            "offset": 0
                        },
                        "pc": 929,
                        "value": "[cast(ap + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.ret_struct": {
                "cairo_type": "__main__.__execute__.Return",
                "full_name": "__wrappers__.__execute__.ret_struct",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 79,
                            "offset": 0
                        },
                        "pc": 923,
                        "value": "[cast(ap + (-2), __main__.__execute__.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.retdata": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.__execute__.retdata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 80,
                            "offset": 0
                        },
                        "pc": 929,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.retdata_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute__.retdata_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 80,
                            "offset": 0
                        },
                        "pc": 929,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute__.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.__execute__.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 78,
                            "offset": 3
                        },
                        "pc": 889,
                        "value": "[cast([fp + (-5)], felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 79,
                            "offset": 0
                        },
                        "pc": 923,
                        "value": "[cast(ap + (-6), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 79,
                            "offset": 0
                        },
                        "pc": 924,
                        "value": "[cast(fp, felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute___encode_return": {
                "decorators": [],
                "pc": 868,
                "type": "function"
            },
            "__wrappers__.__execute___encode_return.Args": {
                "full_name": "__wrappers__.__execute___encode_return.Args",
                "members": {
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "ret_struct": {
                        "cairo_type": "__main__.__execute__.Return",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "__wrappers__.__execute___encode_return.ImplicitArgs": {
                "full_name": "__wrappers__.__execute___encode_return.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.__execute___encode_return.Return": {
                "full_name": "__wrappers__.__execute___encode_return.Return",
                "members": {
                    "data": {
                        "cairo_type": "felt*",
                        "offset": 2
                    },
                    "data_len": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "__wrappers__.__execute___encode_return.SIZEOF_LOCALS": {
                "type": "const",
                "value": 3
            },
            "__wrappers__.__execute___encode_return.__return_value_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.__execute___encode_return.__return_value_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 76,
                            "offset": 3
                        },
                        "pc": 870,
                        "value": "[cast(fp, felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 76,
                            "offset": 3
                        },
                        "pc": 871,
                        "value": "cast([fp] + 1, felt*)"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 76,
                            "offset": 4
                        },
                        "pc": 877,
                        "value": "[cast(fp + 2, felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute___encode_return.__return_value_ptr_copy": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.__execute___encode_return.__return_value_ptr_copy",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 76,
                            "offset": 3
                        },
                        "pc": 874,
                        "value": "cast([fp] + 1, felt*)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute___encode_return.__return_value_ptr_start": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.__execute___encode_return.__return_value_ptr_start",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 76,
                            "offset": 3
                        },
                        "pc": 870,
                        "value": "[cast(fp, felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute___encode_return.__temp42": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute___encode_return.__temp42",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 76,
                            "offset": 4
                        },
                        "pc": 876,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute___encode_return.memcpy": {
                "destination": "starkware.cairo.common.memcpy.memcpy",
                "type": "alias"
            },
            "__wrappers__.__execute___encode_return.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.__execute___encode_return.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 76,
                            "offset": 0
                        },
                        "pc": 868,
                        "value": "[cast(fp + (-3), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 76,
                            "offset": 3
                        },
                        "pc": 874,
                        "value": "[cast(fp + 1, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.__execute___encode_return.ret_struct": {
                "cairo_type": "__main__.__execute__.Return",
                "full_name": "__wrappers__.__execute___encode_return.ret_struct",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 76,
                            "offset": 0
                        },
                        "pc": 868,
                        "value": "[cast(fp + (-5), __main__.__execute__.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.constructor": {
                "decorators": [
                    "constructor"
                ],
                "pc": 797,
                "type": "function"
            },
            "__wrappers__.constructor.Args": {
                "full_name": "__wrappers__.constructor.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.constructor.ImplicitArgs": {
                "full_name": "__wrappers__.constructor.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.constructor.Return": {
                "full_name": "__wrappers__.constructor.Return",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "felt",
                        "offset": 3
                    },
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "retdata": {
                        "cairo_type": "felt*",
                        "offset": 5
                    },
                    "size": {
                        "cairo_type": "felt",
                        "offset": 4
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 6,
                "type": "struct"
            },
            "__wrappers__.constructor.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__wrappers__.constructor.__calldata_actual_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.constructor.__calldata_actual_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 0
                        },
                        "pc": 797,
                        "value": "cast([fp + (-3)] + 1 - [fp + (-3)], felt)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.constructor.__calldata_arg_public_key": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.constructor.__calldata_arg_public_key",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 0
                        },
                        "pc": 797,
                        "value": "[cast([fp + (-3)], felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.constructor.__calldata_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.constructor.__calldata_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 0
                        },
                        "pc": 797,
                        "value": "[cast(fp + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 0
                        },
                        "pc": 797,
                        "value": "cast([fp + (-3)] + 1, felt*)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.constructor.__temp36": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.constructor.__temp36",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 1
                        },
                        "pc": 799,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.constructor.__wrapped_func": {
                "destination": "__main__.constructor",
                "type": "alias"
            },
            "__wrappers__.constructor.ecdsa_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.constructor.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 0
                        },
                        "pc": 797,
                        "value": "[cast([fp + (-5)] + 3, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.constructor.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__wrappers__.constructor.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 0
                        },
                        "pc": 797,
                        "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 103
                        },
                        "pc": 806,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.constructor.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.constructor.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 0
                        },
                        "pc": 797,
                        "value": "[cast([fp + (-5)] + 2, felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 103
                        },
                        "pc": 806,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.constructor.ret_struct": {
                "cairo_type": "__main__.constructor.Return",
                "full_name": "__wrappers__.constructor.ret_struct",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 103
                        },
                        "pc": 806,
                        "value": "[cast(ap + 0, __main__.constructor.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.constructor.retdata": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.constructor.retdata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 104
                        },
                        "pc": 808,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.constructor.retdata_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.constructor.retdata_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 104
                        },
                        "pc": 808,
                        "value": "cast(0, felt)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.constructor.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.constructor.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 0
                        },
                        "pc": 797,
                        "value": "[cast([fp + (-5)], felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 71,
                            "offset": 103
                        },
                        "pc": 806,
                        "value": "[cast(ap + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.constructor_encode_return.memcpy": {
                "destination": "starkware.cairo.common.memcpy.memcpy",
                "type": "alias"
            },
            "__wrappers__.get_nonce": {
                "decorators": [
                    "view"
                ],
                "pc": 713,
                "type": "function"
            },
            "__wrappers__.get_nonce.Args": {
                "full_name": "__wrappers__.get_nonce.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.get_nonce.ImplicitArgs": {
                "full_name": "__wrappers__.get_nonce.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.get_nonce.Return": {
                "full_name": "__wrappers__.get_nonce.Return",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "felt",
                        "offset": 3
                    },
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "retdata": {
                        "cairo_type": "felt*",
                        "offset": 5
                    },
                    "size": {
                        "cairo_type": "felt",
                        "offset": 4
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 6,
                "type": "struct"
            },
            "__wrappers__.get_nonce.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__wrappers__.get_nonce.__calldata_actual_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.get_nonce.__calldata_actual_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 0
                        },
                        "pc": 713,
                        "value": "cast([fp + (-3)] - [fp + (-3)], felt)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce.__calldata_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.get_nonce.__calldata_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 0
                        },
                        "pc": 713,
                        "value": "[cast(fp + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce.__wrapped_func": {
                "destination": "__main__.get_nonce",
                "type": "alias"
            },
            "__wrappers__.get_nonce.ecdsa_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.get_nonce.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 0
                        },
                        "pc": 713,
                        "value": "[cast([fp + (-5)] + 3, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__wrappers__.get_nonce.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 0
                        },
                        "pc": 713,
                        "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 33
                        },
                        "pc": 719,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.get_nonce.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 0
                        },
                        "pc": 713,
                        "value": "[cast([fp + (-5)] + 2, felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 33
                        },
                        "pc": 719,
                        "value": "[cast(ap + (-2), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 41
                        },
                        "pc": 722,
                        "value": "[cast(ap + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce.ret_struct": {
                "cairo_type": "__main__.get_nonce.Return",
                "full_name": "__wrappers__.get_nonce.ret_struct",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 33
                        },
                        "pc": 719,
                        "value": "[cast(ap + (-1), __main__.get_nonce.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce.retdata": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.get_nonce.retdata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 41
                        },
                        "pc": 722,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce.retdata_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.get_nonce.retdata_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 41
                        },
                        "pc": 722,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.get_nonce.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 0
                        },
                        "pc": 713,
                        "value": "[cast([fp + (-5)], felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 62,
                            "offset": 33
                        },
                        "pc": 719,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce_encode_return": {
                "decorators": [],
                "pc": 704,
                "type": "function"
            },
            "__wrappers__.get_nonce_encode_return.Args": {
                "full_name": "__wrappers__.get_nonce_encode_return.Args",
                "members": {
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "ret_struct": {
                        "cairo_type": "__main__.get_nonce.Return",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "__wrappers__.get_nonce_encode_return.ImplicitArgs": {
                "full_name": "__wrappers__.get_nonce_encode_return.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.get_nonce_encode_return.Return": {
                "full_name": "__wrappers__.get_nonce_encode_return.Return",
                "members": {
                    "data": {
                        "cairo_type": "felt*",
                        "offset": 2
                    },
                    "data_len": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "__wrappers__.get_nonce_encode_return.SIZEOF_LOCALS": {
                "type": "const",
                "value": 1
            },
            "__wrappers__.get_nonce_encode_return.__return_value_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.get_nonce_encode_return.__return_value_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 61,
                            "offset": 1
                        },
                        "pc": 706,
                        "value": "[cast(fp, felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 61,
                            "offset": 1
                        },
                        "pc": 707,
                        "value": "cast([fp] + 1, felt*)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce_encode_return.__return_value_ptr_start": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.get_nonce_encode_return.__return_value_ptr_start",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 61,
                            "offset": 1
                        },
                        "pc": 706,
                        "value": "[cast(fp, felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce_encode_return.__temp32": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.get_nonce_encode_return.__temp32",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 61,
                            "offset": 2
                        },
                        "pc": 709,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce_encode_return.memcpy": {
                "destination": "starkware.cairo.common.memcpy.memcpy",
                "type": "alias"
            },
            "__wrappers__.get_nonce_encode_return.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.get_nonce_encode_return.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 61,
                            "offset": 0
                        },
                        "pc": 704,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_nonce_encode_return.ret_struct": {
                "cairo_type": "__main__.get_nonce.Return",
                "full_name": "__wrappers__.get_nonce_encode_return.ret_struct",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 61,
                            "offset": 0
                        },
                        "pc": 704,
                        "value": "[cast(fp + (-4), __main__.get_nonce.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key": {
                "decorators": [
                    "view"
                ],
                "pc": 682,
                "type": "function"
            },
            "__wrappers__.get_public_key.Args": {
                "full_name": "__wrappers__.get_public_key.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.get_public_key.ImplicitArgs": {
                "full_name": "__wrappers__.get_public_key.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.get_public_key.Return": {
                "full_name": "__wrappers__.get_public_key.Return",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "felt",
                        "offset": 3
                    },
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "retdata": {
                        "cairo_type": "felt*",
                        "offset": 5
                    },
                    "size": {
                        "cairo_type": "felt",
                        "offset": 4
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 6,
                "type": "struct"
            },
            "__wrappers__.get_public_key.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__wrappers__.get_public_key.__calldata_actual_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.get_public_key.__calldata_actual_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 0
                        },
                        "pc": 682,
                        "value": "cast([fp + (-3)] - [fp + (-3)], felt)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key.__calldata_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.get_public_key.__calldata_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 0
                        },
                        "pc": 682,
                        "value": "[cast(fp + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key.__wrapped_func": {
                "destination": "__main__.get_public_key",
                "type": "alias"
            },
            "__wrappers__.get_public_key.ecdsa_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.get_public_key.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 0
                        },
                        "pc": 682,
                        "value": "[cast([fp + (-5)] + 3, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__wrappers__.get_public_key.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 0
                        },
                        "pc": 682,
                        "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 33
                        },
                        "pc": 688,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.get_public_key.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 0
                        },
                        "pc": 682,
                        "value": "[cast([fp + (-5)] + 2, felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 33
                        },
                        "pc": 688,
                        "value": "[cast(ap + (-2), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 41
                        },
                        "pc": 691,
                        "value": "[cast(ap + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key.ret_struct": {
                "cairo_type": "__main__.get_public_key.Return",
                "full_name": "__wrappers__.get_public_key.ret_struct",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 33
                        },
                        "pc": 688,
                        "value": "[cast(ap + (-1), __main__.get_public_key.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key.retdata": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.get_public_key.retdata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 41
                        },
                        "pc": 691,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key.retdata_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.get_public_key.retdata_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 41
                        },
                        "pc": 691,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.get_public_key.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 0
                        },
                        "pc": 682,
                        "value": "[cast([fp + (-5)], felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 59,
                            "offset": 33
                        },
                        "pc": 688,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key_encode_return": {
                "decorators": [],
                "pc": 673,
                "type": "function"
            },
            "__wrappers__.get_public_key_encode_return.Args": {
                "full_name": "__wrappers__.get_public_key_encode_return.Args",
                "members": {
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "ret_struct": {
                        "cairo_type": "__main__.get_public_key.Return",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "__wrappers__.get_public_key_encode_return.ImplicitArgs": {
                "full_name": "__wrappers__.get_public_key_encode_return.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.get_public_key_encode_return.Return": {
                "full_name": "__wrappers__.get_public_key_encode_return.Return",
                "members": {
                    "data": {
                        "cairo_type": "felt*",
                        "offset": 2
                    },
                    "data_len": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "__wrappers__.get_public_key_encode_return.SIZEOF_LOCALS": {
                "type": "const",
                "value": 1
            },
            "__wrappers__.get_public_key_encode_return.__return_value_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.get_public_key_encode_return.__return_value_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 58,
                            "offset": 1
                        },
                        "pc": 675,
                        "value": "[cast(fp, felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 58,
                            "offset": 1
                        },
                        "pc": 676,
                        "value": "cast([fp] + 1, felt*)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key_encode_return.__return_value_ptr_start": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.get_public_key_encode_return.__return_value_ptr_start",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 58,
                            "offset": 1
                        },
                        "pc": 675,
                        "value": "[cast(fp, felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key_encode_return.__temp31": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.get_public_key_encode_return.__temp31",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 58,
                            "offset": 2
                        },
                        "pc": 678,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key_encode_return.memcpy": {
                "destination": "starkware.cairo.common.memcpy.memcpy",
                "type": "alias"
            },
            "__wrappers__.get_public_key_encode_return.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.get_public_key_encode_return.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 58,
                            "offset": 0
                        },
                        "pc": 673,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.get_public_key_encode_return.ret_struct": {
                "cairo_type": "__main__.get_public_key.Return",
                "full_name": "__wrappers__.get_public_key_encode_return.ret_struct",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 58,
                            "offset": 0
                        },
                        "pc": 673,
                        "value": "[cast(fp + (-4), __main__.get_public_key.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature": {
                "decorators": [
                    "view"
                ],
                "pc": 826,
                "type": "function"
            },
            "__wrappers__.is_valid_signature.Args": {
                "full_name": "__wrappers__.is_valid_signature.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.is_valid_signature.ImplicitArgs": {
                "full_name": "__wrappers__.is_valid_signature.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.is_valid_signature.Return": {
                "full_name": "__wrappers__.is_valid_signature.Return",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                        "offset": 3
                    },
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "retdata": {
                        "cairo_type": "felt*",
                        "offset": 5
                    },
                    "size": {
                        "cairo_type": "felt",
                        "offset": 4
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 6,
                "type": "struct"
            },
            "__wrappers__.is_valid_signature.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__wrappers__.is_valid_signature.__calldata_actual_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.is_valid_signature.__calldata_actual_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 5
                        },
                        "pc": 833,
                        "value": "cast([ap + (-1)] - [fp + (-3)], felt)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.__calldata_arg_hash": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.is_valid_signature.__calldata_arg_hash",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 0
                        },
                        "pc": 826,
                        "value": "[cast([fp + (-3)], felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.__calldata_arg_signature": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.is_valid_signature.__calldata_arg_signature",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 2
                        },
                        "pc": 829,
                        "value": "cast([fp + (-3)] + 2, felt*)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.__calldata_arg_signature_len": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.is_valid_signature.__calldata_arg_signature_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 0
                        },
                        "pc": 826,
                        "value": "[cast([fp + (-3)] + 1, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.__calldata_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.is_valid_signature.__calldata_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 0
                        },
                        "pc": 826,
                        "value": "[cast(fp + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 0
                        },
                        "pc": 826,
                        "value": "cast([fp + (-3)] + 1, felt*)"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 0
                        },
                        "pc": 826,
                        "value": "cast([fp + (-3)] + 2, felt*)"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 5
                        },
                        "pc": 833,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.__temp37": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.is_valid_signature.__temp37",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 1
                        },
                        "pc": 827,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.__temp38": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.is_valid_signature.__temp38",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 2
                        },
                        "pc": 828,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.__temp39": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.is_valid_signature.__temp39",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 3
                        },
                        "pc": 831,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.__temp40": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.is_valid_signature.__temp40",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 4
                        },
                        "pc": 832,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.__temp41": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.is_valid_signature.__temp41",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 6
                        },
                        "pc": 835,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.__wrapped_func": {
                "destination": "__main__.is_valid_signature",
                "type": "alias"
            },
            "__wrappers__.is_valid_signature.ecdsa_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                "full_name": "__wrappers__.is_valid_signature.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 0
                        },
                        "pc": 826,
                        "value": "[cast([fp + (-5)] + 3, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 59
                        },
                        "pc": 846,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__wrappers__.is_valid_signature.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 0
                        },
                        "pc": 826,
                        "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 59
                        },
                        "pc": 846,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.is_valid_signature.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 0
                        },
                        "pc": 826,
                        "value": "[cast([fp + (-5)] + 2, felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 2
                        },
                        "pc": 829,
                        "value": "cast([[fp + (-5)] + 2] + 1, felt)"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 59
                        },
                        "pc": 846,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.ret_struct": {
                "cairo_type": "__main__.is_valid_signature.Return",
                "full_name": "__wrappers__.is_valid_signature.ret_struct",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 59
                        },
                        "pc": 846,
                        "value": "[cast(ap + 0, __main__.is_valid_signature.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.retdata": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.is_valid_signature.retdata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 60
                        },
                        "pc": 848,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.retdata_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.is_valid_signature.retdata_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 60
                        },
                        "pc": 848,
                        "value": "cast(0, felt)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.is_valid_signature.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 0
                        },
                        "pc": 826,
                        "value": "[cast([fp + (-5)], felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 73,
                            "offset": 59
                        },
                        "pc": 846,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.is_valid_signature_encode_return.memcpy": {
                "destination": "starkware.cairo.common.memcpy.memcpy",
                "type": "alias"
            },
            "__wrappers__.set_public_key": {
                "decorators": [
                    "external"
                ],
                "pc": 771,
                "type": "function"
            },
            "__wrappers__.set_public_key.Args": {
                "full_name": "__wrappers__.set_public_key.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.set_public_key.ImplicitArgs": {
                "full_name": "__wrappers__.set_public_key.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.set_public_key.Return": {
                "full_name": "__wrappers__.set_public_key.Return",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "felt",
                        "offset": 3
                    },
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "retdata": {
                        "cairo_type": "felt*",
                        "offset": 5
                    },
                    "size": {
                        "cairo_type": "felt",
                        "offset": 4
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 6,
                "type": "struct"
            },
            "__wrappers__.set_public_key.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__wrappers__.set_public_key.__calldata_actual_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.set_public_key.__calldata_actual_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 0
                        },
                        "pc": 771,
                        "value": "cast([fp + (-3)] + 1 - [fp + (-3)], felt)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.set_public_key.__calldata_arg_new_public_key": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.set_public_key.__calldata_arg_new_public_key",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 0
                        },
                        "pc": 771,
                        "value": "[cast([fp + (-3)], felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.set_public_key.__calldata_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.set_public_key.__calldata_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 0
                        },
                        "pc": 771,
                        "value": "[cast(fp + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 0
                        },
                        "pc": 771,
                        "value": "cast([fp + (-3)] + 1, felt*)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.set_public_key.__temp35": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.set_public_key.__temp35",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 1
                        },
                        "pc": 773,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.set_public_key.__wrapped_func": {
                "destination": "__main__.set_public_key",
                "type": "alias"
            },
            "__wrappers__.set_public_key.ecdsa_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.set_public_key.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 0
                        },
                        "pc": 771,
                        "value": "[cast([fp + (-5)] + 3, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.set_public_key.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__wrappers__.set_public_key.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 0
                        },
                        "pc": 771,
                        "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 50
                        },
                        "pc": 780,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.set_public_key.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.set_public_key.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 0
                        },
                        "pc": 771,
                        "value": "[cast([fp + (-5)] + 2, felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 50
                        },
                        "pc": 780,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.set_public_key.ret_struct": {
                "cairo_type": "__main__.set_public_key.Return",
                "full_name": "__wrappers__.set_public_key.ret_struct",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 50
                        },
                        "pc": 780,
                        "value": "[cast(ap + 0, __main__.set_public_key.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.set_public_key.retdata": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.set_public_key.retdata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 51
                        },
                        "pc": 782,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.set_public_key.retdata_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.set_public_key.retdata_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 51
                        },
                        "pc": 782,
                        "value": "cast(0, felt)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.set_public_key.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.set_public_key.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 0
                        },
                        "pc": 771,
                        "value": "[cast([fp + (-5)], felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 69,
                            "offset": 50
                        },
                        "pc": 780,
                        "value": "[cast(ap + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.set_public_key_encode_return.memcpy": {
                "destination": "starkware.cairo.common.memcpy.memcpy",
                "type": "alias"
            },
            "__wrappers__.supportsInterface": {
                "decorators": [
                    "view"
                ],
                "pc": 745,
                "type": "function"
            },
            "__wrappers__.supportsInterface.Args": {
                "full_name": "__wrappers__.supportsInterface.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.supportsInterface.ImplicitArgs": {
                "full_name": "__wrappers__.supportsInterface.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.supportsInterface.Return": {
                "full_name": "__wrappers__.supportsInterface.Return",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "felt",
                        "offset": 3
                    },
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "retdata": {
                        "cairo_type": "felt*",
                        "offset": 5
                    },
                    "size": {
                        "cairo_type": "felt",
                        "offset": 4
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 6,
                "type": "struct"
            },
            "__wrappers__.supportsInterface.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "__wrappers__.supportsInterface.__calldata_actual_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.supportsInterface.__calldata_actual_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 66,
                            "offset": 0
                        },
                        "pc": 745,
                        "value": "cast([fp + (-3)] + 1 - [fp + (-3)], felt)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface.__calldata_arg_interfaceId": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.supportsInterface.__calldata_arg_interfaceId",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 66,
                            "offset": 0
                        },
                        "pc": 745,
                        "value": "[cast([fp + (-3)], felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface.__calldata_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.supportsInterface.__calldata_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 66,
                            "offset": 0
                        },
                        "pc": 745,
                        "value": "[cast(fp + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 66,
                            "offset": 0
                        },
                        "pc": 745,
                        "value": "cast([fp + (-3)] + 1, felt*)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface.__temp34": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.supportsInterface.__temp34",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 66,
                            "offset": 1
                        },
                        "pc": 747,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface.__wrapped_func": {
                "destination": "__main__.supportsInterface",
                "type": "alias"
            },
            "__wrappers__.supportsInterface.ecdsa_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.supportsInterface.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 66,
                            "offset": 0
                        },
                        "pc": 745,
                        "value": "[cast([fp + (-5)] + 3, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "__wrappers__.supportsInterface.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 66,
                            "offset": 0
                        },
                        "pc": 745,
                        "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 67,
                            "offset": 0
                        },
                        "pc": 754,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.supportsInterface.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 66,
                            "offset": 0
                        },
                        "pc": 745,
                        "value": "[cast([fp + (-5)] + 2, felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 67,
                            "offset": 0
                        },
                        "pc": 754,
                        "value": "[cast(ap + (-2), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 67,
                            "offset": 8
                        },
                        "pc": 757,
                        "value": "[cast(ap + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface.ret_struct": {
                "cairo_type": "__main__.supportsInterface.Return",
                "full_name": "__wrappers__.supportsInterface.ret_struct",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 67,
                            "offset": 0
                        },
                        "pc": 754,
                        "value": "[cast(ap + (-1), __main__.supportsInterface.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface.retdata": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.supportsInterface.retdata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 67,
                            "offset": 8
                        },
                        "pc": 757,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface.retdata_size": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.supportsInterface.retdata_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 67,
                            "offset": 8
                        },
                        "pc": 757,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.supportsInterface.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 66,
                            "offset": 0
                        },
                        "pc": 745,
                        "value": "[cast([fp + (-5)], felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 67,
                            "offset": 0
                        },
                        "pc": 754,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface_encode_return": {
                "decorators": [],
                "pc": 736,
                "type": "function"
            },
            "__wrappers__.supportsInterface_encode_return.Args": {
                "full_name": "__wrappers__.supportsInterface_encode_return.Args",
                "members": {
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "ret_struct": {
                        "cairo_type": "__main__.supportsInterface.Return",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "__wrappers__.supportsInterface_encode_return.ImplicitArgs": {
                "full_name": "__wrappers__.supportsInterface_encode_return.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "__wrappers__.supportsInterface_encode_return.Return": {
                "full_name": "__wrappers__.supportsInterface_encode_return.Return",
                "members": {
                    "data": {
                        "cairo_type": "felt*",
                        "offset": 2
                    },
                    "data_len": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "__wrappers__.supportsInterface_encode_return.SIZEOF_LOCALS": {
                "type": "const",
                "value": 1
            },
            "__wrappers__.supportsInterface_encode_return.__return_value_ptr": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.supportsInterface_encode_return.__return_value_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 65,
                            "offset": 1
                        },
                        "pc": 738,
                        "value": "[cast(fp, felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 65,
                            "offset": 1
                        },
                        "pc": 739,
                        "value": "cast([fp] + 1, felt*)"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface_encode_return.__return_value_ptr_start": {
                "cairo_type": "felt*",
                "full_name": "__wrappers__.supportsInterface_encode_return.__return_value_ptr_start",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 65,
                            "offset": 1
                        },
                        "pc": 738,
                        "value": "[cast(fp, felt**)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface_encode_return.__temp33": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.supportsInterface_encode_return.__temp33",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 65,
                            "offset": 2
                        },
                        "pc": 741,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface_encode_return.memcpy": {
                "destination": "starkware.cairo.common.memcpy.memcpy",
                "type": "alias"
            },
            "__wrappers__.supportsInterface_encode_return.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "__wrappers__.supportsInterface_encode_return.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 65,
                            "offset": 0
                        },
                        "pc": 736,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "__wrappers__.supportsInterface_encode_return.ret_struct": {
                "cairo_type": "__main__.supportsInterface.Return",
                "full_name": "__wrappers__.supportsInterface_encode_return.ret_struct",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 65,
                            "offset": 0
                        },
                        "pc": 736,
                        "value": "[cast(fp + (-4), __main__.supportsInterface.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.AccountCallArray": {
                "full_name": "openzeppelin.account.library.AccountCallArray",
                "members": {
                    "data_len": {
                        "cairo_type": "felt",
                        "offset": 3
                    },
                    "data_offset": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "to": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 4,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_assert_only_self": {
                "decorators": [],
                "pc": 343,
                "type": "function"
            },
            "openzeppelin.account.library.Account_assert_only_self.Args": {
                "full_name": "openzeppelin.account.library.Account_assert_only_self.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_assert_only_self.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_assert_only_self.ImplicitArgs",
                "members": {
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_assert_only_self.Return": {
                "full_name": "openzeppelin.account.library.Account_assert_only_self.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_assert_only_self.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_assert_only_self.caller": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_assert_only_self.caller",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 31,
                            "offset": 12
                        },
                        "pc": 349,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_assert_only_self.self": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_assert_only_self.self",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 31,
                            "offset": 6
                        },
                        "pc": 346,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_assert_only_self.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_assert_only_self.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 31,
                            "offset": 0
                        },
                        "pc": 343,
                        "value": "[cast(fp + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 31,
                            "offset": 6
                        },
                        "pc": 346,
                        "value": "[cast(ap + (-2), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 31,
                            "offset": 12
                        },
                        "pc": 349,
                        "value": "[cast(ap + (-2), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce": {
                "type": "namespace"
            },
            "openzeppelin.account.library.Account_current_nonce.Args": {
                "full_name": "openzeppelin.account.library.Account_current_nonce.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_current_nonce.HashBuiltin": {
                "destination": "starkware.cairo.common.cairo_builtins.HashBuiltin",
                "type": "alias"
            },
            "openzeppelin.account.library.Account_current_nonce.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_current_nonce.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_current_nonce.Return": {
                "full_name": "openzeppelin.account.library.Account_current_nonce.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_current_nonce.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_current_nonce.addr": {
                "decorators": [],
                "pc": 283,
                "type": "function"
            },
            "openzeppelin.account.library.Account_current_nonce.addr.Args": {
                "full_name": "openzeppelin.account.library.Account_current_nonce.addr.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_current_nonce.addr.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_current_nonce.addr.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 0
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_current_nonce.addr.Return": {
                "full_name": "openzeppelin.account.library.Account_current_nonce.addr.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_current_nonce.addr.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_current_nonce.addr.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.Account_current_nonce.addr.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 25,
                            "offset": 0
                        },
                        "pc": 283,
                        "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce.addr.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_current_nonce.addr.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 25,
                            "offset": 0
                        },
                        "pc": 283,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce.addr.res": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_current_nonce.addr.res",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 25,
                            "offset": 0
                        },
                        "pc": 283,
                        "value": "cast(680641068382147823690491849560675892800103278811133310055689865859989991742, felt)"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce.hash2": {
                "destination": "starkware.cairo.common.hash.hash2",
                "type": "alias"
            },
            "openzeppelin.account.library.Account_current_nonce.normalize_address": {
                "destination": "starkware.starknet.common.storage.normalize_address",
                "type": "alias"
            },
            "openzeppelin.account.library.Account_current_nonce.read": {
                "decorators": [],
                "pc": 288,
                "type": "function"
            },
            "openzeppelin.account.library.Account_current_nonce.read.Args": {
                "full_name": "openzeppelin.account.library.Account_current_nonce.read.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_current_nonce.read.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_current_nonce.read.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_current_nonce.read.Return": {
                "full_name": "openzeppelin.account.library.Account_current_nonce.read.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_current_nonce.read.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_current_nonce.read.__storage_var_temp0": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_current_nonce.read.__storage_var_temp0",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 26,
                            "offset": 14
                        },
                        "pc": 296,
                        "value": "[cast(ap + (-1), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 26,
                            "offset": 18
                        },
                        "pc": 300,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.Account_current_nonce.read.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 26,
                            "offset": 0
                        },
                        "pc": 288,
                        "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 26,
                            "offset": 7
                        },
                        "pc": 292,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 26,
                            "offset": 16
                        },
                        "pc": 298,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_current_nonce.read.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 26,
                            "offset": 0
                        },
                        "pc": 288,
                        "value": "[cast(fp + (-3), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 26,
                            "offset": 7
                        },
                        "pc": 292,
                        "value": "[cast(ap + (-2), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 26,
                            "offset": 17
                        },
                        "pc": 299,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce.read.storage_addr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_current_nonce.read.storage_addr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 26,
                            "offset": 7
                        },
                        "pc": 292,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_current_nonce.read.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 26,
                            "offset": 0
                        },
                        "pc": 288,
                        "value": "[cast(fp + (-5), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 26,
                            "offset": 14
                        },
                        "pc": 296,
                        "value": "[cast(ap + (-2), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 26,
                            "offset": 15
                        },
                        "pc": 297,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce.storage_read": {
                "destination": "starkware.starknet.common.syscalls.storage_read",
                "type": "alias"
            },
            "openzeppelin.account.library.Account_current_nonce.storage_write": {
                "destination": "starkware.starknet.common.syscalls.storage_write",
                "type": "alias"
            },
            "openzeppelin.account.library.Account_current_nonce.write": {
                "decorators": [],
                "pc": 301,
                "type": "function"
            },
            "openzeppelin.account.library.Account_current_nonce.write.Args": {
                "full_name": "openzeppelin.account.library.Account_current_nonce.write.Args",
                "members": {
                    "value": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_current_nonce.write.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_current_nonce.write.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_current_nonce.write.Return": {
                "full_name": "openzeppelin.account.library.Account_current_nonce.write.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_current_nonce.write.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_current_nonce.write.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.Account_current_nonce.write.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 27,
                            "offset": 0
                        },
                        "pc": 301,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 27,
                            "offset": 7
                        },
                        "pc": 305,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce.write.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_current_nonce.write.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 27,
                            "offset": 0
                        },
                        "pc": 301,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 27,
                            "offset": 7
                        },
                        "pc": 305,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce.write.storage_addr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_current_nonce.write.storage_addr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 27,
                            "offset": 7
                        },
                        "pc": 305,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce.write.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_current_nonce.write.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 27,
                            "offset": 0
                        },
                        "pc": 301,
                        "value": "[cast(fp + (-6), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 27,
                            "offset": 14
                        },
                        "pc": 310,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_current_nonce.write.value": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_current_nonce.write.value",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 27,
                            "offset": 0
                        },
                        "pc": 301,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute": {
                "decorators": [],
                "pc": 431,
                "type": "function"
            },
            "openzeppelin.account.library.Account_execute.Args": {
                "full_name": "openzeppelin.account.library.Account_execute.Args",
                "members": {
                    "call_array": {
                        "cairo_type": "openzeppelin.account.library.AccountCallArray*",
                        "offset": 1
                    },
                    "call_array_len": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "calldata": {
                        "cairo_type": "felt*",
                        "offset": 3
                    },
                    "calldata_len": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "nonce": {
                        "cairo_type": "felt",
                        "offset": 4
                    }
                },
                "size": 5,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_execute.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_execute.ImplicitArgs",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                        "offset": 3
                    },
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 4,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_execute.Return": {
                "full_name": "openzeppelin.account.library.Account_execute.Return",
                "members": {
                    "response": {
                        "cairo_type": "felt*",
                        "offset": 1
                    },
                    "response_len": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_execute.SIZEOF_LOCALS": {
                "type": "const",
                "value": 16
            },
            "openzeppelin.account.library.Account_execute.__fp__": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_execute.__fp__",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 18
                        },
                        "pc": 435,
                        "value": "[cast(ap + (-2), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 18
                        },
                        "pc": 436,
                        "value": "[cast(fp, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute._current_nonce": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_execute._current_nonce",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 47
                        },
                        "pc": 445,
                        "value": "[cast(ap + (-1), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 47
                        },
                        "pc": 446,
                        "value": "[cast(fp + 2, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.call_array": {
                "cairo_type": "openzeppelin.account.library.AccountCallArray*",
                "full_name": "openzeppelin.account.library.Account_execute.call_array",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 0
                        },
                        "pc": 431,
                        "value": "[cast(fp + (-6), openzeppelin.account.library.AccountCallArray**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.call_array_len": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_execute.call_array_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 0
                        },
                        "pc": 431,
                        "value": "[cast(fp + (-7), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.calldata": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_execute.calldata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 0
                        },
                        "pc": 431,
                        "value": "[cast(fp + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.calldata_len": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_execute.calldata_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 0
                        },
                        "pc": 431,
                        "value": "[cast(fp + (-5), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.calls": {
                "cairo_type": "openzeppelin.account.library.Call*",
                "full_name": "openzeppelin.account.library.Account_execute.calls",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 50
                        },
                        "pc": 451,
                        "value": "[cast(ap + (-1), openzeppelin.account.library.Call**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 50
                        },
                        "pc": 452,
                        "value": "[cast(fp + 5, openzeppelin.account.library.Call**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.calls_len": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_execute.calls_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 39,
                            "offset": 0
                        },
                        "pc": 459,
                        "value": "[cast(fp + (-7), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.ecdsa_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                "full_name": "openzeppelin.account.library.Account_execute.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 0
                        },
                        "pc": 431,
                        "value": "[cast(fp + (-8), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 44
                        },
                        "pc": 472,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 44
                        },
                        "pc": 479,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 44
                        },
                        "pc": 480,
                        "value": "[cast(fp + 12, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.hash": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_execute.hash",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 0
                        },
                        "pc": 470,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.multicall": {
                "cairo_type": "openzeppelin.account.library.MultiCall",
                "full_name": "openzeppelin.account.library.Account_execute.multicall",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 39,
                            "offset": 0
                        },
                        "pc": 465,
                        "value": "[cast(fp + 6, openzeppelin.account.library.MultiCall*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.nonce": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_execute.nonce",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 0
                        },
                        "pc": 431,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.Account_execute.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 0
                        },
                        "pc": 431,
                        "value": "[cast(fp + (-10), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 37
                        },
                        "pc": 443,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 0
                        },
                        "pc": 463,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 44
                        },
                        "pc": 472,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 66
                        },
                        "pc": 479,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 47
                        },
                        "pc": 445,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 47
                        },
                        "pc": 447,
                        "value": "[cast(fp + 3, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 0
                        },
                        "pc": 470,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 44
                        },
                        "pc": 479,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 66
                        },
                        "pc": 487,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 66
                        },
                        "pc": 488,
                        "value": "[cast(fp + 13, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_execute.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 0
                        },
                        "pc": 431,
                        "value": "[cast(fp + (-9), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 37
                        },
                        "pc": 443,
                        "value": "[cast(ap + (-2), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 44
                        },
                        "pc": 472,
                        "value": "[cast(ap + (-2), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 66
                        },
                        "pc": 479,
                        "value": "[cast(ap + (-1), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 47
                        },
                        "pc": 445,
                        "value": "[cast(ap + (-2), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 47
                        },
                        "pc": 448,
                        "value": "[cast(fp + 4, felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 44
                        },
                        "pc": 479,
                        "value": "[cast(ap + (-2), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 66
                        },
                        "pc": 487,
                        "value": "[cast(ap + (-1), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 66
                        },
                        "pc": 489,
                        "value": "[cast(fp + 14, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.response": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_execute.response",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 69
                        },
                        "pc": 491,
                        "value": "[cast(ap + (-1), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 69
                        },
                        "pc": 492,
                        "value": "[cast(fp + 15, felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.response_len": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_execute.response_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 41,
                            "offset": 0
                        },
                        "pc": 498,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_execute.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 0
                        },
                        "pc": 431,
                        "value": "[cast(fp + (-11), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 14
                        },
                        "pc": 438,
                        "value": "[cast(ap + (-2), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 37
                        },
                        "pc": 443,
                        "value": "[cast(ap + (-4), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 39,
                            "offset": 0
                        },
                        "pc": 453,
                        "value": "[cast(ap + (-1), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 0
                        },
                        "pc": 463,
                        "value": "[cast(ap + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 44
                        },
                        "pc": 472,
                        "value": "[cast(ap + (-4), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 66
                        },
                        "pc": 479,
                        "value": "[cast(ap + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 41,
                            "offset": 0
                        },
                        "pc": 487,
                        "value": "[cast(ap + (-2), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 24
                        },
                        "pc": 439,
                        "value": "[cast(ap + (-2), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 47
                        },
                        "pc": 445,
                        "value": "[cast(ap + (-4), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 39,
                            "offset": 0
                        },
                        "pc": 459,
                        "value": "[cast(ap + (-1), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 0
                        },
                        "pc": 470,
                        "value": "[cast(ap + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 44
                        },
                        "pc": 479,
                        "value": "[cast(ap + (-4), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 40,
                            "offset": 66
                        },
                        "pc": 487,
                        "value": "[cast(ap + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 41,
                            "offset": 0
                        },
                        "pc": 498,
                        "value": "[cast(ap + (-2), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_execute.tx_info": {
                "cairo_type": "starkware.starknet.common.syscalls.TxInfo*",
                "full_name": "openzeppelin.account.library.Account_execute.tx_info",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 24
                        },
                        "pc": 439,
                        "value": "[cast(ap + (-1), starkware.starknet.common.syscalls.TxInfo**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 38,
                            "offset": 24
                        },
                        "pc": 440,
                        "value": "[cast(fp + 1, starkware.starknet.common.syscalls.TxInfo**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_get_nonce": {
                "decorators": [],
                "pc": 358,
                "type": "function"
            },
            "openzeppelin.account.library.Account_get_nonce.Args": {
                "full_name": "openzeppelin.account.library.Account_get_nonce.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_get_nonce.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_get_nonce.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_get_nonce.Return": {
                "full_name": "openzeppelin.account.library.Account_get_nonce.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_get_nonce.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_get_nonce.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.Account_get_nonce.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 33,
                            "offset": 0
                        },
                        "pc": 358,
                        "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 33,
                            "offset": 23
                        },
                        "pc": 363,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_get_nonce.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_get_nonce.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 33,
                            "offset": 0
                        },
                        "pc": 358,
                        "value": "[cast(fp + (-3), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 33,
                            "offset": 23
                        },
                        "pc": 363,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_get_nonce.res": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_get_nonce.res",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 33,
                            "offset": 23
                        },
                        "pc": 363,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_get_nonce.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_get_nonce.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 33,
                            "offset": 0
                        },
                        "pc": 358,
                        "value": "[cast(fp + (-5), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 33,
                            "offset": 23
                        },
                        "pc": 363,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_get_public_key": {
                "decorators": [],
                "pc": 352,
                "type": "function"
            },
            "openzeppelin.account.library.Account_get_public_key.Args": {
                "full_name": "openzeppelin.account.library.Account_get_public_key.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_get_public_key.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_get_public_key.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_get_public_key.Return": {
                "full_name": "openzeppelin.account.library.Account_get_public_key.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_get_public_key.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_get_public_key.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.Account_get_public_key.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 32,
                            "offset": 0
                        },
                        "pc": 352,
                        "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 32,
                            "offset": 23
                        },
                        "pc": 357,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_get_public_key.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_get_public_key.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 32,
                            "offset": 0
                        },
                        "pc": 352,
                        "value": "[cast(fp + (-3), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 32,
                            "offset": 23
                        },
                        "pc": 357,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_get_public_key.res": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_get_public_key.res",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 32,
                            "offset": 23
                        },
                        "pc": 357,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_get_public_key.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_get_public_key.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 32,
                            "offset": 0
                        },
                        "pc": 352,
                        "value": "[cast(fp + (-5), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 32,
                            "offset": 23
                        },
                        "pc": 357,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_initializer": {
                "decorators": [],
                "pc": 373,
                "type": "function"
            },
            "openzeppelin.account.library.Account_initializer.Args": {
                "full_name": "openzeppelin.account.library.Account_initializer.Args",
                "members": {
                    "_public_key": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_initializer.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_initializer.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_initializer.Return": {
                "full_name": "openzeppelin.account.library.Account_initializer.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_initializer.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_initializer._public_key": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_initializer._public_key",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 35,
                            "offset": 0
                        },
                        "pc": 373,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_initializer.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.Account_initializer.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 35,
                            "offset": 0
                        },
                        "pc": 373,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 35,
                            "offset": 22
                        },
                        "pc": 379,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 35,
                            "offset": 90
                        },
                        "pc": 383,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_initializer.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_initializer.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 35,
                            "offset": 0
                        },
                        "pc": 373,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 35,
                            "offset": 22
                        },
                        "pc": 379,
                        "value": "[cast(ap + (-1), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 35,
                            "offset": 90
                        },
                        "pc": 383,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_initializer.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_initializer.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 35,
                            "offset": 0
                        },
                        "pc": 373,
                        "value": "[cast(fp + (-6), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 35,
                            "offset": 22
                        },
                        "pc": 379,
                        "value": "[cast(ap + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 35,
                            "offset": 90
                        },
                        "pc": 383,
                        "value": "[cast(ap + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_is_valid_signature": {
                "decorators": [
                    "view"
                ],
                "pc": 384,
                "type": "function"
            },
            "openzeppelin.account.library.Account_is_valid_signature.Args": {
                "full_name": "openzeppelin.account.library.Account_is_valid_signature.Args",
                "members": {
                    "hash": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "signature": {
                        "cairo_type": "felt*",
                        "offset": 2
                    },
                    "signature_len": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_is_valid_signature.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_is_valid_signature.ImplicitArgs",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                        "offset": 3
                    },
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 4,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_is_valid_signature.Return": {
                "full_name": "openzeppelin.account.library.Account_is_valid_signature.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_is_valid_signature.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_is_valid_signature._public_key": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_is_valid_signature._public_key",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 23
                        },
                        "pc": 389,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                "full_name": "openzeppelin.account.library.Account_is_valid_signature.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 0
                        },
                        "pc": 384,
                        "value": "[cast(fp + (-6), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 31
                        },
                        "pc": 396,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_is_valid_signature.hash": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_is_valid_signature.hash",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 0
                        },
                        "pc": 384,
                        "value": "[cast(fp + (-5), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.Account_is_valid_signature.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 0
                        },
                        "pc": 384,
                        "value": "[cast(fp + (-8), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 23
                        },
                        "pc": 389,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_is_valid_signature.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 0
                        },
                        "pc": 384,
                        "value": "[cast(fp + (-7), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 23
                        },
                        "pc": 389,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_is_valid_signature.sig_r": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_is_valid_signature.sig_r",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 23
                        },
                        "pc": 389,
                        "value": "[cast([fp + (-3)], felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_is_valid_signature.sig_s": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_is_valid_signature.sig_s",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 23
                        },
                        "pc": 389,
                        "value": "[cast([fp + (-3)] + 1, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_is_valid_signature.signature": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_is_valid_signature.signature",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 0
                        },
                        "pc": 384,
                        "value": "[cast(fp + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_is_valid_signature.signature_len": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_is_valid_signature.signature_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 0
                        },
                        "pc": 384,
                        "value": "[cast(fp + (-4), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_is_valid_signature.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 0
                        },
                        "pc": 384,
                        "value": "[cast(fp + (-9), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 36,
                            "offset": 23
                        },
                        "pc": 389,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key": {
                "type": "namespace"
            },
            "openzeppelin.account.library.Account_public_key.Args": {
                "full_name": "openzeppelin.account.library.Account_public_key.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_public_key.HashBuiltin": {
                "destination": "starkware.cairo.common.cairo_builtins.HashBuiltin",
                "type": "alias"
            },
            "openzeppelin.account.library.Account_public_key.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_public_key.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_public_key.Return": {
                "full_name": "openzeppelin.account.library.Account_public_key.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_public_key.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_public_key.addr": {
                "decorators": [],
                "pc": 313,
                "type": "function"
            },
            "openzeppelin.account.library.Account_public_key.addr.Args": {
                "full_name": "openzeppelin.account.library.Account_public_key.addr.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_public_key.addr.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_public_key.addr.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 0
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_public_key.addr.Return": {
                "full_name": "openzeppelin.account.library.Account_public_key.addr.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_public_key.addr.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_public_key.addr.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.Account_public_key.addr.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 28,
                            "offset": 0
                        },
                        "pc": 313,
                        "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key.addr.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_public_key.addr.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 28,
                            "offset": 0
                        },
                        "pc": 313,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key.addr.res": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_public_key.addr.res",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 28,
                            "offset": 0
                        },
                        "pc": 313,
                        "value": "cast(550557492744938365112574611882025123252567779123164597803728068558738016655, felt)"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key.hash2": {
                "destination": "starkware.cairo.common.hash.hash2",
                "type": "alias"
            },
            "openzeppelin.account.library.Account_public_key.normalize_address": {
                "destination": "starkware.starknet.common.storage.normalize_address",
                "type": "alias"
            },
            "openzeppelin.account.library.Account_public_key.read": {
                "decorators": [],
                "pc": 318,
                "type": "function"
            },
            "openzeppelin.account.library.Account_public_key.read.Args": {
                "full_name": "openzeppelin.account.library.Account_public_key.read.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_public_key.read.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_public_key.read.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_public_key.read.Return": {
                "full_name": "openzeppelin.account.library.Account_public_key.read.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_public_key.read.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_public_key.read.__storage_var_temp0": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_public_key.read.__storage_var_temp0",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 29,
                            "offset": 14
                        },
                        "pc": 326,
                        "value": "[cast(ap + (-1), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 29,
                            "offset": 18
                        },
                        "pc": 330,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key.read.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.Account_public_key.read.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 29,
                            "offset": 0
                        },
                        "pc": 318,
                        "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 29,
                            "offset": 7
                        },
                        "pc": 322,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 29,
                            "offset": 16
                        },
                        "pc": 328,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key.read.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_public_key.read.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 29,
                            "offset": 0
                        },
                        "pc": 318,
                        "value": "[cast(fp + (-3), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 29,
                            "offset": 7
                        },
                        "pc": 322,
                        "value": "[cast(ap + (-2), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 29,
                            "offset": 17
                        },
                        "pc": 329,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key.read.storage_addr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_public_key.read.storage_addr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 29,
                            "offset": 7
                        },
                        "pc": 322,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key.read.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_public_key.read.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 29,
                            "offset": 0
                        },
                        "pc": 318,
                        "value": "[cast(fp + (-5), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 29,
                            "offset": 14
                        },
                        "pc": 326,
                        "value": "[cast(ap + (-2), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 29,
                            "offset": 15
                        },
                        "pc": 327,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key.storage_read": {
                "destination": "starkware.starknet.common.syscalls.storage_read",
                "type": "alias"
            },
            "openzeppelin.account.library.Account_public_key.storage_write": {
                "destination": "starkware.starknet.common.syscalls.storage_write",
                "type": "alias"
            },
            "openzeppelin.account.library.Account_public_key.write": {
                "decorators": [],
                "pc": 331,
                "type": "function"
            },
            "openzeppelin.account.library.Account_public_key.write.Args": {
                "full_name": "openzeppelin.account.library.Account_public_key.write.Args",
                "members": {
                    "value": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_public_key.write.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_public_key.write.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_public_key.write.Return": {
                "full_name": "openzeppelin.account.library.Account_public_key.write.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_public_key.write.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_public_key.write.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.Account_public_key.write.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 30,
                            "offset": 0
                        },
                        "pc": 331,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 30,
                            "offset": 7
                        },
                        "pc": 335,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key.write.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_public_key.write.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 30,
                            "offset": 0
                        },
                        "pc": 331,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 30,
                            "offset": 7
                        },
                        "pc": 335,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key.write.storage_addr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_public_key.write.storage_addr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 30,
                            "offset": 7
                        },
                        "pc": 335,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key.write.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_public_key.write.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 30,
                            "offset": 0
                        },
                        "pc": 331,
                        "value": "[cast(fp + (-6), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 30,
                            "offset": 14
                        },
                        "pc": 340,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_public_key.write.value": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_public_key.write.value",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 30,
                            "offset": 0
                        },
                        "pc": 331,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_set_public_key": {
                "decorators": [],
                "pc": 364,
                "type": "function"
            },
            "openzeppelin.account.library.Account_set_public_key.Args": {
                "full_name": "openzeppelin.account.library.Account_set_public_key.Args",
                "members": {
                    "new_public_key": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_set_public_key.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.Account_set_public_key.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_set_public_key.Return": {
                "full_name": "openzeppelin.account.library.Account_set_public_key.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.Account_set_public_key.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.Account_set_public_key.new_public_key": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_set_public_key.new_public_key",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 34,
                            "offset": 0
                        },
                        "pc": 364,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_set_public_key.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.Account_set_public_key.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 34,
                            "offset": 0
                        },
                        "pc": 364,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 34,
                            "offset": 37
                        },
                        "pc": 372,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_set_public_key.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.Account_set_public_key.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 34,
                            "offset": 0
                        },
                        "pc": 364,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 34,
                            "offset": 37
                        },
                        "pc": 372,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Account_set_public_key.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.Account_set_public_key.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 34,
                            "offset": 0
                        },
                        "pc": 364,
                        "value": "[cast(fp + (-6), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 34,
                            "offset": 16
                        },
                        "pc": 367,
                        "value": "[cast(ap + (-1), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 34,
                            "offset": 37
                        },
                        "pc": 372,
                        "value": "[cast(ap + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.Call": {
                "full_name": "openzeppelin.account.library.Call",
                "members": {
                    "calldata": {
                        "cairo_type": "felt*",
                        "offset": 3
                    },
                    "calldata_len": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "to": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 4,
                "type": "struct"
            },
            "openzeppelin.account.library.ERC165_register_interface": {
                "destination": "openzeppelin.introspection.ERC165.ERC165_register_interface",
                "type": "alias"
            },
            "openzeppelin.account.library.ERC165_supports_interface": {
                "destination": "openzeppelin.introspection.ERC165.ERC165_supports_interface",
                "type": "alias"
            },
            "openzeppelin.account.library.HashBuiltin": {
                "destination": "starkware.cairo.common.cairo_builtins.HashBuiltin",
                "type": "alias"
            },
            "openzeppelin.account.library.MultiCall": {
                "full_name": "openzeppelin.account.library.MultiCall",
                "members": {
                    "account": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "calls": {
                        "cairo_type": "openzeppelin.account.library.Call*",
                        "offset": 2
                    },
                    "calls_len": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "max_fee": {
                        "cairo_type": "felt",
                        "offset": 4
                    },
                    "nonce": {
                        "cairo_type": "felt",
                        "offset": 3
                    },
                    "version": {
                        "cairo_type": "felt",
                        "offset": 5
                    }
                },
                "size": 6,
                "type": "struct"
            },
            "openzeppelin.account.library.PREFIX_TRANSACTION": {
                "destination": "openzeppelin.utils.constants.PREFIX_TRANSACTION",
                "type": "alias"
            },
            "openzeppelin.account.library.SignatureBuiltin": {
                "destination": "starkware.cairo.common.cairo_builtins.SignatureBuiltin",
                "type": "alias"
            },
            "openzeppelin.account.library.alloc": {
                "destination": "starkware.cairo.common.alloc.alloc",
                "type": "alias"
            },
            "openzeppelin.account.library.call_contract": {
                "destination": "starkware.starknet.common.syscalls.call_contract",
                "type": "alias"
            },
            "openzeppelin.account.library.execute_list": {
                "decorators": [],
                "pc": 505,
                "type": "function"
            },
            "openzeppelin.account.library.execute_list.Args": {
                "full_name": "openzeppelin.account.library.execute_list.Args",
                "members": {
                    "calls": {
                        "cairo_type": "openzeppelin.account.library.Call*",
                        "offset": 1
                    },
                    "calls_len": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "response": {
                        "cairo_type": "felt*",
                        "offset": 2
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.account.library.execute_list.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.execute_list.ImplicitArgs",
                "members": {
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.execute_list.Return": {
                "full_name": "openzeppelin.account.library.execute_list.Return",
                "members": {
                    "response_len": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.execute_list.SIZEOF_LOCALS": {
                "type": "const",
                "value": 3
            },
            "openzeppelin.account.library.execute_list._anon_label30": {
                "pc": 513,
                "type": "label"
            },
            "openzeppelin.account.library.execute_list._anon_label31": {
                "pc": 513,
                "type": "label"
            },
            "openzeppelin.account.library.execute_list.calls": {
                "cairo_type": "openzeppelin.account.library.Call*",
                "full_name": "openzeppelin.account.library.execute_list.calls",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 42,
                            "offset": 0
                        },
                        "pc": 505,
                        "value": "[cast(fp + (-4), openzeppelin.account.library.Call**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.execute_list.calls_len": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.execute_list.calls_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 42,
                            "offset": 0
                        },
                        "pc": 505,
                        "value": "[cast(fp + (-5), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.execute_list.res": {
                "cairo_type": "starkware.starknet.common.syscalls.call_contract.Return",
                "full_name": "openzeppelin.account.library.execute_list.res",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 42,
                            "offset": 14
                        },
                        "pc": 520,
                        "value": "[cast(ap + (-2), starkware.starknet.common.syscalls.call_contract.Return*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 42,
                            "offset": 14
                        },
                        "pc": 522,
                        "value": "[cast(fp, starkware.starknet.common.syscalls.call_contract.Return*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.execute_list.response": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.execute_list.response",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 42,
                            "offset": 0
                        },
                        "pc": 505,
                        "value": "[cast(fp + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.execute_list.response_len": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.execute_list.response_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 44,
                            "offset": 0
                        },
                        "pc": 536,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.execute_list.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.execute_list.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 42,
                            "offset": 0
                        },
                        "pc": 505,
                        "value": "[cast(fp + (-6), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 42,
                            "offset": 11
                        },
                        "pc": 520,
                        "value": "[cast(ap + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 44,
                            "offset": 0
                        },
                        "pc": 533,
                        "value": "[cast(ap + (-2), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 42,
                            "offset": 14
                        },
                        "pc": 520,
                        "value": "[cast(ap + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 42,
                            "offset": 14
                        },
                        "pc": 523,
                        "value": "[cast(fp + 2, felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 44,
                            "offset": 0
                        },
                        "pc": 536,
                        "value": "[cast(ap + (-2), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.execute_list.this_call": {
                "cairo_type": "openzeppelin.account.library.Call",
                "full_name": "openzeppelin.account.library.execute_list.this_call",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 42,
                            "offset": 3
                        },
                        "pc": 513,
                        "value": "[cast([fp + (-4)], openzeppelin.account.library.Call*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.from_call_array_to_call": {
                "decorators": [],
                "pc": 643,
                "type": "function"
            },
            "openzeppelin.account.library.from_call_array_to_call.Args": {
                "full_name": "openzeppelin.account.library.from_call_array_to_call.Args",
                "members": {
                    "call_array": {
                        "cairo_type": "openzeppelin.account.library.AccountCallArray*",
                        "offset": 1
                    },
                    "call_array_len": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "calldata": {
                        "cairo_type": "felt*",
                        "offset": 2
                    },
                    "calls": {
                        "cairo_type": "openzeppelin.account.library.Call*",
                        "offset": 3
                    }
                },
                "size": 4,
                "type": "struct"
            },
            "openzeppelin.account.library.from_call_array_to_call.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.from_call_array_to_call.ImplicitArgs",
                "members": {
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.from_call_array_to_call.Return": {
                "full_name": "openzeppelin.account.library.from_call_array_to_call.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.from_call_array_to_call.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.from_call_array_to_call.__temp26": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.from_call_array_to_call.__temp26",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 55,
                            "offset": 1
                        },
                        "pc": 648,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.from_call_array_to_call.__temp27": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.from_call_array_to_call.__temp27",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 55,
                            "offset": 2
                        },
                        "pc": 650,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.from_call_array_to_call.__temp28": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.from_call_array_to_call.__temp28",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 55,
                            "offset": 3
                        },
                        "pc": 652,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.from_call_array_to_call.__temp29": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.from_call_array_to_call.__temp29",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 55,
                            "offset": 4
                        },
                        "pc": 654,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.from_call_array_to_call.__temp30": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.from_call_array_to_call.__temp30",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 55,
                            "offset": 5
                        },
                        "pc": 655,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.from_call_array_to_call._anon_label34": {
                "pc": 647,
                "type": "label"
            },
            "openzeppelin.account.library.from_call_array_to_call._anon_label35": {
                "pc": 647,
                "type": "label"
            },
            "openzeppelin.account.library.from_call_array_to_call.call_array": {
                "cairo_type": "openzeppelin.account.library.AccountCallArray*",
                "full_name": "openzeppelin.account.library.from_call_array_to_call.call_array",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 55,
                            "offset": 0
                        },
                        "pc": 643,
                        "value": "[cast(fp + (-5), openzeppelin.account.library.AccountCallArray**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.from_call_array_to_call.call_array_len": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.from_call_array_to_call.call_array_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 55,
                            "offset": 0
                        },
                        "pc": 643,
                        "value": "[cast(fp + (-6), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.from_call_array_to_call.calldata": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.from_call_array_to_call.calldata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 55,
                            "offset": 0
                        },
                        "pc": 643,
                        "value": "[cast(fp + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.from_call_array_to_call.calls": {
                "cairo_type": "openzeppelin.account.library.Call*",
                "full_name": "openzeppelin.account.library.from_call_array_to_call.calls",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 55,
                            "offset": 0
                        },
                        "pc": 643,
                        "value": "[cast(fp + (-3), openzeppelin.account.library.Call**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.from_call_array_to_call.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.from_call_array_to_call.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 55,
                            "offset": 0
                        },
                        "pc": 643,
                        "value": "[cast(fp + (-7), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 56,
                            "offset": 0
                        },
                        "pc": 666,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.get_caller_address": {
                "destination": "starkware.starknet.common.syscalls.get_caller_address",
                "type": "alias"
            },
            "openzeppelin.account.library.get_contract_address": {
                "destination": "starkware.starknet.common.syscalls.get_contract_address",
                "type": "alias"
            },
            "openzeppelin.account.library.get_fp_and_pc": {
                "destination": "starkware.cairo.common.registers.get_fp_and_pc",
                "type": "alias"
            },
            "openzeppelin.account.library.get_tx_info": {
                "destination": "starkware.starknet.common.syscalls.get_tx_info",
                "type": "alias"
            },
            "openzeppelin.account.library.hash_call_array": {
                "decorators": [],
                "pc": 575,
                "type": "function"
            },
            "openzeppelin.account.library.hash_call_array.Args": {
                "full_name": "openzeppelin.account.library.hash_call_array.Args",
                "members": {
                    "calls": {
                        "cairo_type": "openzeppelin.account.library.Call*",
                        "offset": 1
                    },
                    "calls_len": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "openzeppelin.account.library.hash_call_array.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.hash_call_array.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.hash_call_array.Return": {
                "full_name": "openzeppelin.account.library.hash_call_array.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.hash_call_array.SIZEOF_LOCALS": {
                "type": "const",
                "value": 1
            },
            "openzeppelin.account.library.hash_call_array.calls": {
                "cairo_type": "openzeppelin.account.library.Call*",
                "full_name": "openzeppelin.account.library.hash_call_array.calls",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 47,
                            "offset": 0
                        },
                        "pc": 575,
                        "value": "[cast(fp + (-3), openzeppelin.account.library.Call**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_array.calls_len": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.hash_call_array.calls_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 47,
                            "offset": 0
                        },
                        "pc": 575,
                        "value": "[cast(fp + (-4), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_array.hash_array": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.hash_call_array.hash_array",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 47,
                            "offset": 4
                        },
                        "pc": 579,
                        "value": "[cast(ap + (-1), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 47,
                            "offset": 4
                        },
                        "pc": 580,
                        "value": "[cast(fp, felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_array.hash_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.hash_call_array.hash_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 48,
                            "offset": 0
                        },
                        "pc": 586,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 49,
                            "offset": 0
                        },
                        "pc": 594,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 49,
                            "offset": 9
                        },
                        "pc": 596,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_array.hash_state_ptr": {
                "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                "full_name": "openzeppelin.account.library.hash_call_array.hash_state_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 48,
                            "offset": 7
                        },
                        "pc": 588,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 49,
                            "offset": 0
                        },
                        "pc": 594,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_array.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.hash_call_array.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 47,
                            "offset": 0
                        },
                        "pc": 575,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 48,
                            "offset": 0
                        },
                        "pc": 585,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 49,
                            "offset": 9
                        },
                        "pc": 595,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 48,
                            "offset": 0
                        },
                        "pc": 586,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 49,
                            "offset": 9
                        },
                        "pc": 596,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_array.res": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.hash_call_array.res",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 49,
                            "offset": 9
                        },
                        "pc": 596,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_loop": {
                "decorators": [],
                "pc": 597,
                "type": "function"
            },
            "openzeppelin.account.library.hash_call_loop.Args": {
                "full_name": "openzeppelin.account.library.hash_call_loop.Args",
                "members": {
                    "calls": {
                        "cairo_type": "openzeppelin.account.library.Call*",
                        "offset": 1
                    },
                    "calls_len": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "hash_array": {
                        "cairo_type": "felt*",
                        "offset": 2
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.account.library.hash_call_loop.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.hash_call_loop.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.hash_call_loop.Return": {
                "full_name": "openzeppelin.account.library.hash_call_loop.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.account.library.hash_call_loop.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.hash_call_loop._anon_label32": {
                "pc": 601,
                "type": "label"
            },
            "openzeppelin.account.library.hash_call_loop._anon_label33": {
                "pc": 601,
                "type": "label"
            },
            "openzeppelin.account.library.hash_call_loop.calldata_hash": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.hash_call_loop.calldata_hash",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 0
                        },
                        "pc": 606,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_loop.calls": {
                "cairo_type": "openzeppelin.account.library.Call*",
                "full_name": "openzeppelin.account.library.hash_call_loop.calls",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 50,
                            "offset": 0
                        },
                        "pc": 597,
                        "value": "[cast(fp + (-4), openzeppelin.account.library.Call**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_loop.calls_len": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.hash_call_loop.calls_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 50,
                            "offset": 0
                        },
                        "pc": 597,
                        "value": "[cast(fp + (-5), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_loop.hash_array": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.hash_call_loop.hash_array",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 50,
                            "offset": 0
                        },
                        "pc": 597,
                        "value": "[cast(fp + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_loop.hash_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.hash_call_loop.hash_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 0
                        },
                        "pc": 606,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 26
                        },
                        "pc": 613,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 43
                        },
                        "pc": 616,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 60
                        },
                        "pc": 619,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 69
                        },
                        "pc": 621,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_loop.hash_state_ptr": {
                "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                "full_name": "openzeppelin.account.library.hash_call_loop.hash_state_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 7
                        },
                        "pc": 608,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 26
                        },
                        "pc": 613,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 43
                        },
                        "pc": 616,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 60
                        },
                        "pc": 619,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_loop.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.hash_call_loop.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 50,
                            "offset": 0
                        },
                        "pc": 597,
                        "value": "[cast(fp + (-6), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 0
                        },
                        "pc": 606,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 69
                        },
                        "pc": 621,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 52,
                            "offset": 0
                        },
                        "pc": 631,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_loop.res": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.hash_call_loop.res",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 51,
                            "offset": 69
                        },
                        "pc": 621,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_call_loop.this_call": {
                "cairo_type": "openzeppelin.account.library.Call",
                "full_name": "openzeppelin.account.library.hash_call_loop.this_call",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 50,
                            "offset": 0
                        },
                        "pc": 601,
                        "value": "[cast([fp + (-4)], openzeppelin.account.library.Call*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_calldata": {
                "decorators": [],
                "pc": 632,
                "type": "function"
            },
            "openzeppelin.account.library.hash_calldata.Args": {
                "full_name": "openzeppelin.account.library.hash_calldata.Args",
                "members": {
                    "calldata": {
                        "cairo_type": "felt*",
                        "offset": 1
                    },
                    "calldata_len": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "openzeppelin.account.library.hash_calldata.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.hash_calldata.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.hash_calldata.Return": {
                "full_name": "openzeppelin.account.library.hash_calldata.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.hash_calldata.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.hash_calldata.calldata": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.hash_calldata.calldata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 53,
                            "offset": 0
                        },
                        "pc": 632,
                        "value": "[cast(fp + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_calldata.calldata_len": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.hash_calldata.calldata_len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 53,
                            "offset": 0
                        },
                        "pc": 632,
                        "value": "[cast(fp + (-4), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_calldata.hash_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.hash_calldata.hash_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 53,
                            "offset": 0
                        },
                        "pc": 632,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 54,
                            "offset": 0
                        },
                        "pc": 640,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 54,
                            "offset": 9
                        },
                        "pc": 642,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_calldata.hash_state_ptr": {
                "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                "full_name": "openzeppelin.account.library.hash_calldata.hash_state_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 53,
                            "offset": 7
                        },
                        "pc": 634,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 54,
                            "offset": 0
                        },
                        "pc": 640,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_calldata.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.hash_calldata.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 53,
                            "offset": 0
                        },
                        "pc": 632,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 54,
                            "offset": 9
                        },
                        "pc": 642,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_calldata.res": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.hash_calldata.res",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 54,
                            "offset": 9
                        },
                        "pc": 642,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_finalize": {
                "destination": "starkware.cairo.common.hash_state.hash_finalize",
                "type": "alias"
            },
            "openzeppelin.account.library.hash_init": {
                "destination": "starkware.cairo.common.hash_state.hash_init",
                "type": "alias"
            },
            "openzeppelin.account.library.hash_multicall": {
                "decorators": [],
                "pc": 539,
                "type": "function"
            },
            "openzeppelin.account.library.hash_multicall.Args": {
                "full_name": "openzeppelin.account.library.hash_multicall.Args",
                "members": {
                    "multicall": {
                        "cairo_type": "openzeppelin.account.library.MultiCall*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.hash_multicall.ImplicitArgs": {
                "full_name": "openzeppelin.account.library.hash_multicall.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "openzeppelin.account.library.hash_multicall.Return": {
                "full_name": "openzeppelin.account.library.hash_multicall.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.account.library.hash_multicall.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.account.library.hash_multicall.calls_hash": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.hash_multicall.calls_hash",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 0
                        },
                        "pc": 546,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_multicall.hash_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.hash_multicall.hash_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 0
                        },
                        "pc": 546,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 26
                        },
                        "pc": 554,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 43
                        },
                        "pc": 557,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 60
                        },
                        "pc": 560,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 77
                        },
                        "pc": 563,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 94
                        },
                        "pc": 566,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 111
                        },
                        "pc": 569,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 120
                        },
                        "pc": 571,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_multicall.hash_state_ptr": {
                "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                "full_name": "openzeppelin.account.library.hash_multicall.hash_state_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 7
                        },
                        "pc": 548,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 26
                        },
                        "pc": 554,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 43
                        },
                        "pc": 557,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 60
                        },
                        "pc": 560,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 77
                        },
                        "pc": 563,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 94
                        },
                        "pc": 566,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 111
                        },
                        "pc": 569,
                        "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_multicall.multicall": {
                "cairo_type": "openzeppelin.account.library.MultiCall*",
                "full_name": "openzeppelin.account.library.hash_multicall.multicall",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 45,
                            "offset": 0
                        },
                        "pc": 539,
                        "value": "[cast(fp + (-3), openzeppelin.account.library.MultiCall**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_multicall.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.account.library.hash_multicall.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 45,
                            "offset": 0
                        },
                        "pc": 539,
                        "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 0
                        },
                        "pc": 546,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 120
                        },
                        "pc": 571,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_multicall.res": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.account.library.hash_multicall.res",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 46,
                            "offset": 120
                        },
                        "pc": 571,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_multicall.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.account.library.hash_multicall.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 45,
                            "offset": 0
                        },
                        "pc": 539,
                        "value": "[cast(fp + (-5), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.account.library.hash_update": {
                "destination": "starkware.cairo.common.hash_state.hash_update",
                "type": "alias"
            },
            "openzeppelin.account.library.hash_update_single": {
                "destination": "starkware.cairo.common.hash_state.hash_update_single",
                "type": "alias"
            },
            "openzeppelin.account.library.memcpy": {
                "destination": "starkware.cairo.common.memcpy.memcpy",
                "type": "alias"
            },
            "openzeppelin.account.library.verify_ecdsa_signature": {
                "destination": "starkware.cairo.common.signature.verify_ecdsa_signature",
                "type": "alias"
            },
            "openzeppelin.introspection.ERC165.ERC165_register_interface": {
                "decorators": [],
                "pc": 269,
                "type": "function"
            },
            "openzeppelin.introspection.ERC165.ERC165_register_interface.Args": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_register_interface.Args",
                "members": {
                    "interface_id": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_register_interface.ImplicitArgs": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_register_interface.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_register_interface.Return": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_register_interface.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_register_interface.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.introspection.ERC165.ERC165_register_interface.interface_id": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_register_interface.interface_id",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 24,
                            "offset": 0
                        },
                        "pc": 269,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_register_interface.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_register_interface.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 24,
                            "offset": 0
                        },
                        "pc": 269,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 24,
                            "offset": 65
                        },
                        "pc": 282,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_register_interface.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_register_interface.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 24,
                            "offset": 0
                        },
                        "pc": 269,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 24,
                            "offset": 65
                        },
                        "pc": 282,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_register_interface.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_register_interface.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 24,
                            "offset": 0
                        },
                        "pc": 269,
                        "value": "[cast(fp + (-6), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 24,
                            "offset": 65
                        },
                        "pc": 282,
                        "value": "[cast(ap + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces": {
                "type": "namespace"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.Args": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.HashBuiltin": {
                "destination": "starkware.cairo.common.cairo_builtins.HashBuiltin",
                "type": "alias"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.ImplicitArgs": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.Return": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr": {
                "decorators": [],
                "pc": 211,
                "type": "function"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.Args": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.Args",
                "members": {
                    "interface_id": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.ImplicitArgs": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 0
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.Return": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.interface_id",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 20,
                            "offset": 0
                        },
                        "pc": 211,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 20,
                            "offset": 0
                        },
                        "pc": 211,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 20,
                            "offset": 7
                        },
                        "pc": 217,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 20,
                            "offset": 0
                        },
                        "pc": 211,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 20,
                            "offset": 36
                        },
                        "pc": 221,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.addr.res",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 20,
                            "offset": 0
                        },
                        "pc": 211,
                        "value": "cast(479559987705328862372362947504386080106579713470203672197513890426980061174, felt)"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 20,
                            "offset": 7
                        },
                        "pc": 217,
                        "value": "[cast(ap + (-1), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 20,
                            "offset": 36
                        },
                        "pc": 221,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.hash2": {
                "destination": "starkware.cairo.common.hash.hash2",
                "type": "alias"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.normalize_address": {
                "destination": "starkware.starknet.common.storage.normalize_address",
                "type": "alias"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read": {
                "decorators": [],
                "pc": 225,
                "type": "function"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.Args": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.Args",
                "members": {
                    "interface_id": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.ImplicitArgs": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.Return": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.Return",
                "members": {
                    "is_supported": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.__storage_var_temp0": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.__storage_var_temp0",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 51
                        },
                        "pc": 234,
                        "value": "[cast(ap + (-1), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 55
                        },
                        "pc": 238,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.interface_id",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 0
                        },
                        "pc": 225,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 0
                        },
                        "pc": 225,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 44
                        },
                        "pc": 230,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 53
                        },
                        "pc": 236,
                        "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 0
                        },
                        "pc": 225,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 44
                        },
                        "pc": 230,
                        "value": "[cast(ap + (-2), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 54
                        },
                        "pc": 237,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.storage_addr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.storage_addr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 44
                        },
                        "pc": 230,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.read.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 0
                        },
                        "pc": 225,
                        "value": "[cast(fp + (-6), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 51
                        },
                        "pc": 234,
                        "value": "[cast(ap + (-2), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 21,
                            "offset": 52
                        },
                        "pc": 235,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.storage_read": {
                "destination": "starkware.starknet.common.syscalls.storage_read",
                "type": "alias"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.storage_write": {
                "destination": "starkware.starknet.common.syscalls.storage_write",
                "type": "alias"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write": {
                "decorators": [],
                "pc": 239,
                "type": "function"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.Args": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.Args",
                "members": {
                    "interface_id": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "value": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.ImplicitArgs": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.Return": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.interface_id",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 22,
                            "offset": 0
                        },
                        "pc": 239,
                        "value": "[cast(fp + (-4), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 22,
                            "offset": 0
                        },
                        "pc": 239,
                        "value": "[cast(fp + (-6), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 22,
                            "offset": 44
                        },
                        "pc": 244,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 22,
                            "offset": 0
                        },
                        "pc": 239,
                        "value": "[cast(fp + (-5), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 22,
                            "offset": 44
                        },
                        "pc": 244,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.storage_addr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.storage_addr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 22,
                            "offset": 44
                        },
                        "pc": 244,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 22,
                            "offset": 0
                        },
                        "pc": 239,
                        "value": "[cast(fp + (-7), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 22,
                            "offset": 51
                        },
                        "pc": 249,
                        "value": "[cast(ap + (-1), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supported_interfaces.write.value",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 22,
                            "offset": 0
                        },
                        "pc": 239,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface": {
                "decorators": [],
                "pc": 252,
                "type": "function"
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface.Args": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supports_interface.Args",
                "members": {
                    "interface_id": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface.ImplicitArgs": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supports_interface.ImplicitArgs",
                "members": {
                    "pedersen_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    },
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface.Return": {
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supports_interface.Return",
                "members": {
                    "success": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supports_interface.__temp20",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 23,
                            "offset": 1
                        },
                        "pc": 254,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface._anon_label28": {
                "pc": 262,
                "type": "label"
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface._anon_label29": {
                "pc": 262,
                "type": "label"
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supports_interface.interface_id",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 23,
                            "offset": 0
                        },
                        "pc": 252,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface.is_supported": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supports_interface.is_supported",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 23,
                            "offset": 62
                        },
                        "pc": 268,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supports_interface.pedersen_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 23,
                            "offset": 0
                        },
                        "pc": 252,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 23,
                            "offset": 62
                        },
                        "pc": 268,
                        "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supports_interface.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 23,
                            "offset": 0
                        },
                        "pc": 252,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 23,
                            "offset": 62
                        },
                        "pc": 268,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "openzeppelin.introspection.ERC165.ERC165_supports_interface.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 23,
                            "offset": 0
                        },
                        "pc": 252,
                        "value": "[cast(fp + (-6), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 23,
                            "offset": 62
                        },
                        "pc": 268,
                        "value": "[cast(ap + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "openzeppelin.introspection.ERC165.HashBuiltin": {
                "destination": "starkware.cairo.common.cairo_builtins.HashBuiltin",
                "type": "alias"
            },
            "openzeppelin.introspection.ERC165.SignatureBuiltin": {
                "destination": "starkware.cairo.common.cairo_builtins.SignatureBuiltin",
                "type": "alias"
            },
            "openzeppelin.introspection.ERC165.TRUE": {
                "destination": "openzeppelin.utils.constants.TRUE",
                "type": "alias"
            },
            "openzeppelin.introspection.ERC165.assert_not_equal": {
                "destination": "starkware.cairo.common.math.assert_not_equal",
                "type": "alias"
            },
            "openzeppelin.utils.constants.FALSE": {
                "type": "const",
                "value": 0
            },
            "openzeppelin.utils.constants.PREFIX_TRANSACTION": {
                "type": "const",
                "value": 476441609247967894954472788179128007176248455022
            },
            "openzeppelin.utils.constants.TRUE": {
                "type": "const",
                "value": 1
            },
            "openzeppelin.utils.constants.UINT8_MAX": {
                "type": "const",
                "value": 256
            },
            "starkware.cairo.common.alloc.alloc": {
                "decorators": [],
                "pc": 0,
                "type": "function"
            },
            "starkware.cairo.common.alloc.alloc.Args": {
                "full_name": "starkware.cairo.common.alloc.alloc.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.cairo.common.alloc.alloc.ImplicitArgs": {
                "full_name": "starkware.cairo.common.alloc.alloc.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.cairo.common.alloc.alloc.Return": {
                "full_name": "starkware.cairo.common.alloc.alloc.Return",
                "members": {
                    "ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.alloc.alloc.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.cairo.common.cairo_builtins.BitwiseBuiltin": {
                "full_name": "starkware.cairo.common.cairo_builtins.BitwiseBuiltin",
                "members": {
                    "x": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "x_and_y": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "x_or_y": {
                        "cairo_type": "felt",
                        "offset": 4
                    },
                    "x_xor_y": {
                        "cairo_type": "felt",
                        "offset": 3
                    },
                    "y": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 5,
                "type": "struct"
            },
            "starkware.cairo.common.cairo_builtins.EcOpBuiltin": {
                "full_name": "starkware.cairo.common.cairo_builtins.EcOpBuiltin",
                "members": {
                    "m": {
                        "cairo_type": "felt",
                        "offset": 4
                    },
                    "p": {
                        "cairo_type": "starkware.cairo.common.ec_point.EcPoint",
                        "offset": 0
                    },
                    "q": {
                        "cairo_type": "starkware.cairo.common.ec_point.EcPoint",
                        "offset": 2
                    },
                    "r": {
                        "cairo_type": "starkware.cairo.common.ec_point.EcPoint",
                        "offset": 5
                    }
                },
                "size": 7,
                "type": "struct"
            },
            "starkware.cairo.common.cairo_builtins.EcPoint": {
                "destination": "starkware.cairo.common.ec_point.EcPoint",
                "type": "alias"
            },
            "starkware.cairo.common.cairo_builtins.HashBuiltin": {
                "full_name": "starkware.cairo.common.cairo_builtins.HashBuiltin",
                "members": {
                    "result": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "x": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "y": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "starkware.cairo.common.cairo_builtins.SignatureBuiltin": {
                "full_name": "starkware.cairo.common.cairo_builtins.SignatureBuiltin",
                "members": {
                    "message": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "pub_key": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.cairo.common.dict_access.DictAccess": {
                "full_name": "starkware.cairo.common.dict_access.DictAccess",
                "members": {
                    "key": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "new_value": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "prev_value": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "starkware.cairo.common.ec_point.EcPoint": {
                "full_name": "starkware.cairo.common.ec_point.EcPoint",
                "members": {
                    "x": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "y": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.cairo.common.hash.HashBuiltin": {
                "destination": "starkware.cairo.common.cairo_builtins.HashBuiltin",
                "type": "alias"
            },
            "starkware.cairo.common.hash.hash2": {
                "decorators": [],
                "pc": 3,
                "type": "function"
            },
            "starkware.cairo.common.hash.hash2.Args": {
                "full_name": "starkware.cairo.common.hash.hash2.Args",
                "members": {
                    "x": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "y": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.cairo.common.hash.hash2.ImplicitArgs": {
                "full_name": "starkware.cairo.common.hash.hash2.ImplicitArgs",
                "members": {
                    "hash_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.hash.hash2.Return": {
                "full_name": "starkware.cairo.common.hash.hash2.Return",
                "members": {
                    "result": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.hash.hash2.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.cairo.common.hash.hash2.hash_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "starkware.cairo.common.hash.hash2.hash_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 1,
                            "offset": 0
                        },
                        "pc": 3,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 1,
                            "offset": 0
                        },
                        "pc": 5,
                        "value": "cast([fp + (-5)] + 3, starkware.cairo.common.cairo_builtins.HashBuiltin*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash.hash2.result": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash.hash2.result",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 1,
                            "offset": 0
                        },
                        "pc": 5,
                        "value": "[cast([fp + (-5)] + 2, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash.hash2.x": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash.hash2.x",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 1,
                            "offset": 0
                        },
                        "pc": 3,
                        "value": "[cast(fp + (-4), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash.hash2.y": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash.hash2.y",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 1,
                            "offset": 0
                        },
                        "pc": 3,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.HashBuiltin": {
                "destination": "starkware.cairo.common.cairo_builtins.HashBuiltin",
                "type": "alias"
            },
            "starkware.cairo.common.hash_state.HashState": {
                "full_name": "starkware.cairo.common.hash_state.HashState",
                "members": {
                    "current_hash": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "n_words": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.get_fp_and_pc": {
                "destination": "starkware.cairo.common.registers.get_fp_and_pc",
                "type": "alias"
            },
            "starkware.cairo.common.hash_state.hash2": {
                "destination": "starkware.cairo.common.hash.hash2",
                "type": "alias"
            },
            "starkware.cairo.common.hash_state.hash_finalize": {
                "decorators": [],
                "pc": 205,
                "type": "function"
            },
            "starkware.cairo.common.hash_state.hash_finalize.Args": {
                "full_name": "starkware.cairo.common.hash_state.hash_finalize.Args",
                "members": {
                    "hash_state_ptr": {
                        "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_finalize.ImplicitArgs": {
                "full_name": "starkware.cairo.common.hash_state.hash_finalize.ImplicitArgs",
                "members": {
                    "hash_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_finalize.Return": {
                "full_name": "starkware.cairo.common.hash_state.hash_finalize.Return",
                "members": {
                    "hash": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_finalize.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.cairo.common.hash_state.hash_finalize.hash_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "starkware.cairo.common.hash_state.hash_finalize.hash_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 19,
                            "offset": 0
                        },
                        "pc": 205,
                        "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 19,
                            "offset": 7
                        },
                        "pc": 210,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_finalize.hash_state_ptr": {
                "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                "full_name": "starkware.cairo.common.hash_state.hash_finalize.hash_state_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 19,
                            "offset": 0
                        },
                        "pc": 205,
                        "value": "[cast(fp + (-3), starkware.cairo.common.hash_state.HashState**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_init": {
                "decorators": [],
                "pc": 138,
                "type": "function"
            },
            "starkware.cairo.common.hash_state.hash_init.Args": {
                "full_name": "starkware.cairo.common.hash_state.hash_init.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_init.ImplicitArgs": {
                "full_name": "starkware.cairo.common.hash_state.hash_init.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_init.Return": {
                "full_name": "starkware.cairo.common.hash_state.hash_init.Return",
                "members": {
                    "hash_state_ptr": {
                        "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_init.SIZEOF_LOCALS": {
                "type": "const",
                "value": 2
            },
            "starkware.cairo.common.hash_state.hash_init.__fp__": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_init.__fp__",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 14,
                            "offset": 4
                        },
                        "pc": 142,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_init.hash_state": {
                "cairo_type": "starkware.cairo.common.hash_state.HashState",
                "full_name": "starkware.cairo.common.hash_state.hash_init.hash_state",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 14,
                            "offset": 4
                        },
                        "pc": 142,
                        "value": "[cast(fp, starkware.cairo.common.hash_state.HashState*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update": {
                "decorators": [],
                "pc": 173,
                "type": "function"
            },
            "starkware.cairo.common.hash_state.hash_update.Args": {
                "full_name": "starkware.cairo.common.hash_state.hash_update.Args",
                "members": {
                    "data_length": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "data_ptr": {
                        "cairo_type": "felt*",
                        "offset": 1
                    },
                    "hash_state_ptr": {
                        "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                        "offset": 0
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_update.ImplicitArgs": {
                "full_name": "starkware.cairo.common.hash_state.hash_update.ImplicitArgs",
                "members": {
                    "hash_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_update.Return": {
                "full_name": "starkware.cairo.common.hash_state.hash_update.Return",
                "members": {
                    "new_hash_state_ptr": {
                        "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_update.SIZEOF_LOCALS": {
                "type": "const",
                "value": 2
            },
            "starkware.cairo.common.hash_state.hash_update.__fp__": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update.__fp__",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 17,
                            "offset": 2
                        },
                        "pc": 183,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update.__temp18": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update.__temp18",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 17,
                            "offset": 3
                        },
                        "pc": 185,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update.data_length": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update.data_length",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 16,
                            "offset": 0
                        },
                        "pc": 173,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update.data_ptr": {
                "cairo_type": "felt*",
                "full_name": "starkware.cairo.common.hash_state.hash_update.data_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 16,
                            "offset": 0
                        },
                        "pc": 173,
                        "value": "[cast(fp + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update.hash": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update.hash",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 17,
                            "offset": 0
                        },
                        "pc": 181,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update.hash_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "starkware.cairo.common.hash_state.hash_update.hash_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 16,
                            "offset": 0
                        },
                        "pc": 173,
                        "value": "[cast(fp + (-6), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 17,
                            "offset": 0
                        },
                        "pc": 181,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update.hash_state_ptr": {
                "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                "full_name": "starkware.cairo.common.hash_state.hash_update.hash_state_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 16,
                            "offset": 0
                        },
                        "pc": 173,
                        "value": "[cast(fp + (-5), starkware.cairo.common.hash_state.HashState**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update.new_hash_state": {
                "cairo_type": "starkware.cairo.common.hash_state.HashState",
                "full_name": "starkware.cairo.common.hash_state.hash_update.new_hash_state",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 17,
                            "offset": 2
                        },
                        "pc": 183,
                        "value": "[cast(fp, starkware.cairo.common.hash_state.HashState*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_inner": {
                "decorators": [],
                "pc": 148,
                "type": "function"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.Args": {
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.Args",
                "members": {
                    "data_length": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "data_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    },
                    "hash": {
                        "cairo_type": "felt",
                        "offset": 2
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.ImplicitArgs": {
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.ImplicitArgs",
                "members": {
                    "hash_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.LoopLocals": {
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.LoopLocals",
                "members": {
                    "cur_hash": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "data_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    },
                    "hash_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 1
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.Return": {
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.Return",
                "members": {
                    "hash": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.SIZEOF_LOCALS": {
                "type": "const",
                "value": 1
            },
            "starkware.cairo.common.hash_state.hash_update_inner.__temp16": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.__temp16",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 2
                        },
                        "pc": 157,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.__temp17": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.__temp17",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 7
                        },
                        "pc": 164,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_inner._anon_label26": {
                "pc": 153,
                "type": "label"
            },
            "starkware.cairo.common.hash_state.hash_update_inner._anon_label27": {
                "pc": 153,
                "type": "label"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr": {
                "cairo_type": "felt*",
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.data_last_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 2
                        },
                        "pc": 158,
                        "value": "[cast(fp, felt**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.data_length": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.data_length",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 0
                        },
                        "pc": 148,
                        "value": "[cast(fp + (-4), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.data_ptr": {
                "cairo_type": "felt*",
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.data_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 0
                        },
                        "pc": 148,
                        "value": "[cast(fp + (-5), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.final_locals": {
                "cairo_type": "starkware.cairo.common.hash_state.hash_update_inner.LoopLocals*",
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.final_locals",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 10
                        },
                        "pc": 172,
                        "value": "cast(ap + (-3), starkware.cairo.common.hash_state.hash_update_inner.LoopLocals*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.first_locals": {
                "cairo_type": "starkware.cairo.common.hash_state.hash_update_inner.LoopLocals*",
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.first_locals",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 2
                        },
                        "pc": 158,
                        "value": "cast(ap, starkware.cairo.common.hash_state.hash_update_inner.LoopLocals*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.hash": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.hash",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 0
                        },
                        "pc": 148,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.hash_loop": {
                "pc": 161,
                "type": "label"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.hash_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 0
                        },
                        "pc": 148,
                        "value": "[cast(fp + (-6), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 10
                        },
                        "pc": 172,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.n_remaining_elements": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.n_remaining_elements",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 6
                        },
                        "pc": 162,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.next_locals": {
                "cairo_type": "starkware.cairo.common.hash_state.hash_update_inner.LoopLocals*",
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.next_locals",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 7
                        },
                        "pc": 165,
                        "value": "cast(ap, starkware.cairo.common.hash_state.hash_update_inner.LoopLocals*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_inner.prev_locals": {
                "cairo_type": "starkware.cairo.common.hash_state.hash_update_inner.LoopLocals*",
                "full_name": "starkware.cairo.common.hash_state.hash_update_inner.prev_locals",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 15,
                            "offset": 5
                        },
                        "pc": 161,
                        "value": "cast(ap + (-3), starkware.cairo.common.hash_state.hash_update_inner.LoopLocals*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_single": {
                "decorators": [],
                "pc": 189,
                "type": "function"
            },
            "starkware.cairo.common.hash_state.hash_update_single.Args": {
                "full_name": "starkware.cairo.common.hash_state.hash_update_single.Args",
                "members": {
                    "hash_state_ptr": {
                        "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                        "offset": 0
                    },
                    "item": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_update_single.ImplicitArgs": {
                "full_name": "starkware.cairo.common.hash_state.hash_update_single.ImplicitArgs",
                "members": {
                    "hash_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_update_single.Return": {
                "full_name": "starkware.cairo.common.hash_state.hash_update_single.Return",
                "members": {
                    "new_hash_state_ptr": {
                        "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.hash_state.hash_update_single.SIZEOF_LOCALS": {
                "type": "const",
                "value": 2
            },
            "starkware.cairo.common.hash_state.hash_update_single.__fp__": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update_single.__fp__",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 18,
                            "offset": 11
                        },
                        "pc": 198,
                        "value": "[cast(ap + (-2), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_single.__temp19": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update_single.__temp19",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 18,
                            "offset": 12
                        },
                        "pc": 200,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_single.hash": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update_single.hash",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 18,
                            "offset": 9
                        },
                        "pc": 196,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_single.hash_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.HashBuiltin*",
                "full_name": "starkware.cairo.common.hash_state.hash_update_single.hash_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 18,
                            "offset": 0
                        },
                        "pc": 189,
                        "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 18,
                            "offset": 9
                        },
                        "pc": 196,
                        "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr": {
                "cairo_type": "starkware.cairo.common.hash_state.HashState*",
                "full_name": "starkware.cairo.common.hash_state.hash_update_single.hash_state_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 18,
                            "offset": 0
                        },
                        "pc": 189,
                        "value": "[cast(fp + (-4), starkware.cairo.common.hash_state.HashState**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_single.item": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.hash_state.hash_update_single.item",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 18,
                            "offset": 0
                        },
                        "pc": 189,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.hash_state.hash_update_single.new_hash_state": {
                "cairo_type": "starkware.cairo.common.hash_state.HashState",
                "full_name": "starkware.cairo.common.hash_state.hash_update_single.new_hash_state",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 18,
                            "offset": 11
                        },
                        "pc": 198,
                        "value": "[cast(fp, starkware.cairo.common.hash_state.HashState*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_250_bit": {
                "decorators": [
                    "known_ap_change"
                ],
                "pc": 30,
                "type": "function"
            },
            "starkware.cairo.common.math.assert_250_bit.Args": {
                "full_name": "starkware.cairo.common.math.assert_250_bit.Args",
                "members": {
                    "value": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.math.assert_250_bit.HIGH_BOUND": {
                "type": "const",
                "value": 5316911983139663491615228241121378304
            },
            "starkware.cairo.common.math.assert_250_bit.ImplicitArgs": {
                "full_name": "starkware.cairo.common.math.assert_250_bit.ImplicitArgs",
                "members": {
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.math.assert_250_bit.Return": {
                "full_name": "starkware.cairo.common.math.assert_250_bit.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.cairo.common.math.assert_250_bit.SHIFT": {
                "type": "const",
                "value": 340282366920938463463374607431768211456
            },
            "starkware.cairo.common.math.assert_250_bit.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.cairo.common.math.assert_250_bit.UPPER_BOUND": {
                "type": "const",
                "value": 1809251394333065553493296640760748560207343510400633813116524750123642650624
            },
            "starkware.cairo.common.math.assert_250_bit.__temp2": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_250_bit.__temp2",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 4,
                            "offset": 1
                        },
                        "pc": 32,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_250_bit.__temp3": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_250_bit.__temp3",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 4,
                            "offset": 2
                        },
                        "pc": 33,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_250_bit.__temp4": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_250_bit.__temp4",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 4,
                            "offset": 3
                        },
                        "pc": 34,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_250_bit.__temp5": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_250_bit.__temp5",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 4,
                            "offset": 4
                        },
                        "pc": 36,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_250_bit.__temp6": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_250_bit.__temp6",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 4,
                            "offset": 5
                        },
                        "pc": 38,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_250_bit.__temp7": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_250_bit.__temp7",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 4,
                            "offset": 6
                        },
                        "pc": 39,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_250_bit.high": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_250_bit.high",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 4,
                            "offset": 0
                        },
                        "pc": 30,
                        "value": "[cast([fp + (-4)] + 1, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_250_bit.low": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_250_bit.low",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 4,
                            "offset": 0
                        },
                        "pc": 30,
                        "value": "[cast([fp + (-4)], felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_250_bit.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_250_bit.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 4,
                            "offset": 0
                        },
                        "pc": 30,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 4,
                            "offset": 6
                        },
                        "pc": 40,
                        "value": "cast([fp + (-4)] + 3, felt)"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_250_bit.value": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_250_bit.value",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 4,
                            "offset": 0
                        },
                        "pc": 30,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_not_equal": {
                "decorators": [],
                "pc": 24,
                "type": "function"
            },
            "starkware.cairo.common.math.assert_not_equal.Args": {
                "full_name": "starkware.cairo.common.math.assert_not_equal.Args",
                "members": {
                    "a": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "b": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.cairo.common.math.assert_not_equal.ImplicitArgs": {
                "full_name": "starkware.cairo.common.math.assert_not_equal.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.cairo.common.math.assert_not_equal.Return": {
                "full_name": "starkware.cairo.common.math.assert_not_equal.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.cairo.common.math.assert_not_equal.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.cairo.common.math.assert_not_equal.__temp1": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_not_equal.__temp1",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 3,
                            "offset": 1
                        },
                        "pc": 25,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_not_equal._anon_label4": {
                "pc": 29,
                "type": "label"
            },
            "starkware.cairo.common.math.assert_not_equal._anon_label5": {
                "pc": 29,
                "type": "label"
            },
            "starkware.cairo.common.math.assert_not_equal.a": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_not_equal.a",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 3,
                            "offset": 0
                        },
                        "pc": 24,
                        "value": "[cast(fp + (-4), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.math.assert_not_equal.b": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.math.assert_not_equal.b",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 3,
                            "offset": 0
                        },
                        "pc": 24,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.memcpy.memcpy": {
                "decorators": [],
                "pc": 9,
                "type": "function"
            },
            "starkware.cairo.common.memcpy.memcpy.Args": {
                "full_name": "starkware.cairo.common.memcpy.memcpy.Args",
                "members": {
                    "dst": {
                        "cairo_type": "felt*",
                        "offset": 0
                    },
                    "len": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "src": {
                        "cairo_type": "felt*",
                        "offset": 1
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "starkware.cairo.common.memcpy.memcpy.ImplicitArgs": {
                "full_name": "starkware.cairo.common.memcpy.memcpy.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.cairo.common.memcpy.memcpy.LoopFrame": {
                "full_name": "starkware.cairo.common.memcpy.memcpy.LoopFrame",
                "members": {
                    "dst": {
                        "cairo_type": "felt*",
                        "offset": 0
                    },
                    "src": {
                        "cairo_type": "felt*",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.cairo.common.memcpy.memcpy.Return": {
                "full_name": "starkware.cairo.common.memcpy.memcpy.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.cairo.common.memcpy.memcpy.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.cairo.common.memcpy.memcpy.__temp0": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.memcpy.memcpy.__temp0",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 2,
                            "offset": 3
                        },
                        "pc": 15,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.memcpy.memcpy._anon_label0": {
                "pc": 12,
                "type": "label"
            },
            "starkware.cairo.common.memcpy.memcpy._anon_label1": {
                "pc": 12,
                "type": "label"
            },
            "starkware.cairo.common.memcpy.memcpy.continue_copying": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.memcpy.memcpy.continue_copying",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 2,
                            "offset": 3
                        },
                        "pc": 16,
                        "value": "[cast(ap, felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.memcpy.memcpy.dst": {
                "cairo_type": "felt*",
                "full_name": "starkware.cairo.common.memcpy.memcpy.dst",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 2,
                            "offset": 0
                        },
                        "pc": 9,
                        "value": "[cast(fp + (-5), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.memcpy.memcpy.frame": {
                "cairo_type": "starkware.cairo.common.memcpy.memcpy.LoopFrame",
                "full_name": "starkware.cairo.common.memcpy.memcpy.frame",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 2,
                            "offset": 2
                        },
                        "pc": 14,
                        "value": "[cast(ap + (-2), starkware.cairo.common.memcpy.memcpy.LoopFrame*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 2,
                            "offset": 2
                        },
                        "pc": 14,
                        "value": "[cast(ap + (-2), starkware.cairo.common.memcpy.memcpy.LoopFrame*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.memcpy.memcpy.len": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.memcpy.memcpy.len",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 2,
                            "offset": 0
                        },
                        "pc": 9,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.memcpy.memcpy.loop": {
                "pc": 14,
                "type": "label"
            },
            "starkware.cairo.common.memcpy.memcpy.next_frame": {
                "cairo_type": "starkware.cairo.common.memcpy.memcpy.LoopFrame*",
                "full_name": "starkware.cairo.common.memcpy.memcpy.next_frame",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 2,
                            "offset": 3
                        },
                        "pc": 16,
                        "value": "cast(ap + 1, starkware.cairo.common.memcpy.memcpy.LoopFrame*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.memcpy.memcpy.src": {
                "cairo_type": "felt*",
                "full_name": "starkware.cairo.common.memcpy.memcpy.src",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 2,
                            "offset": 0
                        },
                        "pc": 9,
                        "value": "[cast(fp + (-4), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.registers.get_fp_and_pc": {
                "decorators": [],
                "pc": 132,
                "type": "function"
            },
            "starkware.cairo.common.registers.get_fp_and_pc.Args": {
                "full_name": "starkware.cairo.common.registers.get_fp_and_pc.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.cairo.common.registers.get_fp_and_pc.ImplicitArgs": {
                "full_name": "starkware.cairo.common.registers.get_fp_and_pc.ImplicitArgs",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.cairo.common.registers.get_fp_and_pc.Return": {
                "full_name": "starkware.cairo.common.registers.get_fp_and_pc.Return",
                "members": {
                    "fp_val": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "pc_val": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.cairo.common.registers.get_fp_and_pc.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.cairo.common.signature.SignatureBuiltin": {
                "destination": "starkware.cairo.common.cairo_builtins.SignatureBuiltin",
                "type": "alias"
            },
            "starkware.cairo.common.signature.verify_ecdsa_signature": {
                "decorators": [],
                "pc": 133,
                "type": "function"
            },
            "starkware.cairo.common.signature.verify_ecdsa_signature.Args": {
                "full_name": "starkware.cairo.common.signature.verify_ecdsa_signature.Args",
                "members": {
                    "message": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "public_key": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "signature_r": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "signature_s": {
                        "cairo_type": "felt",
                        "offset": 3
                    }
                },
                "size": 4,
                "type": "struct"
            },
            "starkware.cairo.common.signature.verify_ecdsa_signature.ImplicitArgs": {
                "full_name": "starkware.cairo.common.signature.verify_ecdsa_signature.ImplicitArgs",
                "members": {
                    "ecdsa_ptr": {
                        "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.cairo.common.signature.verify_ecdsa_signature.Return": {
                "full_name": "starkware.cairo.common.signature.verify_ecdsa_signature.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.cairo.common.signature.verify_ecdsa_signature.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.cairo.common.signature.verify_ecdsa_signature.ecdsa_ptr": {
                "cairo_type": "starkware.cairo.common.cairo_builtins.SignatureBuiltin*",
                "full_name": "starkware.cairo.common.signature.verify_ecdsa_signature.ecdsa_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 13,
                            "offset": 0
                        },
                        "pc": 133,
                        "value": "[cast(fp + (-7), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 13,
                            "offset": 0
                        },
                        "pc": 135,
                        "value": "cast([fp + (-7)] + 2, starkware.cairo.common.cairo_builtins.SignatureBuiltin*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.signature.verify_ecdsa_signature.message": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.signature.verify_ecdsa_signature.message",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 13,
                            "offset": 0
                        },
                        "pc": 133,
                        "value": "[cast(fp + (-6), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.signature.verify_ecdsa_signature.public_key": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.signature.verify_ecdsa_signature.public_key",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 13,
                            "offset": 0
                        },
                        "pc": 133,
                        "value": "[cast(fp + (-5), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.signature.verify_ecdsa_signature.signature_r": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.signature.verify_ecdsa_signature.signature_r",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 13,
                            "offset": 0
                        },
                        "pc": 133,
                        "value": "[cast(fp + (-4), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.cairo.common.signature.verify_ecdsa_signature.signature_s": {
                "cairo_type": "felt",
                "full_name": "starkware.cairo.common.signature.verify_ecdsa_signature.signature_s",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 13,
                            "offset": 0
                        },
                        "pc": 133,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.storage.ADDR_BOUND": {
                "type": "const",
                "value": -106710729501573572985208420194530329073740042555888586719489
            },
            "starkware.starknet.common.storage.MAX_STORAGE_ITEM_SIZE": {
                "type": "const",
                "value": 256
            },
            "starkware.starknet.common.storage.assert_250_bit": {
                "destination": "starkware.cairo.common.math.assert_250_bit",
                "type": "alias"
            },
            "starkware.starknet.common.storage.normalize_address": {
                "decorators": [
                    "known_ap_change"
                ],
                "pc": 43,
                "type": "function"
            },
            "starkware.starknet.common.storage.normalize_address.Args": {
                "full_name": "starkware.starknet.common.storage.normalize_address.Args",
                "members": {
                    "addr": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.storage.normalize_address.ImplicitArgs": {
                "full_name": "starkware.starknet.common.storage.normalize_address.ImplicitArgs",
                "members": {
                    "range_check_ptr": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.storage.normalize_address.Return": {
                "full_name": "starkware.starknet.common.storage.normalize_address.Return",
                "members": {
                    "res": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.storage.normalize_address.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.starknet.common.storage.normalize_address.__temp8": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.storage.normalize_address.__temp8",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 5,
                            "offset": 13
                        },
                        "pc": 54,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.storage.normalize_address.__temp9": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.storage.normalize_address.__temp9",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 5,
                            "offset": 13
                        },
                        "pc": 69,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.storage.normalize_address._anon_label22": {
                "pc": 61,
                "type": "label"
            },
            "starkware.starknet.common.storage.normalize_address._anon_label23": {
                "pc": 83,
                "type": "label"
            },
            "starkware.starknet.common.storage.normalize_address._anon_label24": {
                "pc": 75,
                "type": "label"
            },
            "starkware.starknet.common.storage.normalize_address._anon_label25": {
                "pc": 81,
                "type": "label"
            },
            "starkware.starknet.common.storage.normalize_address.addr": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.storage.normalize_address.addr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 5,
                            "offset": 0
                        },
                        "pc": 43,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.storage.normalize_address.is_250": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.storage.normalize_address.is_250",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 5,
                            "offset": 2
                        },
                        "pc": 63,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.storage.normalize_address.is_small": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.storage.normalize_address.is_small",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 5,
                            "offset": 1
                        },
                        "pc": 45,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.storage.normalize_address.range_check_ptr": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.storage.normalize_address.range_check_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 5,
                            "offset": 0
                        },
                        "pc": 43,
                        "value": "[cast(fp + (-4), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 5,
                            "offset": 12
                        },
                        "pc": 52,
                        "value": "[cast(ap + (-1), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 5,
                            "offset": 24
                        },
                        "pc": 58,
                        "value": "[cast(ap + (-1), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 5,
                            "offset": 24
                        },
                        "pc": 73,
                        "value": "[cast(ap + (-1), felt*)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 5,
                            "offset": 24
                        },
                        "pc": 81,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.storage.normalize_address.x": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.storage.normalize_address.x",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 5,
                            "offset": 1
                        },
                        "pc": 47,
                        "value": "cast([fp + (-3)] + 106710729501573572985208420194530329073740042555888586719489, felt)"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.storage.normalize_address.y": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.storage.normalize_address.y",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 5,
                            "offset": 1
                        },
                        "pc": 47,
                        "value": "cast((-1) - [fp + (-3)], felt)"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.CALL_CONTRACT_SELECTOR": {
                "type": "const",
                "value": 20853273475220472486191784820
            },
            "starkware.starknet.common.syscalls.CallContract": {
                "full_name": "starkware.starknet.common.syscalls.CallContract",
                "members": {
                    "request": {
                        "cairo_type": "starkware.starknet.common.syscalls.CallContractRequest",
                        "offset": 0
                    },
                    "response": {
                        "cairo_type": "starkware.starknet.common.syscalls.CallContractResponse",
                        "offset": 5
                    }
                },
                "size": 7,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.CallContractRequest": {
                "full_name": "starkware.starknet.common.syscalls.CallContractRequest",
                "members": {
                    "calldata": {
                        "cairo_type": "felt*",
                        "offset": 4
                    },
                    "calldata_size": {
                        "cairo_type": "felt",
                        "offset": 3
                    },
                    "contract_address": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "function_selector": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 5,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.CallContractResponse": {
                "full_name": "starkware.starknet.common.syscalls.CallContractResponse",
                "members": {
                    "retdata": {
                        "cairo_type": "felt*",
                        "offset": 1
                    },
                    "retdata_size": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.DELEGATE_CALL_SELECTOR": {
                "type": "const",
                "value": 21167594061783206823196716140
            },
            "starkware.starknet.common.syscalls.DELEGATE_L1_HANDLER_SELECTOR": {
                "type": "const",
                "value": 23274015802972845247556842986379118667122
            },
            "starkware.starknet.common.syscalls.DictAccess": {
                "destination": "starkware.cairo.common.dict_access.DictAccess",
                "type": "alias"
            },
            "starkware.starknet.common.syscalls.EMIT_EVENT_SELECTOR": {
                "type": "const",
                "value": 1280709301550335749748
            },
            "starkware.starknet.common.syscalls.EmitEvent": {
                "full_name": "starkware.starknet.common.syscalls.EmitEvent",
                "members": {
                    "data": {
                        "cairo_type": "felt*",
                        "offset": 4
                    },
                    "data_len": {
                        "cairo_type": "felt",
                        "offset": 3
                    },
                    "keys": {
                        "cairo_type": "felt*",
                        "offset": 2
                    },
                    "keys_len": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 5,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GET_BLOCK_NUMBER_SELECTOR": {
                "type": "const",
                "value": 1448089106835523001438702345020786
            },
            "starkware.starknet.common.syscalls.GET_BLOCK_TIMESTAMP_SELECTOR": {
                "type": "const",
                "value": 24294903732626645868215235778792757751152
            },
            "starkware.starknet.common.syscalls.GET_CALLER_ADDRESS_SELECTOR": {
                "type": "const",
                "value": 94901967781393078444254803017658102643
            },
            "starkware.starknet.common.syscalls.GET_CONTRACT_ADDRESS_SELECTOR": {
                "type": "const",
                "value": 6219495360805491471215297013070624192820083
            },
            "starkware.starknet.common.syscalls.GET_SEQUENCER_ADDRESS_SELECTOR": {
                "type": "const",
                "value": 1592190833581991703053805829594610833820054387
            },
            "starkware.starknet.common.syscalls.GET_TX_INFO_SELECTOR": {
                "type": "const",
                "value": 1317029390204112103023
            },
            "starkware.starknet.common.syscalls.GET_TX_SIGNATURE_SELECTOR": {
                "type": "const",
                "value": 1448089128652340074717162277007973
            },
            "starkware.starknet.common.syscalls.GetBlockNumber": {
                "full_name": "starkware.starknet.common.syscalls.GetBlockNumber",
                "members": {
                    "request": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetBlockNumberRequest",
                        "offset": 0
                    },
                    "response": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetBlockNumberResponse",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetBlockNumberRequest": {
                "full_name": "starkware.starknet.common.syscalls.GetBlockNumberRequest",
                "members": {
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetBlockNumberResponse": {
                "full_name": "starkware.starknet.common.syscalls.GetBlockNumberResponse",
                "members": {
                    "block_number": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetBlockTimestamp": {
                "full_name": "starkware.starknet.common.syscalls.GetBlockTimestamp",
                "members": {
                    "request": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetBlockTimestampRequest",
                        "offset": 0
                    },
                    "response": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetBlockTimestampResponse",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetBlockTimestampRequest": {
                "full_name": "starkware.starknet.common.syscalls.GetBlockTimestampRequest",
                "members": {
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetBlockTimestampResponse": {
                "full_name": "starkware.starknet.common.syscalls.GetBlockTimestampResponse",
                "members": {
                    "block_timestamp": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetCallerAddress": {
                "full_name": "starkware.starknet.common.syscalls.GetCallerAddress",
                "members": {
                    "request": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetCallerAddressRequest",
                        "offset": 0
                    },
                    "response": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetCallerAddressResponse",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetCallerAddressRequest": {
                "full_name": "starkware.starknet.common.syscalls.GetCallerAddressRequest",
                "members": {
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetCallerAddressResponse": {
                "full_name": "starkware.starknet.common.syscalls.GetCallerAddressResponse",
                "members": {
                    "caller_address": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetContractAddress": {
                "full_name": "starkware.starknet.common.syscalls.GetContractAddress",
                "members": {
                    "request": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetContractAddressRequest",
                        "offset": 0
                    },
                    "response": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetContractAddressResponse",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetContractAddressRequest": {
                "full_name": "starkware.starknet.common.syscalls.GetContractAddressRequest",
                "members": {
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetContractAddressResponse": {
                "full_name": "starkware.starknet.common.syscalls.GetContractAddressResponse",
                "members": {
                    "contract_address": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetSequencerAddress": {
                "full_name": "starkware.starknet.common.syscalls.GetSequencerAddress",
                "members": {
                    "request": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetSequencerAddressRequest",
                        "offset": 0
                    },
                    "response": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetSequencerAddressResponse",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetSequencerAddressRequest": {
                "full_name": "starkware.starknet.common.syscalls.GetSequencerAddressRequest",
                "members": {
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetSequencerAddressResponse": {
                "full_name": "starkware.starknet.common.syscalls.GetSequencerAddressResponse",
                "members": {
                    "sequencer_address": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetTxInfo": {
                "full_name": "starkware.starknet.common.syscalls.GetTxInfo",
                "members": {
                    "request": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetTxInfoRequest",
                        "offset": 0
                    },
                    "response": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetTxInfoResponse",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetTxInfoRequest": {
                "full_name": "starkware.starknet.common.syscalls.GetTxInfoRequest",
                "members": {
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetTxInfoResponse": {
                "full_name": "starkware.starknet.common.syscalls.GetTxInfoResponse",
                "members": {
                    "tx_info": {
                        "cairo_type": "starkware.starknet.common.syscalls.TxInfo*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetTxSignature": {
                "full_name": "starkware.starknet.common.syscalls.GetTxSignature",
                "members": {
                    "request": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetTxSignatureRequest",
                        "offset": 0
                    },
                    "response": {
                        "cairo_type": "starkware.starknet.common.syscalls.GetTxSignatureResponse",
                        "offset": 1
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetTxSignatureRequest": {
                "full_name": "starkware.starknet.common.syscalls.GetTxSignatureRequest",
                "members": {
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.GetTxSignatureResponse": {
                "full_name": "starkware.starknet.common.syscalls.GetTxSignatureResponse",
                "members": {
                    "signature": {
                        "cairo_type": "felt*",
                        "offset": 1
                    },
                    "signature_len": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.SEND_MESSAGE_TO_L1_SELECTOR": {
                "type": "const",
                "value": 433017908768303439907196859243777073
            },
            "starkware.starknet.common.syscalls.STORAGE_READ_SELECTOR": {
                "type": "const",
                "value": 100890693370601760042082660
            },
            "starkware.starknet.common.syscalls.STORAGE_WRITE_SELECTOR": {
                "type": "const",
                "value": 25828017502874050592466629733
            },
            "starkware.starknet.common.syscalls.SendMessageToL1SysCall": {
                "full_name": "starkware.starknet.common.syscalls.SendMessageToL1SysCall",
                "members": {
                    "payload_ptr": {
                        "cairo_type": "felt*",
                        "offset": 3
                    },
                    "payload_size": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "to_address": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 4,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.StorageRead": {
                "full_name": "starkware.starknet.common.syscalls.StorageRead",
                "members": {
                    "request": {
                        "cairo_type": "starkware.starknet.common.syscalls.StorageReadRequest",
                        "offset": 0
                    },
                    "response": {
                        "cairo_type": "starkware.starknet.common.syscalls.StorageReadResponse",
                        "offset": 2
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.StorageReadRequest": {
                "full_name": "starkware.starknet.common.syscalls.StorageReadRequest",
                "members": {
                    "address": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.StorageReadResponse": {
                "full_name": "starkware.starknet.common.syscalls.StorageReadResponse",
                "members": {
                    "value": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.StorageWrite": {
                "full_name": "starkware.starknet.common.syscalls.StorageWrite",
                "members": {
                    "address": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "selector": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "value": {
                        "cairo_type": "felt",
                        "offset": 2
                    }
                },
                "size": 3,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.TxInfo": {
                "full_name": "starkware.starknet.common.syscalls.TxInfo",
                "members": {
                    "account_contract_address": {
                        "cairo_type": "felt",
                        "offset": 1
                    },
                    "max_fee": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "signature": {
                        "cairo_type": "felt*",
                        "offset": 4
                    },
                    "signature_len": {
                        "cairo_type": "felt",
                        "offset": 3
                    },
                    "version": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 5,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.call_contract": {
                "decorators": [],
                "pc": 83,
                "type": "function"
            },
            "starkware.starknet.common.syscalls.call_contract.Args": {
                "full_name": "starkware.starknet.common.syscalls.call_contract.Args",
                "members": {
                    "calldata": {
                        "cairo_type": "felt*",
                        "offset": 3
                    },
                    "calldata_size": {
                        "cairo_type": "felt",
                        "offset": 2
                    },
                    "contract_address": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "function_selector": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 4,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.call_contract.ImplicitArgs": {
                "full_name": "starkware.starknet.common.syscalls.call_contract.ImplicitArgs",
                "members": {
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.call_contract.Return": {
                "full_name": "starkware.starknet.common.syscalls.call_contract.Return",
                "members": {
                    "retdata": {
                        "cairo_type": "felt*",
                        "offset": 1
                    },
                    "retdata_size": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.call_contract.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.starknet.common.syscalls.call_contract.__temp10": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.syscalls.call_contract.__temp10",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 6,
                            "offset": 1
                        },
                        "pc": 85,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.call_contract.calldata": {
                "cairo_type": "felt*",
                "full_name": "starkware.starknet.common.syscalls.call_contract.calldata",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 6,
                            "offset": 0
                        },
                        "pc": 83,
                        "value": "[cast(fp + (-3), felt**)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.call_contract.calldata_size": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.syscalls.call_contract.calldata_size",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 6,
                            "offset": 0
                        },
                        "pc": 83,
                        "value": "[cast(fp + (-4), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.call_contract.contract_address": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.syscalls.call_contract.contract_address",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 6,
                            "offset": 0
                        },
                        "pc": 83,
                        "value": "[cast(fp + (-6), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.call_contract.function_selector": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.syscalls.call_contract.function_selector",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 6,
                            "offset": 0
                        },
                        "pc": 83,
                        "value": "[cast(fp + (-5), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.call_contract.response": {
                "cairo_type": "starkware.starknet.common.syscalls.CallContractResponse",
                "full_name": "starkware.starknet.common.syscalls.call_contract.response",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 6,
                            "offset": 1
                        },
                        "pc": 90,
                        "value": "[cast([fp + (-7)] + 5, starkware.starknet.common.syscalls.CallContractResponse*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.call_contract.syscall": {
                "cairo_type": "starkware.starknet.common.syscalls.CallContract",
                "full_name": "starkware.starknet.common.syscalls.call_contract.syscall",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 6,
                            "offset": 0
                        },
                        "pc": 83,
                        "value": "[cast([fp + (-7)], starkware.starknet.common.syscalls.CallContract*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.call_contract.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "starkware.starknet.common.syscalls.call_contract.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 6,
                            "offset": 0
                        },
                        "pc": 83,
                        "value": "[cast(fp + (-7), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 6,
                            "offset": 1
                        },
                        "pc": 90,
                        "value": "cast([fp + (-7)] + 7, felt*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.get_caller_address": {
                "decorators": [],
                "pc": 95,
                "type": "function"
            },
            "starkware.starknet.common.syscalls.get_caller_address.Args": {
                "full_name": "starkware.starknet.common.syscalls.get_caller_address.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.get_caller_address.ImplicitArgs": {
                "full_name": "starkware.starknet.common.syscalls.get_caller_address.ImplicitArgs",
                "members": {
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.get_caller_address.Return": {
                "full_name": "starkware.starknet.common.syscalls.get_caller_address.Return",
                "members": {
                    "caller_address": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.get_caller_address.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.starknet.common.syscalls.get_caller_address.__temp11": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.syscalls.get_caller_address.__temp11",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 7,
                            "offset": 1
                        },
                        "pc": 97,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.get_caller_address.syscall": {
                "cairo_type": "starkware.starknet.common.syscalls.GetCallerAddress",
                "full_name": "starkware.starknet.common.syscalls.get_caller_address.syscall",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 7,
                            "offset": 0
                        },
                        "pc": 95,
                        "value": "[cast([fp + (-3)], starkware.starknet.common.syscalls.GetCallerAddress*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.get_caller_address.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "starkware.starknet.common.syscalls.get_caller_address.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 7,
                            "offset": 0
                        },
                        "pc": 95,
                        "value": "[cast(fp + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 7,
                            "offset": 1
                        },
                        "pc": 98,
                        "value": "cast([fp + (-3)] + 2, felt*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.get_contract_address": {
                "decorators": [],
                "pc": 102,
                "type": "function"
            },
            "starkware.starknet.common.syscalls.get_contract_address.Args": {
                "full_name": "starkware.starknet.common.syscalls.get_contract_address.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.get_contract_address.ImplicitArgs": {
                "full_name": "starkware.starknet.common.syscalls.get_contract_address.ImplicitArgs",
                "members": {
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.get_contract_address.Return": {
                "full_name": "starkware.starknet.common.syscalls.get_contract_address.Return",
                "members": {
                    "contract_address": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.get_contract_address.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.starknet.common.syscalls.get_contract_address.__temp12": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.syscalls.get_contract_address.__temp12",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 8,
                            "offset": 1
                        },
                        "pc": 104,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.get_contract_address.syscall": {
                "cairo_type": "starkware.starknet.common.syscalls.GetContractAddress",
                "full_name": "starkware.starknet.common.syscalls.get_contract_address.syscall",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 8,
                            "offset": 0
                        },
                        "pc": 102,
                        "value": "[cast([fp + (-3)], starkware.starknet.common.syscalls.GetContractAddress*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.get_contract_address.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "starkware.starknet.common.syscalls.get_contract_address.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 8,
                            "offset": 0
                        },
                        "pc": 102,
                        "value": "[cast(fp + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 8,
                            "offset": 1
                        },
                        "pc": 105,
                        "value": "cast([fp + (-3)] + 2, felt*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.get_tx_info": {
                "decorators": [],
                "pc": 125,
                "type": "function"
            },
            "starkware.starknet.common.syscalls.get_tx_info.Args": {
                "full_name": "starkware.starknet.common.syscalls.get_tx_info.Args",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.get_tx_info.ImplicitArgs": {
                "full_name": "starkware.starknet.common.syscalls.get_tx_info.ImplicitArgs",
                "members": {
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.get_tx_info.Return": {
                "full_name": "starkware.starknet.common.syscalls.get_tx_info.Return",
                "members": {
                    "tx_info": {
                        "cairo_type": "starkware.starknet.common.syscalls.TxInfo*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.get_tx_info.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.starknet.common.syscalls.get_tx_info.__temp15": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.syscalls.get_tx_info.__temp15",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 11,
                            "offset": 1
                        },
                        "pc": 127,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.get_tx_info.response": {
                "cairo_type": "starkware.starknet.common.syscalls.GetTxInfoResponse",
                "full_name": "starkware.starknet.common.syscalls.get_tx_info.response",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 11,
                            "offset": 1
                        },
                        "pc": 128,
                        "value": "[cast([fp + (-3)] + 1, starkware.starknet.common.syscalls.GetTxInfoResponse*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.get_tx_info.syscall": {
                "cairo_type": "starkware.starknet.common.syscalls.GetTxInfo",
                "full_name": "starkware.starknet.common.syscalls.get_tx_info.syscall",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 11,
                            "offset": 0
                        },
                        "pc": 125,
                        "value": "[cast([fp + (-3)], starkware.starknet.common.syscalls.GetTxInfo*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.get_tx_info.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "starkware.starknet.common.syscalls.get_tx_info.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 11,
                            "offset": 0
                        },
                        "pc": 125,
                        "value": "[cast(fp + (-3), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 11,
                            "offset": 1
                        },
                        "pc": 128,
                        "value": "cast([fp + (-3)] + 2, felt*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.storage_read": {
                "decorators": [],
                "pc": 109,
                "type": "function"
            },
            "starkware.starknet.common.syscalls.storage_read.Args": {
                "full_name": "starkware.starknet.common.syscalls.storage_read.Args",
                "members": {
                    "address": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.storage_read.ImplicitArgs": {
                "full_name": "starkware.starknet.common.syscalls.storage_read.ImplicitArgs",
                "members": {
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.storage_read.Return": {
                "full_name": "starkware.starknet.common.syscalls.storage_read.Return",
                "members": {
                    "value": {
                        "cairo_type": "felt",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.storage_read.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.starknet.common.syscalls.storage_read.__temp13": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.syscalls.storage_read.__temp13",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 9,
                            "offset": 1
                        },
                        "pc": 111,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.storage_read.address": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.syscalls.storage_read.address",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 9,
                            "offset": 0
                        },
                        "pc": 109,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.storage_read.response": {
                "cairo_type": "starkware.starknet.common.syscalls.StorageReadResponse",
                "full_name": "starkware.starknet.common.syscalls.storage_read.response",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 9,
                            "offset": 1
                        },
                        "pc": 113,
                        "value": "[cast([fp + (-4)] + 2, starkware.starknet.common.syscalls.StorageReadResponse*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.storage_read.syscall": {
                "cairo_type": "starkware.starknet.common.syscalls.StorageRead",
                "full_name": "starkware.starknet.common.syscalls.storage_read.syscall",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 9,
                            "offset": 0
                        },
                        "pc": 109,
                        "value": "[cast([fp + (-4)], starkware.starknet.common.syscalls.StorageRead*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.storage_read.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "starkware.starknet.common.syscalls.storage_read.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 9,
                            "offset": 0
                        },
                        "pc": 109,
                        "value": "[cast(fp + (-4), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 9,
                            "offset": 1
                        },
                        "pc": 113,
                        "value": "cast([fp + (-4)] + 3, felt*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.storage_write": {
                "decorators": [],
                "pc": 117,
                "type": "function"
            },
            "starkware.starknet.common.syscalls.storage_write.Args": {
                "full_name": "starkware.starknet.common.syscalls.storage_write.Args",
                "members": {
                    "address": {
                        "cairo_type": "felt",
                        "offset": 0
                    },
                    "value": {
                        "cairo_type": "felt",
                        "offset": 1
                    }
                },
                "size": 2,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.storage_write.ImplicitArgs": {
                "full_name": "starkware.starknet.common.syscalls.storage_write.ImplicitArgs",
                "members": {
                    "syscall_ptr": {
                        "cairo_type": "felt*",
                        "offset": 0
                    }
                },
                "size": 1,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.storage_write.Return": {
                "full_name": "starkware.starknet.common.syscalls.storage_write.Return",
                "members": {},
                "size": 0,
                "type": "struct"
            },
            "starkware.starknet.common.syscalls.storage_write.SIZEOF_LOCALS": {
                "type": "const",
                "value": 0
            },
            "starkware.starknet.common.syscalls.storage_write.__temp14": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.syscalls.storage_write.__temp14",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 10,
                            "offset": 1
                        },
                        "pc": 119,
                        "value": "[cast(ap + (-1), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.storage_write.address": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.syscalls.storage_write.address",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 10,
                            "offset": 0
                        },
                        "pc": 117,
                        "value": "[cast(fp + (-4), felt*)]"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.storage_write.syscall_ptr": {
                "cairo_type": "felt*",
                "full_name": "starkware.starknet.common.syscalls.storage_write.syscall_ptr",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 10,
                            "offset": 0
                        },
                        "pc": 117,
                        "value": "[cast(fp + (-5), felt**)]"
                    },
                    {
                        "ap_tracking_data": {
                            "group": 10,
                            "offset": 1
                        },
                        "pc": 122,
                        "value": "cast([fp + (-5)] + 3, felt*)"
                    }
                ],
                "type": "reference"
            },
            "starkware.starknet.common.syscalls.storage_write.value": {
                "cairo_type": "felt",
                "full_name": "starkware.starknet.common.syscalls.storage_write.value",
                "references": [
                    {
                        "ap_tracking_data": {
                            "group": 10,
                            "offset": 0
                        },
                        "pc": 117,
                        "value": "[cast(fp + (-3), felt*)]"
                    }
                ],
                "type": "reference"
            }
        },
        "main_scope": "__main__",
        "prime": "0x800000000000011000000000000000000000000000000000000000000000001",
        "reference_manager": {
            "references": [
                {
                    "ap_tracking_data": {
                        "group": 1,
                        "offset": 0
                    },
                    "pc": 3,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 1,
                        "offset": 0
                    },
                    "pc": 3,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 1,
                        "offset": 0
                    },
                    "pc": 3,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 1,
                        "offset": 0
                    },
                    "pc": 5,
                    "value": "[cast([fp + (-5)] + 2, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 1,
                        "offset": 0
                    },
                    "pc": 5,
                    "value": "cast([fp + (-5)] + 3, starkware.cairo.common.cairo_builtins.HashBuiltin*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 2,
                        "offset": 0
                    },
                    "pc": 9,
                    "value": "[cast(fp + (-5), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 2,
                        "offset": 0
                    },
                    "pc": 9,
                    "value": "[cast(fp + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 2,
                        "offset": 0
                    },
                    "pc": 9,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 2,
                        "offset": 2
                    },
                    "pc": 14,
                    "value": "[cast(ap + (-2), starkware.cairo.common.memcpy.memcpy.LoopFrame*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 2,
                        "offset": 2
                    },
                    "pc": 14,
                    "value": "[cast(ap + (-2), starkware.cairo.common.memcpy.memcpy.LoopFrame*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 2,
                        "offset": 3
                    },
                    "pc": 15,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 2,
                        "offset": 3
                    },
                    "pc": 16,
                    "value": "[cast(ap, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 2,
                        "offset": 3
                    },
                    "pc": 16,
                    "value": "cast(ap + 1, starkware.cairo.common.memcpy.memcpy.LoopFrame*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 3,
                        "offset": 0
                    },
                    "pc": 24,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 3,
                        "offset": 0
                    },
                    "pc": 24,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 3,
                        "offset": 1
                    },
                    "pc": 25,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 4,
                        "offset": 0
                    },
                    "pc": 30,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 4,
                        "offset": 0
                    },
                    "pc": 30,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 4,
                        "offset": 0
                    },
                    "pc": 30,
                    "value": "[cast([fp + (-4)], felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 4,
                        "offset": 0
                    },
                    "pc": 30,
                    "value": "[cast([fp + (-4)] + 1, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 4,
                        "offset": 1
                    },
                    "pc": 32,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 4,
                        "offset": 2
                    },
                    "pc": 33,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 4,
                        "offset": 3
                    },
                    "pc": 34,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 4,
                        "offset": 4
                    },
                    "pc": 36,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 4,
                        "offset": 5
                    },
                    "pc": 38,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 4,
                        "offset": 6
                    },
                    "pc": 39,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 4,
                        "offset": 6
                    },
                    "pc": 40,
                    "value": "cast([fp + (-4)] + 3, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 0
                    },
                    "pc": 43,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 0
                    },
                    "pc": 43,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 1
                    },
                    "pc": 45,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 1
                    },
                    "pc": 47,
                    "value": "cast([fp + (-3)] + 106710729501573572985208420194530329073740042555888586719489, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 1
                    },
                    "pc": 47,
                    "value": "cast((-1) - [fp + (-3)], felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 12
                    },
                    "pc": 52,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 13
                    },
                    "pc": 54,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 24
                    },
                    "pc": 58,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 2
                    },
                    "pc": 63,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 13
                    },
                    "pc": 69,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 24
                    },
                    "pc": 73,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 24
                    },
                    "pc": 81,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 5,
                        "offset": 24
                    },
                    "pc": 81,
                    "value": "[cast(ap - 0 + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 6,
                        "offset": 0
                    },
                    "pc": 83,
                    "value": "[cast(fp + (-6), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 6,
                        "offset": 0
                    },
                    "pc": 83,
                    "value": "[cast(fp + (-5), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 6,
                        "offset": 0
                    },
                    "pc": 83,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 6,
                        "offset": 0
                    },
                    "pc": 83,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 6,
                        "offset": 0
                    },
                    "pc": 83,
                    "value": "[cast(fp + (-7), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 6,
                        "offset": 0
                    },
                    "pc": 83,
                    "value": "[cast([fp + (-7)], starkware.starknet.common.syscalls.CallContract*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 6,
                        "offset": 1
                    },
                    "pc": 85,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 6,
                        "offset": 1
                    },
                    "pc": 90,
                    "value": "[cast([fp + (-7)] + 5, starkware.starknet.common.syscalls.CallContractResponse*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 6,
                        "offset": 1
                    },
                    "pc": 90,
                    "value": "cast([fp + (-7)] + 7, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 7,
                        "offset": 0
                    },
                    "pc": 95,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 7,
                        "offset": 0
                    },
                    "pc": 95,
                    "value": "[cast([fp + (-3)], starkware.starknet.common.syscalls.GetCallerAddress*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 7,
                        "offset": 1
                    },
                    "pc": 97,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 7,
                        "offset": 1
                    },
                    "pc": 98,
                    "value": "cast([fp + (-3)] + 2, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 8,
                        "offset": 0
                    },
                    "pc": 102,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 8,
                        "offset": 0
                    },
                    "pc": 102,
                    "value": "[cast([fp + (-3)], starkware.starknet.common.syscalls.GetContractAddress*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 8,
                        "offset": 1
                    },
                    "pc": 104,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 8,
                        "offset": 1
                    },
                    "pc": 105,
                    "value": "cast([fp + (-3)] + 2, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 9,
                        "offset": 0
                    },
                    "pc": 109,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 9,
                        "offset": 0
                    },
                    "pc": 109,
                    "value": "[cast(fp + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 9,
                        "offset": 0
                    },
                    "pc": 109,
                    "value": "[cast([fp + (-4)], starkware.starknet.common.syscalls.StorageRead*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 9,
                        "offset": 1
                    },
                    "pc": 111,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 9,
                        "offset": 1
                    },
                    "pc": 113,
                    "value": "[cast([fp + (-4)] + 2, starkware.starknet.common.syscalls.StorageReadResponse*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 9,
                        "offset": 1
                    },
                    "pc": 113,
                    "value": "cast([fp + (-4)] + 3, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 10,
                        "offset": 0
                    },
                    "pc": 117,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 10,
                        "offset": 0
                    },
                    "pc": 117,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 10,
                        "offset": 0
                    },
                    "pc": 117,
                    "value": "[cast(fp + (-5), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 10,
                        "offset": 1
                    },
                    "pc": 119,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 10,
                        "offset": 1
                    },
                    "pc": 122,
                    "value": "cast([fp + (-5)] + 3, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 11,
                        "offset": 0
                    },
                    "pc": 125,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 11,
                        "offset": 0
                    },
                    "pc": 125,
                    "value": "[cast([fp + (-3)], starkware.starknet.common.syscalls.GetTxInfo*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 11,
                        "offset": 1
                    },
                    "pc": 127,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 11,
                        "offset": 1
                    },
                    "pc": 128,
                    "value": "[cast([fp + (-3)] + 1, starkware.starknet.common.syscalls.GetTxInfoResponse*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 11,
                        "offset": 1
                    },
                    "pc": 128,
                    "value": "cast([fp + (-3)] + 2, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 13,
                        "offset": 0
                    },
                    "pc": 133,
                    "value": "[cast(fp + (-6), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 13,
                        "offset": 0
                    },
                    "pc": 133,
                    "value": "[cast(fp + (-5), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 13,
                        "offset": 0
                    },
                    "pc": 133,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 13,
                        "offset": 0
                    },
                    "pc": 133,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 13,
                        "offset": 0
                    },
                    "pc": 133,
                    "value": "[cast(fp + (-7), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 13,
                        "offset": 0
                    },
                    "pc": 135,
                    "value": "cast([fp + (-7)] + 2, starkware.cairo.common.cairo_builtins.SignatureBuiltin*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 14,
                        "offset": 4
                    },
                    "pc": 142,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 14,
                        "offset": 4
                    },
                    "pc": 142,
                    "value": "[cast(fp, starkware.cairo.common.hash_state.HashState*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 0
                    },
                    "pc": 148,
                    "value": "[cast(fp + (-5), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 0
                    },
                    "pc": 148,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 0
                    },
                    "pc": 148,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 0
                    },
                    "pc": 148,
                    "value": "[cast(fp + (-6), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 2
                    },
                    "pc": 157,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 2
                    },
                    "pc": 158,
                    "value": "[cast(fp, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 2
                    },
                    "pc": 158,
                    "value": "cast(ap, starkware.cairo.common.hash_state.hash_update_inner.LoopLocals*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 5
                    },
                    "pc": 161,
                    "value": "cast(ap + (-3), starkware.cairo.common.hash_state.hash_update_inner.LoopLocals*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 6
                    },
                    "pc": 162,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 7
                    },
                    "pc": 164,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 7
                    },
                    "pc": 165,
                    "value": "cast(ap, starkware.cairo.common.hash_state.hash_update_inner.LoopLocals*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 10
                    },
                    "pc": 172,
                    "value": "cast(ap + (-3), starkware.cairo.common.hash_state.hash_update_inner.LoopLocals*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 15,
                        "offset": 10
                    },
                    "pc": 172,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 16,
                        "offset": 0
                    },
                    "pc": 173,
                    "value": "[cast(fp + (-5), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 16,
                        "offset": 0
                    },
                    "pc": 173,
                    "value": "[cast(fp + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 16,
                        "offset": 0
                    },
                    "pc": 173,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 16,
                        "offset": 0
                    },
                    "pc": 173,
                    "value": "[cast(fp + (-6), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 17,
                        "offset": 0
                    },
                    "pc": 181,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 17,
                        "offset": 0
                    },
                    "pc": 181,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 17,
                        "offset": 2
                    },
                    "pc": 183,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 17,
                        "offset": 2
                    },
                    "pc": 183,
                    "value": "[cast(fp, starkware.cairo.common.hash_state.HashState*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 17,
                        "offset": 3
                    },
                    "pc": 185,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 18,
                        "offset": 0
                    },
                    "pc": 189,
                    "value": "[cast(fp + (-4), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 18,
                        "offset": 0
                    },
                    "pc": 189,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 18,
                        "offset": 0
                    },
                    "pc": 189,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 18,
                        "offset": 9
                    },
                    "pc": 196,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 18,
                        "offset": 9
                    },
                    "pc": 196,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 18,
                        "offset": 11
                    },
                    "pc": 198,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 18,
                        "offset": 11
                    },
                    "pc": 198,
                    "value": "[cast(fp, starkware.cairo.common.hash_state.HashState*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 18,
                        "offset": 12
                    },
                    "pc": 200,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 19,
                        "offset": 0
                    },
                    "pc": 205,
                    "value": "[cast(fp + (-3), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 19,
                        "offset": 0
                    },
                    "pc": 205,
                    "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 19,
                        "offset": 7
                    },
                    "pc": 210,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 20,
                        "offset": 0
                    },
                    "pc": 211,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 20,
                        "offset": 0
                    },
                    "pc": 211,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 20,
                        "offset": 0
                    },
                    "pc": 211,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 20,
                        "offset": 0
                    },
                    "pc": 211,
                    "value": "cast(479559987705328862372362947504386080106579713470203672197513890426980061174, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 20,
                        "offset": 7
                    },
                    "pc": 217,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 20,
                        "offset": 7
                    },
                    "pc": 217,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 20,
                        "offset": 36
                    },
                    "pc": 221,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 20,
                        "offset": 36
                    },
                    "pc": 221,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 0
                    },
                    "pc": 225,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 0
                    },
                    "pc": 225,
                    "value": "[cast(fp + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 0
                    },
                    "pc": 225,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 0
                    },
                    "pc": 225,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 44
                    },
                    "pc": 230,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 44
                    },
                    "pc": 230,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 44
                    },
                    "pc": 230,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 51
                    },
                    "pc": 234,
                    "value": "[cast(ap + (-2), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 51
                    },
                    "pc": 234,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 52
                    },
                    "pc": 235,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 53
                    },
                    "pc": 236,
                    "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 54
                    },
                    "pc": 237,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 21,
                        "offset": 55
                    },
                    "pc": 238,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 22,
                        "offset": 0
                    },
                    "pc": 239,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 22,
                        "offset": 0
                    },
                    "pc": 239,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 22,
                        "offset": 0
                    },
                    "pc": 239,
                    "value": "[cast(fp + (-7), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 22,
                        "offset": 0
                    },
                    "pc": 239,
                    "value": "[cast(fp + (-6), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 22,
                        "offset": 0
                    },
                    "pc": 239,
                    "value": "[cast(fp + (-5), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 22,
                        "offset": 44
                    },
                    "pc": 244,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 22,
                        "offset": 44
                    },
                    "pc": 244,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 22,
                        "offset": 44
                    },
                    "pc": 244,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 22,
                        "offset": 51
                    },
                    "pc": 249,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 23,
                        "offset": 0
                    },
                    "pc": 252,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 23,
                        "offset": 0
                    },
                    "pc": 252,
                    "value": "[cast(fp + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 23,
                        "offset": 0
                    },
                    "pc": 252,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 23,
                        "offset": 0
                    },
                    "pc": 252,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 23,
                        "offset": 1
                    },
                    "pc": 254,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 23,
                        "offset": 62
                    },
                    "pc": 268,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 23,
                        "offset": 62
                    },
                    "pc": 268,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 23,
                        "offset": 62
                    },
                    "pc": 268,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 23,
                        "offset": 62
                    },
                    "pc": 268,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 24,
                        "offset": 0
                    },
                    "pc": 269,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 24,
                        "offset": 0
                    },
                    "pc": 269,
                    "value": "[cast(fp + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 24,
                        "offset": 0
                    },
                    "pc": 269,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 24,
                        "offset": 0
                    },
                    "pc": 269,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 24,
                        "offset": 65
                    },
                    "pc": 282,
                    "value": "[cast(ap + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 24,
                        "offset": 65
                    },
                    "pc": 282,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 24,
                        "offset": 65
                    },
                    "pc": 282,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 25,
                        "offset": 0
                    },
                    "pc": 283,
                    "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 25,
                        "offset": 0
                    },
                    "pc": 283,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 25,
                        "offset": 0
                    },
                    "pc": 283,
                    "value": "cast(680641068382147823690491849560675892800103278811133310055689865859989991742, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 26,
                        "offset": 0
                    },
                    "pc": 288,
                    "value": "[cast(fp + (-5), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 26,
                        "offset": 0
                    },
                    "pc": 288,
                    "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 26,
                        "offset": 0
                    },
                    "pc": 288,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 26,
                        "offset": 7
                    },
                    "pc": 292,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 26,
                        "offset": 7
                    },
                    "pc": 292,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 26,
                        "offset": 7
                    },
                    "pc": 292,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 26,
                        "offset": 14
                    },
                    "pc": 296,
                    "value": "[cast(ap + (-2), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 26,
                        "offset": 14
                    },
                    "pc": 296,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 26,
                        "offset": 15
                    },
                    "pc": 297,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 26,
                        "offset": 16
                    },
                    "pc": 298,
                    "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 26,
                        "offset": 17
                    },
                    "pc": 299,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 26,
                        "offset": 18
                    },
                    "pc": 300,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 27,
                        "offset": 0
                    },
                    "pc": 301,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 27,
                        "offset": 0
                    },
                    "pc": 301,
                    "value": "[cast(fp + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 27,
                        "offset": 0
                    },
                    "pc": 301,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 27,
                        "offset": 0
                    },
                    "pc": 301,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 27,
                        "offset": 7
                    },
                    "pc": 305,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 27,
                        "offset": 7
                    },
                    "pc": 305,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 27,
                        "offset": 7
                    },
                    "pc": 305,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 27,
                        "offset": 14
                    },
                    "pc": 310,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 28,
                        "offset": 0
                    },
                    "pc": 313,
                    "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 28,
                        "offset": 0
                    },
                    "pc": 313,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 28,
                        "offset": 0
                    },
                    "pc": 313,
                    "value": "cast(550557492744938365112574611882025123252567779123164597803728068558738016655, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 29,
                        "offset": 0
                    },
                    "pc": 318,
                    "value": "[cast(fp + (-5), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 29,
                        "offset": 0
                    },
                    "pc": 318,
                    "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 29,
                        "offset": 0
                    },
                    "pc": 318,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 29,
                        "offset": 7
                    },
                    "pc": 322,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 29,
                        "offset": 7
                    },
                    "pc": 322,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 29,
                        "offset": 7
                    },
                    "pc": 322,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 29,
                        "offset": 14
                    },
                    "pc": 326,
                    "value": "[cast(ap + (-2), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 29,
                        "offset": 14
                    },
                    "pc": 326,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 29,
                        "offset": 15
                    },
                    "pc": 327,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 29,
                        "offset": 16
                    },
                    "pc": 328,
                    "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 29,
                        "offset": 17
                    },
                    "pc": 329,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 29,
                        "offset": 18
                    },
                    "pc": 330,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 30,
                        "offset": 0
                    },
                    "pc": 331,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 30,
                        "offset": 0
                    },
                    "pc": 331,
                    "value": "[cast(fp + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 30,
                        "offset": 0
                    },
                    "pc": 331,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 30,
                        "offset": 0
                    },
                    "pc": 331,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 30,
                        "offset": 7
                    },
                    "pc": 335,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 30,
                        "offset": 7
                    },
                    "pc": 335,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 30,
                        "offset": 7
                    },
                    "pc": 335,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 30,
                        "offset": 14
                    },
                    "pc": 340,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 31,
                        "offset": 0
                    },
                    "pc": 343,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 31,
                        "offset": 6
                    },
                    "pc": 346,
                    "value": "[cast(ap + (-2), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 31,
                        "offset": 6
                    },
                    "pc": 346,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 31,
                        "offset": 12
                    },
                    "pc": 349,
                    "value": "[cast(ap + (-2), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 31,
                        "offset": 12
                    },
                    "pc": 349,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 32,
                        "offset": 0
                    },
                    "pc": 352,
                    "value": "[cast(fp + (-5), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 32,
                        "offset": 0
                    },
                    "pc": 352,
                    "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 32,
                        "offset": 0
                    },
                    "pc": 352,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 32,
                        "offset": 23
                    },
                    "pc": 357,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 32,
                        "offset": 23
                    },
                    "pc": 357,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 32,
                        "offset": 23
                    },
                    "pc": 357,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 32,
                        "offset": 23
                    },
                    "pc": 357,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 33,
                        "offset": 0
                    },
                    "pc": 358,
                    "value": "[cast(fp + (-5), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 33,
                        "offset": 0
                    },
                    "pc": 358,
                    "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 33,
                        "offset": 0
                    },
                    "pc": 358,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 33,
                        "offset": 23
                    },
                    "pc": 363,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 33,
                        "offset": 23
                    },
                    "pc": 363,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 33,
                        "offset": 23
                    },
                    "pc": 363,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 33,
                        "offset": 23
                    },
                    "pc": 363,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 34,
                        "offset": 0
                    },
                    "pc": 364,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 34,
                        "offset": 0
                    },
                    "pc": 364,
                    "value": "[cast(fp + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 34,
                        "offset": 0
                    },
                    "pc": 364,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 34,
                        "offset": 0
                    },
                    "pc": 364,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 34,
                        "offset": 16
                    },
                    "pc": 367,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 34,
                        "offset": 37
                    },
                    "pc": 372,
                    "value": "[cast(ap + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 34,
                        "offset": 37
                    },
                    "pc": 372,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 34,
                        "offset": 37
                    },
                    "pc": 372,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 35,
                        "offset": 0
                    },
                    "pc": 373,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 35,
                        "offset": 0
                    },
                    "pc": 373,
                    "value": "[cast(fp + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 35,
                        "offset": 0
                    },
                    "pc": 373,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 35,
                        "offset": 0
                    },
                    "pc": 373,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 35,
                        "offset": 22
                    },
                    "pc": 379,
                    "value": "[cast(ap + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 35,
                        "offset": 22
                    },
                    "pc": 379,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 35,
                        "offset": 22
                    },
                    "pc": 379,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 35,
                        "offset": 90
                    },
                    "pc": 383,
                    "value": "[cast(ap + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 35,
                        "offset": 90
                    },
                    "pc": 383,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 35,
                        "offset": 90
                    },
                    "pc": 383,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 0
                    },
                    "pc": 384,
                    "value": "[cast(fp + (-5), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 0
                    },
                    "pc": 384,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 0
                    },
                    "pc": 384,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 0
                    },
                    "pc": 384,
                    "value": "[cast(fp + (-9), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 0
                    },
                    "pc": 384,
                    "value": "[cast(fp + (-8), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 0
                    },
                    "pc": 384,
                    "value": "[cast(fp + (-7), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 0
                    },
                    "pc": 384,
                    "value": "[cast(fp + (-6), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 23
                    },
                    "pc": 389,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 23
                    },
                    "pc": 389,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 23
                    },
                    "pc": 389,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 23
                    },
                    "pc": 389,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 23
                    },
                    "pc": 389,
                    "value": "[cast([fp + (-3)], felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 23
                    },
                    "pc": 389,
                    "value": "[cast([fp + (-3)] + 1, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 36,
                        "offset": 31
                    },
                    "pc": 396,
                    "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 0
                    },
                    "pc": 401,
                    "value": "[cast([fp + (-5)], felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 0
                    },
                    "pc": 401,
                    "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 0
                    },
                    "pc": 401,
                    "value": "[cast([fp + (-5)] + 2, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 0
                    },
                    "pc": 401,
                    "value": "[cast([fp + (-5)] + 3, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 0
                    },
                    "pc": 401,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 0
                    },
                    "pc": 401,
                    "value": "[cast([fp + (-3)], felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 0
                    },
                    "pc": 401,
                    "value": "cast([fp + (-3)] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 0
                    },
                    "pc": 401,
                    "value": "[cast([fp + (-3)] + 1, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 0
                    },
                    "pc": 401,
                    "value": "cast([fp + (-3)] + 2, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 1
                    },
                    "pc": 402,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 2
                    },
                    "pc": 403,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 2
                    },
                    "pc": 404,
                    "value": "cast([[fp + (-5)] + 2] + 1, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 2
                    },
                    "pc": 404,
                    "value": "cast([fp + (-3)] + 2, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 3
                    },
                    "pc": 406,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 4
                    },
                    "pc": 407,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 5
                    },
                    "pc": 408,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 5
                    },
                    "pc": 408,
                    "value": "cast([ap + (-1)] - [fp + (-3)], felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 6
                    },
                    "pc": 410,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 50
                    },
                    "pc": 421,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 50
                    },
                    "pc": 421,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 50
                    },
                    "pc": 421,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 50
                    },
                    "pc": 421,
                    "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 50
                    },
                    "pc": 421,
                    "value": "[cast(ap + 0, openzeppelin.account.library.Account_is_valid_signature.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 51
                    },
                    "pc": 423,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 37,
                        "offset": 51
                    },
                    "pc": 423,
                    "value": "cast(0, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 0
                    },
                    "pc": 431,
                    "value": "[cast(fp + (-7), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 0
                    },
                    "pc": 431,
                    "value": "[cast(fp + (-6), openzeppelin.account.library.AccountCallArray**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 0
                    },
                    "pc": 431,
                    "value": "[cast(fp + (-5), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 0
                    },
                    "pc": 431,
                    "value": "[cast(fp + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 0
                    },
                    "pc": 431,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 0
                    },
                    "pc": 431,
                    "value": "[cast(fp + (-11), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 0
                    },
                    "pc": 431,
                    "value": "[cast(fp + (-10), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 0
                    },
                    "pc": 431,
                    "value": "[cast(fp + (-9), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 0
                    },
                    "pc": 431,
                    "value": "[cast(fp + (-8), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 18
                    },
                    "pc": 435,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 18
                    },
                    "pc": 436,
                    "value": "[cast(fp, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 24
                    },
                    "pc": 439,
                    "value": "[cast(ap + (-2), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 24
                    },
                    "pc": 439,
                    "value": "[cast(ap + (-1), starkware.starknet.common.syscalls.TxInfo**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 24
                    },
                    "pc": 440,
                    "value": "[cast(fp + 1, starkware.starknet.common.syscalls.TxInfo**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 47
                    },
                    "pc": 445,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 47
                    },
                    "pc": 445,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 47
                    },
                    "pc": 445,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 47
                    },
                    "pc": 445,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 47
                    },
                    "pc": 446,
                    "value": "[cast(fp + 2, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 47
                    },
                    "pc": 447,
                    "value": "[cast(fp + 3, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 47
                    },
                    "pc": 448,
                    "value": "[cast(fp + 4, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 50
                    },
                    "pc": 451,
                    "value": "[cast(ap + (-1), openzeppelin.account.library.Call**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 38,
                        "offset": 50
                    },
                    "pc": 452,
                    "value": "[cast(fp + 5, openzeppelin.account.library.Call**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 39,
                        "offset": 0
                    },
                    "pc": 459,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 39,
                        "offset": 0
                    },
                    "pc": 459,
                    "value": "[cast(fp + (-7), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 39,
                        "offset": 0
                    },
                    "pc": 465,
                    "value": "[cast(fp + 6, openzeppelin.account.library.MultiCall*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 0
                    },
                    "pc": 470,
                    "value": "[cast(ap + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 0
                    },
                    "pc": 470,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 0
                    },
                    "pc": 470,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 44
                    },
                    "pc": 479,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 44
                    },
                    "pc": 479,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 44
                    },
                    "pc": 479,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 44
                    },
                    "pc": 479,
                    "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 44
                    },
                    "pc": 480,
                    "value": "[cast(fp + 12, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 66
                    },
                    "pc": 487,
                    "value": "[cast(ap + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 66
                    },
                    "pc": 487,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 66
                    },
                    "pc": 487,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 66
                    },
                    "pc": 488,
                    "value": "[cast(fp + 13, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 66
                    },
                    "pc": 489,
                    "value": "[cast(fp + 14, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 69
                    },
                    "pc": 491,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 40,
                        "offset": 69
                    },
                    "pc": 492,
                    "value": "[cast(fp + 15, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 41,
                        "offset": 0
                    },
                    "pc": 498,
                    "value": "[cast(ap + (-2), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 41,
                        "offset": 0
                    },
                    "pc": 498,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 42,
                        "offset": 0
                    },
                    "pc": 505,
                    "value": "[cast(fp + (-5), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 42,
                        "offset": 0
                    },
                    "pc": 505,
                    "value": "[cast(fp + (-4), openzeppelin.account.library.Call**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 42,
                        "offset": 0
                    },
                    "pc": 505,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 42,
                        "offset": 0
                    },
                    "pc": 505,
                    "value": "[cast(fp + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 42,
                        "offset": 3
                    },
                    "pc": 513,
                    "value": "[cast([fp + (-4)], openzeppelin.account.library.Call*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 42,
                        "offset": 14
                    },
                    "pc": 520,
                    "value": "[cast(ap + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 42,
                        "offset": 14
                    },
                    "pc": 520,
                    "value": "[cast(ap + (-2), starkware.starknet.common.syscalls.call_contract.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 42,
                        "offset": 14
                    },
                    "pc": 522,
                    "value": "[cast(fp, starkware.starknet.common.syscalls.call_contract.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 42,
                        "offset": 14
                    },
                    "pc": 523,
                    "value": "[cast(fp + 2, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 44,
                        "offset": 0
                    },
                    "pc": 536,
                    "value": "[cast(ap + (-2), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 44,
                        "offset": 0
                    },
                    "pc": 536,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 45,
                        "offset": 0
                    },
                    "pc": 539,
                    "value": "[cast(fp + (-3), openzeppelin.account.library.MultiCall**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 45,
                        "offset": 0
                    },
                    "pc": 539,
                    "value": "[cast(fp + (-5), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 45,
                        "offset": 0
                    },
                    "pc": 539,
                    "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 0
                    },
                    "pc": 546,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 0
                    },
                    "pc": 546,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 0
                    },
                    "pc": 546,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 7
                    },
                    "pc": 548,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 26
                    },
                    "pc": 554,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 26
                    },
                    "pc": 554,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 43
                    },
                    "pc": 557,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 43
                    },
                    "pc": 557,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 60
                    },
                    "pc": 560,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 60
                    },
                    "pc": 560,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 77
                    },
                    "pc": 563,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 77
                    },
                    "pc": 563,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 94
                    },
                    "pc": 566,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 94
                    },
                    "pc": 566,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 111
                    },
                    "pc": 569,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 111
                    },
                    "pc": 569,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 120
                    },
                    "pc": 571,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 120
                    },
                    "pc": 571,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 46,
                        "offset": 120
                    },
                    "pc": 571,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 47,
                        "offset": 0
                    },
                    "pc": 575,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 47,
                        "offset": 0
                    },
                    "pc": 575,
                    "value": "[cast(fp + (-3), openzeppelin.account.library.Call**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 47,
                        "offset": 0
                    },
                    "pc": 575,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 47,
                        "offset": 4
                    },
                    "pc": 579,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 47,
                        "offset": 4
                    },
                    "pc": 580,
                    "value": "[cast(fp, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 48,
                        "offset": 0
                    },
                    "pc": 586,
                    "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 48,
                        "offset": 0
                    },
                    "pc": 586,
                    "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 48,
                        "offset": 7
                    },
                    "pc": 588,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 49,
                        "offset": 0
                    },
                    "pc": 594,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 49,
                        "offset": 0
                    },
                    "pc": 594,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 49,
                        "offset": 9
                    },
                    "pc": 596,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 49,
                        "offset": 9
                    },
                    "pc": 596,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 49,
                        "offset": 9
                    },
                    "pc": 596,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 50,
                        "offset": 0
                    },
                    "pc": 597,
                    "value": "[cast(fp + (-5), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 50,
                        "offset": 0
                    },
                    "pc": 597,
                    "value": "[cast(fp + (-4), openzeppelin.account.library.Call**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 50,
                        "offset": 0
                    },
                    "pc": 597,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 50,
                        "offset": 0
                    },
                    "pc": 597,
                    "value": "[cast(fp + (-6), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 50,
                        "offset": 0
                    },
                    "pc": 601,
                    "value": "[cast([fp + (-4)], openzeppelin.account.library.Call*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 0
                    },
                    "pc": 606,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 0
                    },
                    "pc": 606,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 0
                    },
                    "pc": 606,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 7
                    },
                    "pc": 608,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 26
                    },
                    "pc": 613,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 26
                    },
                    "pc": 613,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 43
                    },
                    "pc": 616,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 43
                    },
                    "pc": 616,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 60
                    },
                    "pc": 619,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 60
                    },
                    "pc": 619,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 69
                    },
                    "pc": 621,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 69
                    },
                    "pc": 621,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 51,
                        "offset": 69
                    },
                    "pc": 621,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 52,
                        "offset": 0
                    },
                    "pc": 631,
                    "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 53,
                        "offset": 0
                    },
                    "pc": 632,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 53,
                        "offset": 0
                    },
                    "pc": 632,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 53,
                        "offset": 0
                    },
                    "pc": 632,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 53,
                        "offset": 0
                    },
                    "pc": 632,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 53,
                        "offset": 7
                    },
                    "pc": 634,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 54,
                        "offset": 0
                    },
                    "pc": 640,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 54,
                        "offset": 0
                    },
                    "pc": 640,
                    "value": "[cast(ap + (-1), starkware.cairo.common.hash_state.HashState**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 54,
                        "offset": 9
                    },
                    "pc": 642,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 54,
                        "offset": 9
                    },
                    "pc": 642,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 54,
                        "offset": 9
                    },
                    "pc": 642,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 55,
                        "offset": 0
                    },
                    "pc": 643,
                    "value": "[cast(fp + (-6), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 55,
                        "offset": 0
                    },
                    "pc": 643,
                    "value": "[cast(fp + (-5), openzeppelin.account.library.AccountCallArray**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 55,
                        "offset": 0
                    },
                    "pc": 643,
                    "value": "[cast(fp + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 55,
                        "offset": 0
                    },
                    "pc": 643,
                    "value": "[cast(fp + (-3), openzeppelin.account.library.Call**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 55,
                        "offset": 0
                    },
                    "pc": 643,
                    "value": "[cast(fp + (-7), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 55,
                        "offset": 1
                    },
                    "pc": 648,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 55,
                        "offset": 2
                    },
                    "pc": 650,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 55,
                        "offset": 3
                    },
                    "pc": 652,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 55,
                        "offset": 4
                    },
                    "pc": 654,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 55,
                        "offset": 5
                    },
                    "pc": 655,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 56,
                        "offset": 0
                    },
                    "pc": 666,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 57,
                        "offset": 0
                    },
                    "pc": 667,
                    "value": "[cast(fp + (-5), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 57,
                        "offset": 0
                    },
                    "pc": 667,
                    "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 57,
                        "offset": 0
                    },
                    "pc": 667,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 57,
                        "offset": 28
                    },
                    "pc": 672,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 57,
                        "offset": 28
                    },
                    "pc": 672,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 57,
                        "offset": 28
                    },
                    "pc": 672,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 57,
                        "offset": 28
                    },
                    "pc": 672,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 58,
                        "offset": 0
                    },
                    "pc": 673,
                    "value": "[cast(fp + (-4), __main__.get_public_key.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 58,
                        "offset": 0
                    },
                    "pc": 673,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 58,
                        "offset": 1
                    },
                    "pc": 675,
                    "value": "[cast(fp, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 58,
                        "offset": 1
                    },
                    "pc": 675,
                    "value": "[cast(fp, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 58,
                        "offset": 1
                    },
                    "pc": 676,
                    "value": "cast([fp] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 58,
                        "offset": 2
                    },
                    "pc": 678,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 0
                    },
                    "pc": 682,
                    "value": "[cast([fp + (-5)], felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 0
                    },
                    "pc": 682,
                    "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 0
                    },
                    "pc": 682,
                    "value": "[cast([fp + (-5)] + 2, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 0
                    },
                    "pc": 682,
                    "value": "[cast([fp + (-5)] + 3, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 0
                    },
                    "pc": 682,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 0
                    },
                    "pc": 682,
                    "value": "cast([fp + (-3)] - [fp + (-3)], felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 33
                    },
                    "pc": 688,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 33
                    },
                    "pc": 688,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 33
                    },
                    "pc": 688,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 33
                    },
                    "pc": 688,
                    "value": "[cast(ap + (-1), __main__.get_public_key.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 41
                    },
                    "pc": 691,
                    "value": "[cast(ap + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 41
                    },
                    "pc": 691,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 59,
                        "offset": 41
                    },
                    "pc": 691,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 60,
                        "offset": 0
                    },
                    "pc": 698,
                    "value": "[cast(fp + (-5), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 60,
                        "offset": 0
                    },
                    "pc": 698,
                    "value": "[cast(fp + (-4), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 60,
                        "offset": 0
                    },
                    "pc": 698,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 60,
                        "offset": 28
                    },
                    "pc": 703,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 60,
                        "offset": 28
                    },
                    "pc": 703,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 60,
                        "offset": 28
                    },
                    "pc": 703,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 60,
                        "offset": 28
                    },
                    "pc": 703,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 61,
                        "offset": 0
                    },
                    "pc": 704,
                    "value": "[cast(fp + (-4), __main__.get_nonce.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 61,
                        "offset": 0
                    },
                    "pc": 704,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 61,
                        "offset": 1
                    },
                    "pc": 706,
                    "value": "[cast(fp, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 61,
                        "offset": 1
                    },
                    "pc": 706,
                    "value": "[cast(fp, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 61,
                        "offset": 1
                    },
                    "pc": 707,
                    "value": "cast([fp] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 61,
                        "offset": 2
                    },
                    "pc": 709,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 0
                    },
                    "pc": 713,
                    "value": "[cast([fp + (-5)], felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 0
                    },
                    "pc": 713,
                    "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 0
                    },
                    "pc": 713,
                    "value": "[cast([fp + (-5)] + 2, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 0
                    },
                    "pc": 713,
                    "value": "[cast([fp + (-5)] + 3, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 0
                    },
                    "pc": 713,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 0
                    },
                    "pc": 713,
                    "value": "cast([fp + (-3)] - [fp + (-3)], felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 33
                    },
                    "pc": 719,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 33
                    },
                    "pc": 719,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 33
                    },
                    "pc": 719,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 33
                    },
                    "pc": 719,
                    "value": "[cast(ap + (-1), __main__.get_nonce.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 41
                    },
                    "pc": 722,
                    "value": "[cast(ap + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 41
                    },
                    "pc": 722,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 62,
                        "offset": 41
                    },
                    "pc": 722,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 63,
                        "offset": 0
                    },
                    "pc": 729,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 63,
                        "offset": 0
                    },
                    "pc": 729,
                    "value": "[cast(fp + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 63,
                        "offset": 0
                    },
                    "pc": 729,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 63,
                        "offset": 0
                    },
                    "pc": 729,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 64,
                        "offset": 0
                    },
                    "pc": 735,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 64,
                        "offset": 0
                    },
                    "pc": 735,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 64,
                        "offset": 0
                    },
                    "pc": 735,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 64,
                        "offset": 0
                    },
                    "pc": 735,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 65,
                        "offset": 0
                    },
                    "pc": 736,
                    "value": "[cast(fp + (-4), __main__.supportsInterface.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 65,
                        "offset": 0
                    },
                    "pc": 736,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 65,
                        "offset": 1
                    },
                    "pc": 738,
                    "value": "[cast(fp, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 65,
                        "offset": 1
                    },
                    "pc": 738,
                    "value": "[cast(fp, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 65,
                        "offset": 1
                    },
                    "pc": 739,
                    "value": "cast([fp] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 65,
                        "offset": 2
                    },
                    "pc": 741,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 66,
                        "offset": 0
                    },
                    "pc": 745,
                    "value": "[cast([fp + (-5)], felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 66,
                        "offset": 0
                    },
                    "pc": 745,
                    "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 66,
                        "offset": 0
                    },
                    "pc": 745,
                    "value": "[cast([fp + (-5)] + 2, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 66,
                        "offset": 0
                    },
                    "pc": 745,
                    "value": "[cast([fp + (-5)] + 3, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 66,
                        "offset": 0
                    },
                    "pc": 745,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 66,
                        "offset": 0
                    },
                    "pc": 745,
                    "value": "[cast([fp + (-3)], felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 66,
                        "offset": 0
                    },
                    "pc": 745,
                    "value": "cast([fp + (-3)] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 66,
                        "offset": 0
                    },
                    "pc": 745,
                    "value": "cast([fp + (-3)] + 1 - [fp + (-3)], felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 66,
                        "offset": 1
                    },
                    "pc": 747,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 67,
                        "offset": 0
                    },
                    "pc": 754,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 67,
                        "offset": 0
                    },
                    "pc": 754,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 67,
                        "offset": 0
                    },
                    "pc": 754,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 67,
                        "offset": 0
                    },
                    "pc": 754,
                    "value": "[cast(ap + (-1), __main__.supportsInterface.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 67,
                        "offset": 8
                    },
                    "pc": 757,
                    "value": "[cast(ap + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 67,
                        "offset": 8
                    },
                    "pc": 757,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 67,
                        "offset": 8
                    },
                    "pc": 757,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 68,
                        "offset": 0
                    },
                    "pc": 764,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 68,
                        "offset": 0
                    },
                    "pc": 764,
                    "value": "[cast(fp + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 68,
                        "offset": 0
                    },
                    "pc": 764,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 68,
                        "offset": 0
                    },
                    "pc": 764,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 68,
                        "offset": 43
                    },
                    "pc": 770,
                    "value": "[cast(ap + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 68,
                        "offset": 43
                    },
                    "pc": 770,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 68,
                        "offset": 43
                    },
                    "pc": 770,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 0
                    },
                    "pc": 771,
                    "value": "[cast([fp + (-5)], felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 0
                    },
                    "pc": 771,
                    "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 0
                    },
                    "pc": 771,
                    "value": "[cast([fp + (-5)] + 2, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 0
                    },
                    "pc": 771,
                    "value": "[cast([fp + (-5)] + 3, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 0
                    },
                    "pc": 771,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 0
                    },
                    "pc": 771,
                    "value": "[cast([fp + (-3)], felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 0
                    },
                    "pc": 771,
                    "value": "cast([fp + (-3)] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 0
                    },
                    "pc": 771,
                    "value": "cast([fp + (-3)] + 1 - [fp + (-3)], felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 1
                    },
                    "pc": 773,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 50
                    },
                    "pc": 780,
                    "value": "[cast(ap + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 50
                    },
                    "pc": 780,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 50
                    },
                    "pc": 780,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 50
                    },
                    "pc": 780,
                    "value": "[cast(ap + 0, __main__.set_public_key.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 51
                    },
                    "pc": 782,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 69,
                        "offset": 51
                    },
                    "pc": 782,
                    "value": "cast(0, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 70,
                        "offset": 0
                    },
                    "pc": 790,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 70,
                        "offset": 0
                    },
                    "pc": 790,
                    "value": "[cast(fp + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 70,
                        "offset": 0
                    },
                    "pc": 790,
                    "value": "[cast(fp + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 70,
                        "offset": 0
                    },
                    "pc": 790,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 70,
                        "offset": 96
                    },
                    "pc": 796,
                    "value": "[cast(ap + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 70,
                        "offset": 96
                    },
                    "pc": 796,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 70,
                        "offset": 96
                    },
                    "pc": 796,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 0
                    },
                    "pc": 797,
                    "value": "[cast([fp + (-5)], felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 0
                    },
                    "pc": 797,
                    "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 0
                    },
                    "pc": 797,
                    "value": "[cast([fp + (-5)] + 2, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 0
                    },
                    "pc": 797,
                    "value": "[cast([fp + (-5)] + 3, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 0
                    },
                    "pc": 797,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 0
                    },
                    "pc": 797,
                    "value": "[cast([fp + (-3)], felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 0
                    },
                    "pc": 797,
                    "value": "cast([fp + (-3)] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 0
                    },
                    "pc": 797,
                    "value": "cast([fp + (-3)] + 1 - [fp + (-3)], felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 1
                    },
                    "pc": 799,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 103
                    },
                    "pc": 806,
                    "value": "[cast(ap + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 103
                    },
                    "pc": 806,
                    "value": "[cast(ap + (-2), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 103
                    },
                    "pc": 806,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 103
                    },
                    "pc": 806,
                    "value": "[cast(ap + 0, __main__.constructor.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 104
                    },
                    "pc": 808,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 71,
                        "offset": 104
                    },
                    "pc": 808,
                    "value": "cast(0, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 72,
                        "offset": 0
                    },
                    "pc": 816,
                    "value": "[cast(fp + (-5), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 72,
                        "offset": 0
                    },
                    "pc": 816,
                    "value": "[cast(fp + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 72,
                        "offset": 0
                    },
                    "pc": 816,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 72,
                        "offset": 0
                    },
                    "pc": 816,
                    "value": "[cast(fp + (-9), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 72,
                        "offset": 0
                    },
                    "pc": 816,
                    "value": "[cast(fp + (-8), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 72,
                        "offset": 0
                    },
                    "pc": 816,
                    "value": "[cast(fp + (-7), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 72,
                        "offset": 0
                    },
                    "pc": 816,
                    "value": "[cast(fp + (-6), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 72,
                        "offset": 44
                    },
                    "pc": 825,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 72,
                        "offset": 44
                    },
                    "pc": 825,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 72,
                        "offset": 44
                    },
                    "pc": 825,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 72,
                        "offset": 44
                    },
                    "pc": 825,
                    "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 0
                    },
                    "pc": 826,
                    "value": "[cast([fp + (-5)], felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 0
                    },
                    "pc": 826,
                    "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 0
                    },
                    "pc": 826,
                    "value": "[cast([fp + (-5)] + 2, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 0
                    },
                    "pc": 826,
                    "value": "[cast([fp + (-5)] + 3, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 0
                    },
                    "pc": 826,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 0
                    },
                    "pc": 826,
                    "value": "[cast([fp + (-3)], felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 0
                    },
                    "pc": 826,
                    "value": "cast([fp + (-3)] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 0
                    },
                    "pc": 826,
                    "value": "[cast([fp + (-3)] + 1, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 0
                    },
                    "pc": 826,
                    "value": "cast([fp + (-3)] + 2, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 1
                    },
                    "pc": 827,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 2
                    },
                    "pc": 828,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 2
                    },
                    "pc": 829,
                    "value": "cast([[fp + (-5)] + 2] + 1, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 2
                    },
                    "pc": 829,
                    "value": "cast([fp + (-3)] + 2, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 3
                    },
                    "pc": 831,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 4
                    },
                    "pc": 832,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 5
                    },
                    "pc": 833,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 5
                    },
                    "pc": 833,
                    "value": "cast([ap + (-1)] - [fp + (-3)], felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 6
                    },
                    "pc": 835,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 59
                    },
                    "pc": 846,
                    "value": "[cast(ap + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 59
                    },
                    "pc": 846,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 59
                    },
                    "pc": 846,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 59
                    },
                    "pc": 846,
                    "value": "[cast(ap + (-1), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 59
                    },
                    "pc": 846,
                    "value": "[cast(ap + 0, __main__.is_valid_signature.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 60
                    },
                    "pc": 848,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 73,
                        "offset": 60
                    },
                    "pc": 848,
                    "value": "cast(0, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 74,
                        "offset": 0
                    },
                    "pc": 856,
                    "value": "[cast(fp + (-7), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 74,
                        "offset": 0
                    },
                    "pc": 856,
                    "value": "[cast(fp + (-6), openzeppelin.account.library.AccountCallArray**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 74,
                        "offset": 0
                    },
                    "pc": 856,
                    "value": "[cast(fp + (-5), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 74,
                        "offset": 0
                    },
                    "pc": 856,
                    "value": "[cast(fp + (-4), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 74,
                        "offset": 0
                    },
                    "pc": 856,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 74,
                        "offset": 0
                    },
                    "pc": 856,
                    "value": "[cast(fp + (-11), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 74,
                        "offset": 0
                    },
                    "pc": 856,
                    "value": "[cast(fp + (-10), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 74,
                        "offset": 0
                    },
                    "pc": 856,
                    "value": "[cast(fp + (-9), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 74,
                        "offset": 0
                    },
                    "pc": 856,
                    "value": "[cast(fp + (-8), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 75,
                        "offset": 0
                    },
                    "pc": 867,
                    "value": "[cast(ap + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 75,
                        "offset": 0
                    },
                    "pc": 867,
                    "value": "[cast(ap + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 75,
                        "offset": 0
                    },
                    "pc": 867,
                    "value": "[cast(ap + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 75,
                        "offset": 0
                    },
                    "pc": 867,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 75,
                        "offset": 0
                    },
                    "pc": 867,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 75,
                        "offset": 0
                    },
                    "pc": 867,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 76,
                        "offset": 0
                    },
                    "pc": 868,
                    "value": "[cast(fp + (-5), __main__.__execute__.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 76,
                        "offset": 0
                    },
                    "pc": 868,
                    "value": "[cast(fp + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 76,
                        "offset": 3
                    },
                    "pc": 870,
                    "value": "[cast(fp, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 76,
                        "offset": 3
                    },
                    "pc": 870,
                    "value": "[cast(fp, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 76,
                        "offset": 3
                    },
                    "pc": 871,
                    "value": "cast([fp] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 76,
                        "offset": 3
                    },
                    "pc": 874,
                    "value": "[cast(fp + 1, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 76,
                        "offset": 3
                    },
                    "pc": 874,
                    "value": "cast([fp] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 76,
                        "offset": 4
                    },
                    "pc": 876,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 76,
                        "offset": 4
                    },
                    "pc": 877,
                    "value": "[cast(fp + 2, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 3
                    },
                    "pc": 889,
                    "value": "[cast([fp + (-5)], felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 3
                    },
                    "pc": 889,
                    "value": "[cast([fp + (-5)] + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 3
                    },
                    "pc": 889,
                    "value": "[cast([fp + (-5)] + 2, felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 3
                    },
                    "pc": 889,
                    "value": "[cast([fp + (-5)] + 3, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 3
                    },
                    "pc": 889,
                    "value": "[cast(fp + (-3), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 3
                    },
                    "pc": 889,
                    "value": "[cast([fp + (-3)], felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 3
                    },
                    "pc": 889,
                    "value": "cast([fp + (-3)] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 4
                    },
                    "pc": 890,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 5
                    },
                    "pc": 891,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 5
                    },
                    "pc": 892,
                    "value": "cast([[fp + (-5)] + 2] + 1, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 5
                    },
                    "pc": 892,
                    "value": "cast([fp + (-3)] + 1, openzeppelin.account.library.AccountCallArray*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 6
                    },
                    "pc": 894,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 7
                    },
                    "pc": 895,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 8
                    },
                    "pc": 897,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 9
                    },
                    "pc": 898,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 9
                    },
                    "pc": 898,
                    "value": "[cast([ap + (-1)], felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 9
                    },
                    "pc": 898,
                    "value": "cast([ap + (-1)] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 10
                    },
                    "pc": 899,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 11
                    },
                    "pc": 900,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 11
                    },
                    "pc": 901,
                    "value": "cast([[fp + (-5)] + 2] + 2, felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 11
                    },
                    "pc": 901,
                    "value": "cast([ap + (-3)] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 12
                    },
                    "pc": 903,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 13
                    },
                    "pc": 904,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 14
                    },
                    "pc": 905,
                    "value": "[cast(ap + (-1), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 14
                    },
                    "pc": 905,
                    "value": "[cast([ap + (-1)], felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 14
                    },
                    "pc": 905,
                    "value": "cast([ap + (-1)] + 1, felt*)"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 14
                    },
                    "pc": 905,
                    "value": "cast([ap + (-1)] + 1 - [fp + (-3)], felt)"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 15
                    },
                    "pc": 907,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 78,
                        "offset": 16
                    },
                    "pc": 909,
                    "value": "[cast(ap + (-1), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 79,
                        "offset": 0
                    },
                    "pc": 923,
                    "value": "[cast(ap + (-6), felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 79,
                        "offset": 0
                    },
                    "pc": 923,
                    "value": "[cast(ap + (-5), starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 79,
                        "offset": 0
                    },
                    "pc": 923,
                    "value": "[cast(ap + (-4), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 79,
                        "offset": 0
                    },
                    "pc": 923,
                    "value": "[cast(ap + (-3), starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 79,
                        "offset": 0
                    },
                    "pc": 923,
                    "value": "[cast(ap + (-2), __main__.__execute__.Return*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 79,
                        "offset": 0
                    },
                    "pc": 924,
                    "value": "[cast(fp, felt**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 79,
                        "offset": 0
                    },
                    "pc": 925,
                    "value": "[cast(fp + 1, starkware.cairo.common.cairo_builtins.HashBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 79,
                        "offset": 0
                    },
                    "pc": 926,
                    "value": "[cast(fp + 2, starkware.cairo.common.cairo_builtins.SignatureBuiltin**)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 80,
                        "offset": 0
                    },
                    "pc": 929,
                    "value": "[cast(ap + (-3), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 80,
                        "offset": 0
                    },
                    "pc": 929,
                    "value": "[cast(ap + (-2), felt*)]"
                },
                {
                    "ap_tracking_data": {
                        "group": 80,
                        "offset": 0
                    },
                    "pc": 929,
                    "value": "[cast(ap + (-1), felt**)]"
                }
            ]
        }
    }
}
"""
